Inhalt

FKS WinControl – eine Übersicht

Installation und Programmstart

FKS WinControl in Stichpunkten

Verbindungen zur Windows-Welt

Schnelleinstieg

FKS WinControl – Die Programmfenster

Das Hauptfenster

Das Fenster "Messstellen, Anlagen und Verbindungen"

Das Klimaprofil

Die Messwertanzeige

Das Balkendiagramm

Die Analoganzeige

Das Liniendiagramm

Das XY-Diagramm

Die Tabelle

Das Dateiübersichtsfenster

Die Projektbilder

Die Ereignisliste

Das Statusfenster

FKS WinControl – Die Menüs

Das Datei-Menü

Das Bearbeiten-Menü

Das Ansicht-Menü

Das Messwerte-Menü

Das Menü Programmierung

Das Einstellungen-Menü

Das Fenster-Menü

Das Hilfe-Menü

FKS WinControl - Der Datenserver

Serverbetrieb

Server Schnittstelle

Anwendungsbeispiele

FKS WinControl - Der Webserver

Funktionsumfang

Voraussetzungen

Funktionsweise des Webservers

Wie kann man...

die Eigenschaften des aktuellen Fensters ändern

die Verbindung zur Anlage herstellen

die Abtastrate festlegen

eine neue Messwertanzeige erstellen

ein neues Balkendiagramm erstellen

ein Balkendiagramm drucken

eine neue Tabelle erstellen

eine Tabelle drucken

Klimaprofile erstellen

ein Projektbild erstellen

ein neues Liniendiagramm erstellen

ein Liniendiagramm drucken

Liniendiagramme über mehrere Seiten drucken

die Messstellenliste drucken

globale Rechenkanäle vereinbaren

lokale Rechenkanäle vereinbaren

Zähler, Summen oder Mittelwerte über die gesamte Messung definieren

Tages- oder Stundenmittelwerte für definierbare Zeitbereiche bilden

einen Kurvenverlauf analysieren

Kennlinien überlappend darstellen

Darstellungseigenschaften speichern und anwenden

ein neues Liniendiagramm mit den Eigenschaften einer Vorlage erstellen

Dateien beim Öffnen automatisch mit einer Standardvorlage verbinden

im Nachhinein Kommentare für Messstellen vergeben bzw. ändern

für eine Messwertdatei Anmerkungen eintragen

ein WinControl-Objekt in einem Textdokument einbetten

eine Messwertdatei erstellen

einen Bereich eines Datensatzes speichern

Messwerte aus einer Datei laden

Messwertdateien miteinander verbinden

Automatisch Tagesdateien erzeugen

pro Tag automatisch mehrere Dateien auf der Festplatte speichern

eine Ereignisliste exportieren

eine Ereignisliste automatisch speichern

Messwerte in einer Tabellenkalkulation darstellen

DDE mit Excel ausführen

online Daten nach Excel übertragen

Automatisch nach Stromausfall weiter messen

Informationen über angeschlossene Geräte erhalten

den Messwertspeicher der Anlage auslesen

die Konfigurationsdatei finden

mehrere Programmkonfigurationen verwalten

bei Programmstart automatisch eine bestimmte Konfiguration laden

mit mehreren Instanzen von FKS WinControl arbeiten

Aufrufparameter an ein bei Alarm zu startendes Programm übergeben

im Alarmfall automatisch eine Email versenden

ein Default Verzeichnis für Messwertdateien definieren

die Registrierung des OLE-Servers unter Windows 2000 handhaben

die Software auf mehreren Prozessoren starten

die Größe der Messwerthistorie ändern

Anhang

Vereinbarungen für die Formeleingabe

Unterstützung der Exponentialdarstellung von Messwerten

Anschluss eines Modems an das Gerät

Datenformate der Exportfunktion

Besondere Einstellungen für den Versand von Alarmmeldungen per E-Mail

Der Kennwortschutz

Der Prüfplatzmanager

Liniendiagramm - Protokoll drucken

Der OPC Export

Die optionalen Zusatz-Protokolle


Installation und Programmstart

Mehr zum Thema:

Systemvoraussetzungen

Installation

Programmstart

Registrierung

Hardwarekopierschutz

Upgrade

liesmich.wri


Systemvoraussetzungen

FKS WinControl - eine Übersicht > Installation und Programmstart

Systemvoraussetzungen

Die Systemkonfiguration für diese Version kann als Betriebssystem Windows 2000 oder neuer haben. Je nach Betriebssystem sollten mindestens 32-64 MByte Arbeitsspeicher vorhanden sein. Weiterhin sollten 10 MByte freier Patz auf der Festplatte zur Verfügung stehen.

In jedem Fall wird eine freie gepufferte RS232 Schnittstelle vorausgesetzt.


Installation

Um FKS WinControl auf ihrem Rechner zu installieren, führen sie bitte folgende Schritte aus:

· Legen Sie die CD in ihr CD-ROM Laufwerk ein

· Nach einigen Sekunden wird automatisch ein Programm gestartet, mit dem sie komfortabel den Inhalt der CD betrachten können.

· Wählen sie (falls notwendig) die gewünschte Sprache aus

· Wählen sie "Software" und danach FKS WinControl aus und folgen Sie den Installationsschritten

Achtung!

Falls ihr CD-ROM Laufwerk keinen Autostart unterstützt, können Sie die CD auch aus dem Windows-Explorer heraus starten. Klicken sie dazu im Hauptverzeichnis der CD auf die Datei cdstart.exe.


Programmstart

FKS WinControl - eine Übersicht > Installation und Programmstart

Programmstart

Nach der Installation starten Sie FKS WinControl durch Doppelklick auf das Programmsymbol, im Startmenü unter dem Eintrag "WinControl" aufrufen oder im Startmenü unter Ausführen "verzeichnis\wcfks.exe " eingeben.


Registrierung

Erscheint nach Programmstart der Dialog " FKS WinControl Lizenz Informationen", so wurde Ihre Lizenz noch nicht registriert. Die Laufzeit einer nicht registrierten Programmversion ist auf eine Maximale Probedauer von 30 Tagen begrenzt. Die jeweils noch zur Verfügung stehende Laufzeit wird unter "Restliche Probedauer" angezeigt.

Um die erworbene Software zu lizenzieren besteht die Möglichkeit, im Dialog " FKS WinControl Lizenz Informationen" durch einfachen Mausklick auf die unter "Registrierung" angegebene Internetadresse direkt auf die entsprechende Internetseite zu gelangen. Dort können Sie die notwendigen Angaben (z.B. Disk-ID, Seriennummer) in ein Formular eintragen und an absenden.

Nach Eingang und Überprüfung der Daten erhalten Sie von uns Ihren Freischaltcode. Nach Eingabe in das Eingabefeld "Freischaltcode" des Dialogs " FKS WinControl Lizenz Informationen" wird die Beschränkung der Laufzeit aufgehoben.

Natürlich besteht auch die Möglichkeit, sich telefonisch oder per Fax an uns zu wenden. Sowohl im Dialog Hilfe/Info als auch im Dialog " FKS WinControl Lizenz Informationen" finden Sie Telefon- und Faxnummer.

Falls Sie die Registrierung jetzt vornehmen wollen, dann klicken Sie mit Ihrer Maus auf die folgende Adresse: http://www.akrobit.de/fks/register.htm


Hardwarekopierschutz

FKS WinControl - eine Übersicht > Installation und Programmstart

Hardwarekopierschutz

FKS WinControl kann auch mit einem Hardlock (Dongle) betrieben werden. In diesem Fall ist eine Freischaltung der Software nicht erforderlich. Die Dongles stehen für verschiedene Schnittstellen (Seriell/Parallel, USB, ISA, PCI) zur Verfügung.

Besonders beim Einsatz der gleichen Software auf verschiedenen Rechnern (z.B. Laptop und Desktop PC) ist die Dongle-Lösung zu empfehlen.


Upgrade

Die Standardversion von FKS WinControl kann um einzelne optionale Funktionen (zeitgesteuertes Speichern, Verbindung über Modem, Verbindung über Funkmodem und Alarmfunktionen) erweitert oder in die Profiversion (alle optionale Funktionen verfügbar) umgewandelt werden.

Dazu steht im Dialog "Hilfe/Info" die Schaltfläche Upgrade zur Verfügung. Über diese Schaltfläche gelangen Sie in den Dialog " FKS WinControl Lizenz Informationen". Die Verfahrensweise zur Freischaltung der zusätzlich erworbenen Funktionen bzw. des Upgrades auf die Professionalversion entspricht der der Registrierung.


liesmich.wri

Änderungen oder Ergänzungen zu FKS WinControl , die zur Zeit des Drucks noch nicht vorlagen, werden in der Datei liesmich.wri dokumentiert.


FKS WinControl in Stichpunkten

Mehr:

Eine Kurzbeschreibung

Die Programmfenster

On- und Offlineberechnungen - Rechenkanäle

Messcursoren / Statistikfunktion

Kontextsensitive Menüs


Eine Kurzbeschreibung

Unterstützte Messstellen

Mit FKS WinControl können Sie unter Windows beliebig viele Anlagen mit beliebig vielen Messstellen pro Anlage ansteuern. Unterstützt werden die Temperatur- und Klimaprüfkammern der Feutron Klimasimulation GmbH. Die Messstellen werden automatisch, nachdem Sie die Verbindung zwischen Rechner (Programm) und Anlage hergestellt haben, erkannt und aufgelistet. Das Einlesen der Messwerte erfolgt mit einer frei wählbaren Abtastrate.

Programmierung

Die Programmierung der Anlagen kann mit FKS WinControl vorgenommen werden.

Die entsprechenden Klimaprofile können individuell erstellt, in einer Datei abgespeichert und bei Bedarf wieder geladen werden. Ebenso können Klimaprofile aus einer Anlage ausgelesen werden

Die Programmierdateien werden ähnlich einer EXCEL-Tabelle editiert.

Protokolle

Optional werden neben dem Standard Feutron Protokoll auch weitere Protokolle unterstützt (siehe auch: Die optionalen Zusatz-Protokolle).

Verbindungen

In FKS WinControl wird jeder Anschluss zu Anlagen bzw. einem Netzwerk über eine Schnittstelle als Verbindung bezeichnet. Jeder Verbindung wird einer Schnittstelle (seriell, Netzwerk oder Modem) zugeordnet. Es können mehrere Verbindungen mit gleichen oder unterschiedlichen Schnittstellentypen gleichzeitig betrieben werden (siehe auch: Verbindungen verwalten).

Modembetrieb

Sollen Messwerte von Anlagen eingelesen werden, die räumlich getrennt vom Computer installiert wurde, so kann dies auch über eine Modemverbindung realisiert werden.

Telemetrie, Funkmodembetrieb

Kann die Verbindung von Anlagen zum Computer nicht per Draht (direkt oder per Telefon) hergestellt werden, so besteht die Möglichkeit der Kommunikation zwischen Computer und Anlagen mittels Funkmodulen.

Verbindungen über Ethernet

Anlagen , die an ein Ethernet angeschlossen sind oder über eine Verbindung zum Internet verfügen, können einzeln oder gemeinsam als ein Messsystem über eine TCP/IP- Verbindung angesprochen werden.

FKS WinControl als Datenserver

In der Serverbetriebsart von FKS WinControl ist es möglich, die erfassten Daten an bis zu 200 Clients weiterzugeben. Der Zugriff auf einen FKS WinControl Server kann beliebig über das Netzwerk (Firmennetzwerk oder Internet) erfolgen.

Remotezugriff

Mit REMOTE WinControl ist es möglich, die mit dem FKS WinControl Datenserver erfassten Messwerte zu übernehmen und mit allen, auch in FKS WinControl zur Verfügung stehenden Funktionen zu bearbeiten.

Messwertdarstellung

Die während einer Messung aufgenommenen Daten können Sie numerisch, als Balkendiagramm, in Analoganzeigen, in einer Tabelle, in einem Liniendiagramm und einem XY-Diagramm darstellen. Selbstverständlich ist es möglich, eine oder mehrere Messstellen gleichzeitig auf unterschiedliche Art und Weise anzuzeigen.

Messwertspeicherung

Für die Archivierung der Messwerte stehen Ihnen verschiedene Möglichkeiten zur Verfügung: Automatisches Speichern auf Festplatte, Speichern eines Liniendiagramms oder einer Tabelle, Speichern der Messreihen eines Liniendiagramms oder einer Tabelle in verschiedenen Formaten.

Störwertprotokoll

Eine Momentananzeige aller Grenzwertverletzungen und Fühlerbrüche erhalten Sie in einer Tabelle aller vorhandenen Messstellen (Messstellenliste) in den Analoganzeigen und in den Balkendiagrammen. Durch die Darstellung von Grenzwertlinien im Liniendiagramm sind Grenzwertverletzungen über den gesamten Messverlauf erkennbar. Unterbrechungen der Messung und Fühlerbrüche sind durch Unterbrechungen in der Messkurve sofort sichtbar. In den Tabellen erfolgt aine farbige Darstellung der Grenzwertverletzungen.

Alarmbehandlung

Alarmsituationen können sowohl aus den gemessenen als auch aus den berechneten Daten abgeleitet werden. Je nach Einstellung kann eine spezielle Ereignisliste erstellt und Reaktionen auf den Alarm (z. B. Start eines Programms, Versenden einer Email oder SMS) ausgelöst werden.

Auswertung

Über selbstdefinierte Rechenkanäle können erfasste Daten sowohl online als auch offline berechnet und dargestellt werden. Mittels zweier Messcursoren können die Messkurven der Liniendiagramme exakt betrachtet und mit der dazugehörigen Statistikfunktion ausgewertet werden. Außerdem haben Sie die Möglichkeit, die Daten per DDE, OLE, Zwischenablage und in verschiedenen Dateiformaten an weitere Auswerteprogramme zu übergeben und dort je nach Aufgabenstellung zu bearbeiten.

Ausdruck

Für technische Dokumentationen können Sie Diagramme, Tabellen sowie die Liste aller Messstellen mit dazugehörigen Korrekturwerten direkt mit FKS WinControl ausdrucken. Das Ergebnis kann zuvor in einer Seitenansicht betrachtet werden. Unterstützt werden alle Drucker und Plotter, für die ein Windows-Treiber existiert.

Dokumentation

Für die Erstellung üblicher Protokolltexte können Sie die Linien- und XY-Diagramme, Tabellen und Listen an Textverarbeitungsprogramme per DDE, per OLE und Zwischenablage übergeben.

Betriebssysteme

FKS WinControl ist als 32bit-Programm verfügbar und läuft unter Windows 2000 und neuer.

Offlinebetrieb

Mit dem Programm FKS WinControl können Sie sowohl im Online- als auch im Offlinebetrieb (auch gleichzeitig) arbeiten.

Bedienung

Über Tastaturkürzel und Werkzeugleiste haben Sie schnellen Zugriff auf die wichtigsten Funktionen. Ausführliche Hilfestellung wird über Funktionsbeschreibungen in der Statuszeile, Kurzhinweise in der Werkzeugleiste und vollständige kontextsensitive Hilfe gegeben.


Die Programmfenster

Mehr:

Messstellen, Anlagen und Verbindungen

Klimaprofil

Messwertanzeige

Balkendiagramm

Analoganzeige

Liniendiagramm

XY-Diagramm

Tabelle

Dateiübersicht

Projektbilder

Ereignisliste

Statusfenster


Messstellen, Anlagen und Verbindungen

Nach Programmstart bzw. nachdem Sie über den Dialog Verbindungseinstellungen die Verbindung von Computer und Anlage hergestellt haben, erscheint im Arbeitsbereich von FKS WinControl das Fenster "Messstellen, Anlagen und Verbindungen". Dieses Fenster enthält auf der Registerkarte "Messstellen" eine Liste aller vorhandenen Messstellen, aller Servicevariablen (optional) sowie aller definierten Rechenkanäle. Über den Dialog Eigenschaften der Messstellenliste und der Messstellen können Sie die Einrichtung der Messstellenliste, die Grenzwerte der Messstellen und die Definition der Rechenkanäle verändern.

Auf der Registerkarte " Anlagen " werden alle angeschlossenen Anlagen aufgelistet.

Neben dem Anlagennamen und der -familie werden die Typnummer, die Anlagennummer sowie die Auftragsnummer und die Versionsnummer angezeigt.

Auf der Registerkarte "Verbindungen" werden alle aktiven Verbindungen aufgelistet. Neben den Eigenschaften der Verbindung(en) wie COM-Port und Baudrate oder IP-Adresse und TCP-Port werden auch Informationen über aufgetretene Fehler und dem aktuellen Status angezeigt. Über den Dialog "Verbindungseigenschaften" können die Einstellungen einer Verbindung geändert werden.

Dieses Fenster ist während der gesamten Laufzeit von FKS WinControl aktiv und kann nicht geschlossen werden.


Klimaprofil

Klimaprofile sind Dateien, welche tabellarisch und grafisch ein anlageninternes Programm widerspiegeln. Über Klimaprofile können die Programme der Klimaschränke komfortabel erstellt, eingelesen, editiert und an die Anlage zurück gesendet werden. FKS WinControl unterstützt hierbei das bewährte CLIM und das neue CLM3-Format.


Messwertanzeige

FKS WinControl - eine Übersicht > FKS WinControl in Stichpunkten > Die Programmfenster

Messwertanzeige

Für die numerische Darstellung der Messwerte steht Ihnen der Fenstertyp Messwertanzeige zur Verfügung. Über den Dialog "Eigenschaften der Messwertanzeige" können Sie die darzustellenden Messstellen auswählen.

Wenn für die dargestellten Messstellen Grenzwerte vereinbart sind, so wird eine Über- oder Unterschreitung farblich hervorgehoben. Die Anzeige der Ziffern ist schwarz, wenn keine Grenzwertverletzung vorliegt, rot bei Grenzwertüberschreitung und blau bei Grenzwertunterschreitung.

Sie können beliebig viele Messwertanzeigen öffnen und gleichzeitig darstellen.


Balkendiagramm

FKS WinControl - eine Übersicht > FKS WinControl in Stichpunkten > Die Programmfenster

Balkendiagramm

Eine Variante der grafischen Messwertdarstellung sind die Balkendiagramme. Zu den wesentlichen Eigenschaften zählen die automatische Grenzwertüberwachung, die Kennzeichnung der Grenzwerte und die Anzeige des gemessenen Minimums und Maximums. Die Auswahl der anzuzeigenden Messstellen, sowie die Festlegung der Darstellungseigenschaften treffen Sie über den Dialog "Eigenschaften des Balkendiagramms".

Sie können beliebig viele Balkendiagramm-Fenster öffnen und gleichzeitig darstellen. Je Fenster können alle im System vorhandenen Messstellen angezeigt werden.


Analoganzeige

FKS WinControl - eine Übersicht > FKS WinControl in Stichpunkten > Die Programmfenster

Analoganzeige

Der Fenstertyp Analoganzeige soll der einfachen Visualisierung von Messdaten dienen. Dazu stehen die symbolischen Instrumente Bogen und Zeiger zur Verfügung. In jedem Fenster kann eines dieser Instrumente die Werte einer Messstelle darstellen. Zusätzlich zur analogen Anzeige wird der Messwert als Zahl dargestellt.

Wenn für die dargestellte Messstelle Grenzwerte vereinbart sind, so wird eine Über- oder Unterschreitung farblich hervorgehoben. Die Anzeige ist grün, wenn keine Grenzwertverletzung vorliegt, rot bei Grenzwertüberschreitung und blau bei Grenzwertunterschreitung.

Sie können beliebig viele Analoganzeigen öffnen und gleichzeitig darstellen. Je Fenster können alle im System vorhandenen Messstellen ausgewählt werden.


Liniendiagramm

FKS WinControl - eine Übersicht > FKS WinControl in Stichpunkten > Die Programmfenster

Liniendiagramm

Eine weitere Möglichkeit, die Messwerte darzustellen, steht Ihnen mit den Liniendiagrammen zur Verfügung. Im Gegensatz zur numerischen Messwertanzeige, der Analoganzeige und zu den Balkendiagrammen werden die Daten für ein Liniendiagramm im Hauptspeicher des Rechners gepuffert und Sie können diese während oder nach Beendigung eines Messvorganges als Datei sichern und auch zur Weiterverarbeitung per DDE oder Zwischenablage an eine Auswertesoftware (z.B. Tabellenkalkulation) übergeben. Entsprechend den anderen Fenstern, können Sie im Dialog "Eigenschaften des Liniendiagramms" alle Einstellungen für das Diagramm festlegen und die Auswahl der darzustellenden Messstellen treffen.

Mittels zweier Messcursoren können die Linien der Diagramme exakt betrachtet und mit der dazugehörigen Statistikfunktion ausgewertet werden. Diese Messcursoren stehen für alle geöffneten Liniendiagramme (auch gleichzeitig) sowohl on- als auch offline zur Verfügung.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen. Je Diagramm können beliebig viele Messstellen mit maximal vier Skalierungen angezeigt werden. Die Darstellung der Messwerte als Tabelle oder als XY-Diagramm ist jederzeit möglich.


XY-Diagramm

Anders als bei einem Liniendiagramm, bei dem ein Messverlauf immer über der Zeit dargestellt wird, können in einem XY-Diagramm Messwerte über einer anderen gemessenen oder berechneten physikalischen Größe abgebildet werden. Wie beim Liniendiagramm werden die Daten für ein XY-Diagramm im Hauptspeicher des Rechners gepuffert und Sie können diese während oder nach Beendigung eines Messvorganges als Datei sichern und auch zur Weiterverarbeitung per DDE, OLE oder Datei an eine Auswertesoftware (z.B. Tabellenkalkulation) übergeben. Entsprechend den anderen Fenstern, können Sie im Dialog "Eigenschaften des XY-Diagramms" alle Einstellungen für das Diagramm festlegen und die Auswahl der darzustellenden Messstellen treffen.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen. Je Diagramm können beliebig viele Messstellen mit maximal vier Skalierungen angezeigt werden. Die Darstellung der Messwerte als Tabelle oder als Liniendiagramm ist jederzeit möglich.


Tabelle

In der Tabellenansicht werden die Messwerte numerisch angezeigt und gleichzeitig, wie beim Liniendiagramm im Hauptspeicher des Rechners gepuffert. Sie können diese während oder nach Beendigung eines Messvorganges als Datei sichern und auch zur Weiterverarbeitung per DDE, OLE oder Zwischenablage an eine Auswertesoftware übergeben. Entsprechend den anderen Fenstern, können Sie im Dialog "Eigenschaften der Tabelle" alle Einstellungen für die Tabelle festlegen und die Auswahl der darzustellenden Messstellen treffen.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen. Je Tabelle können beliebig viele Messstellen angezeigt werden. Die Darstellung der Messwerte als Liniendiagramm oder als XY-Diagramm ist jederzeit möglich.


Dateiübersicht

FKS WinControl - eine Übersicht > FKS WinControl in Stichpunkten > Die Programmfenster

Dateiübersicht

Wurde eine Datei mit den Funktionen Messwerte/Automatisches Speichern oder Messwerte/Datenaufzeichnung auslesen erzeugt, wird diese Datei beim Öffnen als Dateiübersichtsfenster dargestellt. In diesem Fenster erscheint ein Text, der Sie über die wichtigsten Eigenschaften wie Aufnahmezeit, Messstellen, bestimmte Eigenschaften der Messstellen, Anmerkungen und gegebenenfalls einen Vermerk über den Import der Daten informiert.

Um aus einem aktiven Dateiübersichtsfenster ein neues Liniendiagramm, eine neue Tabelle oder ein neues XY-Diagramm zu erzeugen, wählen Sie die Funktion Messwerte/Neues Liniendiagramm, Messwerte/Neue Tabelle bzw. Messwerte/Neues XY-Diagramm.

Um die Ansicht des Datensatzes zu ändern, wählen Sie je nach Zielstellung den Befehl Ansicht/Darstellung als Liniendiagramm, den Befehl Ansicht/Darstellung als Tabelle oder den Befehl Ansicht/Darstellung als XY-Diagramm.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen.


Projektbilder

FKS WinControl bietet die Möglichkeit, in einem speziellen Fenster die Darstellung eines Messaufbaus anzuzeigen. Für die Gestaltung können Grafiken (Bitmaps, Enhanced Metafiles), frei positionierbare Textfelder, die erfassten Messwerte in frei positionierbaren Messwertfeldern (nur Zahlenwert und Rahmen) und Liniendiagramme dargestellt werden.

Zusammenhänge zwischen Messstellen können durch die Verbindung von Messwertanzeigen mit (farbigen) Linien verdeutlicht werden, womit die Darstellung einfacher Flussdiagramme problemlos möglich ist.

Liniendiagramme, die über die Zwischenablage als Enhanced Metafiles eingefügt wurden, können mit Hilfe von Textfeldern (mit transparentem Hintergrund) kommentiert werden.

Durch den Einsatz von Links, können Projektbilder zur Steuerzentrale werden: ein Klick auf ein Messwertfeld öffnet z.B. ein Liniendiagramm mit definierten Eigenschaften oder ein weiteres Projektbild.

Um ein Projektbild zu erstellen, führen Sie die Menüfunktion Messwerte/Neues Projektbild aus. Um die Eigenschaften des Projektbildes zu definieren rufen Sie über das Menü Ansicht/Diagrammeigenschaften, den Menüpunkt Diagrammeigenschaften im Kontextmenü oder über <Enter> den dazugehörigen Eigenschaftsdialog auf.

Um die gewünschten Objekte in ein Projektbild einzufügen, steht die Funktion Bearbeiten/Objekt einfügen... zur Verfügung. Über Bearbeiten/Zeichnen, können Zeichnungsobjekte (Linien, Polygone etc.) eingefügt werden.

Von jedem Typ können beliebig viele Objekte in einem Projektbild vereinbart werden. Ebenso können beliebig viele Projektbilder auch gleichzeitig im Programm aktiv sein. Damit lassen sich unter anderem auch Gesamt- und Detailansichten eines Projektes gleichzeitig präsentieren.

Ein erstelltes Projektbild kann als Datei gespeichert und entsprechend wieder geladen werden. Beim Laden eines gespeicherten Projektbildes ist im Standarddateidialog unter Dateityp „FKS Projektbilder (*.amb) auszuwählen.


Ereignisliste

Es kann festgelegt werden, dass ein Protokoll über alle aufgetretenen Alarmsituationen erstellt wird. Das heißt, bei entsprechend aktivierter Funktion wird im Alarmfall der Beginn und dann auch das Ende einer Störung in eine spezielle Liste (Fenster) eingetragen.

Diese Liste kann (auch automatisch) mit den dazugehörigen Messdaten gespeichert werden.


Statusfenster

Im Statusfenster wird der Betriebszustand der angeschlossenen Anlage(n) visualisiert.

Folgende Elemente sind enthalten:

· Anlagenname

· Betriebsstatus („Aktiv“, „Stopp“, „Aus“, „Störung“)

· Angaben zum laufenden Programm,

· Störungen

Über entsprechende Schaltflächen kann die Steuerung der in der Anlage vorhandenen Programme erfolgen.


On- und Offlineberechnungen - Rechenkanäle

Die mathematischen Funktionen des Programms bieten die Möglichkeit, aus den gemessenen Daten physikalische Größen zu berechnen.

Die gewünschten Größen werden über einen Formeleditor definiert und als Rechenkanal (virtuelle Messstelle) vereinbart.

Über diese Rechenkanäle können erfasste Daten sowohl online als auch offline weiterverarbeitet und dargestellt werden. Je nach Definition steht ein Rechenkanal als virtuelle Messstelle global im gesamten Programm zur Verfügung oder nur lokal in einem Datensatz (Linien- oder XY-Diagramm und Tabelle).

Mehr:

Globale Rechenkanäle

Lokale Rechenkanäle


Globale Rechenkanäle

Soll ein Rechenkanal im gesamten System zur Verfügung stehen, so erfolgt seine Definition über den Dialog "Eigenschaften der Messstellenliste und der Messstellen". Der Aufruf erfolgt bei aktivem Messstellenfenster über den Befehl Ansicht/Eigenschaften und Auswahl der Registerkarte "Rechenkanäle".

AUFRUF

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· durch Doppelklick mit der linken Maustaste in das aktuelle Messstellenfenster

· durch Einfachklick mit der rechten Maustaste in das aktuelle Messstellenfenster und Auswahl der Funktion "Rechenkanäle" aus dem kontextsensitiven Menü

· mit <ENTER> und Auswahl der Registerkarte "Rechenkanäle"

· über den Befehl Programmierung/Rechenkanäle


Lokale Rechenkanäle

Soll ein Rechenkanal nur in einem Datensatz (Diagramm oder Tabelle) zur Verfügung stehen, so erfolgt seine Definition über die Funktion Bearbeiten/Rechenkanal hinzufügen.

Dieser Befehl steht nur bei einem aktiviertem Datensatz (Linien- oder XY-Diagramm und Tabelle) zur Verfügung.

AUFRUF

Eine weitere Möglichkeit diesen Befehl auszuführen:

· durch Einfachklick mit der rechten Maustaste in das aktuelle Messstellenfenster und Auswahl der Funktion "Rechenkanal hinzufügen" aus dem kontextsensitiven Menü


Messcursoren / Statistikfunktion

Als weitere programmeigene Analysefunktion stehen zwei Messcursoren zur Verfügung, mit deren Hilfe die Messkurven der Liniendiagramme exakt betrachtet und mit der dazugehörigen Statistikfunktion ausgewertet werden können. Diese Messcursoren stehen für alle geöffneten Liniendiagramme (auch gleichzeitig) sowohl on- als auch offline zur Verfügung.

Um einen Kurvenverlauf zu analysieren, wird zunächst die Messwertdatei geöffnet und in der Ansicht „Liniendiagramm“ dargestellt. Im Menü Ansicht und über das kontextsensitive Menü steht die Funktion "Cursoren" zur Verfügung, über die die Messcursoren aktiviert und auch wieder deaktiviert werden können (siehe: Cursoren).

Bei aktivierten Cursoren, erscheinen diese als zwei senkrechte Linien im Diagramm und im unteren Teil des Liniendiagrammfensters eine Tabelle mit den unter den Cursoren befindlichen Messwerten aller Linien. In der ersten Zeile dieser Tabelle werden die Zeitstempel unter dem jeweiligen Cursor sowie deren Differenz angezeigt.

Weiterhin werden für jede im Liniendiagramm enthaltene Messkurve über die integrierte Statistikfunktion folgende Werte berechnet:

· Differenz der beiden, unter den Cursoren liegenden Messwerte

· Minimum, Maximum und Mittelwert des durch die Cursoren begrenzten Bereiches

· Differenz zwischen Minimum und Maximum

· Standardabweichung

Diese Werte werden ebenfalls in der Tabelle ausgegeben.

Das Größenverhältnis zwischen Liniendiagramm und Statistiktabelle kann individuell bestimmt werden. Wird der Mauszeiger über die Trennlinie zwischen Diagramm und Tabelle bewegt, ändert sich sein Aussehen und bei gedrückter linker Maustaste kann diese Trennlinie verschoben werden. Das Liniendiagramm wird dann in seiner Größe angepasst und die Tabelle entweder vollständig oder mit einem vertikalen Schiebebalken angezeigt.

Ausdruck

Für den Ausdruck stehen folgende Möglichkeiten zur Verfügung:

· direkter Ausdruck von Diagramm und Statistiktabelle

· direkter Ausdruck der Statistiktabelle

· Kopieren des Diagramms oder der Statistiktabelle über die Zwischenablage z.B. in Textdokumente oder Tabellenkalkulationen


Kontextsensitive Menüs

Aufgrund der unterschiedlichen Eigenschaften und Funktionen der Programmfenster, stehen für jedes Fenster unterschiedliche Menüfunktionen zur Verfügung. Dementsprechend wird für jedes aktive Fenster die Menüleiste von FKS WinControl automatisch angepasst. Die effektivste Methode, die wichtigsten Funktionen auf einem Blick zur Verfügung zu haben, sind die kontextsensitiven Menüs. Geöffnet werden diese durch Klick mit der rechten Maustaste in das jeweils aktive Fenster.


Integration und Vernetzung

FKS WinControl bietet vielfältige Möglichkeiten die Messdaten verschiedenster Gerätetypen zu erfassen und diese auch anderer Software zur Verfügung zu stellen. Hierdurch kann ein bestehendes Messsystem vereinfacht, durch neue Messtechnik erweitert oder in ein neues Messsystem mit FKS WinControl integriert werden. Es bestehen dabei weitreichende Möglichkeiten sowohl für den Im- als auch für den Export von Messdaten.

Gut zu wissen!

Sollten Sie ein Messsystem haben, dass Sie mit FKS WinControl erfassen oder mit Messdaten aus unserer Software versorgen möchten, dann melden Sie sich bitte bei uns (eMail: support@akrobit.de).

Mehr:

Messdaten erfassen

Messdaten übertragen


Messdaten erfassen

FKS WinControl kann mehrere Verbindungen zu unterschiedlichen Messgeräten parallel betreiben. Dabei können auch unterschiedliche Gerätetypen in FKS WinControl integriert werden. Alle verfügbaren Protokolle sind pro Verbindung in FKS WinControl auswählbar (siehe: Verbindungseinstellungen).

Mehr:

Universelle Messsysteme

Fremd- Software integrieren

WinControl Fernzugriff

Andere Messsysteme erfassen


Universelle Messsysteme

· ALMEMO: Erfassung von Daten aus ALMEMO Datenloggern der Firma Ahlborn (siehe auch: Das ALMEMO Protokoll).


Fremd- Software integrieren

· SimpleASCII: Erfassung von Daten aus anderer Software über ein text-basiertes Protokoll (siehe auch: Das SimpleASCII Protokoll).


WinControl Fernzugriff

· WinControl-Datenserver: Erfassung von Daten aus anderen WinControls und Mitgliedern der WinControl-Familie (siehe auch: Der Datenserver).


Andere Messsysteme erfassen

· DPM 373: Erfassung des Taupunktspiegel 373 der Firma MBW Calibration (siehe auch: Das Taupunktspiegel 373 Protokoll).

Gut zu wissen!

Wir können im Rahmen einer Sonderanpassung jederzeit weitere Protokolle für Sie in FKS WinControl implementieren.


Messdaten übertragen

Mehr:

Online Excel Export

Online OPC Export

Offline Export

Verbindungen zur Windows-Welt


Online Excel Export

Mit der Excelverbindung können aktuelle Messdaten online an MS Excel übertragen werden. Dabei können mehrere Excelverbindungen parallel aktiviert werden, die Daten in unterschiedliche Arbeitsmappen übertragen (siehe auch: Messwerte/Neue Excelverbindung).


Online OPC Export

FKS WinControl kann optional als Client nach dem OPC-DA Standard arbeiten. Über den OPC-Export ist es dann möglich aktuelle Messwerte beliebiger Messstellen aus FKS WinControl online an einen OPC Server im Netzwerk zu übermitteln (siehe auch: Der OPC Export).


Offline Export

Messdaten können natürlich auch nach deren Erfassung in verschiedene Formate exportiert werden (siehe auch: Datei/Exportieren). Dies kann manuell oder automatisch nach dem Dateiwechsel des Automatischen Speicherns erfolgen (siehe auch: Automatisches Speichern).


Verbindungen zur Windows-Welt

DDE

Wenn Sie gleichzeitig mehrere Applikationen in Ihrer Windowsumgebung gestartet haben, z. B. die Messwerterfassung und ein Tabellenkalkulationsprogramm, können Daten zwischen diesen Programmen ausgetauscht werden, ohne diese vorher in einer Datei oder in der Zwischenablage speichern zu müssen. So können Sie die gerade erfassten Messdaten (auch während einer laufenden Messung) sofort in der Tabellenkalkulation in gewohnter Weise analysieren.

OLE

Besonders für die Protokollierung sich häufig wiederholender Messungen empfiehlt sich z. B. die Kombination von Textverarbeitung und Messwerterfassung. So können Sie ein Liniendiagramm als ein Objekt in Ihrem Protokolltext einfügen, damit direkt aus der Textverarbeitung auf Funktionen der Messwerterfassung zugreifen und sofort nach Beendigung der Messung liegt das gewünschte Dokument vollständig vor (siehe auch: ein WinControl-Objekt in einem Textdokument einbetten).


Schnelleinstieg

Um einen schnellen Einstieg in das Programm zu bekommen, haben Sie die Möglichkeit anhand der "Ersten Schritte" die grundlegenden Abläufe kennen zu lernen. Dazu steht Ihnen online der Assistent "Erste Schritte mit FKS WinControl " zur Verfügung. Falls Sie lieber mit dem Handbuch arbeiten, finden Sie die im Assistenten aufgeführten Erläuterungen auch im Folgenden unter der Überschrift "Die ersten Schritte".

Mehr zum Thema:

Der Erste-Schritte-Assistent

Die ersten Schritte


Der Erste-Schritte-Assistent

Der Assistent "Erste Schritte mit FKS WinControl " erläutert online die ersten Schritte für die Arbeit mit FKS WinControl .

Je nach Programmeinstellung wird dieser Assistent automatisch bei Programmstart aufgerufen oder kann bei Bedarf über den Menübefehl Hilfe/Erste Schritte oder die Funktionstaste <F2> aktiviert werden.

Um Informationen zu einem bestimmten Thema zu erhalten, wählen Sie dieses Thema aus der Liste (links) mit einem Klick der linken Maustaste aus.

In die Texte mit den Erklärungen der einzelnen Punkte wurden Verknüpfungen eingefügt, die sich farblich vom Text abheben. Diese Verknüpfungen schlagen entweder verwandte Themen im Assistenten auf oder öffnen direkt den zum Thema gehörenden Dialog im Programm.

Soll dieser Assistent bei Programmstart nicht erscheinen, deaktivieren Sie das Kontrollkästchen im unteren Teil dieses Fensters. Mit der Schaltfläche "Schließen" wird der Assistent beendet.

Achtung!

Für eine korrekte Funktionsweise muss der Internetexplorer 3.0 oder höher (empfohlen: mindestens Version 5.5) installiert sein.


Die ersten Schritte

Anlagen anschließen

Schließen Sie Ihre Anlagen an eine freie serielle Schnittstelle Ihres Rechners an (COM1..COM9) und stellen Sie die Schnittstellengeschwindigkeit der Anlage ein (z.B. 9600 Baud). Öffnen Sie über den Menübefehl Einstellungen/Verbindung hinzufügen den Dialog "Verbindungseinstellungen“, wählen Sie dort die gleichen Einstellungen (Schnittstelle und Baudrate) aus und bestätigen Sie die Eingaben mit OK. Bei korrekten Eingaben wird der Dialog geschlossen und kurze Zeit darauf erscheinen die Messstellen und die Anlage im Fenster "Messstellen, Anlagen und Verbindungen" von FKS WinControl .

Messwertdatei anlegen

Um eine Datei festzulegen, in der alle Messwerte aufgezeichnet werden sollen, wählen Sie aus dem Menü "Messwerte" die Funktion Automatisches Speichern oder <F8>. Wählen Sie im erscheinenden Dialog die gewünschte(n) Messstelle(n) aus (Einfachklick mit der linken Maustaste in die Kontrollkästchen der Liste links neben den Messstellenbezeichnungen). Über die Schaltfläche Starten öffnen Sie einen Dateidialog, in dem Sie im Eingabefeld "Dateinamen" den Namen der Datei eingeben und mit OK abschließen. Nach dem Start der Messwertabfrage werden die Daten für alle ausgewählten Messstellen in dieser Datei gespeichert.

Messung starten

Zum Auslesen der Messwerte aus den angeschlossenen Anlagen müssen Sie die Messwertabfrage aktivieren (Menü Messwerte/Messwertabfrage oder <F12>). Die Messwerte werden dann zyklisch abgefragt. Je nach Programmeinstellung erscheint zuvor der Dialog "Automatisches Speichern" (siehe "Messwertdatei anlegen"). Möchten Sie die Messwerte nicht abspeichern, wählen Sie Abbrechen. Die Zykluszeit wird in der Statuszeile dargestellt (Feld dt:...). Sie kann über das Menü Einstellungen/Messzyklus (oder <Strg+Z>) verändert werden. Die Messwerte können nun in der Messwertanzeige, dem Balkendiagramm, in der Tabelle, im Linien- oder XY-Diagramm betrachtet werden.

Neue Messwertanzeige

Mit dem Menübefehl Messwerte/Neue Messwertanzeige (oder Klick mit der linken Maustaste auf das Symbol Messwertanzeige in der Werkzeugleiste) wird ein Fenster mit einer numerischen Anzeige geöffnet. Im zuvor erscheinenden Dialog "Eigenschaften der Messwertanzeige" wählen Sie die gewünschte(n) Messstelle(n) aus (Taste <STRG> + Klick mit der linken Maustaste auf die Messstelle in der Liste) und bestätigen dies mit OK. Die erscheinende Anzeige kann wunschgemäß platziert und die Größe verändert werden. Bei aktivierter Messwertabfrage (siehe Thema "Messung starten") erscheinen mit dem nächsten Messzyklus die aktuellen Messwerte.

Neues Balkendiagramm

Mit dem Menübefehl Messwerte/Neues Balkendiagramm oder <F6> wird ein Balkendiagrammfenster geöffnet. Im erscheinenden Dialog "Eigenschaften des Balkendiagramms" können Sie die gewünschte(n) Messstelle(n) für das Diagramm auswählen. Wählen Sie dazu jeweils die Messstelle in der Liste und aktivieren Sie dann das Kontrollkästchen links neben dem Eintrag. Nach erfolgter Auswahl bestätigen Sie mit OK. Bei aktivierter Messwertabfrage (siehe "Messung starten") werden mit dem nächsten Messzyklus die aktuellen Messwerte dargestellt. Das Fenster kann beliebig platziert und in der Größe verändert werden.

Neue Tabelle

Mit dem Menübefehl Messwerte/Neue Tabelle oder <F10> wird ein Tabellenfenster geöffnet. Im erscheinenden Dialog "Eigenschaften der Tabelle" können Sie die gewünschte(n) Messstelle(n) für die Tabelle auswählen. Wählen Sie dazu jeweils die Messstelle in der Liste und aktivieren Sie dann das Kontrollkästchen links neben dem Eintrag. Nach erfolgter Auswahl bestätigen Sie mit OK. Bei aktivierter Messwertabfrage (siehe "Messung starten") werden mit dem nächsten Messzyklus die aktuellen Messwerte in der Tabelle eingetragen. Das Fenster kann beliebig platziert und in der Größe verändert werden.

Neues XY-Diagramm

Mit dem Menübefehl Messwerte/Neues XY-Diagramm oder <F11> wird ein XY-Diagrammfenster geöffnet. Im erscheinenden Dialog "Eigenschaften des XY-Diagramms" können Sie die gewünschten Messstellen für das Diagramm auswählen. Bestimmen Sie in dem Listenfeld eine Messstelle als X-Achse. Für die Y-Achsen treffen Sie Ihre Wahl in der Messstellenliste durch Aktivieren der Kontrollkästchen. Weitere Einstellungen erfolgen analog zum Liniendiagramm. Bestätigen Sie mit OK. Bei aktivierter Messwertabfrage (siehe "Messung starten") werden mit dem nächsten Messzyklus die aktuellen Messwerte dargestellt. Das Fenster kann beliebig platziert und in der Größe verändert werden.

Neues Liniendiagramm

Mit dem Menübefehl Messwerte/Neues Liniendiagramm oder <F5> wird ein Liniendiagrammfenster geöffnet. Im erscheinenden Dialog "Eigenschaften des Liniendiagramms" können Sie die gewünschte(n) Messstelle(n) für das Diagramm auswählen. Wählen Sie dazu die Messstellen in der Messstellenliste durch Aktivieren der Kontrollkästchen. Bestätigen Sie mit OK. Bei aktivierter Messwertabfrage (siehe "Messung starten") werden mit dem nächsten Messzyklus die aktuellen Messwerte dargestellt. Das Fenster kann beliebig platziert und in der Größe verändert werden.

Liniendiagramm ändern

Öffnen Sie den Eigenschaftendialog des Liniendiagramms durch drücken von <ENTER> bei aktivem Diagrammfenster. Um die Farbe(n) der Kennlinie(n) zu ändern, wählen Sie die entsprechende Messstelle in der Liste und dann die gewünschte Farbe aus der Farbliste. Für die Darstellung der Grenzwerte einer Messstelle, wählen Sie diese Messstelle in der Liste aus und aktivieren dann das Kontrollkästchen "Grenzwerte einzeichnen" Soll einer Messstelle eine andere Y-Achse zugeordnet werden, wählen Sie diese Messstelle in der Liste aus und klicken Sie danach auf die gewünschte Y-Achse. Um das Diagramm mit einem Gitter zu hinterlegen, aktivieren Sie das Kontrollkästchen "Gitter einzeichnen".

Liniendiagramm speichern

Um ein Liniendiagramm zu speichern, aktivieren Sie dieses (Klick mit der linken Maustaste in das Fenster) und führen Sie den Menübefehl "Datei/Speichern unter" aus. Im erscheinenden Dateidialog geben Sie im Eingabefeld "Dateinamen" den Namen der Datei ein. Wählen Sie außerdem das Laufwerk und das Verzeichnis aus, in dem die Datei stehen soll.

Liniendiagramm kopieren

Sie können ein WinControl Liniendiagramm auch in Ihre Protokolltexte einbinden! Aktivieren Sie dazu in WinControl das Liniendiagramm (Klick mit der linken Maustaste in das Fenster) und führen Sie den Menübefehl Bearbeiten/Kopieren aus. Öffnen Sie Ihre Textverarbeitung mit dem gewünschten Text und positionieren Sie den Cursor an der Stelle, an der das Liniendiagramm eingefügt werden soll. Führen Sie in der Textverarbeitung den Menübefehl Bearbeiten/Einfügen aus.

Alarm und Ereignisliste

Über das Menü Einstellungen/Alarm öffnen Sie einen Dialog, über den alle Alarmeinstellungen vorgenommen werden können. Die Einstellungen sind nach Kategorien auf verschiedene Registerkarten verteilt:

· Auf der Registerkarte "Alarm" legen Sie fest, ob überhaupt ein Alarm ausgelöst werden soll. Alle anderen Einstellungen werden nur dann wirksam, wenn diese Option aktiviert ist.

· Auf der Registerkarte "Alarm Reaktionen" kann die Option "Eintrag in Ereignisliste" aktiviert werden, um ein Bildschirmprotokoll von Alarmen und Statusmeldungen anzuzeigen.

· Auf der Registerkarte "Erinnerung" kann eine Zeitspanne > 0 eingestellt werden, damit Alarmmeldungen für eine gewisse Zeit unterdrückt werden, wenn eine Bestätigung am Bildschirm erfolgte, aber die Alarmsituation noch anliegt.

Messung beenden

Beenden Sie die Messwertabfrage mit dem Menübefehl Messwerte/Messwertabfrage, der Funktionstaste <F12> oder durch Anklicken der roten Start/Stop-Schaltfläche ganz links in der Werkzeugleiste. In der Statuszeile erscheint daraufhin im Feld dt "STOP". Zum Schließen der Messwertdatei (siehe "Messwertdatei anlegen") rufen Sie den Menüpunkt Messwerte/Automatisches Speichern auf und wählen "Beenden".

Messwertdatei betrachten

Über den Menübefehl Datei/Öffnen können Sie eine gespeicherte Datei einlesen. Je nach Einstellung wird ein Liniendiagramm, ein XY-Diagramm, eine Tabelle oder ein Textfenster mit den wichtigsten Dateiinformationen geöffnet. Über den Menübefehl Ansicht/Darstellung als... kann der geöffnete Datensatz in den verschiedenen Darstellungsarten betrachtet werden. Jede Ansicht kann über den dazugehörigen Eigenschaftendialog wunschgemäß verändert werden.

Achtung!

Das Entfernen von Messstellen bedeutet, dass diese in der Datei gelöscht werden. Verwenden Sie für die Vereinzelung von Messstellen die Befehle Messwerte/Neu... (Siehe "Messreihen vereinzeln").

Messreihen vereinzeln

Um Messreihen einer Datei aufzuteilen, wählen Sie für diese Datei die Ansicht "Dateiübersicht" (Ansicht/Darstellung als Übersicht). Öffnen Sie durch Klick mit der rechten Maustaste in das aktive Fenster das kontextsensitive Menü. Führen Sie je nach Zielstellung einen der Befehle "Neue Tabelle", "Neues Liniendiagramm" oder "Neues XY-Diagramm" aus. Wählen Sie im Eigenschaftendialog die gewünschten Messstellen für die neue Datei aus und bestätigen mit OK. Danach aktivieren Sie wieder das Fenster mit den Dateiinformationen und führen die Funktion "Neue..." und die Messstellenauswahl erneut aus.


Das Hauptfenster

Das Hauptfenster bildet den Rahmen für alle Arbeiten mit FKS WinControl . Alle Aktionen laufen innerhalb dieses Fensters ab und können innerhalb dieses Fensters oder mit ihm zum Symbol verkleinert werden und im Hintergrund weiterarbeiten. Alle ausführbaren Arbeiten können Sie über die Menübefehle starten. Es werden immer nur die Befehle angezeigt, die in der jeweiligen Situation auch ausgeführt werden können. Für eine schnellere Bedienung stehen für die häufiger auftretenden Arbeitsschritte Tastaturkürzel und Symbole in der Werkzeugleiste zu Verfügung. Ausführliche Hilfestellungen erhalten Sie über Funktionsbeschreibungen in der Statuszeile, Kurzhinweise in der Werkzeugleiste und einem vollständig kontextsensitiven Hilfesystem.

Unmittelbar nach Programmstart erscheinen das Fenster "Messstellen, Anlagen und Verbindungen" und alle anderen Fenster, die beim letzten Beenden des Programms geöffnet waren. Wurde der automatische Aufruf des Erste Schritte-Assistenten deaktiviert und es ist keine Verbindung zu einer Anlage eingerichtet, erscheint der Dialog Verbindungseinstellungen.

Gut zu wissen!

Sind bereits Verbindungen konfiguriert und deaktiviert, erscheint der Dialog Verbindungen verwalten.


Das Fenster "Messstellen, Anlagen und Verbindungen"

Messstellen

Alle an der Anlage bzw. den Anlagen angeschlossenen Sensoren werden sofort nach Herstellen der Verbindung zwischen Anlage und Software erkannt und im Fenster "Messstellen, Anlagen und Verbindungen" auf der Registerkarte "Messstellen" angezeigt.

Die angezeigte Liste enthält u. a. folgende Elemente: Kommentar, Gerät, Messstelle, Messgröße, Sensor, Grenzwerte sowie Symbole für Grenzwertverletzungen, Fühlerbruch, Automatisches Speichern und die Mittelwertbildung beim Automatischen Speichern.

In der Spalte "Status" wird der aktuelle Zustand einer Messstelle beschrieben. Dazu stehen folgende Symbole zur Verfügung:

· Grenzwertüber- und -unterschreitung ( [image] [image] )

· Fühlerbruch ( [image] )

· Automatisches Speichern ( [image] )

· Mittelwertbildung beim Automatischen Speichern ( [image] )

· Warten auf den Start des Zeitgesteuerten Automatischen Speicherns ( [image] )

Die jeweiligen Symbole erscheinen nur so lange, wie der entsprechende Zustand andauert.

In der Spalte "Überwachung" werden alle bisher aufgetretenen Alarm-Zustände angezeigt. Dazu stehen folgende Symbole zur Verfügung:

· Grenzwertüber- und -unterschreitung ( [image] [image] )

· Fühlerbruch ( [image] )

Diese Anzeige bleibt bestehen, auch wenn die Störung nicht mehr anliegt. Über die Schaltfläche Überw. zurücks. im Dialog "Eigenschaften der Messstellenliste" kann die Anzeige gelöscht werden.

Außerdem werden alle als virtuelle Messstellen definierten Rechenkanäle mit in der Liste aufgeführt.

Anlagen

Neben der Messstellenliste steht sofort nach aktivierter Verbindung zwischen Programm und Messgerät auf der Registerkarte " Anlagen " eine Liste der Anlagen zur Verfügung.

In dieser Tabelle werden alle statischen Parameter (Name, Typ, Version, usw.) der angeschlossenen Anlagen aufgelistet.

Verbindungen

In FKS WinControl wird jeder Anschluss zu einer Anlage bzw. einem Anlagennetzwerk über eine Schnittstelle als Verbindung bezeichnet. Jeder Verbindung wird eine Schnittstelle (seriell, Netzwerk oder Modem) zugeordnet. Es können mehrere Verbindungen mit gleichen oder unterschiedlichen Schnittstellentypen gleichzeitig betrieben werden (abhängig von der erworbenen Programmversion).

Auf der Registerkarte "Verbindungen" werden alle aktiven Verbindungen aufgelistet. Neben den Eigenschaften der Verbindung(en) wie COM-Port und Baudrate oder IP-Adresse und TCP-Port werden auch Informationen über aufgetretene Fehler und dem aktuellen Status angezeigt. Über den Dialog Verbindungen verwalten können die Einstellungen der Verbindungen geändert werden.

Das Fenster "Messstellen, Anlagen und Verbindungen" ist während der gesamten Programmlaufzeit aktiv und wird automatisch bei Wegfall oder Hinzukommen von Anlagen bzw. Messstellen und Verbindungen aktualisiert.

Mehr:

Eigenschaften der Messstellenliste und der Messstellen

Eigenschaften der Geräteliste und Anlagen

Verbindungen verwalten

Verbindungseinstellungen


Eigenschaften der Messstellenliste und der Messstellen

Über den Dialog "Eigenschaften der Messstellenliste und der Messstellen" können Sie die Eigenschaften der Messstellenliste, die Programmierung der Messstellen und die Definition der Rechenkanäle durchführen.

Je nachdem welche Einstellungen vorgenommen werden sollen, können Sie die gewünschte Registerkarte des Dialogs durch einen einfachen Klick mit der linken Maustaste auf den entsprechenden Reiter in den Vordergrund holen.

Mehr zum Thema:

Eigenschaften der Messstellenliste

Eigenschaften der Messstellen

Extern

Eigenschaften der Rechenkanäle

Dialog "Rechenkanal Hinzufügen"


Eigenschaften der Messstellenliste

FKS WinControl - Die Programmfenster > Das Fenster "Messstellen, Anlagen und Verbindungen" > Eigenschaften der Messstellenliste und der Messstellen

Eigenschaften der Messstellenliste

Auf der Registerkarte "Messstellenliste" können Sie über die Kontrollkästchen auswählen, welche Informationen zu den Messstellen in der Liste angezeigt werden sollen. Klicken sie dazu mit der linken Maustaste auf den jeweiligen Text bzw. in das Kontrollkästchen links neben diesem Text.

Bei angewählter "Dauer-Überwachung" werden während einer Messung auftretende Störwerte angezeigt. Diese Anzeige bleibt bestehen, auch wenn die Störung nicht mehr gegeben ist. Über die Schaltfläche Überw. zurücks. kann die Anzeige gelöscht werden. Unabhängig davon werden alle Störwerte in einer Momentananzeige in der ersten Spalte der Messstellenliste angezeigt.

Im Eingabefeld "Fenstertitel" kann ein anderer, sachbezogener Namen für das Fenster festlegt werden.


Eigenschaften der Messstellen

FKS WinControl - Die Programmfenster > Das Fenster "Messstellen, Anlagen und Verbindungen" > Eigenschaften der Messstellenliste und der Messstellen

Eigenschaften der Messstellen

Auf der Registerkarte "Messstellen" können Sie die Eigenschaften der Messstellen umprogrammieren. Dazu steht Ihnen ein Auszug der Tabelle aus dem Messstellenfenster zur Verfügung.

Diese Tabelle enthält die nicht veränderbaren Elemente "Messstelle" und "Einheit", sowie die veränderbaren Elemente "Kommentar", "Grenzwert Min" und "Grenzwert Max".

Um eine Einstellung umzuprogrammieren, klicken Sie mit dem Mauszeiger in das entsprechende Tabellenelement und geben den gewünschten Wert ein.

Kommentar

Anstelle der anlageninternen Namen der Messstellen können eigene, aussagekräftige Namen für Messstellen vereinbart werden. Die Länge eines Kommentars ist auf 15 Zeichen beschränkt. Der Kommentar darf Buchstaben, Zahlen und Leerzeichen enthalten, allerdings werden führende Leerzeichen abgeschnitten.

Oberer und unterer Grenzwert

Für jede Messstelle können Grenzwerte eingestellt werden, deren Über- oder Unterschreitung durch die Überwachungsfunktion des Hauptfensters signalisiert wird.

Achtung!

Diese Eigenschaften werden nicht an die Anlage übertragen, sondern nur lokal innerhalb der Software verwendet.


Extern

Auf der Registerkarte "Extern" können die Eigenschaften der externen Messstellen festgelegt werden. Hier lassen sich der Kommentar, die Einheit sowie die Grenzwerte definieren.

Die auf diese Weise vorgenommenen Einstellungen werden in der aktuellen Konfiguration gespeichert. Beim nächsten Programmstart stehen diese Definitionen automatisch wieder zur Verfügung.


Eigenschaften der Rechenkanäle

FKS WinControl - Die Programmfenster > Das Fenster "Messstellen, Anlagen und Verbindungen" > Eigenschaften der Messstellenliste und der Messstellen

Eigenschaften der Rechenkanäle

Auf der Registerkarte "Rechenkanäle" können Sie die Definition von globalen Rechenkanälen vornehmen. Dazu stehen Ihnen die folgenden Dialogfeldoptionen zur Verfügung.

Messstelle:

Durch einfachen Klick mit der linken Maustaste auf die angezeigte Messstelle wird eine Liste aller vorhandenen virtuellen Messstellen geöffnet. Um aus der Listbox den gewünschten Rechenkanal auszuwählen, klicken Sie diesen mit der linken Maustaste an. Damit erscheinen in allen anderen Feldern die aktuellen Einstellungen dieser virtuellen Messstelle.

Gut zu wissen!

Ein Doppelklick mit der linken Maustaste auf die Zeile des Rechenkanals im Fenster "Messstellen" öffnet diesen Dialog mit den Einstellungen dieses Rechenkanals.

Kommentar:

Den Rechenkanälen kann wie den Messstellen der Anlagen ein Kommentar (fünfzehn Zeichen) zugewiesen werden. Dieser Kommentar wird vom Programm neben der Messstellennummer zur Kennzeichnung der Messreihen verwendet und erleichtert so die jeweilige Zuordnung.

Einheit:

Die Einheit der zu berechnenden Größe kann in das Editierfeld eingegeben werden (vier Zeichen).

Unterer/Oberer Grenzwert:

Geben Sie in die entsprechenden Editierfelder die gewünschten Werte ein. Als Dezimaltrennzeichen muss der Punkt verwendet werden.

Nachkommastellen:

Geben Sie in die diesem Editierfeld an, mit wieviel Nachkommastellen die zu berechnende Größe dargestellt werden soll. Die Berechnung erfolgt unabhängig davon immer mit einer Genauigkeit von sechs Nachkommastellen.

Formel:

Geben Sie die für die gewünschte Berechnung notwendige Formel in dieses Editierfeld ein. Beachten Sie bitte die Festlegungen für die Erstellung von Formeln (siehe auch: Vereinbarungen für die Formeleingabe).

Es ist möglich, eine erstellte Formel zu speichern und später wieder aufzurufen. Dazu stehen die Schaltflächen Speichern und Laden zur Verfügung. Nach einfachen Klick mit der linken Maustaste auf die jeweilige Schaltfläche erscheint ein Standarddateidialog, in dem ein Name für die zu speichernde Datei (Formel) einzugeben ist bzw. die gewünschte Formel ausgewählt und mit OK geladen werden kann.

Zum Editieren der Formeln stehen selbstverständlich die Standardeditierfunktionen zur Verfügung.

Übernehmen:

Durch einfachen Klick mit der linken Maustaste auf die Schaltfläche Übernehmen wird der Rechenkanal als virtuelle Messstelle mit den aktuellen Werten in die Messstellenliste eingetragen. Mit jeder ausgeführten Messung wird der Wert mit den aktuellen Messdaten berechnet und wie die Werte der physikalischen Messstellen zur Verfügung gestellt.

Entfernen:

Durch einfachen Klick mit der linken Maustaste auf die Schaltfläche Entfernen wird der angezeigte Rechenkanal aus der Messstellenliste gelöscht.

Hinzufügen:

Über die Schaltfläche Hinzufügen können neue Rechenkanäle in die Messstellenliste aufgenommen werden. Im erscheinenden Dialog "Rechenkanal Hinzufügen" ist dazu die Nummer des Rechenkanals einzugeben. Um mehr als 100 Rechenkanäle zu definieren, können für das Hinzufügen eines Rechenkanals die Gerätenummern 80..85 vergeben werden.

Achtung!

Durch die Vergabe der Gerätenummern 80..85 für die Rechenkanäle wird eine Doppelbelegung der Messstellennummer durch späteres Hinzufügen von physikalischen Messstellen oder durch Hinzufügen von Rechenkanälen in Diagrammen oder Tabellen weitestgehend jedoch nicht 100%ig ausgeschlossen.


Dialog "Rechenkanal Hinzufügen"

Über den Dialog "Rechenkanal Hinzufügen" kann ein neuer Rechenkanal eingerichtet werden. Es werden die Kanalnummer, Kommentar, Einheit, Grenzwerte und Nachkommastellen sowie die Formel für die zu berechnende Größe festgelegt (siehe auch: Vereinbarungen für die Formeleingabe).


Eigenschaften der Geräteliste und Anlagen

Auf der Registerkarte "Anlagen" werden folgende Eigenschaften der angeschlossene(n) Anlage(n) angezeigt:

· Anlagenname

· Anlagenfamilie

· Typnummer

· Anlagennummer

· Auftragsnummer

· Versionsnummer

Da diese nicht verändert werden können, existiert auch kein Eigenschaftsdialog.


Verbindungen verwalten

Ein Doppelklick auf die Liste der vorhandenen Verbindungen im Fenster "Messstellen, Anlagen und Verbindungen" oder der Aufruf des Menüs "Einstellungen/Verbindungen verwalten..." öffnet den Dialog "Verbindungen verwalten". Nach der Auswahl einer Verbindung aus der erscheinenden Liste kann diese aktiviert oder deaktiviert werden, es können Verbindungen entfernt oder hinzugefügt und der jeweilige Eigenschaftendialog aufgerufen werden.

Die Reihenfolge der Verbindungen in der Tabelle richtet sich nach der jeweils ersten Gerätenummer in der Verbindung.

Hinzufügen

Über die Schaltfläche Hinzufügen wird zunächst der Dialog Verbindungseinstellungen aufgerufen, in dem alle Eigenschaften der neuen Verbindung festgelegt werden können. Nach Beenden dieses Dialogs mit OK, steht dann diese neue Verbindung zur Verfügung.

Entfernen

Über die Schaltfläche Entfernen kann eine aus der Liste ausgewählte Verbindung entfernt werden. Dies löscht alle mit der Verbindung vorgenommenen Einstellungen und Eigenschaften und die Verbindung steht danach nicht mehr zur Verfügung.

Eigenschaften

Über die Schaltfläche Eigenschaften wird der Dialog Verbindungseinstellungen aufgerufen. In diesem können die Eigenschaften der Verbindung eingesehen und verändert werden.

Aktivieren / Deaktivieren

Über die Schaltflächen Aktivieren und Deaktivieren besteht die Möglichkeit, Verbindungen zu aktivieren und zu deaktivieren. Eine aktive Verbindung überträgt Daten, die Messstellen und Anlagen dieser Verbindung sind in FKS WinControl verfügbar. Eine deaktivierte Verbindung überträgt keine Daten, die Messstellen und Anlagen dieser Verbindung sind in FKS WinControl nicht verfügbar.

Es können beliebig viele Verbindungen angelegt werden, von denen eine beliebige Anzahl aktiv sein kann (abhängig von der erworbenen Programmversion). Um jedoch Messwerte zu erfassen, muss mindestens eine Verbindung aktiv sein und über diese Verbindung muss eine Anlage mit mindestens einer Messstelle erreichbar sein.

Achtung!

Auch wenn mehrere Verbindungen gleichzeitig benutzt werden, müssen die Gerätenummern in allen Verbindungen eindeutig sein! Die Software gibt eine entsprechende Fehlermeldung aus, wenn eine Verbindung angelegt oder aktiviert werden soll, und eine dort eingestellte Gerätenummer wird bereits in einer anderen aktiven Verbindung benutzt.

Gut zu wissen!

Da auf modernen PC Systemen die maximale Übertragungsdauer weniger durch die verfügbare Rechenleistung sondern mehr durch die Bandbreite der Kommunikationskanäle beeinflusst wird, kann die maximale Geschwindigkeit der Datenerfassung mit mehreren Anlagen dadurch erhöht werden, indem die Anlagen an je eine andere Schnittstelle angeschlossen wird und jeder Schnittstelle eine eigene Verbindung zugewiesen wird.

Alle Verbindungen, die beim Beenden des Programms aktiv waren, werden beim nächsten Start automatisch wieder aktiviert, deaktivierte Verbindungen bleiben inaktiv.


Verbindungseinstellungen

Über die Schaltflächen Eigenschaften und Hinzufügen aus dem Dialog "Verbindungen verwalten" und über das Menü "Einstellungen/Verbindung hinzufügen" wird der Dialog "Verbindungseinstellungen" geöffnet. In diesem Dialog kann eine neue Verbindung definiert werden oder die Eigenschaften einer bestehenden Verbindung können eingesehen und/oder verändert werden.

Dazu gehören die optionale Vergabe einer Bezeichnung für die Verbindung, das gewünschte Protokoll, der Typ der zu verwendenden Schnittstelle (seriell, Netzwerk oder Modem) und deren spezifische Einstellungen.

Mehr zum Thema:

Protokollauswahl

Serielle Schnittstelle

Netzwerk

Modem

Gerätenummern

Erweiterte Einstellungen


Protokollauswahl

FKS WinControl - Die Programmfenster > Das Fenster "Messstellen, Anlagen und Verbindungen" > Verbindungseinstellungen

Protokollauswahl

Das Standardprotokoll ist das Feutron Protokoll, das automatisch für neue Verbindungen voreingestellt wird und das immer verfügbar ist.

Als Zusatzmodul sind optional weitere Protokolle verfügbar, beispielsweise das SimpleASCII-Protokoll (Details siehe: Das SimpleASCII Protokoll).


Serielle Schnittstelle

Beim Anschluss der Anlagen über die RS232 Schnittstelle muss dieser Verbindungstyp ausgewählt werden. Die Angabe des COM-Port, an dem die Anlage angeschlossen ist und die Einstellung der richtigen Baudrate sind unbedingt notwendig, wenn eine Kommunikation über diese Verbindung erfolgen soll.

Die real am System installierten COM-Ports werden im Auswahlfeld fett hervorgehoben.


Netzwerk

Soll die Anlage über das Netzwerk (Internet, Intranet) mit dem PC verbunden werden, so muss der Verbindungstyp „Netzwerk“ ausgewählt werden. Die Angabe der richtigen Zieladresse, entweder in Form einer IP-Adresse oder als symbolischer Name sowie des richtigen Ports sind unbedingt notwendig, wenn eine Kommunikation über diese Verbindung erfolgen soll.


Modem

FKS WinControl kann die Verbindung zur Anlage auch über ein Modem herstellen. Dazu ist der Verbindungstyp "Modem" zu wählen.

Es muss der COM-Port ausgewählt werden, an dem das Modem angeschlossen ist und die Baudrate ist auf den Wert einzustellen, der auch vom Modem verwendet wird.


Gerätenummern

FKS WinControl - Die Programmfenster > Das Fenster "Messstellen, Anlagen und Verbindungen" > Verbindungseinstellungen

Gerätenummern

Unabhängig von Schnittstellentyp und Protokoll ist die Auswahl der Gerätenummern. Diese können direkt in das entsprechende Feld eingetragen werden. Zusammenhängende Bereiche werden in der Form "Erste Gerätenummer" – "Letzte Gerätenummer" angegeben, einzelne Geräte oder Bereiche werden durch Komma getrennt.

Achtung!

Es ist für den ordnungsgemäßen Betrieb der Software notwendig, dass hier nur Geräteadressen angegeben werden, die auch tatsächlich existieren, denn die Software geht davon aus, dass mit den angegebenen Geräten eine Kommunikation stattfinden soll. Für jede nicht existierende Gerätenummer wird dann regelmäßig versucht, Befehle zum Auslesen der Konfiguration bzw. zur Ausgabe von Messwerten zu senden. Da in diesem Fall keine Antwort kommt, wird immer die eingestellte Wartezeit erreicht, was zu Verzögerungen in der Messwerterfassung führt!

Um die Eingabe bei mehreren Anlagen zu vereinfachen, kann über die Schaltfläche "Auswahl" ein Dialog aufgeschlagen werden, in dem einfach alle vorhandenen Geräte mit der Maus selektiert werden.

Über die Schaltfläche Suche... im Dialog "Verbindungseinstellungen" kann automatisch nach angeschlossenen Anlagen gesucht werden. Das ist besonders hilfreich, wenn die Geräteadressen unbekannt sind.

Während der Suche werden die gefundenen Anlagen sowie der aktuelle Fortschritt angezeigt. Über einen Klick auf die Schaltfläche OK kann die Suche jederzeit beendet werden. Die bis dahin gefundenen Geräte werden automatisch übernommen.

Mit der Schaltfläche "Einstellungen" im Suchdialog können weitere Bedienelemente eingeblendet werden, um bei Bedarf den zu durchsuchenden Gerätebereich und die Antwortzeitspanne anzupassen.

Gut zu wissen!

Die geänderten Einstellungen werden erst nach einem Klick auf "Suche erneut starten" wirksam!

Über die Schaltfläche "Abbrechen" kann der Dialog zu jedem Zeitpunkt geschlossen werden, die gefundenen Anlagen werden jedoch nicht in den Verbindungsdialog übernommen!

Gut zu wissen!

Die automatische Suche nach Anlagen ist nur bei eingestelltem Feutron -Protokoll verfügbar und funktioniert nur dann, wenn die ausgewählte Schnittstelle nicht bereits verwendet wird. Das ist beispielsweise auch der Fall, wenn die Suche auf einer bereits aktivierten Verbindung gestartet wird. In diesem Fall empfiehlt es sich, die Verbindung zunächst zu deaktivieren und anschließend den Einstellungsdialog erneut zu öffnen.


Erweiterte Einstellungen

Über die Schaltfläche Erweitert… kann der Dialog "Erweiterte Verbindungseinstellungen" aufgeschlagen werden, der zusätzliche Einstellungen erlaubt. Die Eingabefelder für diese Einstellungen sind thematisch auf folgenden Registerkarten angeordnet:

· Feutron Protokoll

· Neuverbinden

· COM Port

· Modem

· Wählverbindung

Je nach ausgewähltem Verbindungstyp sind davon nur diejenigen verfügbar, die für diesen Verbindungstyp relevant sind.

Registerkarte "Feutron Protokoll"

Diese Registerkarte steht für alle Verbindungen zur Verfügung, über die auf Feutron Anlagen zugegriffen wird. Hier werden alle Einstellungen vorgenommen, die sich speziell auf die Feutron Anlagen auswirken.

Im Einzelnen bewirken die Einstellungen Folgendes:

Servicevariablen anzeigen: Durch das Aktivieren dieser Option werden automatisch zusätzliche Messstellen angelegt, in denen die Werte der Systemvariablen der Anlagen dieser Verbindung dargestellt werden.

Wartezeit: Angabe einer Zeitspanne in Millisekunden, die FKS WinControl wartet, bis eine Antwort auf den gesendeten Befehl von der Anlage eingetroffen ist. Erst nach Ablauf dieser Zeitspanne wird der Befehl ggf. wiederholt oder mit dem nächsten Befehl fortgefahren.

Registerkarte "Neuverbinden"

Diese Registerkarte steht immer zur Verfügung. Hier ist die Zeitspanne in Sekunden anzugeben, nach der das Programm eine abgebrochene Verbindung automatisch wieder aufbaut. Besonders bei Netzwerkverbindungen ist diese Einstellung wichtig, damit die Software nach kurzzeitigen Unterbrechungen reibungslos automatisch weiterarbeiten kann.

Registerkarte "COM Port"

Für serielle und Modemverbindungen steht diese Registerkarte zur Verfügung. Hier können alle Kommunikationseinstellungen des COM Ports angepasst werden. Für Feutron Geräte ist es im Allgemeinen nicht erforderlich, hier Änderungen vorzunehmen.

Achtung!

Das Verstellen der dieser Parameter kann dazu führen, dass die Kommunikation zwischen Anlage und Software nachhaltig gestört wird!

Registerkarte "Modem"

Nur bei Modemverbindungen wird diese Registerkarte angezeigt. Hier kann das Wählverfahren eingestellt werden. Normalerweise wird heute Tonwahl verwendet, nur in Ausnahmefällen kann es notwendig sein, die veraltete Pulswahl einzustellen.

Desweiteren kann hier die Initialisierungssequenz für das Modem angegeben werden. Normalerweise ist das ATZ. Da das AT allen Modembefehlen (AT-Befehle) vorangestellt wird, muss es nicht nochmal eingegeben werden. Wenn weitere AT-Befehle im Initialisierungsstring benötigt werden, können diese hier zusätzlich eingefügt werden.

Anschließend kann im übergeordneten Dialog "Verbindungseinstellungen" weitergearbeitet werden: mit der Schaltfläche "OK" wird die neu angelegte Verbindung in das Programm eingefügt. Bei der Änderung einer bestehenden Verbindung ist diese Schalfläche mit "Übernehmen" beschriftet und nach Anwahl werden die Änderungen der Verbindung wirksam. In beiden Fällen wird der Dialog geschlossen, falls die Übernahme der Daten erfolgreich war.

Registerkarte "Wählverbindung"

Nur bei Netzwerkverbindungen wird diese Registerkarte angezeigt. Nicht immer befinden sich die über Netzwerk anzusprechenden Anlagen im gleichen Netz wie der Erfassungsrechner mit FKS WinControl . Bisher musste die Verbindung manuell hergestellt und ggf. über einen längeren Zeitraum auch ungenutzt aktiv bleiben, was bei Einwahlverbindungen über ein Modem auch Kosten verursacht.

FKS WinControl kann die Verbindung selbst herstellen: der Anwender richtet die gewünschte Wähl- oder VPN-Verbindung im Betriebssystem einmalig ein und weist diese der Verbindung in FKS WinControl zu:

Sobald in FKS WinControl die Verbindung ( zur Anlage ) aktiviert wird, baut die Software zunächst die gewünschte Wahl- oder VPN-Verbindung auf.

Wird die Option "Hergestellte Verbindung automatisch trennen" aktiviert, wird die Wähl- oder VPN-Verbindung automatisch wieder getrennt, sobald die Verbindung in FKS WinControl deaktiviert oder gelöscht wird.


Das Klimaprofil

Klimaprofile sind Dateien, welche tabellarisch und grafisch ein anlageninternes Programm widerspiegeln. Über Klimaprofile können die Programme der Klimaschränke komfortabel erstellt, eingelesen, editiert und an die Anlage zurück gesendet werden.

Mehr:

Aufbau eines Klimaprofils

Neue Profile erzeugen

Klimaprofile auslesen und senden

Klimaprofile editieren

Klimaprofile Speichern, Laden und Drucken


Aufbau eines Klimaprofils

Mehr:

Wertetabelle

Grafische Anzeige


Wertetabelle

Pro Zeile wird immer ein Programmschritt dargestellt, so wie dieser auch bei der Eingabe am Steuerfeld der Anlage angezeigt wird. Anzahl und Inhalt der Spalten eines Klimaprofils hängen vom Typ und Aufbau der Anlage ab. Die Struktur des Klimaprofils orientiert sich dabei an der Darstellung im Steuerfeld der Anlage. Die Tabelle im entsprechenden Programmfenster enthält aussagekräftige Bezeichnungen, die den Inhalt der jeweiligen Spalte wiedergeben.

Für alle Anlagen gleich sind die ersten und die drei letzten Spalten:

In der ersten Spalte wird die Zeilennummer angezeigt. Diese dient nur zur Erhöhung der Übersichtlichkeit bei größeren Programmen.

In der zweiten Spalte wird immer die Temperatur eingetragen. Der Wertebereich ist anlagenabhängig. Die Änderungszeit der Temperatur wird in der dritten Spalte eingestellt. Der Wertebereich reicht von 00:00 bis 99:99 Stunden.

In der drittletzten Spalte wird die Zyklusnummer (1...9 oder keine) eines Schrittes eingestellt, in der nächsten Spalte die Anzahl der Wiederholungen des Zyklus. Die letzte Spalte dient zur Darstellung der Start- und Endmarkierungen des Programms.

Weiterhin gibt es vom Typ der Anlage anhängige Spalten.

Für Klimaprüfkammern wird in der vierten Spalte eine Luftfeuchte und in der fünften Spalte die zugehörige Änderungszeit dargestellt. Die sechste Spalte enthält die Beibehaltungszeit.

Bei Temperaturschockkammern werden in der vierten und fünften Spalte des Klimaprofils eine weitere Temperatur und deren Änderungszeit angezeigt. Auch hier wird in der sechsten Spalte die Beibehaltungszeit dargestellt.

Bei Temperaturprüfkammern wird die Beibehaltungszeit in der Spalte vier angezeigt.

Falls eine Anlage digitale Ausgänge besitzt, werden diese in den Spalten dargestellt, die sich zwischen "Beibehaltungszeit" und "Sprungziel" befinden. Die Bezeichnung der Ausgänge wird von der angeschlossenen Anlage ausgelesen oder (bei älteren Anlagen) folgendermaßen definiert:

Ausgang 1 à X

Ausgang 2 à Y

Ausgang 3 à Z

Ausgang 4 à 4

…

Ausgang 8 à 8

Nach der Zeile mit dem letzten Programmschritt schließen sich noch eine Leerzeile und eine Zeile mit der Angabe der Wiederholungen des gesamten Programms an. Die Werte in der tabellarischen Darstellung sind editierbar (siehe auch: Klimaprofile editieren).


Grafische Anzeige

Unterhalb der Tabelle eines Klimaprofils werden in einem Liniendiagramm die eingestellten Temperaturen bzw. Feuchten in Abhängigkeit der eingegebenen Zeiten dargestellt, sobald die Tabelle genügend gültige Werte enthält. Die Eigenschaften dieser Anzeige (Skalierung, Linieneigenschaften) können im dazugehörigen Dialog "Eigenschaften der grafischen Anzeige" festgelegt werden. Folgende Parameter stehen zur Verfügung:

Messstellen:

Für die Darstellung im Liniendiagramm können beliebig viele Messstellen aus der Liste ausgewählt werden. Für die Auswahl stehen verschiedene Mechanismen zur Verfügung:

· Doppelklick mit der linken Maustaste auf die gewünschte Messstelle

· Anwahl einer Messstelle aus der Liste (einfacher Klick mit der linken Maustaste) und Aufnahme in das Liniendiagramm, ebenfalls durch einfachen Klick mit der linken Maustaste auf den Text "in Diagramm aufnehmen".

· Anwahl einer Messstelle aus der Liste und Zuweisung einer Linienfarbe, eines Linientyps oder einer Y-Achse

· Klicken Sie auf die entsprechenden Schaltflächen unter der Messstellenliste um alle Messstellen aus- oder abzuwählen.

Farbe:

In dieser Liste werden alle, für die Darstellung möglichen Farben aufgeführt. Für eine ausgewählte Messstelle kann die gewünschte Farbe durch einfachen Klick mit der linken Maustaste auf die Farbe zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung geändert werden.

Linientyp:

In dieser Liste werden alle, für die Darstellung möglichen Linientypen aufgeführt. Für eine ausgewählte Messstelle kann der gewünschte Linientyp durch einfachen Klick mit der linken Maustaste auf den Linientyp zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung geändert werden.

Unsichtbare Messstelle:

Diese Option ermöglicht das Ausblenden der Darstellung einzelner Messreihen eines Datensatzes.

Wählen Sie dazu die gewünschte Messstelle aus der Liste aus (einfacher Klick mit der linken Maustaste auf den Listeneintrag) und aktivieren Sie die Option "Unsichtbare Messstelle" durch einfachen Klick mit der linken Maustaste in das Kontrollkästchen links neben diesem Text.

Y-Achse:

Alle Einstellmöglichkeiten für die Y-Achsen werden mit der Aufnahme einer Messstelle in das Liniendiagramm automatisch ausgewählt. Diese Auswahl erfolgt aufgrund des Bereiches der aufgenommenen Messstelle und kann dann bei Bedarf jederzeit (auch während der Messung) verändert werden:

Zuordnung einer Y-Achse zu einer Messstelle:

Markieren Sie für die Zuordnung einer anderen Y-Achse die Messstelle in der o. g. Liste durch einfachen Klick mit der linken Maustaste (Texthintergrund in der Zeile wird farbig markiert). Wählen Sie danach die gewünschte Y-Achse aus (einfacher Klick mit der linken Maustaste).

Bereich:

Mit den Werten "von" und "bis" wird der gezeigte Messbereich festgelegt. Da die Zuordnung des Programms an diese Stelle nur "spekulativ" erfolgen kann, wird eine Korrektur durch den Anwender häufig notwendig sein. Sinnvoll ist eine Änderung beim "Hinauslaufen" der Messwerte aus dem gewählten Bereich und für die genaue Betrachtung eines Ausschnitts der Messung.

Einheit:

Eine Änderung der Einheit wird sich nur dann ergeben, wenn der gewählte Fühlerbereich der Messstelle für die Darstellung einer anderen physikalischen Größe verwendet wird. Tragen Sie dazu im Editierfeld diese Einheit ein.

Farbe:

In dieser Liste werden alle, für die Darstellung möglichen Farben aufgeführt. Für eine ausgewählte Y-Achse kann die gewünschte Farbe durch einfachen Klick mit der linken Maustaste auf die Farbe zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung geändert werden. Somit ist es möglich, einer farbigen Messstelle eine gleichfarbige Y-Achse zuzuordnen.

Gitter einzeichnen:

Wird diese Option aktiviert (einfacher Klick mit der linken Maustaste auf den Text), wird das Liniendiagramm mit einem Gitternetz hinterlegt. Es empfiehlt sich das Gitternetz nur für eine Y-Achse anzuzeigen.

Bezeichnung:

Im Eingabefeld "Bezeichnung" kann ein Text für die ausführliche Beschreibung der jeweiligen Achse eingegeben werden. Dieser Text erscheint dann um 90° gedreht neben der entsprechenden Achse im Diagramm.


Neue Profile erzeugen

Mehr:

Profilparameter automatisch einstellen

Profilparameter manuell eingeben


Profilparameter automatisch einstellen

FKS WinControl - Die Programmfenster > Das Klimaprofil > Neue Profile erzeugen

Profilparameter automatisch einstellen

Die einfachste Methode, um ein neues Klimaprofil zu erstellen, das zu einer bestimmten Anlage kompatibel ist, besteht darin, die Menüfunktion Programmierung/Neues Klimaprofil… auszuführen. Im daraufhin erscheinenden Dialog "Klimaprofil lesen" sind alle angeschlossenen Geräte in einer Liste darstellt. Wird ein Gerät ausgewählt und OK gedrückt oder ein Gerät mit einem Doppelklick ausgewählt, dann liest FKS WinControl die Anlagenparameter (Anlagenabhängige Spalten und deren Beschriftung, Einheiten, Anzahl der Ausgänge usw.) aus und erzeugt ein neues Fenster für das Klimaprofil, welches bereits eine leere Zeile enthält.


Profilparameter manuell eingeben

FKS WinControl - Die Programmfenster > Das Klimaprofil > Neue Profile erzeugen

Profilparameter manuell eingeben

Falls ein Profil erstellt werden soll, welches zu einem anderen als dem angeschlossenen Anlagentyp passt oder falls kein Gerät angeschlossen ist, muss in dem Dialog, der über Programmierung/Neues Klimaprofil… aufgeschlagen wird, die Schaltfläche Manuell angeklickt werden, um einen Dialog anzuzeigen, in dem der gewünschte Anlagentyp und die Anzahl der Ausgänge festgelegt wird. FKS WinControl erzeugt nach dem Bestätigen mit OK ein neues Fenster für das Klimaprofil, welches bereits eine leere Zeile enthält.


Klimaprofile auslesen und senden

Profile auslesen

Bei Aufruf der Menüfunktion Programmierung/Klimaprofil aus Anlage lesen… erscheint ein Dialog, in dem die Anlage und das Programm ausgewählt werden können, welches in die Software eingelesen werden soll (siehe auch: Klimaprofil aus Anlage lesen).

Profile senden

Bei Aufruf der Menüfunktion Programmierung/Klimaprofil zur Anlage senden… erscheint ein Dialog, in dem die Anlage ausgewählt und der Programmplatz bzw. der Programmname angegeben werden kann.

Dieser Dialog kann auch über das Kontextmenü des Klimaprofils oder seine Werkzeigleiste aufgerufen werden (siehe auch: Klimaprofil zur Anlage senden).


Klimaprofile editieren

Die Werte in der Tabelle eines Klimaprofils (à Aufbau eines Klimaprofils) können geändert werden, es lassen sich neue Zeilen hinzufügen oder löschen, doch es ist nicht möglich, den einmal festgelegten Typ des Profils zu ändern. Es sind maximal 50 Schritte in einem Klimaprofil erlaubt.

Mehr:

Wertebereiche und Festlegungen

Tastenbelegung, Werkzeugleiste und Befehle

Grafische Darstellung


Wertebereiche und Festlegungen

FKS WinControl - Die Programmfenster > Das Klimaprofil > Klimaprofile editieren

Wertebereiche und Festlegungen

Die Wertebereiche für Temperatur und Feuchte werden aus den Vorgaben der angeschlossenen Anlagen (à Profilparameter automatisch einstellen) ermittelt, wenn das Profil automatisch erstellt wird. Bei Profilen, die manuell erstellt werden, gelten folgende Wertebereiche:

· Temperatur: -75 °C ... 180 °C

· Feuchte: 5% ... 95%

Die Änderungs- bzw. Beibehaltungszeit darf im Bereich von 00:00 bis 99:99 liegen, wobei 00:00 und keine Eingabe gleichbedeutend sind. Ohne Eingabe wird mit der maximalen Änderungszeit der Anlage gearbeitet.

Die Spalte Sprungziel kann zur Definition von Wiederholungen genutzt werden. Hier kann die Zeilennummer eines vorherigen Schrittes des gleichen Klimaprofils angegeben werden. Durch Klick auf das Feld wird eine Liste geöffnet, welche die Zeilennummern aller möglichen Sprungziele enthält. Mit einem Klick auf die entsprechende Nummer in der Liste wird die Liste geschlossen und die gewählte Zeilennummer in das Feld des Klimaprofils eingetragen.

Die Spalte Durchläufe enthält die Anzahl der Wiederholungen. Sie kann nur ausgefüllt werden, wenn in der dazu gehörenden Zelle in der Spalte Sprungziel eine Zeilennummer eingetragen wurde.

In den Spalten für die Ausgänge kann nur die Wahl zwischen 0 (Aus) und 1 (Ein) getroffen werden.

In der Spalte für die Start- und Endmarkierung kann festgelegt werden, mit welchem Schritt das Programm in der Anlage startet und bei welchem Schritt das Programm beendet wird. Es sind die Angaben "Start", "Ende", "Komb." und "" erlaubt.

Mit "Start" wird er erste und mit "Ende" der letzte Schritt eines Profils gekennzeichnet, falls beide Schritte identisch sind, erfolgt die Markierung mit "Komb.". Alle anderen Schritte werden nicht explizit gekennzeichnet.

Jedes Profil muss entweder genau eine Start- und eine Endkennung oder eine Kombinationskennung besitzen. Die Software trägt bei neuen Klimaprofilen immer die richtigen Kennungen ein und verwaltet diese auch automatisch beim Hinzufügen oder Löschen von Zeilen, so dass der Anwender nur dann manuell eingreifen muss, wenn das Programm nicht mit dem ersten Schritt starten und/oder dem letzten Schritt enden soll.

In der letzten Zeile eines Klimaprofils kann die Anzahl der Programmwiederholungen eingetragen werden. Erlaubt sind Werte zwischen 1 und 99.

Die Überprüfung, ob ein gültiger Wert in eine Zelle eingetragen wurde, wird immer dann durchgeführt, wenn die Zelle verlassen wird. Bei falschen Eingaben oder Eingaben außerhalb der Wertebereiche wird eine Warnung ausgegeben und der Eingabefokus wird zurück auf diese Zelle gesetzt. Beim Versuch, ein Profil zu speichern oder zu einer Anlage zu senden, erfolgt ebenfalls eine Überprüfung, um sicherzustellen, dass nur gültige Klimaprofile gespeichert werden können. Falls ein Profil zu diesem Zeitpunkt noch immer ungültige Werte enthält, wird der Speicher- bzw. Sendevorgang abgebrochen.

Gut zu wissen!

In dem Tabellenteil der Klimaprofile wird das Einfügen von Daten aus der Zwischenablage unterstützt. Es können auf diese Weise beliebige Texte aus der Zwischenablage eingefügt werden, wobei folgende Einschränkungen gelten:

· Durch das Einfügen aus der Zwischenablage werden keine neuen Zeilen oder Spalten im Klimaprofil erstellt. Der Anwender muss vor dem Einfügen manuell die gewünschten Zeilen einfügen, die Anzahl der Spalten ist grundsätzlich nicht änderbar.

· Die Daten werden nach dem Einfügen einer groben Prüfung unterzogen und komplett ungültige Inhalte (z.B. Testpassagen) werden automatisch entfernt. Eine exakte Überprüfung der eingefügten Daten erfolgt erst dann, wenn das Klimaprofil gespeichert oder zur Anlage übertragen wird.

· Mit Hilfe der Funktionen „Kopieren in die Zwischenablage“ und „Einfügen aus der Zwischenablage“ können die relevanten Daten (Sollwerte, Zeiten) zwischen alten und neuen Klimaprofilen ausgetauscht werden.


Tastenbelegung, Werkzeugleiste und Befehle

FKS WinControl - Die Programmfenster > Das Klimaprofil > Klimaprofile editieren

Tastenbelegung, Werkzeugleiste und Befehle

Jedes Fenster mit einem Klimaprofil verfügt über eine eigene Werkzeugleiste zum schnellen Zugriff auf die speziellen Funktionen beim Arbeiten mit Klimaprofilen. Hiermit können neue Zeilen eingefügt, angehängt oder gelöscht sowie die Wiederholungsanzeige ein/ausgeblendet oder das aktuelle Profil zur Anlage gesendet werden. Zusätzlich erleichtern einige Tastenkombinationen die Eingabe bzw. Änderung von Klimaprofilen.

Folgende Symbole der Werkzeugleiste und Tastenkombinationen sind verfügbar:

<Strg + Einf> | Neue Zeile am Tabellenende anhängen
<Umsch + Einf> | Neue Zeile vor der aktuellen Zeile einfügen
<Strg + Entf> | Aktuelle Zeile bzw. alle markierten Zeilen löschen

Diese und weitere Funktionen können auch über das Kontextmenü aufgerufen werden.

Zusätzlich sind diese Funktionen thematisch in die Menüs des Hauptfensters eingeordnet:

Menü "Datei": Seitenansicht, Drucken, Speichern

Menü "Bearbeiten": Neue Zeile hinzufügen und löschen, Wiederholungen ein/aus

Menü "Programmierung": Klimaprofil zur Anlage senden, von Anlage laden, neu

Mit der Taste <TAB> kann zellenweise vorwärts (d.h. nach rechts unten) durch die Tabelle gewandert werden. Falls dabei das Ende einer Zeile erreicht wird, springt der Eingabefokus auf die erste Zelle der nächsten Spalte. Wird <TAB> gedrückt, wenn die aktuelle Zelle die letzte (rechte untere) Zelle der Tabelle ist, wird eine neue Zeile hinzugefügt und der Eingabefokus wird auf die erste Spalte dieser Zeile gesetzt.

Natürlich kann auch mit den Pfeiltasten oder durch Anklicken mit der Maus zwischen den Zellen gewechselt werden.


Grafische Darstellung

Das Liniendiagramm unterhalb der Tabelle wird immer angezeigt, doch nur wenn genügend gültige Werte (mindestens eine Temperatur mit zugehöriger Änderungszeit) eingetragen wurden, werden die Achsen skaliert und die Linien eingetragen.

Falls Zyklen programmiert wurden, kann deren Wiederholung auf Wunsch ausgeblendet werden, was besonders bei großen Programmen die Übersichtlichkeit erhöhen kann. Diese Funktion kann über das Kontextmenü, das Menü "Ansicht" oder die Werkzeugleiste [image] des Klimaprofils aufgerufen werden.

Die x-Achse wird immer automatisch an die Zeitspanne zwischen dem Beginn des ersten und dem Ende des letzten Schrittes skaliert. Falls das Programm nicht mit dem ersten Schritt beginnt bzw. mit dem letzten Schritt endet, werden Beginn und Ende des tatsächlich auszuführenden Programmabschnitts mit einem senkrechten grünen bzw. hellblauen Strich markiert. Dieser Markierung wird nicht eingezeichnet, wenn die Darstellung der Wiederholungen abgeschaltet wurde.

Nach jeder relevanten Eingabe im Tabellenbereich des Klimaprofils werden die Achsen neu skaliert, um eine optimale Darstellung zu gewährleisten. Über das Kontextmenü "Eigenschaften", mit <Eingabetaste> (ggf. nach einem Klick mit der linken Maustaste in die Diagrammfläche, um diesen Fensterabschnitt zu aktivieren), über einen Doppelklick mit der linken Maustaste in die Diagrammfläche oder über die Werkzeugleiste kann ein Dialog aufgeschlagen werden, mit dessen Hilfe das Liniendiagramm an eigene Bedürfnisse angepasst werden kann. Folgende Eingaben sind möglich:

· Achsenzuordnung ändern

· Achsen manuell skalieren (Achtung! Dadurch wird die automatische Skalierung während der Eingabe für dieses Klimaprofil deaktiviert!)

· Achsenbeschriftung anpassen

· Einheit der Achsen manuell ändern

· Gitternetzlinien ein/ausschalten

· Farben, Linienart und –stärke für die Darstellung der zeitlichen Verläufe anpassen


Klimaprofile Speichern, Laden und Drucken

Mehr:

Speichern

Laden

Drucken


Speichern

Aus Anlagen ausgelesene oder selbst erstellte Klimaprofile können als Dateien gespeichert und zu einem späteren Zeitpunkt erneut verwendet werden.

Um ein Klimaprofil zu speichern muss zunächst das Fenster mit dem Klimaprofil aktiviert werden. Danach kann über die Menüfunktion Datei/Speichern bzw. über das Diskettensymbol in der Werkzeugleiste die Datei auf einen Datenträger geschrieben werden. Wenn die Datei bisher noch nicht gespeichert war oder die Funktion Datei/Speichern unter… ausgewählt wurde, wird vor dem Speichervorgang ein Standarddateidialog zur Auswahl des Ziellaufwerkes, Zielverzeichnisses und des Dateinamens angezeigt.

Achtung!

Wenn das Klimaprofil bereits gespeichert war oder aus einer bestehenden Datei geladen wurde, wird durch das Anwählen von Datei/Speichern das Klimaprofil wieder in diese Datei geschrieben – unabhängig davon, ob ungewollte Änderungen vorgenommen wurden oder nicht. Der Inhalt der Ursprungsdatei geht verloren. Um ein geladenes Klimaprofil unter anderem Namen abzuspeichern, nachdem z.B. Änderungen vorgenommen wurden, muss der Menüpunkt Datei/Speichern unter… aufgerufen werden.


Laden

Ein gespeichertes Klimaprofil kann geladen werden, wenn die Menüfunktion Datei/Öffnen gewählt wird. Darauf hin erscheint ein Standarddateidialog, in dem zu dem Ordner navigiert werden kann, an dem Klimaprofil geladen wurde. Im Feld "Dateityp" muss "FKS Klimaprofile (*.clim)" oder "FKS Klimaprofile (*.clm3)" ausgewählt werden, damit die Dateien, die Klimaprofile enthalten angezeigt werden.

Es ist auch möglich, Klimaprofile durch "Drag and Drop" in FKS WinControl zu öffnen. Dazu muss FKS WinControl gestartet werden. Dann werden im Windows-Explorer oder über den Arbeitsplatz eine oder mehrere Dateien ausgewählt. Wenn diese mit gedrückter linker Maustaste auf das FKS WinControl Programmfenster gezogen werden, öffnet die Software diese Dateien.

Gut zu wissen!

Auf diese Weise können auch mehrere Dateien unterschiedlichen Typs (z.B. Klimaprofile, Projektbilder und Messdaten) auf einmal geöffnet werden – allerdings sollte sich unter den so ausgewählten Dateien keine befinden, deren Format nicht oder nur über einen speziellen Import-Aufruf unterstützt wird (z.B. Bilder, CSV-Textdateien).


Drucken

Zum Drucken von Klimaprofilen kann durch einen einfachen Klick mit der linken Maustaste in den entsprechenden Bereich festgelegt werden, ob die Tabelle oder das Diagramm ausgedruckt werden soll. Danach kann mit <Strg+D>, dem Kontextmenü, der Werkzeugleiste oder dem Menü "Datei" der Druckbefehl aufgerufen werden.

Tabelle und Diagramm werden gemeinsam auf eine Seite gedruckt, wenn in der Werkzeugleiste des Klimaprofilfensters oder im Menü "Datei" die Option "Gemeinsamer Druck von Diagramm und Tabelle" gewählt wird.

Wenn der Platz unter dem Diagramm für die Tabelle nicht ausreicht, wird nur der Teil der Tabelle gedruckt, der zwischen den unteren Seitenrand und das Diagramm passt. Der für die Tabelle zur Verfügung stehende Platz muss mindestens 5 cm hoch sein.

Auf eine A4-Seite mit den vordefinierten Randeinstellungen von je einem cm passen somit ein Diagramm und eine Tabelle mit 37 Zeilen.

Natürlich kann vorher über die Funktion Datei/Seitenansicht das Drucklayout am Bildschirm betrachtet werden.

Beim Drucken und in der Seitenansicht wird der über die Menüfunktion Datei/Drucker einrichten… eingestellte Drucker mit den ebenfalls dort festgelegten Parametern (Einzug, Papierformat, Orientierung,…) benutzt. Des Weiteren werden die unter dem Menüpunkt Datei/Seite einrichten… angegebenen Randbreiten verwendet.


Die Messwertanzeige

Für die numerische Darstellung der Messwerte steht Ihnen neben der Tabellenansicht der Fenstertyp "Messwertanzeige" zur Verfügung. Die Anzeige erfolgt mit Wert und Einheit. Bei Grenzwertüberschreitungen wird der Messwert rot angezeigt, bei Grenzwertunterschreitungen blau.

Wird nur eine Messstelle für die Anzeige ausgewählt, so erscheint der Name der Messstelle (Nummer und/oder Kommentar) automatisch im Titelbalken des Fensters. Bei Auswahl mehrerer Messstellen wird deren Name jeweils über dem Wert und der Einheit dargestellt.

Größe und Platzierung dieses Fensters können Sie innerhalb des FKS WinControl -Arbeitsbereichs frei wählen. Sie können beliebig viele Fenster öffnen und gleichzeitig darstellen. Über den Dialog "Eigenschaften der Messwertanzeige" können Sie die Messstellen auswählen, die dargestellt werden sollen.

Mehr zum Thema:

Dialog "Eigenschaften der Messwertanzeige"


Dialog "Eigenschaften der Messwertanzeige"

FKS WinControl - Die Programmfenster > Die Messwertanzeige

Dialog "Eigenschaften der Messwertanzeige"

Im Dialog "Eigenschaften der Messwertanzeige" erscheint eine Liste aller zur Verfügung stehenden Messstellen. Je Anzeigefenster können beliebig viele Messstellen ausgewählt werden. Dies geschieht entweder durch einfachen Klick mit der linken Maustaste auf die gewünschte Messstelle und anschließende Bestätigung mit OK oder für nur eine Messstelle einfach durch Doppelklick mit der linken Maustaste auf diese.

Sollen Messstellen aus der Anzeige entfernt werden, so geschieht dies durch einfachen Klick mit der linken Maustaste auf die einen bereits angewählten Eintrag.

Für die Messwertanzeigen kann im Eingabefeld "Fenstertitel" ein individueller Fenstertitel vereinbart werden.

Die dort eingegebene Zeichenfolge wird für die aktuelle Messwertanzeige als Titel verwendet. Wenn nichts angegeben wird, verwendet die Software die Standardeinstellungen, d.h. bei mehreren Messstellen den Text "Messstellenanzeige XY" (z.B. Messstellenanzeige 5) oder bei einer Messstelle "Gerätenummer.Kanalnummer – Messstellenkommentar" (z.B. 0.5 – Labor).

Der angegebene Fenstertitel wird in der Konfiguration abgespeichert und beim Laden wiederhergestellt.

Achtung!

Leere Fenstertitel sind nicht erlaubt, falls der angegebene Titel nur aus Leerzeichen besteht, wird der Standardtitel verwendet.

AUFRUF!

Aufruf einer neuen Messwertanzeige:

· durch Menübefehl Messwerte/Neue Messwertanzeige

· Funktionstaste <F7>

Einfachklick mit der linken Maustaste auf das Symbol "Neue Messwertanzeige" in der Werkzeugleiste


Das Balkendiagramm

Mit dem Fenstertyp Balkendiagramm haben Sie die Möglichkeit die erfassten Messwerte als Balkendiagramm einzeln oder in Gruppen anzuzeigen.

Zu den wesentlichen Eigenschaften eines Balkendiagramms zählen die automatische Grenzwertüberwachung, die Kennzeichnung der Grenzwerte und die Anzeige des gemessenen Minimums und Maximums.

Sie können beliebig viele Balkendiagramm-Fenster öffnen und gleichzeitig darstellen. Je Fenster können alle im System vorhandenen Messstellen angezeigt werden.

Mehr zum Thema:

Dialog "Eigenschaften des Balkendiagramms"


Dialog "Eigenschaften des Balkendiagramms"

FKS WinControl - Die Programmfenster > Das Balkendiagramm

Dialog "Eigenschaften des Balkendiagramms"

Im Dialog "Eigenschaften des Balkendiagramms" wählen Sie die gewünschten Messstellen und die Darstellung des Diagramms anhand der folgenden Dialogfeldoptionen aus.

Fenstertitel:

Legen Sie im Eingabefeld einen Titel für das darzustellende Balkendiagrammfenster fest.

Messstellen:

Für die Darstellung im Balkendiagramm können beliebig viele Messstellen aus der Liste ausgewählt werden. Für die Auswahl stehen verschiedene Mechanismen zur Verfügung:

· Doppelklick mit der linken Maustaste auf die gewünschte Messstelle

· Anwahl einer Messstelle aus der Liste (einfacher Klick mit der linken Maustaste) und Aufnahme in das Balkendiagramm, ebenfalls durch einfachen Klick mit der linken Maustaste auf den Text "in Diagramm aufnehmen".

· Anwahl einer Messstelle aus der Liste und Veränderung einer der Eigenschaften "Bereich" oder "Elemente".

Darstellung der ausgewählten Messstelle:

Bereich:

Mit den Werten "von" und "bis" wird der gezeigte Messbereich festgelegt. Die bei Auswahl einer Messstelle automatisch vom Programm zugeordneten Werte können an diese Stelle nur "spekulativ" sein. Eine Anpassung an die vorliegenden physikalischen Gegebenheiten kann jederzeit, auch während der Messung durch den Anwender erfolgen.

Elemente:

Kommentar/Messstelle - Die aus der Messstellenliste ersichtlichen Angaben für den Kommentar und die Messstellennummer werden bei Anwahl über dem Messbalken angezeigt. Mit der Option "Priorität" kann festgelegt werden, dass immer dann, wenn für die Darstellung beider Eigenschaften nicht genügend Platz im Fenster vorhanden ist, je nach Auswahl entweder die Messstellennummer oder der Kommentar ausgeblendet wird.

Min- und Maxwert - Die während der Messung aufgetretenen Werte werden bei Anwahl in Form eines schmalen Balkens rechts neben dem aktuellen Messbalken dargestellt. Somit können aufgetretene Grenzwertverletzungen auch im Nachhinein sofort erkannt werden.

Numerischer Wert - Der aktuelle Messwert wird bei Anwahl unterhalb des Messbalkens dargestellt.

Die zur Auswahl stehenden Elemente werden durch einfachen Klick mit der linken Maustaste auf den Text bzw. in das Kontrollkästchen links neben dem Text aktiviert oder deaktiviert.

Min/Max Zurücksetzen:

Falls Sie für einen Balken die Aufzeichnung des gemessenen Minimums und Maximums aktiviert haben, kann es für Sie nützlich sein, diese Anzeige zu einem bestimmten Zeitpunkt zurückzusetzen. Dafür steht Ihnen der Button Min/Max zurücksetzen zur Verfügung.

AUFRUF!

Aufruf eines neuen Balkendiagrammfensters:

· durch Menübefehl Messwerte/Neues Balkendiagramm

· Funktionstaste <F6>

· Einfachklick mit der linken Maustaste auf das Symbol "Neues Balkendiagramm" in der Werkzeugleiste

Druck

Ein Balkendiagramm drucken:

· dass zu druckende Balkendiagramm aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


Die Analoganzeige

Der Fenstertyp Analoganzeige soll der einfachen Visualisierung von Messdaten dienen. Dazu stehen die symbolischen Instrumente Bogen, Windrose und Zeiger zur Verfügung. In jedem Fenster kann eines dieser Instrumente die Werte einer Messstelle darstellen. Zusätzlich zur analogen Anzeige wird der Messwert als Zahl dargestellt.

Wenn für die dargestellte Messstelle Grenzwerte vereinbart sind, so wird eine Über- oder Unterschreitung farblich hervorgehoben. Die Anzeige ist grün, wenn keine Grenzwertverletzung vorliegt, rot bei Grenzwertüberschreitung und blau bei Grenzwertunterschreitung.

Mehr zum Thema:

Dialog "Eigenschaften der Analoganzeige"


Dialog "Eigenschaften der Analoganzeige"

FKS WinControl - Die Programmfenster > Die Analoganzeige

Dialog "Eigenschaften der Analoganzeige"

Der Dialog "Eigenschaften der Analoganzeige" ermöglicht Ihnen, das Anzeigefenster folgendermaßen zu konfigurieren:

Messstellen:

Hier legen Sie fest, welche Messstelle in dem Fenster angezeigt werden soll. Um eine Messstelle auszuwählen, klicken Sie diese einfach mit der linken Maustaste an.

Pro Fenster mit Analoganzeige kann eine Messstelle angegeben werden. Es können beliebig viele Fenster mit Analoganzeigen geöffnet werden.

Instrument:

Hier wählen Sie durch einfaches Anklicken der Schaltflächen die gewünschte Darstellungsweise aus. Der Bogen und das Zeigerinstrument stellen die Daten auf einer halbkreisförmigen Skala dar, deren Anfangs- und Endwert angegeben werden muss (siehe unten), während die Windrose die Messwerte kreisförmig darstellt, wobei bei einer Bereichsüberschreitung wieder von vorn begonnen wird.

Bereich (von bis):

Hier müssen der Start- und der Endwert der Skala für Bogen und Zeiger angeben werden. Bitte beachten Sie, dass der Startwert kleiner als der Endwert sein muss. Ist die Windrose als Instrument eingestellt, kann in diesen Feldern keine Eingabe erfolgen, doch der Bereich, der einer kompletten Drehung der Windrose entspricht wird zur Kontrolle angezeigt.

Einheit der Windrose:

Die Einheit der Windrose bestimmt, wie der Messwert interpretiert und dargestellt werden soll.

Deg: der Darstellungsbereich der Windrose entspricht 360°.

Rad: der Darstellungsbereich beträgt 2*π.

Grd: der Darstellungsbereich beträgt 100.

Der Darstellungsbereich entspricht einem vollständigen Zeigerumlauf. Messwerte, die außerhalb dieses Bereiches liegen, werden in diesen transformiert.

Sämtliche Einstellungen können jederzeit, auch während der Messung geändert werden.

Min- und Maxwert:

Für Bogen und Zeigerinstrument kann hier durch Klicken mit der Maus in das Kontrollkästchen festgelegt werden, ob der durchlaufene Messbereich optisch hervorgehoben werden soll. Mit der Schaltfläche "Min/Max zurücksetzen" kann diese Hervorhebung jederzeit gelöscht werden.

AUFRUF!

Aufruf eines neuen Analoganzeigefensters:

· durch Menübefehl Messwerte/Neue Analoganzeige

· Einfachklick mit der linken Maustaste auf das Symbol "Neue Analoganzeigefenster " in der Werkzeugleiste


Das Liniendiagramm

In einem Liniendiagramm können beliebig viele Messgrößen in ihrem Zeitverlauf dargestellt werden. Dafür stehen vier Y-Achsen und ein frei wählbarer Zeitbereich zur Verfügung. Entsprechend den anderen Fenstern, können Sie im Dialog "Eigenschaften des Liniendiagramms" alle Einstellungen für das Diagramm festlegen und die Auswahl der darzustellenden Messstellen treffen.

Im Gegensatz zur numerischen Messwertanzeige und zu den Balkendiagrammen werden die Daten für ein Liniendiagramm im Hauptspeicher des Rechners gepuffert und Sie können diese während oder nach Beendigung eines Messvorganges als Datei sichern und auch zur Weiterverarbeitung per DDE an eine Auswertesoftware (z.B. Tabellenkalkulation) oder zur Protokollierung per Zwischenablage an eine Textverarbeitung übergeben.

Über die Menüfunktion Ansicht/Cursoren, können zwei Messcursoren aktiviert werden, mit deren Hilfe die Messkurven der Liniendiagramme exakt betrachtet und mit der dazugehörigen Statistikfunktion ausgewertet werden können.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen. Die Darstellung der Messwerte als Tabelle ist jederzeit möglich. Wählen Sie dazu den Befehl Ansicht/Darstellung als Tabelle oder öffnen Sie durch Klicken mit der rechten Maustaste in das Liniendiagramm das kontextsensitive Menü und wählen dort die Funktion Darstellung als Tabelle. Über den Befehl Ansicht/Darstellung als XY-Diagramm oder das kontextsensitive Menü und die Funktion Darstellung als XY-Diagramm ist es ebenso jederzeit möglich, den Datensatz als XY-Diagramm darzustellen.

Mehr zum Thema:

Dialog "Eigenschaften des Liniendiagramms"


Dialog "Eigenschaften des Liniendiagramms"

Im Eigenschaftendialog des Liniendiagramms wählen Sie die gewünschten Messstellen aus und treffen die Festlegungen für die Darstellung des Diagramms.

Je nachdem, welche Einstellungen vorgenommen werden sollen, können Sie die entsprechende Registerkarte des Dialogs durch einen einfachen Klick mit der linken Maustaste in den Vordergrund holen.

Registerkarte Messstellen

Auf der Registerkarte "Messstellen" wählen Sie die gewünschten Messstellen, Linienart und -farbe und die Darstellung der Achsen anhand der folgenden Dialogfeldoptionen aus.

Messstellen:

Für die Darstellung im Liniendiagramm können beliebig viele Messstellen aus der Liste ausgewählt werden. Für die Auswahl stehen verschiedene Mechanismen zur Verfügung:

· Doppelklick mit der linken Maustaste auf die gewünschte Messstelle

· Anwahl einer Messstelle aus der Liste (einfacher Klick mit der linken Maustaste) und Aufnahme in das Liniendiagramm, ebenfalls durch einfachen Klick mit der linken Maustaste auf den Text "in Diagramm aufnehmen".

· Anwahl einer Messstelle aus der Liste und Zuweisung einer Linienfarbe, eines Linientyps oder einer Y-Achse

· Klicken Sie auf die entsprechenden Schaltflächen unter der Messstellenliste um alle Messstellen aus- oder abzuwählen.

Farbe:

In dieser Liste werden alle, für die Darstellung möglichen Farben aufgeführt. Für eine ausgewählte Messstelle kann die gewünschte Farbe durch einfachen Klick mit der linken Maustaste auf die Farbe zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung, geändert werden.

Linientyp:

In dieser Liste werden alle, für die Darstellung möglichen Linientypen aufgeführt. Für eine ausgewählte Messstelle kann der gewünschte Linientyp durch einfachen Klick mit der linken Maustaste auf den Linientyp zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung, geändert werden.

Grenzwerte einzeichnen:

Durch einfachen Klick mit der linken Maustaste auf diesen Text, werden die Grenzwerte der angewählten Messstelle im Liniendiagramm eingezeichnet.

Unsichtbare Messstelle:

Diese Option ermöglicht das Ausblenden der Darstellung einzelner Messreihen eines Datensatzes.

Wählen Sie dazu die gewünschte Messstelle aus der Liste aus (einfacher Klick mit der linken Maustaste auf den Listeneintrag) und aktivieren Sie die Option "Unsichtbare Messstelle" durch einfachen Klick mit der linken Maustaste in das Kontrollkästchen links neben diesem Text.

Die Darstellung dieser Messstelle wird dann im Diagramm unterdrückt. Diese Festlegung ist natürlich für jede der vorhandenen Messstellen und auch für mehrere zugleich möglich.

Mehr:

Der Bereich "Y-Achse":

Der Bereich "Zeitachse":

Registerkarte Layout

Registerkarte Historie

Registerkarte Messwertübernahme

lokale Rechenkanäle

Zoomfunktion über die Maus

AUFRUF!

Druck

Dokumentation

Messcursoren/Statistikfunktion


Der Bereich "Y-Achse":

Alle Einstellmöglichkeiten für die Y-Achsen werden mit der Aufnahme einer Messstelle in das Liniendiagramm automatisch ausgewählt. Diese Auswahl erfolgt aufgrund des Bereiches der aufgenommenen Messstelle und kann dann bei Bedarf jederzeit, auch während der Messung, verändert werden:

Zuordnung einer Y-Achse zu einer Messstelle:

Markieren Sie für die Zuordnung einer anderen Y-Achse die Messstelle in der o. g. Liste durch einfachen Klick mit der Linken Maustaste (Texthintergrund in der Zeile wird farbig markiert). Wählen Sie danach die gewünschte Y-Achse aus (einfacher Klick mit der Linken Maustaste).

Bereich:

Mit den Werten "von" und "bis" wird der gezeigte Messbereich festgelegt. Da die Zuordnung des Programms an diese Stelle nur "spekulativ" erfolgen kann, wird eine Korrektur durch den Anwender häufig notwendig sein. Sinnvoll ist eine Änderung beim
"Hinauslaufen" der Messwerte aus dem gewählten Bereich und für die genaue Betrachtung eines Ausschnitts der Messung.

Einheit:

Eine Änderung der Einheit wird sich nur dann ergeben, wenn der gewählte Fühlerbereich der Messstelle für die Darstellung einer anderen physikalischen Größe verwendet wird. Tragen Sie dazu im Editierfeld diese Einheit ein.

Farbe:

In dieser Liste werden alle, für die Darstellung möglichen Farben aufgeführt. Für eine ausgewählte Y-Achse kann die gewünschte Farbe durch einfachen Klick mit der linken Maustaste auf die Farbe zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung, geändert werden. Somit ist es möglich, einer farbigen Messstelle eine gleichfarbige Y-Achse zuzuordnen.

Gitter einzeichnen:

Wird diese Option aktiviert (einfacher Klick mit der Linken Maustaste auf den Text), wird das Liniendiagramm mit einem Gitternetz hinterlegt. Es empfiehlt sich das Gitternetz nur für eine Y-Achse anzuzeigen.

Bezeichnung:

Im Eingabefeld "Bezeichnung" kann ein Text für die ausführliche Beschreibung der jeweiligen Achse eingegeben werden. Dieser Text erscheint dann um 90° gedreht neben der entsprechenden Achse im Diagramm.


Der Bereich "Zeitachse":

Mit dem Eintrag für Tage, Stunden und Minuten wird der Darstellungsbereich der Zeitachse festgelegt. Diese Größe kann jederzeit, auch während einer Messung, geändert werden.

Darstellung:

Ist die Option "Absolut" ausgewählt, so werden die Messdaten über der absoluten Zeit dargestellt.

Soll die Darstellung mit relativer Zeitangabe erfolgen, so ist die Option "Relativ" auszuwählen.

In einem weiteren Modus können Messdaten, die aus dem Zusammenführen von Dateien entstanden sind, jeweils mit gleichem zeitlichem Ursprung dargestellt werden. Wählen Sie dazu die Option "Überlappend" aus.

Diese Funktion ermöglicht den direkten Vergleich zweier, zu unterschiedlichen Zeitpunkten aufgenommener Kennlinien in einem Diagramm.

Achtung!

Zusammengeführte Kennlinien mit der gleichen Messstellennummer haben immer die gleichen Linieneigenschaften.


Registerkarte Layout

Auf der Registerkarte "Layout" wählen Sie die gewünschten Beschriftungen anhand der folgenden Dialogfeldoptionen aus.

Kommentar:

Im Eingabefeld "Kommentar" kann die Zuordnung der Messdaten des Diagramms zu dem physikalischen Sachverhalt benannt werden. Der zu vergebene Kommentar (beliebig viele Zeichen) wird in der Titelleiste des Diagrammfensters angezeigt. Falls die Messreihen des Diagramms in einer Datei gespeichert werden, wird der Kommentar auch in der Datei mitgeführt.

Beschriftung oberhalb/unterhalb:

In diesen Eingabefeldern kann weiterer Text zur Beschreibung des Diagramms eingegeben werden. Dieser erscheint dann jeweils in einer Zeile über bzw. unter der graphischen Darstellung.

Legende:

Es kann festgelegt werden, ob die Legende ober- oder unterhalb der Diagramme oder gar nicht dargestellt werden soll. Klicken Sie dazu in das Optionsfeld links neben dem jeweiligen Text.


Registerkarte Historie

Der FKS WinControl Datenserver verfügt über eine dateibasierende Messwertpufferung (Ringpuffer).

Die gepufferten Daten können in neue Tabellen bzw. Diagramme eingefügt werden. Dazu haben die jeweiligen Eigenschaftsdialoge eine zusätzliche Registerkarte "Historie", die beim Anlegen eines neuen Diagramms oder einer neuen Tabelle zur Verfügung steht.

Über die Option "Keine Daten aus der Historie übernehmen" (Standard) wird das Diagramm bzw. die Tabelle wie gewohnt angelegt. Mit "Alle vorhandenen Daten aus der Historie übernehmen" werden alle Daten, die zu den auf der Registerkarte "Messstellen" ausgewählten Messstellen im Puffer vorliegen in das Diagramm oder die Tabelle übernommen. Die letzte Option holt ebenfalls Daten aus den Puffern aber nur solche, die innerhalb der eingestellten Zeitspanne liegen.

Nachdem die Daten aus dem Puffer in das Diagramm oder die Tabelle übernommen wurden, werden die aktuellen Werte wie gewohnt angefügt, sobald die Messwertabfrage aktiviert ist.


Registerkarte Messwertübernahme

FKS WinControl - Die Programmfenster > Das Liniendiagramm > Dialog "Eigenschaften des Liniendiagramms"

Registerkarte Messwertübernahme

Die Messwertübernahme kann in Abhängigkeit von Mess- oder Rechenwerten erfolgen. Auf der Registerkarte "Messwertübernahme" können die dazu notwendigen Einstellungen vorgenommen werden.

Die Standardeinstellung ist die Übernahme aller Messwerte. Alternativ kann eine Bezugsmessstelle ausgewählt und eine Bedingung (Größer als / Kleiner als) sowie ein Schwellwert ausgewählt werden.

Messwerte werden nur dann in die Tabelle bzw. das Diagramm übernommen, wenn die vereinbarte Bedingung erfüllt ist. Als Bezugsmessstellen sind alle Hardwaremessstellen sowie globale Rechenkanäle erlaubt. Die Übernahme bzw. Nichtübernahme erfolgt immer für die Daten eines kompletten Messzyklus.

Achtung!

Die lokalen Rechenkanäle in der Tabelle bzw. im Diagramm rechnen auch nur dann weiter, wenn im aktuellen Messzyklus die Werte in die Tabelle bzw. das Diagramm übernommen wurden. Auch die tabellen- bzw. diagrammspezifische Mittelwertbildung wird nur auf Basis der tatsächlich übernommenen Daten ausgeführt.


lokale Rechenkanäle

Soll ein Rechenkanal nur in diesem Datensatz zur Verfügung stehen, oder sollen Berechnungen mit bereits erfassten Daten durchgeführt werden, so erfolgt die Definition über die Funktion Bearbeiten/Rechenkanal hinzufügen.

Im erscheinenden Dialog "Rechenkanal hinzufügen" werden die Kanalnummer, Kommentar, Einheit, Grenzwerte und Nachkommastellen sowie die Formel für die zu berechnende Größe festgelegt (siehe auch: Vereinbarungen für die Formeleingabe).

Es können beliebig viele Rechenkanäle für einen Datensatz vereinbart werden.


Zoomfunktion über die Maus

In einem Liniendiagramm kann ein gewünschter Ausschnitt vergrößert dargestellt werden. Das kann entweder über den Eigenschaftsdialog (durch Ändern des Darstellungsbereiches und der Größe der Zeitachse) erfolgen oder auch durch das auswählen des gewünschten Bereiches mit der Maustaste. Halten Sie dazu die linke Maustaste gedrückt, und ziehen Sie den Mauszeiger über den Bereich, der vergrößert dargestellt werden soll.

Über die Menüfunktion Ansicht/Zoom rückgängig wird der Ausgangszustand des Liniendiagramms wieder hergestellt.

Achtung!

Die Zoomfunktion mittels Mauszeiger steht nur für gespeicherte Messwertdateien zur Verfügung.


AUFRUF!

Aufruf eines neuen Liniendiagrammfensters:

· durch Menübefehl Messwerte/Neues Liniendiagramm

· Funktionstaste <F5>

· Einfachklick mit der linken Maustaste auf das Symbol "Neues Liniendiagramm" in der Werkzeugleiste


Druck

Ein Liniendiagramm drucken:

· dass zu druckende Liniendiagramm aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


Dokumentation

FKS WinControl - Die Programmfenster > Das Liniendiagramm > Dialog "Eigenschaften des Liniendiagramms"

Dokumentation

Für die Ergänzung eines mit einem Windows-Textprogramm erstellten Textes mit einem Liniendiagramm kopieren Sie dieses mit dem Menübefehl Bearbeiten/Kopieren (<STRG+C>) in die Zwischenablage. Danach können Sie dieses Liniendiagramm in Ihren Text zum Beispiel mit dem Befehl Bearbeiten/Einfügen an der gewünschten Stelle platzieren.


Messcursoren/Statistikfunktion

FKS WinControl - Die Programmfenster > Das Liniendiagramm > Dialog "Eigenschaften des Liniendiagramms"

Messcursoren/Statistikfunktion

Um einen Kurvenverlauf zu analysieren, öffnen Sie bitte eine Messwertdatei und gehen in die Ansicht "Liniendiagramm" (Menüfunktion Ansicht/Darstellung als Liniendiagramm). Im Menü Ansicht und über das kontextsensitive Menü steht die Funktion "Cursoren" zur Verfügung, über die die Messcursoren aktiviert und auch wieder deaktiviert werden können.

Bei aktivierten Cursoren, erscheinen diese als zwei senkrechte Linien im Diagramm und im unteren Teil des Liniendiagrammfensters eine Tabelle mit den unter den Cursoren befindlichen Messwerten aller Linien.

Weiterhin werden für jede im Liniendiagramm enthaltene Messkurve über die integrierte Statistikfunktion folgende Werte berechnet:

· Differenz der beiden, unter den Cursoren liegenden Messwerte

· Minimum, Maximum und Mittelwert des durch die Cursoren begrenzten Bereiches

· Differenz zwischen Minimum und Maximum

· Mittelwert

· Standardabweichung

Diese Werte werden ebenfalls in der Tabelle ausgegeben.

Eigenschaften der Statistiktabelle:

Im Eigenschaftsdialog der Statistiktabelle kann man einstellen, welche Spalten sichtbar sein sollen und welche nicht und es kann ein Zoomfaktor (50% ... 130%) für den Ausdruck festgelegt werden. Der Standard-Zoomfaktor von 80% gewährleistet, dass auf eine A4-Seite im Hochformat, bei 10 mm Seitenrand auf beiden Seiten, automatischer Spaltenbreite und alle Spalten als sichtbar aktiviert die Statistiktabelle exakt auf die Seite passt. Allerdings geht dies nur mit einem kleinen Schriftgrad.

Durch manuelle Anpassung des Zoomfaktors, der Seitenränder, der Spaltenbreiten und/oder durch Ausblenden von Spalten kann für die Statistiktabelle ein benutzerdefiniertes Layout mit exakt definierten Eigenschaften und hoher Lesbarkeit erstellt werden.

Um den Eigenschaftsdialog der Statistiktabelle zu öffnen, steht Ihnen im Kontextmenü der Aufruf Eigenschaften zur Verfügung.

Gut zu wissen!

Wird der Eigenschaftsdialog für die Statistikanzeige geschlossen, so werden die aktuellen Einstellungen (anzuzeigende Spalten, Zoomfaktor usw.) als Vorgabe für die Darstellung der Statistiktabelle in der wcFKS.ini abgelegt und in allen zukünftigen angelegten Messwertdateien verwendet. Außerdem kommt diese Vorgabe dann zum Tragen, wenn eine ältere Messwertdatei noch keine intern gespeicherten Angaben über die Darstellung der Statistiktabelle enthält. Beim Abspeichern einer Messwertdatei werden die Darstellungseigenschaften der Statistiktabelle mit in die Datei übernommen und beim nächsten Einlesen dieser Datei werden auch diese Darstellungseigenschaften - unabhängig von den Vorgabewerten in der wcFKS.ini - für diese Datei wieder hergestellt.

Allerdings sind die so abgespeicherten Dateien mit älteren Programmversionen nicht mehr kompatibel und können von diesen nicht gelesen werden. Um diese Dateien auch mit älteren Programmen ansehen oder bearbeiten zu können, müssen alle Spalten sichtbar sein und der Zoomfaktor auf 80% gestellt werden. Wird die Datei nun abgespeichert, kann sie auch mit älteren Programmversionen geöffnet werden.

Gut zu wissen!

Das Größenverhältnis zwischen Liniendiagramm und Statistiktabelle kann individuell bestimmt werden. Wird der Mauszeiger über die Trennlinie zwischen Diagramm und Tabelle bewegt, ändert sich sein Aussehen und bei gedrückter linker Maustaste kann diese Trennlinie verschoben werden. Das Liniendiagramm wird dann in seiner Größe angepasst und die Tabelle entweder vollständig oder mit einem vertikalen Schiebebalken angezeigt.

Druck

Für den Ausdruck stehen folgende Möglichkeiten zur Verfügung:

· direkter Ausdruck von Diagramm und Statistiktabelle

· direkter Ausdruck der Statistiktabelle (nach Klick mit Mauszeiger in die Tabelle)

· Kopieren des Diagramms oder der Statistiktabelle über die Zwischenablage z.B. in Textdokumente oder Tabellenkalkulationen


Das XY-Diagramm

In einem XY-Diagramm können bis zu vier Messgrößen über einer gemessenen physikalischen Größe dargestellt werden. Dafür stehen vier Y-Achsen und die frei definierbare x-Achse zur Verfügung. Entsprechend den anderen Fenstern, können Sie im Dialog "Eigenschaften des XY-Diagramms" alle Einstellungen für das Diagramm festlegen und die Auswahl der darzustellenden Messstellen treffen.

Wie beim Liniendiagramm werden die Daten für ein XY-Diagramm im Hauptspeicher des Rechners gepuffert und Sie können diese während oder nach Beendigung eines Messvorganges als Datei sichern und auch zur Weiterverarbeitung per DDE an eine Auswertesoftware (z.B. Tabellenkalkulation) übergeben.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen. Die Darstellung der Messwerte als Tabelle oder als Liniendiagramm ist jederzeit möglich. Wählen Sie dazu den Befehl Ansicht/Darstellung als Tabelle bzw. Ansicht/Darstellung als Liniendiagramm oder öffnen Sie durch Klicken mit der rechten Maustaste in das Diagramm das kontextsensitive Menü und wählen dort die Funktion Darstellung als Tabelle bzw. Darstellung als Liniendiagramm.

Mehr zum Thema:

Dialog "Eigenschaften des XY-Diagramms"


Dialog "Eigenschaften des XY-Diagramms"

Im Eigenschaftsdialog des XY-Diagramms wählen Sie die gewünschten Messstellen aus und treffen die Festlegungen für die Darstellung des Diagramms.

Je nachdem, welche Einstellungen vorgenommen werden sollen, können Sie die entsprechende Registerkarte des Dialogs durch einen einfachen Klick mit der linken Maustaste in den Vordergrund holen.

Registerkarte Messstellen

Auf der Registerkarte "Messstellen" wählen Sie die gewünschten Messstellen, Linienart und -farbe und die Darstellung der Achsen anhand der folgenden Dialogfeldoptionen aus.

Messstellen:

Für die Darstellung im XY-Diagramm können bis zu vier Messstellen für die Abbildung über der gewünschten Größe aus der Liste ausgewählt werden. Für die Auswahl stehen verschiedene Mechanismen zur Verfügung:

· Doppelklick mit der linken Maustaste auf die gewünschte Messstelle

· Anwahl einer Messstelle aus der Liste (einfacher Klick mit der linken Maustaste) und Aufnahme in das XY-Diagramm, ebenfalls durch einfachen Klick mit der linken Maustaste auf den Text "in Diagramm aufnehmen".

· Anwahl einer Messstelle aus der Liste und Zuweisung einer Linienfarbe, eines Linientyps oder einer Y-Achse.

Farbe:

In dieser Liste werden alle, für die Darstellung möglichen Farben aufgeführt. Für eine ausgewählte Messstelle kann die gewünschte Farbe durch einfachen Klick mit der linken Maustaste auf die Farbe zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung, geändert werden.

Linientyp:

In dieser Liste werden alle, für die Darstellung möglichen Linientypen aufgeführt. Für eine ausgewählte Messstelle kann der gewünschte Linientyp durch einfachen Klick mit der linken Maustaste auf den Linientyp zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung, geändert werden.

Grenzwerte einzeichnen:

Durch einfachen Klick mit der linken Maustaste auf diesen Text, werden die Grenzwerte der angewählten Messstelle im XY-Diagramm eingezeichnet.

Unsichtbare Messstelle:

Diese Option ermöglicht das Ausblenden der Darstellung einzelner Messreihen eines Datensatzes.

Wählen Sie dazu die gewünschte Messstelle aus der Liste aus (einfacher Klick mit der linken Maustaste auf den Listeneintrag) und aktivieren Sie die Option "Unsichtbare Messstelle" durch einfachen Klick mit der linken Maustaste in das Kontrollkästchen links neben diesem Text.

Die Darstellung dieser Messstelle wird dann im Diagramm unterdrückt. Diese Festlegung ist natürlich für jede der vorhandenen Messstellen und auch für mehrere zugleich möglich.

Mehr:

Der Bereich "Y-Achse":

Der Bereich "X-Achse":

Registerkarte Layout

Registerkarte Historie

Registerkarte Messwertübernahme

lokale Rechenkanäle

Zoomfunktion über die Maus

AUFRUF!

Druck


Der Bereich "Y-Achse":

Alle Einstellmöglichkeiten für die Y-Achsen werden mit der Aufnahme einer Messstelle in das XY-Diagramm automatisch ausgewählt. Diese Auswahl erfolgt aufgrund des Bereiches der aufgenommenen Messstelle und kann dann bei Bedarf jederzeit, auch während der Messung, verändert werden:

Zuordnung einer Y-Achse zu einer Messstelle:

Markieren Sie für die Zuordnung einer anderen Y-Achse die Messstelle in der o. g. Liste durch einfachen Klick mit der linken Maustaste (Texthintergrund in der Zeile wird farbig markiert). Wählen Sie danach die gewünschte Y-Achse aus (einfacher Klick mit der linken Maustaste).

Bereich:

Mit den Werten "von" und "bis" wird der gezeigte Messbereich festgelegt. Da die Zuordnung des Programms an diese Stelle nur "spekulativ" erfolgen kann, wird eine Korrektur durch den Anwender häufig notwendig sein. Sinnvoll ist eine Änderung beim "Hinauslaufen" der Messwerte aus dem gewählten Bereich und für die genaue Betrachtung eines Ausschnitts der Messung.

Einheit:

Eine Änderung der Einheit wird sich nur dann ergeben, wenn der gewählte Fühlerbereich der Messstelle für die Darstellung einer anderen physikalischen Größe verwendet wird. Tragen Sie dazu im Editierfeld diese Einheit ein.

Farbe:

In dieser Liste werden alle, für die Darstellung möglichen Farben aufgeführt. Für eine ausgewählte Y-Achse kann die gewünschte Farbe durch einfachen Klick mit der linken Maustaste auf die Farbe zugeordnet werden. Diese Einstellung kann jederzeit, auch während einer Messung, geändert werden. Somit ist es möglich, einer farbigen Messstelle eine gleichfarbige Y-Achse zuzuordnen.

Gitter einzeichnen:

Wird diese Option aktiviert (einfacher Klick mit der linken Maustaste auf den Text), wird das XY-Diagramm mit einem Gitternetz hinterlegt. Es empfiehlt sich das Gitternetz nur für eine Y-Achse anzuzeigen.

Bezeichnung:

Im Eingabefeld "Bezeichnung" kann ein Text für die ausführliche Beschreibung der jeweiligen Achse eingegeben werden. Dieser Text erscheint dann um 90° gedreht neben der entsprechenden Achse im Diagramm.


Der Bereich "X-Achse":

Wählen Sie hier die Messstelle aus, über deren physikalischer Größe die anderen Messgrößen abgebildet werden sollen. Klicken Sie dazu mit der linken Maustaste auf das Listenfeld rechts neben dem Text "Messstelle" und wählen Sie durch Anklicken die gewünschte Messstelle aus.

Achtung!

Sollte die gewählte Messstelle bereits für eine Y-Achse ausgewählt sein, erscheint eine Fehlermeldung. Je nach Zielstellung kann die vorhandene Verbindung zu einer Y-Achse aufgehoben oder eine andere Messstelle für die X-Achse festgelegt werden.

Die Angaben für den Bereich und die Einheit werden wie bei den Messstellen für die Y-Achse bearbeitet.


Registerkarte Messwertübernahme

FKS WinControl - Die Programmfenster > Das XY-Diagramm > Dialog "Eigenschaften des XY-Diagramms"

Registerkarte Messwertübernahme

Die Messwertübernahme kann in Abhängigkeit von Mess- oder Rechenwerten erfolgen. Auf der Registerkarte "Messwertübernahme" können die dazu notwendigen Einstellungen vorgenommen werden.

Die Standardeinstellung ist die Übernahme aller Messwerte. Alternativ kann eine Bezugsmessstelle ausgewählt und eine Bedingung (Größer als / Kleiner als) sowie ein Schwellwert ausgewählt werden.

Messwerte werden nur dann in die Tabelle bzw. das Diagramm übernommen, wenn die vereinbarte Bedingung erfüllt ist. Als Bezugsmessstellen sind alle Hardwaremessstellen sowie globale Rechenkanäle erlaubt. Die Übernahme bzw. Nichtübernahme erfolgt immer für die Daten eines kompletten Messzyklus.

Achtung!

Die lokalen Rechenkanäle in der Tabelle bzw. im Diagramm rechnen auch nur dann weiter, wenn im aktuellen Messzyklus die Werte in die Tabelle bzw. das Diagramm übernommen wurden. Auch die tabellen- bzw. diagrammspezifische Mittelwertbildung wird nur auf Basis der tatsächlich übernommenen Daten ausgeführt.


Zoomfunktion über die Maus

In einem XY-Diagramm kann ein gewünschter Ausschnitt vergrößert dargestellt werden. Das kann entweder über den Eigenschaftsdialog (durch Ändern des Darstellungsbereiches und der Größe der Zeitachse) erfolgen oder auch durch das auswählen des gewünschten Bereiches mit der Maustaste. Halten Sie dazu die linke Maustaste gedrückt, und ziehen Sie den Mauszeiger über den Bereich, der vergrößert dargestellt werden soll.

Über die Menüfunktion Ansicht/Zoom rückgängig wird der Ausgangszustand des XY-Diagramms wieder hergestellt.

Achtung!

Die Zoomfunktion mittels Mauszeiger steht nur für gespeicherte Messwertdateien zur Verfügung.


AUFRUF!

Aufruf eines neuen XY-Diagrammfensters:

· durch Menübefehl Messwerte/Neues XY-Diagramm

· Funktionstaste <F11>

· Einfachklick mit der linken Maustaste auf das Symbol "Neues XY-Diagramm" in der Werkzeugleiste


Druck

Ein XY-Diagramm drucken:

· dass zu druckende XY-Diagramm aktivieren

· Menübefehl Datei/Drucken ausführen oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


Die Tabelle

In einer Tabelle können beliebig viele Messstellen dargestellt werden. Dafür stehen neben den Spalten für die Messwerte die Spalten "Nummer", "Datum" und "Zeit" zur Verfügung. Entsprechend den anderen Fenstern, können Sie im Dialog "Eigenschaften der Tabelle" alle Einstellungen für diese festlegen und die Auswahl der darzustellenden Messstellen treffen.

Wie beim Liniendiagramm und XY-Diagramm werden die erfassten Messdaten im Hauptspeicher des Rechners gepuffert. Sie können diese während oder nach Beendigung eines Messvorganges als Datei sichern und auch zur Weiterverarbeitung per DDE oder Zwischenablage an eine Auswertesoftware übergeben.

Sie können beliebig viele Fenster dieser Art öffnen und gleichzeitig darstellen. Je Tabelle können beliebig viele Messstellen angezeigt werden. Die Darstellung der Messwerte als Liniendiagramm oder XY-Diagramm ist jederzeit möglich. Wählen Sie dazu den Befehl Ansicht/Darstellung als Liniendiagramm bzw. Ansicht/Darstellung als XY-Diagramm oder öffnen Sie durch Klicken mit der rechten Maustaste in die Tabelle das kontextsensitive Menü und wählen dort die Funktion Darstellung als Liniendiagramm bzw. Darstellung als XY-Diagramm.

Mehr zum Thema:

Dialog "Eigenschaften der Tabelle"


Dialog "Eigenschaften der Tabelle"

Im Dialog "Eigenschaften der Tabelle" wählen Sie die gewünschten Messstellen, die Eigenschaften für die Darstellung der Tabelle und die besonderen Einstellungen für die Messwertübernahme auf den folgenden Registerkarten aus.

Mehr:

Registerkarte Messstellen und Darstellung

Registerkarte Historie

Registerkarte Messwertübernahme

lokale Rechenkanäle

AUFRUF!

Druck


Registerkarte Messstellen und Darstellung

Kommentar:

Im Eingabefeld "Kommentar" kann die Zuordnung der Messdaten der Tabelle zu dem physikalischen Sachverhalt benannt werden. Der zu vergebene Kommentar (beliebig viele Zeichen) wird in der Titelleiste des Tabellenfensters angezeigt. Falls die Messreihen der Tabelle in einer Datei gespeichert werden, wird der Kommentar auch in der Datei mitgeführt.

Messstellen:

Für die Darstellung in der Tabelle können beliebig viele Messstellen aus der Liste ausgewählt werden. Für die Auswahl stehen verschiedene Mechanismen zur Verfügung:

· Doppelklick mit der linken Maustaste auf die gewünschte Messstelle

· Einfachklick mit der linken Maustaste auf das Kontrollkästchen links neben dem Messstellentext

· Klicken Sie auf die entsprechenden Schaltflächen unter der Messstellenliste um alle Messstellen aus- oder abzuwählen.

Datum anzeigen:

Wird diese Option aktiviert, wird in die Tabelle eine Spalte aufgenommen, in der für jeden Messwert das Datum angezeigt wird.

Zeilen nummerieren:

Wird diese Option aktiviert (einfacher Klick mit der Linken Maustaste auf das Kontrollkästchen links neben dem Text), wird in die Tabelle eine Spalte aufgenommen, in der den Messwerten eine fortlaufende Nummer zugeordnet wird.

Zeit in 100stel Sekunden darstellen:

Um Messdaten, die mit einer höheren Frequenz als 1Hz erfasst werden oder im Anlagen speicher abgelegt wurden mit einem entsprechenden Zeitstempel darzustellen, aktivieren Sie diese Option.


Registerkarte Historie

Der FKS WinControl Server verfügt über eine dateibasierende Messwertpufferung (Ringpuffer).

Die gepufferten Daten können in neue Tabellen bzw. Diagramme eingefügt werden. Dazu haben die jeweiligen Eigenschaftsdialoge eine zusätzliche Registerkarte "Historie", die beim Anlegen eines neuen Diagramms oder einer neuen Tabelle zur Verfügung steht.

Über die Option "Keine Daten aus der Historie übernehmen" (Standard) wird das Diagramm bzw. die Tabelle wie gewohnt angelegt. Mit "Alle vorhandenen Daten aus der Historie übernehmen" werden alle Daten, die zu den auf der Registerkarte "Messstellen" ausgewählten Messstellen im Puffer vorliegen in das Diagramm oder die Tabelle übernommen. Die letzte Option holt ebenfalls Daten aus den Puffern aber nur solche, die innerhalb der eingestellten Zeitspanne liegen.

Nachdem die Daten aus dem Puffer in das Diagramm oder die Tabelle übernommen wurden, werden die aktuellen Werte wie gewohnt angefügt, sobald die Messwertabfrage aktiviert ist.


Registerkarte Messwertübernahme

FKS WinControl - Die Programmfenster > Die Tabelle > Dialog "Eigenschaften der Tabelle"

Registerkarte Messwertübernahme

Die Messwertübernahme kann in Abhängigkeit von Mess- oder Rechenwerten erfolgen. Auf der Registerkarte "Messwertübernahme" können die dazu notwendigen Einstellungen vorgenommen werden.

Die Standardeinstellung ist die Übernahme aller Messwerte. Alternativ kann eine Bezugsmessstelle ausgewählt und eine Bedingung (Größer als / Kleiner als) sowie ein Schwellwert ausgewählt werden.

Messwerte werden nur dann in die Tabelle bzw. das Diagramm übernommen, wenn die vereinbarte Bedingung erfüllt ist. Als Bezugsmessstellen sind alle Hardwaremessstellen sowie globale Rechenkanäle erlaubt. Die Übernahme bzw. Nichtübernahme erfolgt immer für die Daten eines kompletten Messzyklus.

Achtung!

Die lokalen Rechenkanäle in der Tabelle bzw. im Diagramm rechnen auch nur dann weiter, wenn im aktuellen Messzyklus die Werte in die Tabelle bzw. das Diagramm übernommen wurden. Auch die tabellen- bzw. diagrammspezifische Mittelwertbildung wird nur auf Basis der tatsächlich übernommenen Daten ausgeführt.


AUFRUF!

Aufruf eines neuen Tabellenfensters:

· durch Menübefehl Messwerte/Neue Tabelle

· Funktionstaste <F10>

· Einfachklick mit der linken Maustaste auf das Symbol "Neue Tabelle" in der Werkzeugleiste


Druck

Eine Tabelle drucken:

· die zu druckende Tabelle aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


Das Dateiübersichtsfenster

Wurde eine Datei mit der Funktion Messwerte/Automatisches Speichern angelegt, wird diese Datei beim Öffnen als Dateiübersichtsfenster dargestellt. In diesem Fenster erscheint ein Text, der Sie über die wichtigsten Eigenschaften wie Aufnahmezeit, Messstellen, bestimmte Eigenschaften der Messstellen, Anmerkungen und gegebenenfalls einen Vermerk über den Import der Daten informiert.

Mehr zum Thema:

Ein neues Liniendiagramm erzeugen

Ein neues XY-Diagramm erzeugen

Eine neue Tabelle erzeugen

Ansicht des Datensatzes ändern


Ein neues Liniendiagramm erzeugen

FKS WinControl - Die Programmfenster > Das Dateiübersichtsfenster

Ein neues Liniendiagramm erzeugen

Um aus einem aktiven Dateiübersichtsfenster ein neues Liniendiagramm zu erhalten, wählen Sie die Funktion Messwerte/Neues Liniendiagramm oder öffnen Sie durch Klicken mit der rechten Maustaste in das Dateiübersichtsfenster das kontextsensitive Menü und wählen dort den Punkt Neues Liniendiagramm.

Im erscheinenden Dialog "Eigenschaften des Liniendiagramms" sind bereits alle zuletzt in der Datei gespeicherten Einstellungen ausgewählt. Wenn Sie nur mit OK bestätigen, erhalten Sie das Liniendiagramm in dem gespeicherten Zustand. Ebenso können Sie sich aus dem bestehenden Datensatz beliebig neue Liniendiagramme erzeugen und diese dann auch separat unter einem anderen Namen speichern.


Ein neues XY-Diagramm erzeugen

Um aus einem aktiven Dateiübersichtsfenster ein neues XY-Diagramm zu erhalten, wählen Sie die Funktion Messwerte/Neues XY-Diagramm oder öffnen Sie durch Klicken mit der rechten Maustaste in das Dateiübersichtsfenster das kontextsensitive Menü und wählen dort den Punkt Neues XY-Diagramm.

Im erscheinenden Dialog "Eigenschaften des XY-Diagramms" sind bereits alle zuletzt in der Datei gespeicherten Einstellungen ausgewählt. Wenn Sie nur mit OK bestätigen, erhalten Sie das XY-Diagramm in dem gespeicherten Zustand. Ebenso können Sie sich aus dem bestehenden Datensatz beliebig neue Liniendiagramme erzeugen und diese dann auch separat unter einem anderen Namen speichern.


Eine neue Tabelle erzeugen

Um aus einem aktiven Dateiübersichtsfenster eine neue Tabelle zu erhalten, wählen Sie die Funktion Messwerte/Neue Tabelle oder öffnen Sie durch Klicken mit der rechten Maustaste in die Tabelle das kontextsensitive Menü und wählen dort den Punkt Neue Tabelle.

Im erscheinenden Dialog "Eigenschaften der Tabelle" sind bereits alle zuletzt in der Datei gespeicherten Einstellungen ausgewählt. Wenn Sie nur mit OK bestätigen, erhalten Sie die Tabelle in dem gespeicherten Zustand. Ebenso können Sie sich aus dem bestehenden Datensatz beliebig neue Tabellen erzeugen und diese dann auch separat unter einem anderen Namen speichern.


Ansicht des Datensatzes ändern

FKS WinControl - Die Programmfenster > Das Dateiübersichtsfenster

Ansicht des Datensatzes ändern

Sollen die Messwerte der Datei in einer anderen Ansicht dargestellt werden, so wählen Sie je nach Zielstellung den Befehl Ansicht/Darstellung als Liniendiagramm, Ansicht/Darstellung als XY-Diagramm oder Ansicht/Darstellung als Tabelle. Alle Funktionen stehen auch im kontextsensitiven Menü des Dateiübersichtsfensters zur Verfügung. Öffnen Sie dieses durch Klick mit der rechten Maustaste in das Fenster.

Im erscheinenden Eigenschaftsdialog sind bereits Vorzugseinstellungen ausgewählt. Je nach Aufgabenstellung können diese geändert oder mit OK bestätigt werden. Der jeweilige Eigenschaftendialog erscheint nur, wenn für die Darstellung notwendige Informationen fehlen. Andernfalls wird die neue Ansicht sofort angezeigt. Natürlich können die Eigenschaften danach über Aufruf des Eigenschaftendialogs verändert werden.

Achtung!

Wenn Sie die gespeicherten Messdaten in einer anderen Ansicht darstellen wollen und im erscheinenden Eigenschaftendialog Messstellen entfernen, werden die Daten dieser Messstelle in der Datei gelöscht. Wählen Sie für die Vereinzelung von Messreihen immer die Funktionen Neues Liniendiagramm, Neues XY-Diagramm bzw. Neue Tabelle.


Die Projektbilder

FKS WinControl bietet die Möglichkeit, in einem speziellen Fenster die Darstellung eines Messaufbaus anzuzeigen. Für die Gestaltung können Grafiken (Bitmaps, Enhanced Metafiles), frei positionierbare Textfelder, die erfassten Messwerte in frei positionierbaren Messwertfeldern (nur Zahlenwert und Rahmen) und Liniendiagramme dargestellt werden.

Zusammenhänge zwischen Messstellen können durch die Verbindung von Messwertanzeigen mit (farbigen) Linien verdeutlicht werden, womit die Darstellung einfacher Flussdiagramme problemlos möglich ist.

Liniendiagramme, die über die Zwischenablage als Enhanced Metafiles eingefügt wurden, können mit Hilfe von Textfeldern (mit transparentem Hintergrund) kommentiert werden.

Durch den Einsatz von Links, können Projektbilder zur Steuerzentrale werden: ein Klick auf ein Messwertfeld öffnet z.B. ein Liniendiagramm mit definierten Eigenschaften oder ein weiteres Projektbild.

Um ein Projektbild zu erstellen, führen Sie die Menüfunktion Messwerte/Neues Projektbild aus. Um die Eigenschaften des Projektbildes zu definieren rufen Sie über das Menü Ansicht/Diagrammeigenschaften, den Menüpunkt Diagrammeigenschaften im Kontextmenü oder über <Enter> den dazugehörigen Eigenschaftsdialog auf.

Um die gewünschten Objekte in ein Projektbild einzufügen, steht die Funktion Bearbeiten/Objekt einfügen zur Verfügung. Über Bearbeiten/Zeichnen, können Zeichnungsobjekte (Linien, Polygone etc.) eingefügt werden.

Von jedem Typ können beliebig viele Objekte in einem Projektbild vereinbart werden. Ebenso können beliebig viele Projektbilder auch gleichzeitig im Programm aktiv sein. Damit lassen sich unter anderem auch Gesamt- und Detailansichten eines Projektes gleichzeitig präsentieren.

Ein erstelltes Projektbild kann als Datei gespeichert und entsprechend wieder geladen werden. Beim Laden eines gespeicherten Projektbildes ist im Standarddateidialog unter Dateityp "FKS Projektbilder (*.amb)" auszuwählen.

Nach Bestätigung der Eingaben mit OK erscheint ein zunächst leeres Fenster. In diesem Fenster können nun die gewünschten Objekte und Zeichenelemente (Messwertfelder, Textfelder, Bitmaps ...) dargestellt werden. Dazu stehen die Funktionen der Menüs Bearbeiten und Ansicht sowie ein kontextsensitives Menü zur Verfügung. Die jeweiligen Funktionen sind nur bei einem aktivierten Projektbild sichtbar.

Gut zu wissen!

Mit Öffnen bzw. Aktivieren eines Projektbildes, wird eine spezielle Projektbildwerkzeugleiste eingeblendet. Über diese sind die wichtigsten Aktionen bequem mit der Maus erreichbar.

Gut zu wissen!

Alle Funktionen zur Bearbeitung von Projektbildern stehen nur dann zur Verfügung, wenn das aktuelle Fenster ein Projektbild ist.

Mehr zum Thema:

Dialog "Projektbild Eigenschaften"

Positionierung

Rahmen an Textgröße anpassen

Textfelder

Messwertfelder

Bitmaps und Enhanced Metafiles

Objekte zeichnen

Elemente zur Beschreibung der Projektbild-Objekte

Projektbildwerkzeugleiste


Dialog "Projektbild Eigenschaften"

FKS WinControl - Die Programmfenster > Die Projektbilder

Dialog "Projektbild Eigenschaften"

Im Dialog "Projektbild Eigenschaften" wird zunächst die Größe des Bildes festgelegt und es kann entschieden werden, ob mit einem Gitter als Zeichenhilfe gearbeitet werden soll. Dieser Dialog kann jederzeit wieder aufgerufen und die Eigenschaften des Projektbildes verändert werden. Im Einzelnen können folgende Eigenschaften definiert werden:

Zeichenfläche

Es wird die Größe der Zeichenfläche in Pixel (Bildschirmpunkte) in horizontaler und vertikaler Richtung erwartet.

Hintergrundfarbe

Auswahl der Farbe, in welcher der Hintergrund dargestellt wird

Raster anzeigen

Schaltet das (nur am Bildschirm, nicht beim Ausdruck sichtbare) Raster ein, das Hilfslinien zur Positionierung der Objekte und Zeichenelementen darstellt.

Am Raster ausrichten

Die linke obere Ecke von komplexen Objekten (Bitmaps, Textfelder etc.) oder die Eckpunkte von Zeichenelementen (Linien, Kreise, Rechtecke, etc.) werden beim Verschieben oder Einfügen von Objekten immer auf den nächsten Rasterpunkt verschoben.

Rasterfarbe

Auswahl der Farbe, in der das Raster dargestellt wird.

Rastergröße horizontal/vertikal

Es wird der Abstand zwischen den Rasterpunkten in vertikaler bzw. horizontaler Richtung angegeben. Die Maßeinheit ist Pixel.

Seitenränder anzeigen

Ist dieser Punkt aktiviert, werden am Bildschirm die Seitenumbrüche – in Abhängigkeit von den Druckereinstellungen – als gestrichelte Linie dargestellt. Das soll als Orientierungshilfe bei zum Ausdruck bestimmten Projektbildern dienen.

Änderungen am Diagramm zulassen

Nur wenn dieser Punkt aktiviert ist, können Eigenschaften der Objekte und Zeichenelemente geändert, diese gelöscht und hinzugefügt werden. Damit kann ein unbeabsichtigtes Ändern des Projektbildes verhindert werden.


Positionierung

Die Positionierung aller Objekte (Messwertfeld, Textfeld, Bitmaps...) erfolgt durch Auswahl des gewünschten Objektes durch einfachen Mausklick mit der linken Maustaste auf dieses und durch bewegen des Mauszeigers bei gedrückter Maustaste. Um mehrere Objekte gleichzeitig zu markieren, klicken Sie diese bei gedrückter <Shift> -Taste mit der linken Maustaste an oder ziehen Sie mit gedrückter linker Maus einen Rahmen um diese.

Weiterhin können markierte Objekte mit den Menüfunktionen Bearbeiten/Reihenfolge/Objekt in Vordergrund, .../Objekt in den Hintergrund, .../Objekt nach vorn, .../Objekt nach hinten, sowie über sie Funktionen, Bearbeiten/Ausrichtung/Oben ausrichten, .../Unten ausrichten, .../Rechtsbündig ausrichten, .../Linksbündig ausrichten, .../Mitte ausrichten, und .../Mittig ausrichten positioniert werden.


Rahmen an Textgröße anpassen

Über die Funktion Bearbeiten/Rahmen an Textgröße anpassen können die Rahmen von Textfeldern genau um den jeweils vorhandenen Text gezogen werden.


Textfelder

Über die Funktion Objekt einfügen/Textfeld aus dem Menü Bearbeiten oder dem Kontextmenü können Sie ein neues Textfeld in ein Projektbild einfügen. Zunächst kann über den Mauszeiger die Position im Projektbild festgelegt werden. Nach einfachem Klick mit der linken Maustaste wird dann das Textfeld angezeigt und der markierte Text "Text" kann durch den gewünschten ersetzt werden. Um den Dialog "Eigenschaften: Textfeld" zu öffnen, wählen Sie bei markiertem Textfeld die Funktion Objekteigenschaften aus dem Menü Ansicht oder dem Kontextmenü. In diesem Dialog stehen die folgenden Elemente (Registerkarten) für die Änderung des Textes, den Link zum Aufruf einer Datei und die Gestaltung (z. B. Schrift, Farbe) des Textfeldes zur Verfügung:

· Text

· Linie

· Füllen

· Schrift

· Link

Eine ausführliche Beschreibung der Elemente finden Sie unter Elemente zur Beschreibung der Projektbild-Objekte.


Messwertfelder

FKS WinControl - Die Programmfenster > Die Projektbilder

Messwertfelder

Über die Funktion Objekteinfügen/Messwertfeld aus dem Menü Bearbeiten oder dem Kontextmenü können Sie ein neues Messwertfeld in ein Projektbild einfügen. Zunächst kann über den Mauszeiger die Position im Projektbild festgelegt werden. Nach einfachem Klick mit der linken Maustaste wird dann der Dialog "Eigenschaften: Messwertanzeige" geöffnet. In diesem Dialog stehen die folgenden Elemente (Registerkarten) für die Auswahl der gewünschten Messstelle, den Link zum Aufruf einer Datei und die Gestaltung (z. B. Schrift, Farbe) des Messwertfeldes zur Verfügung:

· Messstellen

· Linie

· Füllen

· Schrift

· Link

Eine ausführliche Beschreibung der Elemente finden Sie unter Elemente zur Beschreibung der Projektbild-Objekte.

Um den Dialog "Eigenschaften: Messwertanzeige" wieder zu öffnen, wählen Sie bei markiertem Messwertfeld die Funktion Objekteigenschaften aus dem Menü Ansicht oder dem Kontextmenü.


Bitmaps und Enhanced Metafiles

Über die Funktion Objekt einfügen/Bitmap und Objekt einfügen/Enhanced Metafile aus dem Menü Bearbeiten oder dem Kontextmenü können Sie eine neue Grafik in ein Projektbild einfügen. Nach Ausführen der Funktion erscheint ein Standarddateidialog, in dem die gewünschte Grafik als bmp- oder ehm- Datei ausgewählt und nach Bestätigung mit OK geladen werden kann.

Die Größe des Bildes lässt sich durch Ziehen mit dem Mauszeiger bei gedrückter linker Maustaste verändern. Markieren Sie dazu das Objekt und bewegen Sie den Mauszeiger auf eine der Ecken des Bildes, so dass sich das Zeigersymbol zum Doppelpfeil ändert. Drücken Sie dann die linke Maustaste und bewegen Sie den Mauszeiger zum Vergrößern oder verkleinern das Objekt.

Wählen Sie bei markierter Grafik die Funktion Objekteigenschaften aus dem Menü Ansicht oder dem Kontextmenü, um den Dialog "Eigenschaften: Bitmap" bzw. "Eigenschaften: Enhanced Metafile" zu öffnen. In diesem Dialog stehen die folgenden Elemente (Registerkarten) für die Gestaltung der Grafik zur Verfügung:

· Bitmap bzw. Enhanced Metafile

· Link

Eine ausführliche Beschreibung der Elemente finden Sie unter Elemente zur Beschreibung der Projektbild-Objekte.


Objekte zeichnen

Um in einem Projektbild Objekte optisch miteinander zu verbinden oder anderweitig zu markieren bzw. um individuelle Objekte zu zeichnen, rufen Sie die Funktion Zeichnen aus dem Menü Bearbeiten oder dem Kontextmenü auf. Es können folgende Objekte gezeichnet werden:

Linie

Nach der Anwahl dieses Punktes wird mit der Maus der Startpunkt einer Linie durch Drücken der linken Maustaste an der gewünschten Position gewählt. Bei gedrückter Maustaste wird die Maus zum gewünschten Endpunkt bewegt und die linke Maustaste wird losgelassen. Zwischen Start- und Endpunkt wird eine Linie gezogen.

Mehrfachlinie

Mit der linken Maustaste wird ein Startpunkt markiert. Nach dem Loslassen der Maustaste wird die Maus zum nächsten gewünschten Eckpunkt bewegt und erneut gedrückt usw. Ein Doppelklick mit der linken Maustaste schließt die Linie ab, ein Klick mit der rechten Maustaste löscht alle bereits gesetzten Punkte, bricht aber den Modus "Mehrfachlinie zeichnen" nicht ab.

Polygon

Ein Polygon ist eine Mehrfachlinie, deren Start- und Endpunkt automatisch verbunden sind. Das Einfügen eines Polygons erfolgt genauso wie das Einfügen einer Mehrfachlinie.

Rechteck

Mit dem Drücken der linken Maustaste wird die linke obere Ecke des Rechtecks festgelegt, bei gedrückter linker Maustaste wird der Mauszeiger zur gewünschten unteren rechten Ecke gezogen. Mit dem Loslassen der Maustaste wird das Rechteck zwischen diesen Punkten gezeichnet.

Bezierkurve

Mit der linken Maustaste wird ein Startpunkt markiert. Jeder weitere Mausklick fügt an der aktuellen Mausposition einen Punkt ein, zwischen denen eine Bezierkurve aufgespannt wird. Ein Doppelklick mit der linken Maustaste schließt die Kurve ab. Pro Kurvensegment sind vier Punkte erforderlich: Start- und Endpunkt sowie zwei Kontrollpunkte. Wenn mehrere Kurven aufeinander folgen, ist der Startpunkt der folgenden Kurve der Endpunkt der aktuellen Kurve.

Geschlossene Bezierkurve

Es wird eine Bezierkurve gezeichnet, bei der nach dem Abschluss durch den Doppelklick mit der linken Maustaste Start- und Endpunkt verbunden werden.

Ellipse (Kreis)

Mit dem Drücken der linken Maustaste und Ziehen mit der Maus wird ein Rechteck aufgespannt, in das eine Ellipse gezeichnet wird. Dabei ist der Mittelpunkt des Rechtecks der Ellipsenmittelpunkt und die Länge und die Breite des Rechtecks bilden die Durchmesser der Ellipse ab. Wenn das Rechteck quadratisch ist, wird ein Kreis gezeichnet.

Wählen Sie bei markiertem Zeichnungsobjekt die Funktion Objekteigenschaften aus dem Menü Ansicht oder dem Kontextmenü, um den Dialog "Eigenschaften: Zeichnungsobjekt " bzw. zu öffnen. In diesem Dialog stehen die folgenden Elemente (Registerkarten) für die Gestaltung des Objekts zur Verfügung:

· Linie

· Füllen

Eine ausführliche Beschreibung der Elemente finden Sie unter Elemente zur Beschreibung der Projektbild-Objekte.


Elemente zur Beschreibung der Projektbild-Objekte

FKS WinControl - Die Programmfenster > Die Projektbilder

Elemente zur Beschreibung der Projektbild-Objekte

Die Eigenschaften der Objekte in einem Projektbild können über den jeweils dazugehörigen Eigenschaftsdialog definiert werden. Der Aufruf erfolgt für das jeweils markierte Objekt über die Funktion Objekteigenschaften aus dem Menü Ansicht oder dem Kontextmenü. In diesem Dialog stehen die folgenden Elemente (Registerkarten) für die Auswahl der gewünschten Messstelle, den Link zum Aufruf einer Datei und die Gestaltung (z. B. Schrift, Farbe) des Objekts zur Verfügung:

Text

Hier kann der Text eingeben werde, der in dem (Text-) Element dargestellt werden soll. Wenn der Text mehrzeilig ausgegeben werden soll, ist "Mehrere Zeilen" anzuwählen, in dem Fall kann außerdem noch der Zeilenumbruch eingeschaltet werden, so dass sich der Text automatisch an die Größe des Textfeldes anpasst.

Achtung!

Sind die äußeren Abmessungen der Textbox kleiner als die Textdimensionen, wobei die Größe der ausgewählten Schriftart zu beachten ist, dann wird die Textbox nicht vergrößert, sondern der Text wird – je nach Textausrichtung – an den Rändern abgeschnitten.

Messstellen

Aus der Liste der im System vorhandenen Messstellen kann die gewünschte Messstelle ausgewählt werden. Jede Anzeige kann eine Messstelle beinhalten.

Linie

Die Farbe, mit der die Umrandung dargestellt werden soll, wird mit der gleichnamigen Schaltfläche ausgewählt. Ist "Transparent" eingestellt, dann wird diese Farbe ignoriert und die Linie wird unsichtbar dargestellt.

Wenn eine Breite von 0 (=1 Pixel) selektiert wird, besteht die Möglichkeit, die Linie einem der fünf abgebildeten Stile darzustellen, bei größeren Breiten ist nur noch ein Stil (Basis) verfügbar.

Die Änderung kann durch Übernehmen übernommen werden, so dass die geänderte Eigenschaft am Bildschirm sofort sichtbar wird.

Füllen

Geschlossene Elemente können zweifarbig gefüllt werden. Dazu stehen eine Reihe von Schraffuren zur Auswahl. Wird die Hintergrundfarbe auf "Transparent" gestellt und nicht "Keine Schraffur" aktiviert, sind durch das Füllmuster darunter befindliche Elemente sichtbar.

Um ein Element vollständig durchscheinend darzustellen, muss sowohl die Vordergrund- als auch die Hintergrundfarbe auf "Transparent" gestellt werden.

Schrift

Es werden alle auf dem Rechner verfügbaren Schriftarten angezeigt, aus denen eine ausgewählt werden kann. Aus den verfügbaren Darstellungsarten und Schriftgrößen kann die gewünschte ausgewählt werden. Der Text in einem Element kann nur in einer Schriftart, mit einem Stil und in einer Farbe dargestellt werden.

Achtung!

Wenn auf dem PC, auf dem das Projektbild betrachtet wird, die Schriftart, die bei der Erstellung des Projektbildes ausgewählt wurde, nicht verfügbar ist, dann wird die Windows-Standardschriftart verwendet.

Link

Es wird die Angabe eines Dateinamens, einschließlich des kompletten Pfades erwartet. Eine Überprüfung, ob die Datei existiert, wird nicht durchgeführt, weil

· so das Projektbild auf einem Rechner erstellt werden kann, auf dem die Zieldatei nicht existiert, diese aber auf dem Rechner vorhanden ist, auf dem das Projektbild betrachtet werden soll

· so die Erstellung des Projektbildes unabhängig von der Erstellung der Zieldatei ist.

Um für eine existierende Datei die Eingabe zu vereinfachen, steht die Schaltfläche "Suchen..." zur Verfügung, mit der ein Dateiauswahldialog geöffnet werden kann.

Bitmap bzw. Enhanced Metafile

Es kann festgelegt werden, ob eine Farbe der Bitmap transparent dargestellt werden soll und wenn ja, kann diese Farbe ausgewählt werden. Die Auswahl erfolgt aufgrund der aktuellen Windowsfarbeinstellung, so dass bei Bildern mit mehr als 256 Farben die transparent darzustellende bekannt sein muss.

Um in einer Enhanced Metafile – Grafik den Hintergrund transparent zu schalten, muss die Komponente "Hintergrund" in dieser definiert sein.

Grenzwertverletzungen

Grenzwertverletzungen an Messstellen können im Projektbild durch automatische Änderung der Textfarbe und/oder der Hintergrundfarbe in Messwertanzeigen visualisiert werden. Über die Registerkarte "Grenzwertverletzung" im Eigenschaftsdialog für Messwertanzeigen in Projektbildern können folgende Einstellungen vorgenommen werden:

Mit dem Aktivieren/Deaktivieren der Option "Textfarbe bei Grenzwertverletzung ändern" wird für die ausgewählte Messwertanzeige die Visualisierung ein- bzw. ausgeschaltet. Ist die Option aktiviert, können die gewünschten Farben für Grenzwertüber- bzw. Unterschreitung im oberen Rahmen ausgewählt werden.

Auf die gleiche Art und Weise kann über die Option "Hintergrundfarbe bei Grenzwertverletzungen ändern" und den Schaltflächen im unteren Rahmen die Farben für den Hintergrund gewählt werden. Falls für den Hintergrund eine Schraffur und/oder Transparenzeffekte (à Registerkarte "Füllen") eingestellt sind, werden diese im Alarmfall nicht benutzt, der Hintergrund wird komplett in der gewählten Farbe ausgefüllt.

Über die Schaltfläche Übernehmen werden die neuen Farbeinstellungen in der Messwertanzeige aktiviert, ohne den Dialog zu schließen. So lässt sich leicht feststellen, ob die gewählten Farben ins Konzept des Projektbildes passen oder ob noch Änderungen vorgenommen werden müssen.

Achtung!

Die Grenzwertfarben lassen sich für alle Messstellen einstellen, unabhängig davon, ob für die zugeordnete Messstelle Grenzwerte programmiert sind oder nicht.

Da sich in Messwertanzeigen die Schriftfarbe beliebig einstellen lässt, sollte darauf geachtet werden, die Grenzwertfarben so zu wählen, dass sich die Farben für den Zustand "Grenzwertunterschreitung", "Keine Grenzwertverletzung" und "Grenzwertüberschreitung unterschieden. Auch die Farben für Schrift und Hintergrund sollten unterschiedlich gewählt werden!


Projektbildwerkzeugleiste

FKS WinControl - Die Programmfenster > Die Projektbilder

Projektbildwerkzeugleiste

Mit Anlegen bzw. Aktivieren eines Projektbildes wird eine spezielle Werkzeugleiste eingeblendet. Damit sind die wichtigsten Aktionen bequem mit der Maus erreichbar:

Objekt auswählen

Eckpunkte verschieben

Eigenschaftsdialog öffnen

Linie zeichnen

Mehrfachlinie zeichnen

Polygon zeichnen

Rechteck zeichnen

Bezierkurve zeichnen

Geschlossene Bezierkurve zeichnen

Ellipse (Kreis) zeichnen

Textfeld einfügen

Messwertfeld einfügen

Bitmap einfügen

Enhanced Metafile einfügen

in z-Richtung um eine Position nach vorn verschieben

in z-Richtung um eine Position nach hinten verschieben

ausgewählte Elemente (mindestens zwei) an ihren Oberkanten ausrichten

ausgewählte Elemente (mindestens zwei) an ihren Unterkanten ausrichten

ausgewählte Elemente (mindestens zwei) an ihren linken Kanten ausrichten

ausgewählte Elemente (mindestens zwei) an ihren rechten Kanten ausrichten


Die Ereignisliste

Es kann festgelegt werden, dass ein Protokoll über alle aufgetretenen Alarmsituationen erstellt wird. Das heißt, bei entsprechend aktivierter Funktion werden im Alarmfall der Beginn und dann auch das Ende einer Störung in eine spezielle Liste (Fenster) eingetragen.

Achtung!

Aktuelle Ereignisse werden nur in der aktuellen Ereignisliste eingetragen, jedoch nicht in gespeicherten und wieder geöffneten Dateien!

Mehr zum Thema:

Einträge von Alarmsituationen

Einträge von Zusatzinformationen


Einträge von Alarmsituationen

FKS WinControl - Die Programmfenster > Die Ereignisliste

Einträge von Alarmsituationen

In der Ereignisliste werden folgende Ereignisse erfasst:

· Grenzwertüberscheitung

· Grenzwertunterschreitung

· Fühlerbruch

· Wegfall von Messstellen (z.B. Ausfall eines Gerätes)

Für jede aufgetretene Alarmsituation werden der Beginn und gegebenenfalls das Ende eingetragen.


Einträge von Zusatzinformationen

FKS WinControl - Die Programmfenster > Die Ereignisliste

Einträge von Zusatzinformationen

Um die Auswertung von Alarmsituationen nachträglich zu vereinfachen, wurden folgende Ereignisse definiert, die in der ebenfalls in der Ereignisliste angezeigt werden:

· Messwertabfrage gestartet

· Messwertabfrage beendet

· Alarmbehandlung eingeschaltet

· Alarmbehandlung abgeschaltet

Gut zu wissen!

Diese Einträge werden nur in eine bereits geöffnete Ereignisliste geschrieben, da es sich um ergänzende Informationen zu eventuellen Ereignissen handelt.

Entfernen von Einträgen

Beim automatischen Speichern und dem Erzeugen von Tagesdateien kann die Ereignisliste sehr viele Einträge enthalten, was die Übersichtlichkeit beeinträchtigt. Deswegen wurde die Möglichkeit geschaffen, beim Anlegen einer neuen Datei und nach dem Abspeichern der Ereignisliste automatisch diejenigen Einträge aus der Ereignisliste zu entfernen, die durch Beginn und Ende als erledigt betrachtet werden können bzw. die nur informativen Charakter haben, wie z.B. "Alarm quittiert". Dadurch enthält die aktuelle Ereignisliste nur die Einträge, die bei der zugehörigen Tagesdatei auftraten oder zu dieser Zeit noch aktuell waren.

Sollte diese Funktion nicht gewünscht sein, kann dies in der Initialisierungsdatei wcFKS.ini definiert werden werden:

[Settings]

ReduceEventList=0

Analog dazu kann die Funktion durch

[Settings]

ReduceEventList=1

wieder aktiviert werden.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Überschriften

Um die Ereignislisten im Nachhinein schneller zuordnen zu können, wird bei Druck und Export die Überschrift "von BEGINN bis ENDE” eingetragen.

Leere Ereignisliste

Um eine lückenlose Rekonstruktion der Ereignisse bei Messungen über längere Zeiträume zu ermöglichen, wird in die Ereignisliste der Hinweis "Keine Ereignisse aufgetreten" aufgenommen, wenn keine Ereignisse vorliegen. Das kann z.B. dann der Fall sein, wenn bei aktivierter Bereinigung der Ereignisliste (siehe auch: "Entfernen von Einträgen”) alle Ereignisse erledigt sind und die Ereignisliste leer ist.


Das Statusfenster

Im Statusfenster wird der Betriebszustand der angeschlossenen Anlage(n) visualisiert.

In der ersten Zeile erfolgt die Anzeige des Anlagennamens, um die Zuordnung beim gleichzeitigen Betrieb mehrerer Anlagen zu erleichtern.

In der zweiten Zeile wird der Betriebsstatus ("Aktiv", "Startverzögerung", "Stopp", "Aus", "Störung") dargestellt. Die Zeilen drei bis fünf enthalten die Angaben zum laufenden Programm, falls verfügbar:

· Programm: das aktuell im Gerät als aktiv festgelegte Programm

· Restlaufzeit: Zeitspanne, die der aktuelle Programm noch zur Abarbeitung benötigt

· Schritt Nr.: der aktuelle Schritt des laufenden Programms

· Restlaufzeit: Zeitspanne, die der aktuelle Schritt noch zur Abarbeitung benötigt

Falls eine Störung vorliegt, werden in den Zeilen sechs und folgende die anliegenden Störungen angezeigt. Wenn die Anlage die Fernsteuerung der Fehlerquittung erlaubt, wird zusätzlich eine Schaltfläche "Zurücksetzen" eingeblendet, über die die Störung quittiert werden kann.

Hinweis: Beim Zurücksetzen der Fehler gelten die gleichen Bedingungen wie bei der Quittung direkt an der Anlage!

Mehr:

Steuerung der Anlagen

Spezielle Rechenkanalfunktionen


Steuerung der Anlagen

Zwei Schaltflächen ermöglichen die Steuerung der in der Anlage vorhandenen Programme:

Mit der linken Schaltfläche kann ein aktives Programm unterbrochen und fortgesetzt werden. Ist kein aktives Programm in der Anlage definiert, ist diese Schaltfläche deaktiviert.

Die rechte Schaltfläche dient zum Starten eines Programms. Beim Klick mit der linken Maustaste auf diese Schaltfläche öffnet sich eine Auswahlliste, die alle in der Anlage vorhandenen Programme auflistet. Nach der Auswahl eines dieser Programme wird dieses als aktives Programm in der Anlage definiert und gestartet.

Gut zu wissen!

Falls die Anlage die Fernsteuerung des Manuellen Betriebs unterstützt, so steht am Anfang der Auswahlliste zusätzlich der Punkt "Manueller Betrieb" zur Verfügung (siehe auch: Manueller Betrieb).

Im Störungsfall sind beide Schaltflächen deaktiviert.

AUFRUF!

Im Menü "Ansicht" befindet sich ein Untermenü "Anlagenstatus", welches für jede angeschlossene Anlage einen Eintrag enthält, der sich aus Anlagenadresse und Anlagenname zusammensetzt. Wird ein Eintrag ausgewählt, öffnet sich ein Statusfenster für diese Anlage, falls noch keins existiert.


Spezielle Rechenkanalfunktionen

FKS WinControl - Die Programmfenster > Das Statusfenster

Spezielle Rechenkanalfunktionen

Die im Statusfenster angezeigten Parameter können auch über spezielle Funktionen in Rechenkanälen verwendet werden. Alle Funktionen erwarten als Parameter die Gerätenummer und liefern einen ganzzahligen Wert zurück:

devstatus(Gerätenummer)

Das Ergebnis ist der aktuelle Anlagenstatus und kann folgende Werte annehmen:

-1 à Status undefiniert (Geräteabfrage noch nicht vollständig beendet)

0 à Aus

2 à Startverzögerung

4 à Aktiv

6 à Stopp

88 à Übergangszustand (Auftreten unwahrscheinlich)

99 à Störung

devfailures(Gerätenummer)

Das Ergebnis ist der aktuelle Störungszustand in der Form eines Bitmusters. Jedes gesetzte Bit entspricht einer Störung. Die Zuordnung lautet:

0 à Wicklungsschutz Motor Ventilator

1 à Störung Kältemaschine 1

2 à Wicklungsschutz Verdichter 1

3 à Störung Klimakälte

4 à Störung Soledruck

5 à Störung Kältemaschine 2

6 à Wicklungsschutz Verdichter 2

9 à Wicklungsschutz Pumpen

10 à Wasserniveau

11 à Störung Hauptschütz

12 à Störung Grenzwert

13 à Störung Sensor

14 à Netzausfall

15 à Systemfehler (Steuerung)

Die Bits 7 und 8 sind ungenutzt. Wenn keine Störung anliegt, wird als Ergebnis 0 geliefert.

devprogram (Gerätenummer)

Das Ergebnis ist die Nummer des aktiven Programms oder 0.

devstep (Gerätenummer)

Das Ergebnis ist die Nummer des aktuellen Schrittes des aktiven Programms oder 0.

devremainingtime (Gerätenummer)

Die Restlaufzeit des aktuellen Programmschrittes in Sekunden.

Für alle diese Funktionen gilt: Wenn das angegebene Gerät nicht existiert, wird als Ergebnis "ungültig" geliefert.


Das Datei-Menü

Mehr zum Thema:

Öffnen

Schließen

Speichern

Speichern unter

Bereich speichern

Importieren

Exportieren

Als e-Mail versenden

Verbinden

Datenreduktion

Seitenansicht

Drucken

Messwerte zwischen den Cursoren drucken

Protokoll drucken

Seite einrichten

Drucker einrichten

Liste der zuletzt benutzten Dateien

Konfiguration laden

Konfiguration speichern

Rechenkanäle laden

Rechenkanäle speichern

Als Vorlage speichern

Vorlage anwenden

Benutzer abmelden

Programm beenden


Öffnen

Mit dem Befehl Datei/Öffnen können Sie eine bestehende Messwertdatei in einem neuen Fenster öffnen. Im erscheinenden Standarddateidialog wird die gewünschte Datei anhand des Dateinamens, des Dateityps, des Laufwerks und des Verzeichnisses ausgewählt.

Wurde eine Datei mit der Funktion Messwerte/Automatisches Speichern oder Messwerte/Anlagenspeicher gespeichert, wird diese Datei beim Öffnen als Dateiübersichtsfenster dargestellt. In diesem Fenster erscheint ein Text, der Sie über die wichtigsten Eigenschaften wie Aufnahmezeit und Messstellen informiert.

Wenn Sie im Dialog "Einstellungen/Sonstige" die Funktion „Messwertdatei beim Öffnen als Liniendiagramm darstellen, falls möglich“ nicht ausgewählt haben, werden auch alle als Liniendiagramm gespeicherten Dateien als Dateiübersicht geöffnet.

Als Tabellen gespeicherte Dateien, werden in jedem Fall als Tabellen geöffnet.

Um aus einer aktiven Dateiübersicht ein neues Liniendiagramm oder eine neue Tabelle zu erzeugen, wählen Sie die Funktion Messwerte/Neues Liniendiagramm bzw. Messwerte/Neue Tabelle. Im erscheinenden Eigenschaftendialog sind bereits alle zuletzt in der Datei gespeicherten Einstellungen ausgewählt. Wenn Sie nur mit OK bestätigen, erhalten Sie das neue Liniendiagramm bzw. die neue Tabelle in dem gleichen Zustand wie die Ursprungsdatei.

Sollen die Messwerte der Datei in einer anderen Ansicht dargestellt werden, so wählen Sie je nach Zielstellung den Befehl Ansicht/Darstellung als Liniendiagramm, Ansicht/Darstellung als Tabelle oder Ansicht/Darstellung als Übersicht. Diese Funktionen stehen auch im kontextsensitiven Menü des Dateiübersichtsfensters zur Verfügung. Öffnen Sie dieses durch Klick mit der rechten Maustaste in das aktive Fenster.

FKS WinControl merkt sich die Dateien, an denen Sie zuletzt gearbeitet haben. Sie können eine solche Datei auf einfache Weise öffnen, indem Sie im unteren Teil des Menüs Datei auf den entsprechenden Namen klicken.

Möchten Sie eine neue Tabelle, ein neues Liniendiagramm, Balkendiagramm oder eine numerische Messwertanzeige erstellen, so arbeiten Sie mit den Befehlen Neue Tabelle, Neues Liniendiagramm, Neues Balkendiagramm oder Neue Messwertanzeige aus dem Menü Messwerte.

Schaltfläche für "Öffnen"

Klicken Sie in der Werkzeugleiste auf die Schaltfläche für "Öffnen", um ein Dokument auf einfache Weise zu öffnen.

Standarddateidialog

In einem Standarddateidialog wählen Sie die zu bearbeitende Datei anhand der folgenden Dialogfeldoptionen aus.

Dateiname:

Geben Sie den Namen der Datei ein, die Sie bearbeiten möchten, oder wählen Sie einen aus der Liste. In diesem Feld werden Dateien mit der im Feld "Dateityp" gewählten Dateinamenerweiterung angezeigt. Möchten Sie eine Liste von Dateien mit einer bestimmten Erweiterung anzeigen, geben Sie ein Sternchen (*), einen Punkt und die aus drei Buchstaben bestehende Dateinamenerweiterung ein, und drücken Sie die EINGABETASTE.

Dateityp:

Wählen Sie den Dateityp, den Sie im Feld "Dateiname" sehen möchten. Daraufhin werden alle Dateien dieses Typs im aktuellen Laufwerk aufgelistet. Folgende Dateitypen sind auswählbar:

· Alle Dateien (*.*)

· FKS Klimaprofile (*.clim)

· FKS Klimaprofile (*.clm3)

· Messwertdateien (*.fks )

· Programmierdateien (*.prg)

· Projektbilder (*.amb)

· Excel Verbindungsparameter (*.amx)

Laufwerke:

Wählen Sie das Laufwerk, in dem sich die zu bearbeitende Datei befindet.

Verzeichnisse:

Wählen Sie das Verzeichnis, in dem sich die zu bearbeitende Datei befindet.


Schließen

Mit dem Befehl Schließen können Sie die aktive Messwertdatei schließen. Haben Sie seit der letzten Speicherung noch Änderungen vorgenommen und diese nicht gespeichert, fragt FKS WinControl , ob Sie die Änderungen vor dem Schließen speichern möchten. Wenn Sie eine Messwertdatei schließen, ohne sie zu speichern, verlieren Sie alle nicht gespeicherten Änderungen.

Achtung!

FKS WinControl fragt beim Schließen einer Datei nur dann, ob Sie die Änderungen vor dem Schließen speichern möchten, wenn dies im Dialog "Sonstige Einstellungen" festgelegt wurde.

Über das Systemmenü

Sie können das aktive Dokument auch schließen, indem Sie aus dem Systemmenü des Dokuments nutzen. Hierzu mit der linken Maustaste das Symbol in der linken oberen Ecke des entsprechenden Fensters anklicken und den Menüpunkt Schließen auswählen.


Speichern

Mit dem Befehl Datei/Speichern können Sie die Messwerte des aktiven Datensatzes zusammen mit den im Dialog "Speichern unter" eingegebenen Informationen (Namen, Pfad) speichern. Wenn Sie ein Diagramm zum ersten Mal speichern, zeigt FKS WinControl den Dialog "Speichern unter" an. Benutzen Sie den Befehl Datei/Speichern unter, um den Namen oder den Pfad einer bestehenden Messwertdatei zu ändern.

Schaltfläche für "Speichern"

Klicken Sie in der Werkzeugleiste auf die Schaltfläche für "Speichern", um eine Messwertdatei auf einfache Weise unter ihrem bestehenden Namen, Pfad und Dateiformat zu speichern.

Dateiformat

Wählen Sie den Befehl Datei/Exportieren, um die Messdaten in einem anderen Dateiformat (z. B. Tabellenformat) zu speichern.


Speichern unter

Wenn Sie diesen Befehl (Menü Datei) wählen, wird der Standarddateidialog Speichern unter angezeigt. In diesem Dialog können Sie den Namen und den Pfad der aktiven Messwertdatei festlegen.

Schaltfläche für "Speichern unter"

Klicken Sie in der Werkzeugleiste auf die Schaltfläche für "Speichern unter", um eine Messwertdatei auf einfache Weise unter ihrem bestehenden Namen, Pfad und Dateiformat zu speichern.

Dateiformat

Wählen Sie den Befehl Datei/Exportieren, um die Messdaten in einem anderen Dateiformat (z. B. Tabellenformat) zu speichern.


Bereich speichern

Mit der Menüfunktion Datei/Bereich Speichern besteht die Möglichkeit, einen gewünschten Zeitbereich der Messwertdateien in einer neuen Datei zu speichern. Mit Start dieser Funktion wird der Dialog "Bereich Speichern" geöffnet.

Mehr:

Dialog "Bereich speichern"


Dialog "Bereich speichern"

Die für das Speichern gewünschten Messstellen und den gewünschten Zeitbereich können Sie anhand der folgenden Dialogfeldoptionen festlegen:

Zu speichernde Messstellen

Wählen Sie zunächst die Messstellen aus, deren Daten Sie separat speichern wollen.

Zeitbereich

Mit den Eintragungen Datum und Uhrzeit für Beginn und Ende, wird der Zeitbereich festgelegt, für den die Messwerte gespeichert werden sollen.

Durch Klick auf die Schaltfläche Gesamt Bereich werden in den Datums- und Uhrzeitfeldern die Werte des ersten und letzten Messwertes der jeweiligen Datei eingetragen. Durch Klick auf die Schaltfläche Zoom Bereich werden in den Datums- und Uhrzeitfeldern die Werte für den ersten und den letzten Messwert des zuletzt angezeigten Zoombereichs eingetragen.

Durch Klick auf die Schaltfläche Cursor Bereich werden in den Datums- und Uhrzeitfeldern die Werte für den ersten und den letzten Messwert des in der Cursor-Ansicht durch die Cursoren begrenzten Bereichs eingetragen.

Achtung!

Die Schaltfläche Cursorbereich kann nur dann bedient werden, wenn diese Funktion für eine Datei in der Cursor-Ansicht ausgeführt wird.

Gut zu wissen!

Wurde in der Tabellenansicht der aktiven Messwertdatei ein Bereich markiert, so wird der Beginn und das Ende dieses Zeitbereiches beim Aufruf der Funktion Datei/Bereich Speichern automatisch als Beginn und Ende des zu speichernden Bereiches vorgeschlagen. Anstatt der Schaltfläche Zoom Bereich steht dann die Schaltfläche Markierung zur Verfügung.

Mit OK werden die eingestellten Werte übernommen und ein Standarddateidialog geöffnet. Nach Eingabe von Dateiname und Verzeichnis und Bestätigung mit OK wird der gewählte Bereich in einer Datei gespeichert.

Mit Abbrechen schließen Sie den Dialog, ohne dass eine Änderung übernommen und eine Datei gespeichert wird, Hilfe startet das Hilfesystem mit diesem Text.


Importieren

Über diesen Befehl haben Sie die Möglichkeit, Messdaten die in einem FKS-Text-Format vorliegen (exportiert wurden) einzulesen und wie programmeigene Daten zu bearbeiten.

Im erscheinenden Standarddateidialog wird die gewünschte Datei anhand des Dateinamens, des Dateityps, des Laufwerks und des Verzeichnisses ausgewählt.

Ebenso besteht die Möglichkeit, ASCII-Dateien, welche von FKS WinControl exportiert wurden zu Reimportieren.


Exportieren

Um erfasste Messdaten in einem anderen Dateiformat (Tabellenkalkulation, ASCII, FAMOS, QS-STAT) zu speichern oder per dynamischen Datenaustausch (DDE) an andere Applikationen weiterzugeben, verwenden Sie den Befehl Datei/Exportieren. Der erscheinende Dialog ermöglicht sowohl die Speicherung in einer Datei als auch den dynamischen Datenaustausch. Je nachdem welche Aktion ausgeführt werden soll, können Sie die entsprechende Registerkarte durch einen einfachen Klick mit der linken Maustaste in den Vordergrund holen.

Mehr:

Daten exportieren Datei

Dialog "Textformat"

Exportieren: "Microsoft Excel"

Exportieren: "DDE"

Ereignisliste exportieren


Daten exportieren Datei

Auf der Registerkarte Datei können alle Einstellungen vorgenommen werden, um die Messdaten in dem gewünschten Dateiformat zu speichern.

Dazu stehen folgende Dialogfeldoptionen zur Verfügung:

Messstelle(n):

Wählen Sie zunächst die Messstellen aus, deren Daten Sie exportieren wollen. Gehen Sie dazu folgendermaßen vor:

· einfacher Klick mit der linken Maustaste auf die Messstelle in der Liste, die gespeichert werden soll.

· Auswahl eines Bereiches der Liste (von Messstelle x bis Messstelle y) durch gleichzeitig gedrückte <SHIFT>-Taste und einfaches Anklicken mit der linken Maustaste auf die erste und letzte Messstelle des gewünschten Listenbereiches.

· Auswahl einzelner Messstellen durch gleichzeitig gedrückte <STRG>-Taste und einfaches Anklicken mit der linken Maustaste auf die gewünschten Messstellen.

Text-Format:

Über die Schaltfläche Text-Format wird der Dialog "Textformat" gestartet, in dem die konkreten Einstellungen (Feldtrenner, Dezimalzeichen, Kommentar, Datum/Uhrzeit) für eine ASCII-Datei festgelegt werden.

Speichern:

Über die Schaltfläche Speichern erscheint ein Standarddateidialog, mit dem Sie Dateinamen, Verzeichnis sowie das Dateiformat festlegen und die Datei speichern können.


Dialog "Textformat"

Über den Dialog "Textformat" können die speziellen Eigenschaften einer ASCII-Datei festgelegt werden. Dazu stehen folgende Dialogfeldoptionen zur Verfügung:

Anordnung der Messwerte

Mit der Option "Alle Messwerte eines Zeitpunktes nebeneinander" wird das kompaktere ASCII-Format ausgewählt. Mit der Option "Jeden Messwert in eine eigene Zeile" können Formate festgelegt werden, die z. B. für den Export zu Datenbanken (z.B. DBase) interessant sind.

Alle Einstellmöglichkeiten, die für das jeweils ausgewählte Format nicht relevant sind, erscheinen nach Auswahl grau und können nicht aktiviert werden.

Sonderzeichen

Hier können die gewünschten Zeichen für Feldtrenner, Textbegrenzung und Dezimalzeichen festgelegt werden. Wählen Sie dazu die Zeichen aus den Listen aus (Klick mit der linken Maustaste auf den Pfeil rechts neben dem jeweiligen Eingabefeld) oder geben Sie die Zeichen direkt in das jeweilige Eingabefeld ein.

Zeitpunkt der Messwerte

Über Aktivierung oder Deaktivierung der Optionen Datum und Uhrzeit wird festgelegt, ob diese mit in die ASCII-Datei übernommen werden sollen. Klicken Sie dazu mit der linken Maustaste auf das Kontrollkästchen links neben dem jeweiligen Text.

Messstelleninformation

Für das Format "Jeden Messwert in eine eigene Zeile" können die aufgeführten Parameter zusätzlich zum Messwert mit in die Exportdatei übernommen werden. Klicken Sie dazu mit der linken Maustaste auf das Kontrollkästchen links neben dem jeweiligen Text.


Exportieren: "Microsoft Excel"

Auf der Registerkarte "Microsoft Excel" können alle Einstellungen vorgenommen werden, um die Messdaten in eine Exceltabelle zu kopieren. Dazu stehen folgende Dialogfeldoptionen zur Verfügung:

Messstelle(n):

Wählen Sie zunächst die Messstellen aus, deren Daten Sie exportieren wollen. Gehen Sie dazu folgendermaßen vor:

· einfacher Klick mit der linken Maustaste auf die Messstelle in der Liste, die gespeichert werden soll.

· Auswahl eines Bereiches der Liste (von Messstelle x bis Messstelle y) durch gleichzeitig gedrückte <SHIFT>-Taste und einfaches Anklicken mit der linken Maustaste auf die erste und letzte Messstelle des gewünschten Listenbereiches.

· Auswahl einzelner Messstellen durch gleichzeitig gedrückte <STRG>-Taste und einfaches Anklicken mit der linken Maustaste auf die gewünschten Messstellen.

Beschriftung

Sollen Datum und Uhrzeit sowie der Messstellenkommentar mit übertragen werden, aktivieren Sie diese Optionen durch einfachen Klick mit der linken Maustaste in die Optionsfelder links neben dem jeweiligen Text.

Startzelle

In diesem Eingabefeld wird die erste Zelle der Tabelle festgelegt, in die die Messwerte übertragen werden.

Arbeitsmappe

Im Eingabefeld "Arbeitsmappe" wird der Name der Datei festgelegt, in die die Messwerte übertragen werden. Wenn diese Datei noch nicht existiert, so wird sie automatisch angelegt. Über die Schaltfläche Suchen kann ein Standarddateidialog geöffnet, und eine bereits vorhandene Excel-Datei ausgesucht werden.

Tabelle

In diesem Eingabefeld wird der Name der Tabelle festgelegt, in die die Messwerte übertragen werden.


Exportieren: "DDE"

Auf der Registerkarte "DDE" können alle Einstellungen vorgenommen werden, um die Messdaten per dynamischen Datenaustausch an eine andere Windows-Applikation zu übergeben. Dazu stehen folgende Dialogfeldoptionen zur Verfügung:

Messstelle(n):

Wählen Sie zunächst die Messstellen aus, deren Daten Sie exportieren wollen. Gehen Sie dazu folgendermaßen vor:

· einfacher Klick mit der linken Maustaste auf die Messstelle in der Liste, die gespeichert werden soll.

· Auswahl eines Bereiches der Liste (von Messstelle x bis Messstelle y) durch gleichzeitig gedrückte <SHIFT>-Taste und einfaches Anklicken mit der linken Maustaste auf die erste und letzte Messstelle des gewünschten Listenbereiches.

· Auswahl einzelner Messstellen durch gleichzeitig gedrückte <STRG>-Taste und einfaches Anklicken mit der linken Maustaste auf die gewünschten Messstellen.

Danach legen Sie mit Service, Thema und Element die für den Transfer notwendigen Angaben fest. Diese Angaben haben folgenden Hintergrund:

Service: | Applikation mit der der Datenaustausch durchgeführt werden soll.
Thema: | Dokument, in das die Messdaten geschrieben werden sollen
Element: | Bereich in dem Dokument in den die Messdaten geschrieben werden sollen.

Für einen DDE-Transfer von einer Messstelle mit Excel lauten diese Einträge folgendermaßen:

Service: | Excel
Thema: | Tab1 (oder für Excel ab Vers. 5 [Mappe1]Tabelle1 )
Element: | z1s1:z100s3 (1. und 2. Spalte für Datum/ Uhrzeit)

Diese Eintragungen sind je nach Applikation unterschiedlich. Wenn Sie über die aktuellen Programmversionen verfügen, werden Sie für die Eintragungen Service und Thema automatisch unterstützt. Sie können dazu die jeweilige Liste aufschlagen (Mausklick mit der linken Taste auf den Pfeil neben dem Eingabefeld) und dann aus den angebotenen Applikationen und Dokumenten auswählen.

Für die Arbeit mit Quatro Pro lauten die Einträge:

Service: | QPW
Thema: | qpw-verzeichnis\ordner1
Element: | a1 (von QPW wird der Bereich beginnend bei a1 automa-tisch definiert)

Achtung!

Mit der Übertragung der Daten, werden Datum und Uhrzeit eines jeden Messwertes in den ersten beiden Spalten gesendet. Da diese nicht als Zeichenketten, sondern als echtes Datum und Uhrzeit dargestellt sind, müssen sowohl in Excel als auch in Quattro Pro die Zellen der ersten Spalte als Datum und die der zweiten Spalte als Uhrzeit formatiert werden.


Ereignisliste exportieren

FKS WinControl - Die Menüs > Das Datei-Menü > Exportieren

Ereignisliste exportieren

Neben den Messdaten, kann auch eine im Alarmfall erzeugte Ereignisliste vom Benutzer in Form einer ASCII-Datei gespeichert werden. Die Menüfunktion Datei/Exportieren steht dafür bei aktivierter Ereignisliste zu Verfügung. Nach Aufruf erscheint ein Standarddateidialog, in dem der gewünschte Namen und das Verzeichnis, in dem die Datei gespeichert werden soll eingegeben werden können.

Gut zu wissen!

Falls die Funktion "Automatisches Speichern" aktiviert ist, kann auch die Ereignisliste automatisch mit abgespeichert werden. Dazu muss im Dialog Automatisches Speichern die Option "Ereignisliste automatisch abspeichern" aktiviert werden. Klicken Sie dazu mit der linken Maustaste in das Optionsfeld links neben dem Text, so dass darin ein kleines Kreuz erscheint.


Als e-Mail versenden

Alle Messwertdateien (Tabelle, Liniendiagramm, XY-Diagramm, Übersicht) können direkt aus FKS WinControl als e-Mail versendet werden. Dazu steht im Menü "Datei" die Funktion "Als e-Mail versenden..." zur Verfügung.

Wird diese Funktion aufgerufen, wird das auf dem Rechner eingerichtete Email Programm gestartet und eine Neue Nachricht erzeugt. Automatisch enthält diese Nachricht die beim Aufruf der Funktion aktuelle Messwertdatei (aktives Fenster) als Anhang. Nun ist nur noch die gewünschte Adresse auszusuchen und die Messwertdatei kann gesendet werden.

Achtung!

Bei aktiviertem Mailversand im Alarmfall ist der Punkt Besondere Einstellungen für den Versand von Alarmmeldungen per e-Mail zu beachten.


Verbinden

Die mit FKS WinControl erstellten Messwertdateien können miteinander verbunden werden. Das heißt, sowohl Dateien die über den gleichen Zeitbereich aufgenommen wurden, als auch Dateien die zu unterschiedlichen Zeiten erstellt wurden.

Öffnen Sie dazu eine der Dateien, die miteinander verbunden werden sollen. Es spielt dabei keine Rolle, in welcher Ansicht Sie diese Datei öffnen. Wählen Sie danach den Befehl Datei/Verbinden oder aus dem Kontextmenü (Klick mit rechter Maustaste in das aktuelle Fenster) die Funktion Verbinden. Es erscheint ein Standarddateidialog, in dem Sie eine oder auch mehrere gewünschte Dateien auswählen können. Durch Beenden mit OK wird die ausgewählte Datei bzw. werden die ausgewählten Dateien mit der Ausgangsdatei verbunden.

Die Mehrfachauswahl erfolgt wie unter Windows üblich durch das Markieren der Dateieinträge (mit der linken Maustaste) bei gedrückter <Shift> Taste für einen Bereich oder bei gedrückter <STRG> Taste für einzelne Dateien.

Gut zu wissen!

Messwertdateien die mit AMR WinControl erzeugt wurden, können ebenfalls mit den FKS WinControl Dateien verbunden werden. Im Dateidialog für die Funktion "Datei verbinden" werden dementsprechend Messwertdateien der Typen *.amr und *.fks angezeigt.

Achtung!

Als Ergebnis entsteht eine Datei deren Zeitbereich sich aus der Summe der Zeitbereiche beider Dateien ergibt und die alle Messstellen beider Dateien enthält. Diese Datei hat den gleichen Namen wie die Ausgangsdatei. Im Fall, dass danach die Funktion Datei/Speichern aufgerufen wird, würde die Ausgangsdatei überschrieben. Es wird empfohlen, nach dem Verbinden die Funktion Datei/Speichern unter zu wählen.

Sollen Dateien miteinander verbunden werden, in denen gleiche Messstellen(-nummern) mit unterschiedlichen Bereichen belegt wurden, erscheint eine Fehlermeldung und der Vorgang wird abgebrochen.


Datenreduktion

Für die Auswertung und Reduktion bereits gespeicherter Daten (z.B. aus den Gerätespeichern ausgelesene Werte) wurde die Funktion Datei/Datenreduktion eingeführt. Mit Hilfe dieser Funktion ist es möglich, eine zyklische Mittelung über die Zeit durchzuführen. Wie gewohnt, steht diese Funktion nur dann zur Verfügung, wenn ein Datensatz auf den sie angewendet werden kann im aktiven Fenster dargestellt wird.

Mehr:

Dialog "Datenreduktion"


Dialog "Datenreduktion"

FKS WinControl - Die Menüs > Das Datei-Menü > Datenreduktion

Dialog "Datenreduktion"

Nach Aufruf Funktion Datei/Datenreduktion erscheint der Dialog "Datenreduktion", in dem eine Zyklusdauer eingegeben werden kann, über der dann jeweils zyklische Mittelwerte gebildet werden. Dabei wird eine neue Datei erzeugt, die alle aus der Liste ausgewählten Messstellen der Ausgangsdatei enthält und deren Daten die berechneten zyklischen Mittelwerte sind.

Für die so entstandene Datei stehen wie gewohnt alle Darstellungs- und Bearbeitungsmöglichkeiten von FKS WinControl zur Verfügung:

Gut zu wissen!

Vorteil der zyklischen Mittelung über die Zeit gegenüber der zyklischen Mittelung anhand einer Anzahl von Messwerten ist der, dass auch dann exakte Mittelwerte für eine benötigte Zeitdauer ermittelt werden, wenn keine konstante Anzahl von Messwerten für diese vorliegt.


Seitenansicht

Der Befehl Datei/Seitenansicht zeigt, wie der Ausdruck eines Liniendiagramms, einer Tabelle, der Messstellenliste bzw. eines oder mehrerer Balkendiagramme aussehen wird. Über die Schaltfläche Schließen gelangen Sie wieder in die Programmansicht, über die Schaltfläche Drucken wird der Druckvorgang gestartet.

Wird die Funktion Datei/Seitenansicht für ein Liniendiagramm aufgerufen, in dem nicht der gesamte Zeitbereich sichtbar ist, erscheint zunächst ein Dialog, in dem ausgewählt werden kann, ob man den aktuell dargestellten Ausschnitt des aktivierten Liniendiagramms auf einer Seite oder die gesamte Messwertdatei auf mehreren Seiten in der Vorschau betrachten will. Je nach Auswahl wird die entsprechende Seite oder die entsprechenden Seiten angezeigt. Bei der mehrseitigen Vorschau entspricht die Größe des Zeitbereiches auf jeder Seite der Größe des Zeitbereiches des Liniendiagramms, das zum Zeitpunkt des Aufrufs ausgewählt war.


Drucken

Der Befehl Datei/Drucken steuert den Druckvorgang. Vor dem Verwenden dieses Befehls müssen Sie einen Windows-Drucker installiert haben und falls er nicht als Standarddrucker eingerichtet wurde, ihn vom Programm aus anwählen. Informationen über die Druckerinstallation finden Sie in Ihrer Windows-Dokumentation. Weitere Informationen über das Auswählen eines Druckers finden Sie unter "Drucker einrichten".

Schaltfläche für "Drucken"

Klicken Sie auf der Werkzeugleiste auf die Schaltfläche für "Drucken", um den Inhalt des jeweils aktuellen Fensters mit den aktuellen Druckeinstellungen zu drucken.

Mehr:

Druckdialog


Druckdialog

Im Standarddruckdialog wählen Sie die gewünschten Druckparameter anhand der folgenden Dialogfeldoptionen aus.

Drucker

Zeigt den Namen des aktuellen Druckers und die Druckerverbindung an.

Druckbereich

Geben Sie die Seiten ein, die Sie drucken möchten:

· Alles - Druckt alle Seiten

· Seiten - Druckt nur die von Ihnen angegebenen Seiten.

· Markierung - Druckt den aktuell dargestellten Zeitbereich eines Liniendiagramms

Kopien

Geben Sie die Anzahl der Kopien ein, die Sie drucken möchten.

Kopien sortieren

Sortiert die Seiten nach Exemplaren, wenn Sie mehrere Exemplare eines Dokuments drucken. FKS WinControl druckt das erste Exemplar vollständig aus, bevor es mit dem Drucken des nächsten Exemplars beginnt.

Einrichten

Wählen Sie einen Drucker und eine Druckerverbindung. Sie können auch die Standardeinstellungen für den gewählten Drucker verändern. Informationen hierzu finden Sie unter "Drucker einrichten".


Messwerte zwischen den Cursoren drucken

Für ein Liniendiagramm kann ausgehend von der Position der beiden Cursoren mit der Funktion Datei/Messwerte zwischen den Cursoren drucken eine Tabelle erzeugt werden, die für jede Messstelle der dargestellten Messwertdatei die Messwerte des Bereiches zwischen den Cursorpositionen enthält. Die Anzahl der Messwerte wird dabei auf 100 je Messstelle, beginnend von der linken Cursorposition begrenzt.

Dialog "Auswahl der zu druckenden Messstellen"

Im Dialog "Auswahl der zu druckenden Messstellen" kann für die Tabellenansicht festgelegt werden, ob alle oder nur eine spezielle Auswahl der in der Datei vorhandenen Messstellen dargestellt und ausgedruckt werden sollen. Der Ausdruck der Tabelle enthält den Kommentar und die Nummer der enthaltenen Messstellen sowie das Datum des Ausdrucks. Weiterhin kann für die Tabelle ein einzeiliger Kommentar festgelegt werden. Die Defaulteinstellung ist der Kommentar der Messwertdatei.

Dialog "Messwertausdruck"

Über die Schaltfläche Weiter wird der Dialog "Messwertausdruck" geöffnet, in dem die zu druckende Tabelle eingesehen werden kann. Nach Bestätigung mit OK wird ein Standarddruckdialog geöffnet und der Ausdruck kann wie gewohnt erfolgen.

Achtung!

Diese Funktion steht nur für Liniendiagramme in der Cursoransicht zur Verfügung steht.


Protokoll drucken

Um ein Liniendiagramm in ein Protokoll einzubetten und auszudrucken, muss das Diagrammfenster in FKS WinControl aktiviert werden. Im Kontextmenü und im Menü "Datei" steht dann ein Untermenü "Protokoll drucken" bereit, in dem alle Protokolle des eingestellten Verzeichnisses aufgelistet sind. Ein Klick auf eines dieser Protokolle führt die eingestellte Operation (sofort drucken oder öffnen) aus.

Hinweise:

· Das Öffnen von Protokollen (mit manuellem Ausdruck) wurde mit OpenOffice 1.1, Wordpad und Microsoft Word erfolgreich getestet.

· Der sofortige Ausdruck war mit Wordpad und Microsoft Word möglich, beim Versuch OpenOffice zu verwenden, wurde Microsoft Word gestartet.

· Die erzeugten Protokolle werden in das temporäre Verzeichnis des Betriebssystems geschrieben, der Name setzt sich aus dem der Protokollvorlage sowie Datum und Uhrzeit zusammen. Beim Beenden von WinControl bzw. eine Stunde nach dem Ausdruck werden die Dateien automatisch aus dem temporären Verzeichnis gelöscht. Falls zu diesem Zeitpunkt ein anderes Programm diese Datei noch verwendet, muss das Löschen später manuell bzw. über Betriebssystemfunktionen erfolgen.

Hinweis: Für nähere Informationen zum Drucken und Erstellen von Protokollen lesen Sie bitte das Kapitel Liniendiagramm - Protokoll drucken.

Einstellungen des Protokolldrucks

Im Abschnitt [Settings] der Konfigurationsdatei wcFKS.ini wird mit dem Eintrag ProtocolTemplateDir auf ein Verzeichnis verweisen, in dem nach Protokollen gesucht wird. Ist dieser Eintrag nicht vorhanden, werden die Protokolle im Unterverzeichnis "ReportTpl" des FKS WinControl -Verzeichnisses gesucht.

Mit dem Eintrag ProtocolOperation wird festgelegt, welche Operation beim Drucken des Protokolls erfolgen soll. Gültige Angaben sind open und print, wobei letztere die Defaultoperation ist. Ist die Operation print eingestellt, dann wird das Protokoll sofort mit der Applikation ausgedruckt, die im Betriebssystem für den Ausdruck von rtf-Dateien eingestellt ist. Wenn die Operation open aktiviert wurde, dann wird das Protokoll mit der im Betriebssystem für das Öffnen von rtf-Dokumenten eingestellten Applikation geöffnet, der eigentliche Ausdruck muss dann dort manuell angestoßen werden. Der Vorteil der zweiten Methode liegt vor allem darin, dass das Protokoll vor dem Ausdruck betrachtet und ggf. manuell modifiziert werden kann.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Beispiel:

[Settings]

ProtocolTemplateDir=C:\Protocols

ProtocolOperation=open

Erklärung:

Mit den im Beispiel gezeigten Einstellungen sucht WinControl die Vorlagen im rtf-Format im Verzeichnis "C:\Protocols" und beim Ausführen der Funktion "Protokoll drucken" wird das entsprechende Protokoll mit der im Betriebssystem für das Öffnen von rtf-Dokumenten eingestellten Applikation geöffnet (nicht automatisch ausgedruckt).


Seite einrichten

Für den Ausdruck der Diagramme und Listen, können die Seitenränder individuell eingestellt werden. Dazu ist die Menüfunktion Datei/Seite einrichten aufzurufen. Im erscheinenden Dialog können die Angaben für die Ränder vorgenommen werden. Die Angaben erfolgen in Millimeter und sind für einen Bereich von 10 bis 50 zugelassen. Mit OK werden die Angaben übernommen. Die eingestellten Ränder sind für den Ausdruck aller FKS WinControl -Objekte gültig.


Drucker einrichten

Mit diesem Befehl wird Ihnen eine Liste der in Ihrem System installierten Drucker angezeigt. Sie können im Dialog Druckeinrichtung für den Standarddrucker einen speziellen Drucker festlegen und weitere Druckoptionen für den von Ihnen gewünschten Drucker auswählen.

Mehr:

Dialog "Druckeinrichtung"


Dialog "Druckeinrichtung"

FKS WinControl - Die Menüs > Das Datei-Menü > Drucker einrichten

Dialog "Druckeinrichtung"

Im Dialog Druckeinrichtung wählen Sie die gewünschten Druckparameter anhand der folgenden Dialogfeldoptionen aus.

Drucker:

Zeigt den Namen des zu verwendenden Druckers und die Druckerverbindung an. Hier wird automatisch der im Betriebssystem als Standarddrucker markierte Drucker ausgewählt. Um einen anderen Drucker zu verwenden, wählen Sie ihn aus der Liste der verfügbaren Drucker aus. Informationen über die Installation von Druckern finden Sie in Ihrer Windows-Dokumentation.

Format:

Legen Sie fest, ob der Ausdruck in Hoch- oder Querformat geschehen soll. Klicken Sie dazu auf die Schaltfläche links vor den Texten mit der linken Maustaste an.

Papier:

Je nach verwendetem Papier und Papiereinzug sind die entsprechenden Einstellungen aus den Listen auszuwählen.

Optionen:

Steuert die Druckoptionen für den gewählten Standard- oder speziellen Drucker. Die verfügbaren Optionen variieren je nachdem, welcher Druckertreiber installiert wurde. Hilfe über den gewählten Drucker erhalten Sie, indem Sie auf die Schaltfläche Optionen klicken und dann die Schaltfläche Hilfe wählen.

Netzwerk:

Verbindet Ihren Computer mit einem Netzdrucker. Die Schaltfläche ist nur verfügbar, wenn Ihr Computer an ein Netzwerk angeschlossen ist. Hilfe über Netzdrucker erhalten Sie, indem Sie auf die Schaltfläche Netzwerk klicken und die Schaltfläche Hilfe wählen.


Liste der zuletzt benutzten Dateien

Benutzen Sie die Zahlen und Namen im unteren Teil des Menüs Datei, um schnell eine der Dateien (Liniendiagramm, Tabelle) zu öffnen, an der Sie zuletzt gearbeitet haben. Wählen Sie die Nummer oder den Namen der gewünschten Datei.


Konfiguration laden

Wurde eine einmal erstellte Oberflächenkonfiguration über den Menübefehl Datei/Konfiguration speichern in einer Datei gesichert, kann diese Oberfläche über Datei/Konfiguration laden wieder eingelesen werden. Bei gleicher Anschlussbelegung der Anlagen können die Daten sofort wieder in der gewünschten Art und Weise erfasst und aufbereitet werden, ohne die Einstellungen wieder manuell herstellen zu müssen.

Im erscheinenden Standarddateidialog wird die gewünschte Datei anhand des Dateinamens, des Dateityps, des Laufwerks und des Verzeichnisses ausgewählt.


Konfiguration speichern

Einmal erstellte Oberflächenkonfigurationen können über den Menübefehl Datei/Konfiguration speichern in einer Datei gesichert werden. Bei Bedarf kann diese Oberfläche über Datei/Konfiguration laden wieder eingelesen werden. Bei gleicher Anschlussbelegung der Anlagen können die Daten sofort wieder in der gewünschten Art und Weise erfasst und aufbereitet werden, ohne die Einstellungen wieder manuell herstellen zu müssen.

Im erscheinenden Standarddateidialog wird für die zu speichernde Datei der Name, der Dateityp, das Laufwerk und das Verzeichnis ausgewählt.


Rechenkanäle laden

Sowohl die in der Messstellenliste enthaltenen globalen Rechenkanäle, als auch die in den Messwertdateien enthaltenen lokalen Rechenkanäle können jeweils als Liste in einer Datei abgespeichert werden. Bei Bedarf kann dann eine so gespeicherte Liste mit einem Arbeitsgang wieder geladen werden und es muss keine Neudefinition der Rechenkanäle mit Hilfe der gespeicherten Formeln erfolgen.

Um gespeicherte Rechenkanäle in eine Messstellenliste zu laden, führen Sie die Funktion Datei/Rechenkanäle laden bei aktivierter Messstellenliste aus. Wählen Sie die gewünschte Datei im erscheinenden Standarddateidialog aus und bestätigen sie mit OK. Die in der Datei definierten Rechenkanäle werden daraufhin in die Messstellenliste eingetragen. Falls sich in der Messstellenliste schon ein Rechenkanal mit der gleichen Nummer wie in der Datei definiert befindet, werden Sie gefragt, ob der Kanal überschrieben werden soll.

Um gespeicherte Rechenkanäle in eine Messwertdatei zu laden, führen Sie die Funktion Datei/Rechenkanäle laden bei aktivierter Messwertdatei aus.

Achtung!

Die in einer Datei gespeicherten globalen Rechenkanäle der Messstellenliste lassen sich nicht als lokale Rechenkanäle in eine Messwertdatei laden und umgedreht!


Rechenkanäle speichern

Sowohl die in der Messstellenliste enthaltenen globalen Rechenkanäle, als auch die in den Messwertdateien enthaltenen lokalen Rechenkanäle können jeweils als Liste in einer Datei abgespeichert werden. Bei Bedarf kann dann eine so gespeicherte Liste mit einem Arbeitsgang wieder geladen werden und es muss keine Neudefinition der Rechenkanäle mit Hilfe der gespeicherten Formeln erfolgen.

Um die Liste der globalen Rechenkanäle zu speichern, aktivieren Sie die Messstellenliste und wählen Sie die Funktion Datei/Rechenkanäle speichern. Im erscheinenden Dialog "Rechenkanäle speichern" können alle gewünschten aus der Liste der vorhandenen Rechenkanäle ausgewählt werden. Nach Bestätigung mit OK, erscheint ein Standarddateidialog. Nach Festlegung des Verzeichnisses, Eingabe des Dateinamens und Bestätigung mit OK werden die Definitionen der ausgewählten Rechenkanäle in einer Datei mit der Extension "mth" als Liste gespeichert.

Um eine Liste der lokalen Rechenkanäle zu speichern, aktivieren Sie die gewünschte Messwertdatei und führen die Funktion Datei/Rechenkanäle speichern aus.


Als Vorlage speichern

Die Darstellungseigenschaften von FKS WinControl Messwertdateien können in einem eigenen Dateiformat abgespeichert werden. Diese Dateien werden "Formatvorlagen” genannt.

Führen Sie dazu bei aktivierter Messwertdatei die Menüfunktion Datei/Vorlage speichern aus. Es erscheint daraufhin ein Standarddateidialog. Nach Festlegung des Verzeichnisses und Eingabe des Dateinamens werden die Darstellungseigenschaften der ausgewählten Messwertdatei in einer Datei mit der Extension "amv" als Vorlage gespeichert.


Vorlage anwenden

Die über den Befehl Datei/Vorlage speichern in einer Formatvorlage abgelegten Darstellungseigenschaften können auf eine bestehende FKS WinControl Messwertdatei angewendet werden. Dabei wird die bestehende Messwertdatei mit den Eigenschaften aus der Vorlage dargestellt.

Führen Sie dazu bei aktivierter Messwertdatei die Menüfunktion Datei/Vorlage anwenden aus. Es erscheint daraufhin ein Standarddateidialog, in dem die gewünschte Vorlagendatei ausgewählt werden kann. Nach Bestätigung mit OK werden die Darstellungseigenschaften aus der ausgewählten Vorlagendatei in die bestehende Messwertdatei eingetragen, und die Messwerte entsprechend dieser Eigenschaften dargestellt.

Gut zu wissen!

In der Werkzeugleiste steht die Schaltfläche Vorlage anwenden zur Verfügung. Bei Klick mit der linken Maustaste auf diese Schaltfläche erscheint eine Liste aller, im Verzeichnis von FKS WinControl gespeicherten Vorlagen. Wählen Sie die gewünschte Vorlage aus dieser Liste aus oder öffnen Sie über den Listeneintrag "Suchen" einen Standarddateidialog, um die gewünschte Vorlage in einem anderen Verzeichnis zu suchen.


Benutzer abmelden

Mit dem Befehl Datei/Benutzer abmelden wird der aktuell angemeldete Benutzer abgemeldet und ein Dialog zur Eingabe eines Benutzernamens und eines Passwortes erscheint (siehe auch: Anmelden eines Benutzers).

Gut zu wissen!

FKS WinControl bietet mit der Option Kennwortschutz umfangreiche und detaillierte Einstellungsmöglichkeiten. So kann Benutzern über den Befehl Einstellungen/Kennwortschutz die Berechtigung für jede einzelne Funktion von FKS WinControl erteilt oder entzogen werden.

Achtung!

Der Kennwortschutz von WinControl ist optional und steht nicht in jeder Programmversion zur Verfügung. Ist die Option Kennwortschutz nicht freigeschaltet, existiert der Menübefehl Datei/Benutzer abmelden ebenfalls nicht.


Programm beenden

Mit dem Befehl Datei/Beenden verlassen Sie die Applikation und das Programm wird geschlossen. Sollten zu diesem Zeitpunkt Diagramme bzw. Dateien in Bearbeitung sein, so werden Sie gefragt, ob Sie die Änderungen vor Programmende speichern wollen. Über den Menüpunkt Einstellungen/Sonstige können Sie festlegen, dass diese Abfrage nicht erscheint, und das Programm ohne Speicherung der letzten Änderungen verlassen wird.

Ebenfalls über den Menüpunkt Einstellungen/Sonstige können Sie festlegen, dass beim Beenden des Programms eine Sicherheitsabfrage erfolgt.

Weitere Möglichkeiten FKS WinControl zu beenden sind:

· Doppelklick mit der linken Maustaste in das Systemmenü

· die Tastenkombination <ALT + F4>

·


Das Bearbeiten-Menü

Entsprechend dem Prinzip, dass nur diejenigen Menüpunkte sichtbar sind, mit denen Aktionen für das aktive Fenster ausgeführt werden können, erscheint das Bearbeiten-Menü bzw. die jeweiligen Funktionen des Menüs nur, wenn ein Fenster aktiv ist, auf das diese Funktionen angewendet werden können.

Mehr zum Thema:

Kopieren

Ausschneiden

Einfügen

Löschen

Rückgängig

Wiederholen

Alle auswählen

Rechenkanal hinzufügen

Rechenkanal Eigenschaften


Kopieren

Mit dem Befehl Bearbeiten/Kopieren wird der Inhalt des aktuellen Fensters als Linien-diagramm bzw. als Tabelle in die Zwischenablage kopiert. Dabei wird das Diagramm sowohl als Grafik, als auch als Objekt abgelegt. Letzteres ermöglicht es Ihnen in einem anderen Programm über den Befehl Bearbeiten/Inhalte einfügen oder auch automatisch über Bearbeiten/Einfügen das FKS WinControl -Liniendiagramm als Objekt einzubetten.


Ausschneiden

Entfernt das Markierte aus dem aktiven Fenster und legt es in der Zwischenablage ab.


Einfügen

Fügt den Inhalt der Zwischenablage in das aktive Fenster ein.


Löschen

Löscht markierte Text- und Grafikelemente (Objekte).


Rückgängig

Mit diesem Befehl wird die Wirkung des zuletzt ausgeführten Befehls rückgängig gemacht.


Wiederholen

Wiederholt den letzten Befehl bzw. die letzte Aktion.


Alle auswählen

Markiert im aktiven Fenster den gesamten Text und alle Grafiken (alle Objekte).


Rechenkanal hinzufügen

Soll ein Rechenkanal nur lokal in einem Datensatz (Linien- oder XY-Diagramm oder Tabelle) zur Verfügung stehen, so erfolgt seine Definition über die Funktion Bearbeiten/Rechenkanal hinzufügen.

Mehr:

Dialog "Rechenkanal hinzufügen"

Entfernen eines lokalen Rechenkanals


Dialog "Rechenkanal hinzufügen"

FKS WinControl - Die Menüs > Das Bearbeiten-Menü > Rechenkanal hinzufügen

Dialog "Rechenkanal hinzufügen"

Im Dialog "Rechenkanal hinzufügen" können Sie die Definition von Rechenkanälen für den jeweils aktuellen Datensatz vornehmen. Dazu stehen Ihnen die folgenden Dialogfeldoptionen zur Verfügung.

Kanalnummer:

In diesem Editierfeld ist die Nummer des neuen Rechenkanals einzugeben.

Achtung!

Durch das Programm wird der eingegebenen Kanalnummer die Zahl "90." vorangestellt. Damit wird einer Doppelbelegung der Messstellennummer durch späteres Hinzufügen von physikalischen Messstellen oder durch Hinzufügen von globalen Rechenkanälen weitestgehend vorgebeugt.

Kommentar:

Den Rechenkanälen kann wie den Messstellen der Anlagen ein Kommentar (fünfzehn Zeichen) zugewiesen werden. Dieser Kommentar wird vom Programm neben der Messstellennummer zur Kennzeichnung der Messreihen verwendet und erleichtert so die jeweilige Zuordnung.

Einheit:

Die Einheit der zu berechnenden Größe kann in das Editierfeld eingegeben werden (drei Zeichen).

Unterer/Oberer Grenzwert:

Geben Sie in die entsprechenden Editierfelder die gewünschten Werte ein. Als Dezimaltrennzeichen muss der Punkt verwendet werden.

Nachkommastellen:

Geben Sie in die diesem Editierfeld an, mit wie viel Nachkommastellen die zu berechnende Größe dargestellt werden soll. Die Berechnung erfolgt unabhängig davon immer mit einer Genauigkeit von sechs Nachkommastellen.

Formel:

Geben Sie die für die gewünschte Berechnung notwendige Formel in dieses Editierfeld ein. Beachten Sie bitte die Festlegungen für die Erstellung von Formeln (siehe auch: Vereinbarungen für die Formeleingabe).

Es ist möglich, eine erstellte Formel zu speichern und später wieder aufzurufen. Dazu stehen die Schaltflächen Speichern und Laden zur Verfügung. Nach einfachen Klick mit der linken Maustaste auf die jeweilige Schaltfläche erscheint ein Standarddateidialog, in dem ein Name für die zu speichernde Datei (Formel) einzugeben ist bzw. die gewünschte Formel ausgewählt und mit OK geladen werden kann.

Zum Editieren der Formeln stehen selbstverständlich die Standardeditierfunktionen zur Verfügung.

Änderungen übernehmen / Dialog beenden

Durch einfachen Klick mit der linken Maustaste auf die Schaltfläche OK wird der Rechenkanal in den jeweiligen Datensatz aufgenommen. Dabei werden für alle schon vorhandenen Messdaten die Werte entsprechend der eingegebenen Formel berechnet und dargestellt. Für alle weiterhin eintreffenden Messdaten werden die Werte des Rechenkanals mit jedem Zyklus berechnet und dargestellt.

Um die Darstellung in einem Linien- oder XY-Diagramm zu ermöglichen, erscheint nach der Bestätigung mit OK der jeweilige Eigenschaftendialog. Treffen Sie dort die Auswahl für die Achsenzuordnung sowie alle anderen gewünschten Einstellungen.

Mit Abbrechen schließen Sie den Dialog, ohne dass eine Änderung übernommen wird, Hilfe startet das Hilfesystem mit diesem Text.

AUFRUF!

Eine weitere Möglichkeiten diesen Befehl auszuführen:

· durch Einfachklick mit der rechten Maustaste in das aktuelle Messstellenfenster und Auswahl der Funktion "Rechenkanäle hinzufügen" aus dem kontextsensitiven Menü.


Entfernen eines lokalen Rechenkanals

FKS WinControl - Die Menüs > Das Bearbeiten-Menü > Rechenkanal hinzufügen

Entfernen eines lokalen Rechenkanals

Um einen lokalen Rechenkanal aus einem Datensatz zu entfernen, öffnen Sie den Eigenschaftsdialog des Diagramms bzw. der Tabelle, deaktivieren Sie den gewünschten Eintrag in der Liste und bestätigen Sie mit OK.


Rechenkanal Eigenschaften

Sollen die Eigenschaften eines lokalen Rechenkanals überprüft oder verändert werden, so öffnen Sie den entsprechenden Dialog über die Funktion Bearbeiten/Rechenkanal Eigenschaften.

Mehr:

Dialog "Rechenkanal Eigenschaften"

Entfernen eines lokalen Rechenkanals


Dialog "Rechenkanal Eigenschaften"

FKS WinControl - Die Menüs > Das Bearbeiten-Menü > Rechenkanal Eigenschaften

Dialog "Rechenkanal Eigenschaften"

Im Dialog "Rechenkanal Eigenschaften" können Sie Kommentar, Einheit und die Grenzwerte für den jeweils ausgewählten Rechenkanal ändern. Um den gewünschten Rechenkanal auszuwählen, klicken Sie mit der linken Maustaste auf den unter "Kanalnummer" angezeigten Rechenkanal. In der daraufhin erscheinenden Listbox klicken Sie den gewünschten Kanal an.

Sollen Nachkommastellen sowie die vereinbarte Formel eines lokalen Rechenkanals geändert werden, so muss dieser Kanal neu definiert werden. Entfernen Sie dazu den Rechenkanal aus dem Datensatz und Wählen Sie danach die Funktion Rechenkanal hinzufügen und legen Sie die gewünschten Eigenschaften neu fest.


Entfernen eines lokalen Rechenkanals

FKS WinControl - Die Menüs > Das Bearbeiten-Menü > Rechenkanal Eigenschaften

Entfernen eines lokalen Rechenkanals

Um einen lokalen Rechenkanal aus einem Datensatz zu entfernen, öffnen Sie den Eigenschaftsdialog des Diagramms bzw. der Tabelle, deaktivieren Sie den gewünschten Eintrag in der Liste und bestätigen Sie mit OK.


Das Ansicht-Menü

Über das Menü "Ansicht" können Sie alle Aktionen starten, die sich auf die Darstellung der Messwerte beziehen. Dabei ist zu beachten, dass die jeweiligen Menüpunkte nur erscheinen, wenn sie für das aktuelle Fenster auch aufgerufen werden können.

Mehr zum Thema:

Eigenschaften

Anmerkungen

Messstellenkommentare

Darstellung als Liniendiagramm

Darstellung als Tabelle

Darstellung als XY-Diagramm

Darstellung als Übersicht

Cursoren

Immer alles Zeigen

Alles zeigen

Zoom rückgängig

Zoom

Anlagenstatus

Wiederholungen anzeigen


Eigenschaften

Mit dem Befehl Ansicht/Eigenschaften können Sie für das gerade aktive Fenster den Eigenschaftsdialog aufrufen und danach die gewünschten Einstellungen vornehmen.

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· durch Doppelklick mit der linken Maustaste in das aktuelle Fenster.

· durch Einfachklick mit der rechten Maustaste in das aktuelle Fenster und Auswahl der Funktion Eigenschaften aus dem kontextsensitiven Menü.

· mit <ENTER>


Anmerkungen

Für jede Messwertdatei, können Anmerkungen für eine ausführlichere Dokumentation vergeben werden. Einmal besteht die Möglichkeit, diese Anmerkungen frei, d.h. ohne Bezug zu einem Zeitpunkt zu vergeben. Zum anderen können z. B. für Bemerkungen zum Messverlauf Einträge mit einem Zeitstempel vorgenommen werden. Für diese Art von Anmerkungen werden dann auf der Zeitachse der Liniendiagramme entsprechend dem Zeitstempel Markierungen gesetzt.

Selbstverständlich werden die Anmerkungen zu einer Datei mit dieser gespeichert und stehen dann zu jedem beliebigen Zeitpunkt wieder zur Verfügung.

Um Anmerkungen für eine Messwertdatei einzutragen, führen Sie die Menüfunktion Ansicht/Anmerkungen aus. Über sie wird ein Dialog geöffnet, in dem die gewünschten Anmerkungen eingetragen werden können. Dieser Dialog kann ebenfalls über das kontextsensitive Menü der jeweiligen Ansicht der Messwertdatei aufgerufen werden.

Für einen zeitbezogenen Eintrag klicken Sie mit der linken Maustaste auf die Schaltfläche Neue Anmerkung. Daraufhin wird die Tabelle um eine Zeile erweitert, in der das aktuelle Datum und die Uhrzeit schon eingetragen sind. In der Spalte „Anmerkungen“, kann dann der gewünschte Text eingegeben werden. Mit OK wird dieser Eintrag übernommen und auf der Zeitachse der Liniendiagramme erscheint dann automatisch eine Markierung.

Um einen Eintrag ohne Zeitbezug vorzunehmen, löschen Sie entweder Datum und Uhrzeit oder Sie Fügen eine Zeile in die Tabelle ein.

Markieren Sie dazu eine Zeile der Tabelle indem Sie mit der linken Maustaste auf das erste Element einer Zeile klicken und danach die Taste <Einfügen> betätigen. Sollte noch kein Eintrag vorhanden sein, so markieren Sie vor dem Einfügen den Tabellenkopf.

Über die Schaltfläche Drucken wird die gesamte Tabelle ausgedruckt.

Beim Abschluss mit OK werden alle Einträge übernommen, mit Abbrechen schließen Sie den Dialog, ohne dass eine Änderung übernommen wird, Hilfe startet das Hilfesystem mit diesem Text.


Messstellenkommentare

Für Messwertdateien, in denen keine Kommentare für die Messkurven vereinbart wurden, können über die Funktion Ansicht/Messstellenkommentare im Nachhinein Kommentare eingefügt werden. Selbstverständlich können auch schon vorhandene Kommentare verändert werden.

Der Dialog "Messstellenkommentare" enthält eine Tabelle mit allen in der Messwertdatei enthaltenen Messstellen und deren Kommentar (gegebenenfalls kein Eintrag). In dieser Tabelle können die gewünschten Änderungen vorgenommen werden und bei Abschluss mit OK werden diese übernommen.

Da im Onlinebetrieb diese Änderung sofort mit den im Gerät eingetragenen Kommentar überschrieben würde, steht diese Funktion nur für gespeicherte Dateien (offline) zur Verfügung.


Darstellung als Liniendiagramm

Mit diesem Befehl wird der aktuelle Datensatz (in der Ansicht Dateiübersicht, Tabelle oder XY-Diagramm) als Liniendiagramm dargestellt. Fehlen für die Darstellung notwendige Informationen, erscheint der Eigenschaftsdialog. Sie wählen die notwendigen Eigenschaften aus und mit OK werden dann die Messwerte als Liniendiagramm mit diesen Eigenschaften dargestellt. Sind alle Informationen vorhanden, wird die neue Ansicht sofort angezeigt. Natürlich können die Eigenschaften danach über Aufruf des Eigenschaftendialogs verändert werden.


Darstellung als Tabelle

Mit diesem Befehl wird der aktuelle Datensatz (in der Ansicht Dateiübersicht, Liniendiagramm oder XY-Diagramm) als Tabelle dargestellt. Fehlen für die Darstellung notwendige Informationen, erscheint der Eigenschaftsdialog. Sie wählen die notwendigen Eigenschaften aus und mit OK werden dann die Messwerte als Tabelle mit diesen Eigenschaften dargestellt. Sind alle Informationen vorhanden, wird die neue Ansicht sofort angezeigt. Natürlich können die Eigenschaften danach über Aufruf des Eigenschaftendialogs verändert werden.


Darstellung als XY-Diagramm

Mit diesem Befehl wird der aktuelle Datensatz (in der Ansicht Dateiübersicht, Liniendiagramm oder Tabelle) als XY-Diagramm dargestellt. Fehlen für die Darstellung notwendige Informationen, erscheint der Eigenschaftsdialog. Sie wählen die notwendigen Eigenschaften aus und mit OK werden dann die Messwerte als XY-Diagramm mit diesen Eigenschaften dargestellt. Sind alle Informationen vorhanden, wird die neue Ansicht sofort angezeigt. Natürlich können die Eigenschaften danach über Aufruf des Eigenschaftendialogs verändert werden.


Darstellung als Übersicht

Mit diesem Befehl wird der aktuelle Datensatz (in der Ansicht Tabelle Liniendiagramm oder XY-Diagramm) als Dateiübersicht dargestellt.


Cursoren

Um den Kurvenverlauf eines Liniendiagramms zu analysieren, können über die Funktion Ansicht/Cursoren zwei Messcursoren aktiviert werden.

Bei aktivierten Cursoren, erscheinen diese als zwei senkrechte Linien im Diagramm und im unteren Teil des Liniendiagrammfensters eine Tabelle mit den unter den Cursoren befindlichen Messwerten aller Linien.

Weiterhin werden für jede im Liniendiagramm enthaltene Messkurve über die integrierte Statistikfunktion (siehe auch: Messcursoren/Statistikfunktion) folgende Werte berechnet:

· Differenz der beiden, unter den Cursoren liegenden Messwerte

· Minimum, Maximum, Mittelwert und Standardabweichung des durch die Cursoren begrenzten Bereiches

Diese Werte werden ebenfalls in der Tabelle ausgegeben.

Durch wiederholtes aufrufen der Funktion, werden die Cursoren wieder deaktiviert.

Diese Funktion steht auch im kontextsensitiven Menü des jeweiligen Diagramms zur Verfügung.


Immer alles Zeigen

Wenn diese Option aktiviert wird, dann werden die Linien im Diagramm nicht nach links verschoben, wenn die aktuellen Messwerte den sichtbaren Darstellungsbereich verlassen, sondern der aktuelle Darstellungsbereich wird so vergrößert, dass alle bisher sichtbaren Messwerte und die neuen Messwerte sichtbar sind. Die Anpassung des Darstellungsbereiches umfasst sowohl die X-Achse als auch die Y-Achsen des Diagramms.


Alles zeigen

Um von einer Teilansicht eines Linien- oder XY-Diagramms zu einer Gesamtansicht zu gelangen, kann die Funktion Ansicht/Alles zeigen gewählt werden. Diese Funktion steht auch im kontextsensitiven Menü des jeweiligen Diagramms zur Verfügung.


Zoom rückgängig

Dieser Befehl bringt ein Liniendiagramm oder ein XY-Diagramm nach dem Ausführen der Maus-Zoom-Funktion wieder in den Ausgangszustand (entsprechend den Einstellungen im Eigenschaftsdialog des Diagramms).


Zoom

Diese Zoomfunktion steht speziell für die Bearbeitung und Gestaltung der Projektbilder zur Verfügung. Je nach Bedarf kann das angezeigte Projektbild vergrößert oder verkleinert werden.


Anlagenstatus

Über den Aufruf der Menüfunktion Ansicht/Anlagenstatus erscheint ein Untermenü, welches für jede angeschlossene Anlage einen Eintrag enthält. Dieser setzt sich aus Anlagenadresse und Anlagenname zusammen. Wird ein Eintrag ausgewählt, öffnet sich ein Statusfenster für diese Anlage, falls noch keins existiert (siehe auch: Das Statusfenster).


Wiederholungen anzeigen

Der Aufruf dieser Funktion beeinflusst die grafische Darstellung der Klimaprofile. Falls in einem Klimaprofil Zyklen programmiert wurden, kann deren Wiederholung ausgeblendet werden, was besonders bei großen Programmen die Übersichtlichkeit erhöhen kann.

AUFRUF!

Diese Funktion kann auch über das Kontextmenü, oder die Werkzeugleiste des Klimaprofils aufgerufen werden.


Das Messwerte-Menü

Über das Menü Messwerte können Sie alle Aktionen starten, die sich auf die Erfassung, Darstellung und Speicherung der Messwerte beziehen.

Mehr zum Thema:

Messwertabfrage

Neues Liniendiagramm

Neues Balkendiagramm

Neue Messwertanzeige

Neue Analoganzeige

Neue Tabelle

Neues XY-Diagramm

Neue Excelverbindung

Neues Projektbild

Neuer OPC Export

Automatisches Speichern

Automatischer Ausdruck automatisch gespeicherter Dateien

Datenaufzeichnung auslesen

Mittelwertbildung

Messwerte freigeben


Messwertabfrage

Mit dem Befehl Messwerte/Messwertabfrage starten oder beenden Sie das Einlesen der Messwerte. Sie haben somit die Möglichkeit, vor Beginn der Messung alle Einstellungen und Festlegungen in FKS WinControl zu treffen und zu einem definierten Zeitpunkt den Messvorgang zu starten und dann auch wieder zu beenden.

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Start/Stopp" in der Werkzeugleiste.

· Funktionstaste <F9>


Neues Liniendiagramm

Um ein neues Fenster mit einem Liniendiagramm zu öffnen steht Ihnen der Befehl Messwerte/Neues Liniendiagramm zur Verfügung. Zunächst wird der Dialog "Eigenschaften des Liniendiagramms" geöffnet, Sie wählen die gewünschten Eigenschaften aus und mit OK wird ein neues Liniendiagramm mit diesen Eigenschaften geöffnet (siehe auch: Dialog "Eigenschaften des Liniendiagramms").

Gut zu wissen!

Um ein neues Liniendiagramm mit den Eigenschaften einer Vorlage zu erstellen, steht in der Werkzeugleiste die geteilte Schaltfläche zum Anlegen neuer Liniendiagramme zur Verfügung.

Über den linken Teil mit dem stilisierten Diagramm wird (wie gewohnt) ein Dialog zum Anlegen neuer Liniendiagramme geöffnet.

Über den rechten Teil der Schaltfläche (Dreieck) wird ein Menü geöffnet, in dem alle Vorlagen, die im Programmverzeichnis oder in einem definierten Verzeichnis vorhanden sind, aufgelistet werden (siehe auch: ein neues Liniendiagramm mit den Eigenschaften einer Vorlage erstellen).

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Liniendiagramm" in der Werkzeugleiste

· Funktionstaste <F5>


Neues Balkendiagramm

Um ein neues Fenster mit einem Balkendiagramm zu öffnen steht Ihnen der Befehl Messwerte/Neues Balkendiagramm zur Verfügung. Zunächst wird der Dialog "Eigenschaften des Balkendiagramms" geöffnet, Sie wählen die gewünschten Eigenschaften aus und mit OK wird ein neues Balkendiagramm mit diesen Eigenschaften geöffnet (siehe auch: Dialog "Eigenschaften des Balkendiagramms").

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Balkendiagramm" in der Werkzeugleiste

· Funktionstaste <F6>


Neue Messwertanzeige

Um ein neues Fenster mit einer Messwertanzeige zu öffnen steht Ihnen der Befehl Messwerte/Neue Messwertanzeige zur Verfügung. Zunächst wird der Dialog "Eigenschaften der Messwertanzeige" geöffnet, Sie wählen die gewünschten Eigenschaften aus und mit OK wir eine neue Messwertanzeige mit diesen Eigenschaften geöffnet (siehe auch: Dialog "Eigenschaften der Messwertanzeige").

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Messwertanzeige" in der Werkzeugleiste

· Funktionstaste <F9>


Neue Analoganzeige

Um ein neues Fenster mit einer Analoganzeige zu öffnen steht Ihnen der Befehl Messwerte/Neue Analoganzeige zur Verfügung. Zunächst wird der Dialog "Eigenschaften der Analoganzeige" geöffnet, Sie wählen die gewünschten Eigenschaften aus und mit OK wird eine neue Analoganzeige mit diesen Eigenschaften geöffnet (siehe auch: Dialog "Eigenschaften der Analoganzeige").

AUFRUF!

Eine weitere Möglichkeit diesen Befehl auszuführen ist der Einfachklick mit der linken Maustaste auf die Schaltfläche "Analoganzeige" in der Werkzeugleiste.


Neue Tabelle

Um ein neues Fenster als Messwerttabelle zu öffnen steht Ihnen der Befehl Messwerte/Neue Tabelle zur Verfügung. Zunächst wird der Dialog "Eigenschaften der Tabelle" geöffnet, Sie wählen die gewünschten Eigenschaften aus und mit OK wird eine neue Tabelle mit diesen Eigenschaften geöffnet (siehe auch: Dialog "Eigenschaften der Tabelle").

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Tabelle" in der Werkzeugleiste

· Funktionstaste <F10>


Neues XY-Diagramm

Um ein neues Fenster mit einem XY-Diagramm zu öffnen steht Ihnen der Befehl Messwerte/Neues XY-Diagramm zur Verfügung. Zunächst wird der Dialog "Eigenschaften des XY-Diagramms" geöffnet, Sie wählen die gewünschten Eigenschaften aus und mit OK wird ein neues XY-Diagramm mit diesen Eigenschaften geöffnet (siehe auch: Dialog "Eigenschaften des XY-Diagramms").

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "XY-Diagramm" in der Werkzeugleiste

· Funktionstaste <F11>


Neue Excelverbindung

Neben den vorhandenen Möglichkeiten Messwerte blockweise offline und auch während der Messung nach MS Excel zu exportieren können die Daten auch im Messzyklus online übertragen werden.

Dafür steht die Funktion Messwerte/Neue Excelverbindung zur Verfügung. Mit Aufruf dieser Funktion wird man (wie gewohnt) zuerst nach den Eigenschaften des Objektes "Neue Excelverbindung" gefragt und nach entsprechender Eingabe wird ein Fenster geöffnet, welches über den Status der Verbindung zu Excel informiert.

Wie bei allen Messwertobjekten von FKS WinControl können auch vom Typ "Excelverbindung" beliebig viele Fenster geöffnet werden (d.h. es können gleichzeitig mehrere Excelverbindungen gleichzeitig Messwerte übertragen), wobei die Zuordnung der Messstellen jeweils frei definiert werden kann. Natürlich gilt wie auch bei den anderen Objekten, dass nur eine bestimmte Anzahl sinnvoll ist.

Mehr zum Thema:

Dialog "Eigenschaften der Verbindung zu Excel"

Fenster "Verbindung zu Excel"


Dialog "Eigenschaften der Verbindung zu Excel"

FKS WinControl - Die Menüs > Das Messwerte-Menü > Neue Excelverbindung

Dialog "Eigenschaften der Verbindung zu Excel"

Im Dialog "Eigenschaften der Verbindung zu Excel" können unter den entsprechenden Rubriken folgende Einstellungen vorgenommen werden:

Messstellen:

Hier können die für die Übertragung gewünschten Messstellen durch einfachen Mausklick auf den entsprechenden Listeneintrag ausgewählt werden.

Art der Übertragung

Für die Art der Übertragung kann festgelegt werden, ob die Messdaten in der Exceltabelle fortlaufend eingetragen, oder ob die Werte immer in die gleichen Zellen (als Momentanwerte) geschrieben werden sollen.

Beschriftung

Legen Sie unter "Beschriftung" fest, ob zu den Messwerten Uhrzeit und Datum und die Messstellenkommentare mit übertragen werden sollen oder nicht.

Arbeitsmappe

Im Eingabefeld "Arbeitsmappe" kann die Excel-Arbeitsmappe (Datei), in die die Messwerte übertragen werden sollen, festgelegt werden. Existiert diese Datei noch nicht, so wird Sie automatisch erzeugt. Über die Schaltfläche Suchen wird ein Standarddateidialog geöffnet, über den eine bestimmte Datei auf der Festplatte gesucht und ausgewählt werden kann.

Tabelle

Im Eingabefeld "Tabelle" wird die gewünschte Tabelle innerhalb der festgelegten Arbeitsmappe definiert. Auch hier gilt, dass eine Tabelle, die noch nicht existiert automatisch angelegt wird.

Startzelle

Im Eingabefeld "Startzelle" wird die Position angegeben, ab der die Messwerte in die Tabelle eingetragen werden.

Zugriffsmethode

Im diesem Bereich kann festgelegt werden, wie mit Daten verfahren werden soll, die sich eventuell in einer bereits existierenden Tabelle befinden. Es gelten folgende Festlegungen:

· Daten einfügen/überschreiben: Ab der Startzelle werden alle bereits vorhandenen Einträge durch eintreffende Daten überschrieben, Einträge in anderen Zellen werden nicht verändert.

· Daten anhängen: Die eintreffenden Daten werden ab der folgenden Zeile der letzten beschriebene Zelle des Dokumentes eingetragen. Bereits vorhandene Einträge werden nicht verändert.

· Daten löschen/überschreiben: Alle bereits vorhandene Einträge in der Zieltabelle werden gelöscht. Die neu eintreffenden Daten werden ab der Startzelle eingetragen.

Änderungen übernehmen / Dialog beenden

Mit OK werden die Einstellungen übernommen und es erscheint ein Fenster "Verbindung zu Excel". In Diesem Fenster werden verschiedene Informationen zu dieser Verbindung angezeigt. Eine Übertragung der Messwerte erfolgt noch nicht. Diese kann bei bereits laufender Messung über die Schaltfläche Start im Fenster "Verbindung zu Excel" begonnen werden. Wird die Schaltfläche Sofort starten betätigt, so wird nach Übernahme der Eigenschaften und Öffnen des Fensters "Verbindung zu Excel" die Übertragung der Daten nach Excel bei laufender Messung sofort begonnen.


Fenster "Verbindung zu Excel"

Im Fenster "Verbindung zu Excel" werden verschiedene Informationen über die Verbindung angezeigt. Im Bereich "Status" Wird der momentane Zustand der Verbindung verbal beschrieben.

Mit Start und Stopp kann die Übertragung zu Excel begonnen oder unterbrochen werden. Über Eigenschaften kann der Eigenschaftendialog zu dieser Verbindung geöffnet werden. Es ist zu beachten dass der Eigenschaftendialog nur bei angehaltener Übertragung geöffnet werden kann.

Achtung!

Werden während der Datenübertragung in Excel durch den Bediener Eingriffe vorgenommen (Öffnen von Dialogen), so wird die Übertragung von Excel angehalten (der OLE-Server unterbricht seinen Dienst). Da FKS WinControl trotzdem weiterhin Daten aufzeichnet, und diese in einem Puffer so lange zwischenspeichert bis eine Übertragung wieder möglich ist, wird in Abhängigkeit der Messrate und der übertragenen Messstellen immer mehr Hauptspeicher benötigt. Deswegen folgende Aufzählung von Benutzeraktionen, die am besten unterlassen, sehr zügig ausgeführt oder in mehreren Schritte durchgeführt werden sollten, um die Datenübertragung bzw. den Rechnerbetrieb generell nicht zu gefährden:

· Datei öffnen

· Datei schließen

· Fenster anordnen

· Tabelle umbenennen

· Assistenten (z.B. Diagrammassistent) starten

· Langwieriges Editieren von Zellen

Achtung!

Die Online Datenübertragung steht nur in der 32-Bit Version von FKS WinControl zur Verfügung und arbeitet mit Excel 97 oder höher.


Neues Projektbild

FKS WinControl bietet die Möglichkeit, in speziellen Fenstern (Projektbildern) die Darstellung eines Messaufbaus anzuzeigen. Für die Gestaltung können Grafiken (Bitmaps, Enhanced Metafiles), frei positionierbare Textfelder, die erfassten Messwerte in frei positionierbaren Messwertfeldern (nur Zahlenwert und Rahmen) und Liniendiagramme dargestellt werden.

Um ein Projektbild zu erstellen, führen Sie die Menüfunktion Messwerte/Neues Projektbild aus. Um die Eigenschaften des Projektbildes zu definieren rufen Sie über das Menü Ansicht/Diagrammeigenschaften, den Menüpunkt Diagrammeigenschaften im Kontextmenü oder über <Enter> den dazugehörigen Dialog "Projektbild Eigenschaften" auf.

Um die gewünschten Objekte in ein Projektbild einzufügen, steht die Funktion Bearbeiten/Objekt einfügen... zur Verfügung. Über Bearbeiten/Zeichnen... können Zeichnungsobjekte (Linien, Polygone etc.) eingefügt werden.

Weitere Informationen zum Projektbild finden Sie im Kapitel Die Projektbilder.


Neuer OPC Export

Neben dem Online-Export von Messdaten zu Excel bietet FKS WinControl die Möglichkeit jede Messstelle und jeden Rechenkanal an beliebig viele OPC Server online zu übertragen.

Da FKS WinControl als Client arbeitet ist ein Export zu jedem OPC Server möglich, der die Standards „OPC Data Access“ in den Versionen 2 oder 3 unterstützt und über das vorhandene Computernetzwerk erreichbar ist.

Um einen neuen OPC Export zu erstellen, führen Sie die Menüfunktion Messwerte/Neuer OPC Export aus. Es erscheint das Fenster "WinControl OPC Export", welches verschiedene Informationen über den Export anzeigt (siehe auch: Der OPC Export). Mit einem Klick auf die Schaltfläche Eigenschaften… erscheint der Dialog "Eigenschaften des OPC Exports", in welchem alle Einstellungen für diesen OPC Export vorgenommen werden können (siehe auch: Dialog "Eigenschaften des OPC Exports"). Die Einstellungen für einen OPC Export können gespeichert und zu späteren Zeitpunkten wieder verwendet - sowie ggf. angepasst - werden.

Achtung!

Diese Funktion steht nicht in jeder Programmversion von FKS WinControl zur Verfügung. Mit dem Erwerb dieser Funktion wird auch eine ausführliche Beschreibung bereitgestellt. Bei entsprechendem Interesse kann diese auch gesondert angefordert werden.


Automatisches Speichern

Für das automatische Speichern der Messdaten auf die Festplatte ihres Rechners starten Sie den Befehl Messwerte/Automatisches Speichern. Im erscheinenden Dialog wählen Sie die zu speichernden Messstellen aus und legen den Dateinamen fest. Um die Aufzeichnung in die Datei zu beenden, starten Sie diesen Befehl erneut.

Als Hinweis darauf, welche Messstellen online auf die Festplatte gespeichert werden, erscheint im Fenster "Messstellen, Anlagen und Verbindungen" in der Messstellenliste in der entsprechenden Zeile ein Festplattensymbol ( [image] ).

Gut zu wissen!

Wenn der Optionale Prüfplatzmanager mit mehreren Autosavemanagern aktiviert wurde, dann öffnet sich beim Aufruf des Automatischen Speicherns das Fenster des Prüfplatzmanagers (siehe: Der Prüfplatzmanager), in dem eine Liste der eingestellten automatischen Speicheraktionen zu sehen ist.

Unabhängig von der aktuellen Registerkarte sind im unteren Teil drei Schaltflächen Starten, Schließen und Hilfe zu finden. Über Schaltfläche Starten wird zur Angabe eines Zieles für die Datei(en) aufgefordert, danach beginnt das Speichern.

Falls das Automatische Speichern bereits aktiv ist, wenn der Dialog aufgeschlagen wird, dann sind alle Eingabefelder gesperrt und anstelle der Schaltfläche Start ist die Schaltfläche Beenden sichtbar, mit der das Automatische Speichern beendet wird.

Wenn Sie unter Einstellungen/Sonstige die Funktion "Bei Start der Messung immer in eine Datei schreiben" ausgewählt haben, werden Sie mit Start einer Messung automatisch nach den zu speichernden Messstellen und den Dateinamen gefragt.

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Automatisches Speichern" in der Werkzeugleiste

· Funktionstaste <F8>

Achtung!

Die möglichen Kombinationen aus Ereignisgesteuertem Speichern, bedingter Messwertübernahme und (variabler) Mittelwertbildung können zu Einstellungen führen, deren Ergebnisse gegensätzlich sind. Die Software nimmt keine Überprüfung vor, inwieweit das der Fall ist, um dem Anwender einen möglichst großen Freiraum bei der Lösung individueller Messaufgaben zu geben.

Dialog "Automatisches Speichern"

Im Dialog "Automatisches Speichern" können alle Festlegungen getroffen werden, um die Messwerte bei laufender Messung automatisch in einer Datei auf die Festplatte zu schreiben. Die zu speichernden Messstellen, die speziellen Optionen für den Speichervorgang und die zu erzeugende(n) Messwertdatei(en) werden folgendermaßen festgelegt:

Mehr zum Thema:

Registerkarte "Messstellen"

Registerkarte "Mittelwerte"

Registerkarte "Messwertübernahme"

Registerkarte "Start"

Registerkarte "Dateien"

Registerkarte "e-Mail"

Registerkarte "Einstellungen beibehalten"


Registerkarte "Messstellen"

Auf der Registerkarte "Messstellen" werden alle Einstellungen zur Auswahl der Messstellen, zur Mittelwertbildung und zur Vergabe eines Dateikommentars vorgenommen.

Kommentar:

Im Eingabefeld "Kommentar" kann die Zuordnung der zu speichernden Messdaten zu dem physikalischen Sachverhalt benannt werden. Der zu vergebene Kommentar (beliebig viele Zeichen) wird beim Öffnen der Datei angezeigt.

Zu speichernde Messstellen:

Nach Öffnen des Dialogs werden alle im System verfügbaren Messstellen für die Aufzeichnung in der Messwertdatei in der Tabelle "Zu speichernde Messstellen" angeboten. Wählen Sie zunächst aus dieser Tabelle alle die Messstellen aus, für die die Messwerte gespeichert werden sollen. Klicken Sie dazu mit der linken Maustaste jeweils auf das Kontrollkästchen links neben der Messstellenbezeichnung. Sollen alle Messstellen ausgewählt werden, so markieren Sie die erste Spalte der Tabelle und Klicken auf die Schaltfläche Alle auswählen. Sollen alle Messstellen abgewählt werden, so markieren Sie ebenfalls die erste Spalte der Tabelle und Klicken auf die Schaltfläche Alle abwählen.

Um eine Spalte in der Tabelle zu markieren, bewegen Sie den Mauszeiger in die Kopfzeile dieser Spalte, so dass der Mauszeiger zu einem senkrecht nach unten zeigenden Pfeil wird. Durch einen einfachen Klick mit der linken Maustaste wird die Spalte markiert. Um die Markierung einer Spalte wieder aufzuheben, Klicken Sie einfach mit der linken Maustaste in ein beliebiges Element der Tabelle (außer Kopfzeile).

Nur Mittelwerte speichern:

Um festzulegen, dass für eine Messstelle anstatt der Messwerte zyklische Mittelwerte gespeichert werden, Klicken Sie mit der linken Maustaste jeweils auf das Kontrollkästchen in der Spalte "Mittelung".

Die Aus- bzw. Abwahl der Mittelung aller Messstellen erfolgt bei markierter Spalte "Mittelung" über die Schaltflächen Alle auswählen und Alle abwählen.

Die Anzahl der Messwerte, über die gemittelt werden soll wird auf der Registerkarte "Mittelwerte" festgelegt.

Achtung!

Die Speicherung der zyklischen Mittelwerte einer Messstelle erfolgt nur, wenn diese Messstelle für das automatische Speichern ausgewählt wurde (markiertes Kontrollkästchen in der linken Spalte). Weitere Einstellungen zur Mittelwertbildung können auf der Registerkarte "Mittelwerte" vorgenommen werden.


Registerkarte "Mittelwerte"

Auf der Registerkarte "Messstellen" kann für jede Messstelle festgelegt werden, ob eine Mittelung erfolgen soll. Auf der Registerkarte "Mittelwerte" können nun die Einstellung dafür vorgenommen werden. Für die zur Mittelung ausgewählten Messstellen werden in die zu erzeugende Datei nur die Mittelwerte übernommen, für alle anderen Messstellen jeder Wert.

Mittelung über feste Anzahl

Mit der Option "Mittelung über eine feste Anzahl von Messwerten" wird eine Mittelung über eine vorgegebene Anzahl von Messwerten durchgeführt. Die Anzahl der Messwerte kann frei gewählt werden. Immer wenn diese Anzahl von Messwerten vorliegt, wird der Mittelwert gebildet und mit dem Zeitstempel des aktuellen Messzyklus in die Datei übernommen.

Mittelung über variable Anzahl

Anstelle einer festen Mittelung kann auch der Wert einer Messstelle (vorzugsweise eines Rechenkanals) bestimmen, über wie viele Messwerte gemittelt werden soll. Dazu ist die Option "Anzahl Messwerte wird bestimmt durch Messstelle:" zu aktivieren und eine entsprechende Messstelle ist auszuwählen. Ändert sich der Wert der angegeben Messstelle, wird der aktuelle Mittelungszyklus abgeschlossen und die Mittelwerte werden in die Datei übernommen. Anschließend wird ein neuer Mittelungszyklus anhand des aktuellen Wertes der steuernden Messstelle begonnen.


Registerkarte "Messwertübernahme"

FKS WinControl - Die Menüs > Das Messwerte-Menü > Automatisches Speichern

Registerkarte "Messwertübernahme"

Auf der Seite "Messwertübernahme" können eine Messstelle und eine Bedingung ausgewählt werden, die steuern, ob die Werte des aktuellen Messzyklus in die Datei übernommen werden sollen: nur wenn die angegebene Bedingung erfüllt ist, werden die Daten übernommen.

Achtung!

Bei der Kombination von Bedingter Messwertübernahme und Mittelwertbildung ist zu beachten, dass die Daten der Messzyklen, bei denen die Bedingung für die Datenübernahme nicht erfüllt ist, auch nicht in die Mittelwertbildung einfließen.


Registerkarte "Start"

Auf der Registerkarte "Start" werden die Einstellung für Start und Ende des Automatischen Speicherns festgelegt.

Es kann ausgewählt werden, ob die gemessenen Daten "sofort", "zeitgesteuert" (z.B. als Tagesdateien) oder "ereignisgesteuert" gespeichert werden sollen. Klicken Sie für die Auswahl mit der linken Maustaste auf das jeweilige Optionsfeld.

Wurde "zeitgesteuert" ausgewählt, erscheinen die vorher grau dargestellten Eingabefelder Datum, Uhrzeit, Tage und Zeit (hh:mm) schwarz und sind damit gültig.

Achtung!

Falls die Optionen "zeitgesteuert" und "ereignisgesteuert" nicht angewählt werden können, sind sie in der vorliegenden Softwareversion nicht freigegeben. Melden Sie sich bitte bei Ihrem Fachberater oder den Programmautoren.

Angaben für zeitgesteuertes Speichern

Startuhrzeit

Beim Erreichen der hier eingegebenen Uhrzeit, wird die Aufzeichnung der Messdaten automatisch begonnen.

Dauer

Stellen Sie hier ein, wie lange die Speicherung der Messdaten in einer Datei erfolgen soll. Die Anzahl der Tage wird in ganzen Zahlen angegeben. Die Kombination von Tagen und der Angabe von Stunden und Minuten ist möglich. Es können auch mehr als vierundzwanzig Stunden angegeben werden. Die kleinste mögliche Zeiteinheit ist 5 min.

Nach Ablauf

In diesem Bereich kann ausgewählt werden, ob das zeitgesteuerte Automatische Speichern nach dem Ablauf neu gestartet werden soll. Hier stehen folgende Optionen zur Auswahl:

· Nicht neu starten: Die Einstellungen werden einmalig ausgeführt und nicht erneut gestartet.

· Sofort neu starten: Nach dem Ablauf der eingestellten Dauer wird sofort mit dem Erzeugen der nächsten Datei begonnen, die wiederum die eingestellte Dauer umfasst. Die angegebene Startuhrzeit wird bei den Wiederholungen nicht mehr berücksichtig.

· Zum nächsten Startzeitpunkt neu starten: Nach dem Ablauf der eingestellten Dauer wird die angegebene Startuhrzeit abgewartet, bevor mit dem Erzeugen der nächsten Datei begonnen wird, die wiederum die eingestellte Dauer umfasst.

Gut zu wissen!

Beim Automatischen Speichern von Dateien mit einer Dauer von 24 Stunden bzw. einem Vielfachen davon, wird empfohlen die Option "Nach Ablauf: Sofort neu starten" anzuwählen.

Die Namen der Dateien werden automatisch vergeben. Sie werden entsprechend dem Datum und der Uhrzeit des Anlegens der jeweiligen Datei nach folgendem Prinzip gebildet: jjmmdd-hhmmxx. Die Angabe "xx" ist als Zähler für den (eher theoretischen) Fall vorgesehen, dass mehrere Dateien zu ein und demselben Zeitpunkt erstellt werden.

Wurde im unteren Eingabefeld des Dialogs ein Text eingegeben, so wird dieser dem automatisch generierten Dateinamen vorangestellt.

Wenn die Option "Bei jedem Start nach dem voranzustellenden Text fragen" ausgewählt wurde, erscheint beim Starten einer neuen Datei beim Automatischen Speichern ein Dialog zur Eingabe eines Textes, der dem automatisch erzeugten Teil des Dateinamens vorangestellt werden soll. Wird hier keine Eingabe getätigt, wird dem Dateinamen der im Dialog "Automatisches Speichern" eingestellte Text vorangestellt.

Gut zu wissen!

Wird das Automatische Speichern beendet, bevor der Benutzer den Dialog zur Eingabe eines voranzustellenden Textes bestätigt hat, so wird dieser automatisch geschlossen und der voreingestellte Dateiname bleibt unverändert.

Angaben für ereignisgesteuertes Speichern

Mit Auswahl der Option "ereignisgesteuert" kann festgelegt werden, dass Beginn und Ende des Speicherns von der Über- bzw. Unterschreitung von Messwerten einer Messstelle gesteuert wird. Ähnlich der Funktion eines Zweipunktreglers wird das automatische Speichern gestartet, wenn der obere Schwellenwert überschritten wird. Das Speichern wird beendet, nachdem der untere Schwellenwert unterschritten wurde. Folgende Eingaben sind notwendig:

Messstelle

Wählen Sie aus der Liste die Messstelle (bzw. den Rechenkanal) aus, die für das Steuern des Speichervorgangs relevant sein soll.

Start der Messung bei einem Messwert größer

Tragen Sie bitte hier den Wert ein, bei dessen Überschreitung das Automatische Speichern begonnen werden soll.

Beenden der Messung bei einem Messwert kleiner

Tragen Sie bitte hier den Wert ein, bei dessen Unterschreitung das Automatische Speichern beendet werden soll.

Dateiname

Die Vergabe der Dateinamen erfolgt bei zeit- oder ereignisgesteuertem Speichern automatisch. Ein Name wird gebildet aus der optional vordefinierten Zeichenkette sowie aus Datum und Uhrzeit des Beginns der Speicherung. Die Zeichenkette wird in dem Feld "Text, der dem generierten Namen vorangestellt werden soll" eingegeben.

Achtung!

Da nur bei laufender Messung Messwerte vorliegen, muss die Messung manuell gestartet werden, damit das ereignisgesteuerte Speichern ausgelöst werden kann.


Registerkarte "Dateien"

Auf der Registerkarte "Dateien" werden alle Einstellungen zum Speichern der Ereignisliste und zur Konvertierung der Messdaten vorgenommen.

Ereignisliste automatisch abspeichern

Um eine im Alarmfall erzeugte Ereignisliste in Form einer Datei automatisch mit abzuspeichern, aktivieren Sie die Option "Ereignisliste automatisch abspeichern". Klicken Sie dazu mit der linken Maustaste in das Optionsfeld links neben dem Text, so dass darin ein kleines Kreuz erscheint.

Die Ereignisliste wird dann im gleichen Verzeichnis und mit dem gleichen Namen (jedoch mit der Extension.ev.txt), wie die Messwertdatei gespeichert.

Datei nach dem Schließen konvertieren

Sollen die über das Automatische Speichern erzeugten Messwertdateien in einem anderen Dateiformat weiterverarbeitet werden, so kann festgelegt werden, dass nach Beenden des Speicherns (oder bei Dateiwechsel) die Messwertdatei automatisch in das gewünschte Format konvertiert wird.

Dabei ist einstellbar, ob die Originaldatei erhalten bleiben soll, oder nicht. Wählen Sie dazu aus der Liste im unteren Teil des Dialogs die gewünschte Konvertierung aus (Klick mit der linken Maustaste auf die kleine Schaltfläche rechts neben dem Text und Markierung des gewünschten Eintrags durch Klick mit der linken Maustaste).

Falls die Dateien in ein Textformat gewandelt werden sollen, gelangt man über die Schaltfläche Text-Format... zum Dialog "Textformat", indem das Format definiert werden kann.


Registerkarte "e-Mail"

Auf der Seite "e-Mail" kann angegeben werden, ob die Ereignisliste oder die Datendatei oder beide per E-Mail an einen oder mehrere Empfänger verschickt werden sollen. Für den E-Mail Versand gelten die Definitionen und Grundeinstellungen, die auch für den Versand von E-Mail im Alarmfall gelten.

Die Angabe von Betreff und Text ist optional, allerdings ist zumindest die Angabe eines Betreffes empfehlenswert. FKS WinControl warnt, wenn kein Text oder Betreff angegeben ist.

Es muss mindestens ein Empfänger angegeben werden.

Achtung!

Wenn die Ereignisliste nicht automatisch gespeichert wird, dann erfolgt auch kein E-Mail Versand der Ereignisliste! Falls die Datendatei nach dem Konvertieren gelöscht wurde, dann kann diese Datei auch nicht mehr automatisch per E-Mail versandt werden! Es wird keine Mail generiert, wenn keine Datei zum Versenden vorhanden ist!

Achtung!

Wurde festgelegt, dass beim Automatischen Speichern nach dem Beenden einer Datei, diese in ein anderes Format konvertiert werden soll, kann diese Datei ebenfalls per Email versendet werden. Dazu muss in der Initialisierungsdatei wcFKS.ini festgelegt werden, dass Messwertdateien mit einer bestimmten Extension versendet werden.

Beispiel:

[Auto Save #0]

Attachments=FKS;txt

Versendet werden alle Dateien mit den Extensionen ".fks " und ".txt".

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


Registerkarte "Einstellungen beibehalten"

Auf der Registerkarte "Einstellungen beibehalten" kann durch Aktivieren der Option "Einstellungen beibehalten" festgelegt werden, ob nach einem Neustart des Programms oder beim nächsten Aufrufen des Automatischen Speicherns die zuletzt vorgenommenen Einstellungen beibehalten werden.

Ist diese Option nicht aktiviert, wird der Dialog mit den Standardeinstellungen aufgeschlagen, andernfalls sind die Eingabefelder folgender Seiten mit den letzten Werten vorbelegt:

· Messstellen

· Mittelwerte

· Bedingte Messwertübernahme

· Dateien

· E-Mail

· Einstellungen beibehalten

Die Seite "Start" muss immer neu ausgefüllt werden!

Achtung!

Ist der optionale Prüfplatzmanager aktiviert, existiert diese Registerkarte nicht.


Automatischer Ausdruck automatisch gespeicherter Dateien

FKS WinControl kann die Messwertdateien, die beim automatischen Speichern erzeugt werden, nach Abschluss der Datei automatisch ausdrucken. Es spielt dabei keine Rolle, ob die Messwertdatei durch das kontinuierliche, das zeitgesteuerte oder das ereignisgesteuerte Speichern entstand.

Achtung!

Der Automatische Ausdruck ist optional und steht nicht in jeder Programmversion zur Verfügung.

Mehr:

Liniendiagramme

Automatischer Ausdruck der Ereignisliste


Liniendiagramme

FKS WinControl - Die Menüs > Das Messwerte-Menü > Automatischer Ausdruck automatisch gespeicherter Dateien

Liniendiagramme

Der Ausdruck von Liniendiagrammen kann unter Verwendung unterschiedlicher Vorlagen auf unterschiedlichen Druckern erfolgen.

Einstellungen für den Automatischen Ausdruck

Um den automatischen Ausdruck zu aktivieren, sind zwei Änderungen an der

Konfigurationsdatei wcFKS.ini erforderlich:

Der Abschnitt [Auto Save #0 AutoPrint] muss neu angelegt werden. Hier sind die zu verwendenden Drucker und Vorlagen in der Form Drucker=Vorlage anzugeben.

Drucker ist dabei der Name des Druckers, auf dem der Ausdruck erfolgen soll, während Vorlage den kompletten Pfad zur zu verwendenden Vorlage enthält. Bei Netzwerkdruckern ist außer dem Druckernamen auch noch die Angabe des Rechners bzw. Druckservers notwendig, an dem der Drucker angeschlossen ist: \\Servername\Druckername

Zusätzlich muss noch im Abschnitt [Auto Save #0] der Eintrag AutoPrint=1 hinzugefügt werden.

Falls der Abschnitt [Auto Save #0] nicht existiert, kann er manuell angelegt werden, oder es wird zuerst FKS WinControl gestartet, dort das automatische Speichern aktiviert und anschließend FKS WinControl wieder beendet. Jetzt ist der Abschnitt [Auto Save #0] auf jeden Fall vorhanden.

Um den automatischen Ausdruck wieder zu deaktivieren, muss nur der Eintrag AutoPrint=1 gelöscht oder zu AutoPrint=0 geändert werden.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Beispiel:

[Auto Save #0 AutoPrint]

PDF Printer=C:\Templates\tagesdatei.amv

LaserJet=C:\Templates\alle_temperaturen.amv

LaserJet=C:\Templates\office_temperaturen.amv

LaserJet=C:\Templates\labor_temperaturen.amv

\\myserver\FS-1900=C:\Templates\alle_temperaturen.amv

\\myserver\FS-1900=C:\Templates\office_temperaturen.amv

\\myserver\FS-1900=C:\Templates\labor_temperaturen.amv

Erklärung:

Zuerst wird die Datei unter Verwendung der Vorlage tagesdatei.amv auf dem Virtuellen

Drucker "PDF Printer" ausgegeben, der daraus eine PDF Datei erzeugt. Anschließend erfolgt der Ausdruck der Datei unter Verwendung von drei unterschiedlichen Vorlagen auf dem Drucker "LaserJet", der am PC lokal angeschlossen ist. Zuletzt wird die Datei (wiederum mit den drei Vorlagen) auf dem Drucker "FS-1900" am PC "myserver" im Netzwerk ausgegeben.

Hinweise:

Unter Windows 2000, XP und Vista sucht das Betriebssystem im Netzwerk selbst nach Druckern und zeigt diese in der Systemsteuerung mit der Bezeichnung

Automatisch Druckername auf Rechner

oder

Druckername an Rechner

an. Teilweise wird diese Bezeichnung auch in den Dialogen zu Druckerauswahl und

Druckereinstellungen verwendet.

Im Abschnitt [Auto Save #0 AutoPrint] darf diese Bezeichnung nicht verwendet

werden, sondern muss in die Form \\Rechner\Druckername gebracht werden!

Achtung!

Verschiedene virtuelle Drucker, wie z.B. die auf GhostScript basierenden Programme zum Erzeugen von PDF Dateien, implementieren teilweise keine Druckerwarteschlange. Das führt dazu, dass bei mehreren aufeinander folgenden Aufrufen jeder Druckauftrag den noch nicht abgeschlossenen vorhergehenden Druckauftrag abbricht und aus Anwendersicht praktisch nur der letzte Ausdruck erfolgt. Deswegen wird davon abgeraten, mehr als einen Ausdruck auf einem solchen Drucker auszuführen.

Die zu verwendenden Vorlagen müssen in FKS WinControl erstellt werden. Es ist darauf zu achten, dass die Vorlagen auch zu der erzeugten Datei passen. Um das sicherzustellen, wird empfohlen, das automatische Speichern zu starten und eine kurze Datei zu erzeugen.

Anschließend wird diese Datei in FKS WinControl geöffnet, als Liniendiagramm dargestellt und dann als Vorlage (Menü Datei/Als Vorlage speichern) gesichert. Jetzt können die Eigenschaften des Liniendiagramms noch beliebig oft geändert und immer wieder als Vorlage gespeichert werden, bis für alle gewünschten Darstellungsarten die passende Vorlage existiert.

Tipp: Die Messstellen, die in einer Vorlage nicht dargestellt werden sollen, sollten trotzdem in der Vorlage enthalten sein, doch sie müssen als „unsichtbar“ markiert werden. Weitere Hinweise dazu finden Sie im Handbuch in den Kapiteln zu den Eigenschaften der Liniendiagramme und zum Erzeugen/Verwenden von Vorlagen!


Automatischer Ausdruck der Ereignisliste

FKS WinControl - Die Menüs > Das Messwerte-Menü > Automatischer Ausdruck automatisch gespeicherter Dateien

Automatischer Ausdruck der Ereignisliste

Ebenfalls auf der Registerkarte "Dateien" im Dialog "Automatisches Speichern" kann über die Option "Ereignisliste automatisch ausdrucken" festgelegt werden, dass nach dem Abschluss des automatischen Speicherns die aktuelle Ereignisliste automatisch ausgedruckt wird. Der Ausdruck erfolgt auf einem beliebigen Drucker am lokalen PC oder im Netzwerk, der in der Konfigurationsdatei wcFKS.ini im Abschnitt [Settings] unter dem Eintrag Eventprinter=Druckername angegeben werden muss.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Beispiele:

Lokaler Drucker:
[Settings]
EventPrinter=FS2000-D

Netzwerkdurcker:

[Settings]
EventPrinter=\\server\FS2000-D


Datenaufzeichnung auslesen

Aktuelle Feutron-Anlagen unterstützen die Aufzeichnung von Daten im internen Anlagenspeicher. Die erfassten Daten können Sie mit dem Befehl Messwerte/Datenaufzeichnung auslesen in den Rechner übernehmen.

Mehr:

Dialog "Datenaufzeichnung auslesen"


Dialog "Datenaufzeichnung auslesen"

FKS WinControl - Die Menüs > Das Messwerte-Menü > Datenaufzeichnung auslesen

Dialog "Datenaufzeichnung auslesen"

Im Dialog "Datenaufzeichnung auslesen" können alle notwendigen Einstellungen vorgenommen werden, um aufgezeichnete Daten aus der Anlage in FKS WinControl zu übertragen.

Es stehen dabei folgende Einstellungen zur Verfügung:

Anlage:

Mit einem Klick auf das Feld neben "Anlage:" wird eine Liste aller verbundenen Anlagen angezeigt, die Datenaufzeichnung unterstützen. Mit einem einfachen Klick auf einen Listeneintrag wird die jeweilige Anlage ausgewählt und die Tabelle der verfügbaren Datenaufzeichnung wird aktualisiert.

Datenaufzeichnung:

Die Tabelle "Datenaufzeichnung" zeigt die verfügbaren Daten mit Name, Datum und Größe an. Durch Klick mit der linken Maustaste auf den Namen einer Datenaufzeichnung in der Tabelle wird diese markiert und kann anschließend mit einem Klick auf OK von der Anlage heruntergeladen werden.

Mit der Schaltfläche OK wird die aktuell markierte Datenaufzeichnung von der ausgewählten Anlagen übernommen. Löschen entfernt die aktuell markierte Datenaufzeichnung von der Analge. Mit Abbrechen wird der Dialog "Datenaufzeichnung auslesen" geschlossen und es werden keine Daten von der Anlage heruntergeladen. Hilfe zeigt diesen Hilfe-Text an.

Nachdem die Messwerte in den Rechner übernommen wurden, wird ein Dateiübersichtsfenster mit den Angaben Kommentar, Start- und Ende der Messung sowie die vorhandenen Messstellen angezeigt. Nun können die Messwerte in einer Datei gespeichert werden, können mit dem Befehlen Darstellung als Linien- bzw. XY-Diagramm oder Darstellung als Tabelle dargestellt oder auch für eine weitere Bearbeitung mit Datei/exportieren per DDE an ein Auswerteprogramm (z.B. Excel) weitergegeben werden.

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· Einfachklick mit der linken Maustaste auf die Schaltfläche "Datenaufzeichnung auslesen" in der Werkzeugleiste

· Funktionstaste <F9>


Mittelwertbildung

Im Mittelwertmodus werden nicht die eingelesenen Messwerte direkt übernommen, sondern das arithmetische Mittel aus n gemessenen Werten. Die Anzahl n kann vom Anwender für alle Diagramme gemeinsam im Bereich von 1 bis 100 festgelegt werden.

Rufen Sie dazu die Menüfunktion Messwerte/Mittelwertbildung auf (bei aktivem Linien- oder XY-Diagramm oder Tabelle). Im erscheinenden Dialog "Mittelwertbildung" legen Sie im entsprechenden Eingabefeld die Anzahl der Messwerte fest, über die gemittelt werden soll.

Aus der Liste der Messstellen, können diejenigen ausgewählt werden, für die nur die Mittelwerte gespeichert werden sollen. Klicken Sie dazu mit der linken Maustaste auf das jeweilige Kontrollkästchen links neben der gewünschten Messstelle.


Messwerte freigeben

Mit dieser Funktion können die Messwerte eines Diagramms oder einer Tabelle entfernt werden, ohne dass die Einstellungen aus dem Eigenschaftsdialog verloren gehen. Somit ist es möglich, einmal eingestellte Eigenschaften eines Fensters schnell und einfach für eine neue Messung zu verwenden.

Achtung!

Wird diese Funktion auf einen gespeicherten Datensatz angewendet, und wird danach die Funktion Datei/Speichern ausgeführt, so gehen die gespeicherten Daten verloren. Verwenden Sie nach der Freigabe der Messwerte den Befehl Datei/Speichern unter und legen Sie eine neue Datei an. Die Daten der Ursprungsdatei bleiben somit erhalten.


Das Menü Programmierung

Mehr zum Thema:

Messstellenprogrammierung

Rechenkanäle

Konstanten definieren

Neues Klimaprofil

Klimaprofil aus Anlage lesen

Klimaprofil zur Anlage senden

Startverzögerung

Manueller Betrieb

Fehlerhistorie

Terminalfenster


Messstellenprogrammierung

Mit dem Befehl Programmierung/Messstellenprogrammierung steht eine weitere Möglichkeit zur Verfügung, die Programmierung der Messstellen vorzunehmen. Sie öffnen so den Dialog "Eigenschaften der Messstellenliste und der Messstellen" mit der obenliegenden Registerkarte "Messstellen" und können mit diesem Dialog die gewünschten Einstellungen vornehmen und programmieren. Eine ausführliche Beschreibung dieses Dialogs finden Sie unter Eigenschaften der Messstellenliste und der Messstellen.


Rechenkanäle

Die mathematischen Funktionen des Programms bieten die Möglichkeit, aus den gemessenen Daten physikalische Größen zu berechnen. Die gewünschten Größen werden über einen Formeleditor definiert und als Rechenkanal (virtuelle Messstelle) vereinbart.

Globale Rechenkanäle

Soll ein Rechenkanal im gesamten System zur Verfügung stehen, so erfolgt seine Definition über den Befehl Programmierung/Rechenkanäle. Im erscheinenden Dialog Eigenschaften der Messstellenliste und der Messstellen werden auf der Registerkarte "Rechenkanäle" alle dazu notwendigen Einstellungen und die Formeldefinition vorgenommen (siehe auch: Eigenschaften der Rechenkanäle).

AUFRUF!

Weitere Möglichkeiten diesen Befehl auszuführen sind:

· durch Doppelklick mit der linken Maustaste in das aktive Messstellenfenster und Auswahl der Registerkarte "Rechenkanäle".

· durch Einfachklick mit der rechten Maustaste in das aktive Messstellenfenster und Auswahl der Funktion "Rechenkanäle" aus dem kontextsensitiven Menü.

· mit <ENTER> und Auswahl der Registerkarte "Rechenkanäle".

· bei aktivem Messstellenfenster über den Befehl Ansicht/Eigenschaften und Auswahl der Registerkarte "Rechenkanäle".


Konstanten definieren

Es besteht die Möglichkeit Konstanten zu definieren, auf die in den Rechenkanälen zugegriffen werden kann. Die Definition erfolgt im Dialog "Konstanten definieren", der über den Menüpunkt Programmierung/Konstanten definieren... aufgerufen werden kann.

Mehr zum Thema:

Dialog "Konstanten definieren"


Dialog "Konstanten definieren"

In diesem Dialog werden alle momentan vereinbarten Konstanten alphabetisch aufsteigend sortiert angezeigt.

Um eine neue Konstante hinzuzufügen, klicken Sie mit der linken Maustaste die Schaltfläche Konstante hinzufügen... an. Daraufhin wird eine neue Zeile angelegt, in der Sie die gewünschten Daten eintragen können. Alternativ können Sie eine Zeile markieren, indem Sie auf das Feld mit der Zeilennummer klicken und dann die Taste <Einfügen> (<Einf>) drücken.

Um eine oder mehrere Konstanten zu löschen, markieren Sie die Zeilen wie oben beschrieben und drücken Sie die Taste <Entfernen> (<Entf>).

Bitte beachten Sie, dass der Dialog nur geschlossen werden kann, wenn alle Zeilen ein gültiges Paar aus Konstantenname und Wert enthalten und keine doppelten Namen vergeben wurden. Komplett leere Zeilen gelten auch als gültige Zeilen und werden immer ignoriert.

Namenskonventionen

Für Namen sind Kombinationen von Zahlen und Buchstaben erlaubt, wobei das erste Zeichen ein Buchstabe sein muss. Sonderzeichen und Umlaute dürfen nicht verwendet werden. Die maximale Länge eines Namens beträgt 20 Zeichen. Konstantennamen müssen eindeutig sein, d.h. jede Konstantenbezeichnung darf nur einmal pro Konfiguration verwendet werden.

Es ist zu beachten, dass zwischen Groß- und Kleinschreibung unterschieden wird, so dass z.B. die gängigen Formelzeichen als Konstantennamen verwendet werden können (p à Druck, P à Leistung).

Werte

Als Wert wird eine Fließkommazahl mit Dezimalpunkt erwartet, jedoch ist die Verwendung ganzer Zahlen gestattet. Der Wertebereich erstreckt sich von –1.7E308 bis +1.7E308, jedoch mit maximal 15-stelliger Genauigkeit.

Verwaltung

Die Werte der Konstanten werden in der wcFKS.ini sowie - beim Speichern der Konfiguration - im benutzerdefinierten File gespeichert. Nach dem Laden der Konfiguration werden auch die Konstanten wieder hergestellt. Konstanten, die beim Laden einer Konfiguration vereinbart waren, werden durch die zu ladenden Konstanten überschrieben.

Referenzierung der Rechenkanäle

Für die Verwendung der Konstanten in Rechenkanälen steht die Funktion const zur Verfügung. Die Syntax lautet:

const("Konstantenname")

Bei der Berechnung des Wertes wird der jeweils aktuelle Wert der Konstanten zurückgeliefert. Wenn die Konstante "Konstantenname" nicht definiert ist, wird der komplette Ausdruck, der die Formel const("Konstantenname") enthält ungültig, was dazuführt, dass der zugehörige Rechenkanal den Status "Fühlerbruch" annimmt.

Beispiel

Gegeben sei folgende Konstantentabelle:

Name der Konstanten | Wert der Konstanten
p | 1200
U | 0.5

Definiert wird jeweils die Formel für den Rechenkanal 80.0:

const("p") liefert 1200

const("P") führt zu Fühlerbruch, weil P nicht definiert wurde

const("U") * const ("I") liefert 6

Gut zu wissen!

Werden die Werte der Konstanten während einer laufenden Messung geändert, wirkt sich diese Änderung nur auf die Berechung ab diesem Zeitpunkt aus, die bisher errechneten Werte bleiben erhalten. Das ist besonders für Langzeitmessungen interessant, da so z.B. sich unregelmäßig ändernde Rahmenbedingungen in die Messwerterfassung einbezogen werden können.


Neues Klimaprofil

Um ein neues Klimaprofil zu erstellen, kann die Funktion Programmierung/Neues Klimaprofil… aufgerufen werden.

Mehr:

Dialog "Neues Klimaprofil anlegen"

Dialog "Klimaprofil manuell anlegen"


Dialog "Neues Klimaprofil anlegen"

Bestätigen Sie den erscheinenden Dialog "Neues Klimaprofil anlegen" über die Schaltfläche OK und es wird ein neues Fenster mit einem zu dieser Anlage passenden Klimaprofil geöffnet, welches bereits eine leere Zeile enthält.

Falls ein Profil erstellt werden soll, welches zu einem anderen als dem angeschlossenen Anlagentyp passt oder falls kein Gerät angeschlossen ist, klicken Sie zunächst in dem erscheinenden Dialog "Neues Klimaprofil anlegen" die Schaltfläche Manuell an, um den Dialog "Klimaprofil manuell anlegen" anzuzeigen. (siehe auch: Neue Profile erzeugen)


Dialog "Klimaprofil manuell anlegen"

In diesem Dialog kann der gewünschte Anlagentyp und die Anzahl der Ausgänge festgelegt werden. FKS WinControl erzeugt nach dem Bestätigen mit OK ein neues Fenster für das Klimaprofil, welches bereits eine leere Zeile enthält. (siehe auch: Neue Profile erzeugen)


Klimaprofil aus Anlage lesen

Die Menüfunktion Programmierung/Klimaprofil aus Anlage lesen... steht zur Verfügung, um ein Programm aus einer Anlage in die Software eingelesen werden soll.

Mehr:

Dialog "Klimaprofil auslesen"


Dialog "Klimaprofil auslesen"

Im Dialog "Klimaprofil auslesen" können Klimaprofile bzw. Programme von allen angeschlossenen Anlagen an die Software FKS WinControl übertragen werden.

Unter Anlage kann durch einen Klick mit der linken Maustaste eine verfügbare Anlage ausgewählt werden. Die Programme bzw. Klimaprofile dieser Anlage werden anschließend in der Liste unter "Programm" angezeigt.

Gut zu wissen!

Bei Anlagen der neuen Baureihen werden die kompletten Namen der Klimaprofile in der Programmliste angezeigt, während bei früheren Anlagen-Typen lediglich die Programmnummer auswählbar ist.

Durch Auswahl eines Programmes aus der Liste und Anwahl der Schaltfläche Auslesen werden die gewünschten Daten zur Software übertragen und als Klimaprofil in einem neuen Fenster dargestellt. Durch Klick auf die Schaltfläche Löschen wird das ausgewählte Programm von der Anlage entfernt.

Dieser Dialog kann auch über das Kontextmenü des Klimaprofils oder seine Werkzeigleiste aufgerufen werden (siehe auch: Klimaprofile auslesen und senden).


Klimaprofil zur Anlage senden

Wenn ein Fenster mit einem Klimaprofil aktiv ist, steht im Menü "Programmierung" der Punkt "Klimaprofil zur Anlage senden…" zur Verfügung, um ein Programm in eine Anlage zu laden. Diese Funktion kann auch über das Kontextmenü des Klimaprofils oder seine Werkzeugleiste [image] aufgerufen werden.

Mehr:

Dialog "Klimaprofil senden"


Dialog "Klimaprofil senden"

Zuerst erfolgt eine Prüfung der Daten im Profil, nur wenn ausschließlich gültige Einträge vorhanden sind, wird ein Dialog aufgeschlagen, in dem zunächst die Zielanlage ausgewählt werden muss. Nach erfolgter Auswahl wird eine Liste aller in der Anlage zur Verfügung stehenden Programmplätze angezeigt, die bereits belegten Plätze werden durch * gekennzeichnet.

Wenn es sich bei der gewählten Anlage um eine neue Anlage mit Feutron Touch Controller handelt, dann wird eine Liste aller bereits in der Anlage gespeicherten Profile angezeigt und es kann ein neuer Programmname angegeben werden.

Achtung!

Der Programmname bei Feutron Touch Controllern darf nicht mit einem Leerzeichen beginnen.

In dieser Liste wird der gewünschte Zielprogrammplatz für das Klimaprofil ausgewählt. Bei neuen Anlagen kann alternativ auch ein Programmname eingegeben werden.

Mit der Schaltfläche Senden werden die Daten zur Anlage geschickt. Ist der ausgewählte Programmplatz bereits belegt, wird das Programm an dieser Stelle ohne Nachfrage gelöscht und durch das des Klimaprofils ersetzt. Bei neuen Anlagen erfolgt eine Meldung, wenn ein Klimaprofil überschrieben werden soll.

Es muss sichergestellt sein, dass durch das Senden des Klimaprofils die maximale Anzahl von Programmschritten in allen Programmen (z. Zt. 255) nicht überschritten wird. Andernfalls bricht das Senden mit einer Fehlermeldung ab, wenn mehr als 255 Gesamtschritte programmiert werden sollen. In dem Fall steht in der Anlage dann nur ein Teil des Klimaprofils zur Verfügung. Bei den Gesamtschritten handelt es sich nur um "echte" Programmschritte, Wiederholungen werden nicht eingerechnet.

Achtung!

Es wird an dieser Stelle nicht überprüft, ob die ausgewählte Anlage und das Klimaprofil kompatibel sind. Falls Anlage und Klimaprofil nicht zueinander passen, kann es sein, dass die Anlage das Klimaprofil nicht akzeptiert. In diesem Fall wird eine Fehlermeldung ausgegeben. Andernfalls kann es sein, dass mit dem übertragenen Programm nicht die gewünschten Ergebnisse erzielt werden.

Achtung!

Wenn beim Übertragen von Klimaprofilen zur Anlage ein Fehler auftritt, dann wird eine Meldung ausgegeben, in welcher der fehlerhafte Schritt mit angezeigt wird. Die Übertragung des Profils zur Anlage wird abgebrochen und die bereits übertragenen Schritte dieses Profils werden aus der Anlage gelöscht.


Startverzögerung

Über das Menü "Programmierung/Startverzögerung einstellen…" kann für Anlagen, die diese Funktion unterstützen, die Startverzögerung geändert werden. Sind mehrere passende Anlagen angeschlossen, wird zunächst ein Dialog zur Auswahl der gewünschten Anlage angezeigt.

Gut zu wissen!

Das Ändern der Startverzögerung ist nur möglich, wenn sich die Anlage im Status "Stopp" oder "Pause" befindet. Andernfalls wird ein Hinweis angezeigt und es besteht die Möglichkeit, das laufende Programm anzuhalten.

Der Dialog zur Änderung der Starverzögerung enthält neben der Anzeige des aktuell eingestellten Startzeitpunktes ein Feld zur Eingabe des Datums und ein Feld zur Eingabe der Uhrzeit.

Wird das Feld "Startdatum" leer gelassen, ergänzt die Software den Startzeitpunkt automatisch um das aktuelle Datum des PCs. Das Datum ist in dem Format einzugeben, wie es in der Systemeinstellungen des Betriebssystems definiert wurde.

In das Feld "Startzeit" muss eine gültige Uhrzeit im Format hh:mm:ss (Stunde, Minute, Sekunden) eingegeben werden. Mit der Schaltfläche "Programmieren" wird die Startverzögerung zur Anlage übertragen, mit der Schaltfläche "Löschen" wird die Startverzögerung in der Anlage gelöscht.

Anzeige

Die Startverzögerung wird erst aktiv, wenn die Anlage den Status "Stopp" bzw. "Pause" verlässt, z.B. durch das Starten eines Programms (Klimaprofils) oder Wechsel in den Manuellen Betrieb. Die Anlage befindet sich nun im Status "Startverzögerung" und im Anlagenfenster wird in der Zeile "Anlagenstatus" der Eintrag "Start Datum, Uhrzeit" angezeigt.


Manueller Betrieb

Die Umschaltung in den manuellen Betrieb kann über die Software erfolgen.

Achtung!

Der Start des Manuellen Betriebs und die Einstellung der Sollwerte kann nur erfolgen, wenn die angeschlossenen Anlagen die Fernsteuerung des Manuellen Betriebs unterstützen.

Im Fenster "Anlagenstatus" (siehe: Das Statusfenster) wird beim Betätigen der Schaltfläche "Neues Programm starten" eine Liste der in der Anlage verfügbaren Programme (Klimaprofile) angezeigt, in der nun der erste Eintrag immer "Manueller Betrieb…" lautet. Diese Schaltfläche kann nur dann verwendet werden, wenn sich die Anlage im Status "Stopp" bzw. "Pause" befindet oder der Manuelle Betrieb schon aktiviert ist (à Sollwerte und Marken).

Alternativ kann der Start über das Menü "Programmierung/Manueller Betrieb…" erfolgen. Ist mehr als eine Anlage verfügbar, die die Fernsteuerung des Manuellen Betriebs unterstützt, wird zunächst ein Dialog aufgeschlagen, in dem die gewünschte Anlage ausgewählt werden muss. Wenn noch ein anderes Programm in der Anlage läuft, wird ein Hinweis angezeigt und es besteht die Möglichkeit, das laufende Programm anzuhalten.

Hinweis: Bei aktivem Manuellen Betrieb steht die Schaltfläche "Neues Programm starten" immer zur Verfügung und schlägt die Liste der verfügbaren Programme (Klimaprofile) auf. Mit der Auswahl "Manueller Betrieb…" können die Sollwerte und Marken (à Sollwerte und Marken) geändert werden, während die Auswahl eines Programms (Klimaprofils) den Manuellen Betrieb beendet und das gewählte Programm aktiviert.

Mehr:

Sollwerte und Marken

Steuerung


Sollwerte und Marken

Nach dem Aufruf "Manueller Betrieb…" wird ein Dialog aufgeschlagen, in dem die aktuellen Sollwerte und Marken in einer Tabelle angezeigt werden. Der Inhalt der Spalte "Neuer Wert" kann geändert werden, beim Öffnen des Dialoges werden hier automatisch die aktuellen Werte voreingestellt.

Hinweis: Beim Öffnen der Dialoges wird der Eingabefokus auf die erste Zelle in der Tabelle gesetzt, die eine Eingabe erlaubt. Mit der Tabulator-Taste kann die nächste Zelle angesprun-gen werden, die eine Eingabe erlaubt.

Mit der Schaltfläche "Programmieren" werden die eingestellten Sollwerte und Marken zur Anlage übertragen, aktiviert und der Manuelle Betrieb wird gestartet, sofern er noch nicht aktiv ist.

Hinweis: Auch wenn keine Sollwerte bzw. Marken verändert wurden, werden durch das Anwählen von "Programmieren" die Inhalte der Spalte "Neuer Wert" zur Anlage übertragen, so dass immer sichergestellt ist, dass die angezeigten und aktiven Werte synchron sind!

Sollwerte einstellen

In der Spalte "Neuer Wert" können neue Sollwerte eingetragen werden. Ohne Angabe eines Sollwertes in einer Zeile, wird in der Anlage für die zugehörige Größe "Kein Sollwert" eingestellt. Es ist abhängig von der Anlage, wie vielen und welchen Größen kein Sollwert zugeordnet werden kann und wie diese Angabe interpretiert wird.

Liegen die Sollwerte außerhalb der anlagen- und sensorspezifischen Grenzwerte oder tritt bei der Übertragung ein Fehler auf, wird die betreffende Zeile hervorgehoben und die Abarbeitung der noch ausstehenden Sollwerte abgebrochen.

Marken setzen / löschen

Für Marken können nur die Werte "1" oder nichts ("") verwendet werden. Außer der Eingabe der Zahl 1 bzw. dem Löschen des aktuellen Inhalts der Zelle (ENTF) steht zur Auswahl des gewünschten Wertes der aktiven Zelle eine Schaltfläche am rechten Zellenrand zur Verfügung, die beim Anklicken mit der Maus eine Liste der möglichen Eingaben aufschlägt.


Steuerung

Der Manuelle Betrieb kann über die Schaltfläche "Pause/Fortsetzen" im Fenster "Anlagenstatus" angehalten und fortgesetzt werden. Über den Aufruf "Programmierung/Manueller Betrieb…" oder den Eintrag "Manueller Betrieb…" in der Programmliste der Anlage kann jederzeit der Dialog zum Ändern der Sollwerte (à Sollwerte und Marken) aufgerufen werden, in dem sich die aktuellen Sollwerte - auch während des aktiven Manuellen Betriebs - ändern lassen.


Fehlerhistorie

Über das Menü „Programmierung/Fehlerhistorie anzeigen…“ kann eine Logdatei von der Anlage ausgelesen werden, in der aufgetretene Fehler und Ereignisse protokolliert sind.

Dieser Menüpunkt steht zur Verfügung, sobald mindestens eine Anlage mit Feutron Touch Controller angeschlossen ist. Ist mehr als eine Anlage verfügbar, wird zuerst ein Dialog angezeigt, in dem die Anlagen (Mehrfachauswahl ist möglich) selektiert werden können, deren Feh-lerhistorie ausgelesen werden soll. Bei nur einer Anlage wird der Dialog nicht angezeigt und das Auslesen wird sofort begonnen. Wurden mehrere Anlagen gewählt, erfolgt das Auslesen parallel.

Die gelesenen Dateien werden temporär gespeichert. Jeder dieser Dateien wird von FKS WinControl in einem separaten Prozess mit dem Windows-Textbetrachter geöffnet, mit dem die Dateien betrachtet, bearbeitet und gespeichert werden können. Durch den jeweils eigenen Prozess sind diese Fenster nicht Bestandteil von FKS WinControl , werden nicht mit der Programmkonfiguration gespeichert und bleiben auch nach dem Beenden von FKS WinControl offen.


Terminalfenster

Über die Menüfunktion Programmierung/Terminalfenster besteht die Möglichkeit mit den Anlagen auf ASCII-Befehlsebene zu kommunizieren. Durch Ausführen dieser Funktion wird die Kommunikation des Programms mit den Anlagen unterbrochen und es können per Tastatur die einzelnen Befehle eingegeben werden.

Neben dem Textfenster stehen Schaltflächen für häufig verwendete Befehle zur Verfügung. Durch einfachen Klick mit der linken Maustaste auf die Schaltflächen, wird der entsprechende Befehl gesendet.

Achtung!

Im Fenster erscheinen nur die Zeichen, die von der angesprochenen Anlage zurückgesendet werden. Das heißt, wenn trotz Eingabe per Tastatur oder Schaltfläche keine Zeichen im Fenster sichtbar werden, antwortet das Gerät nicht.

Der im Fenster angezeigte Text kann markiert und mit dem Tastaturbefehl <STRG+C> in die Zwischenablage kopiert und von dort aus weiterverarbeitet werden. Weiterhin kann der gesamte Fensterinhalt auch über die Schaltfläche Speichern in einer Textdatei abgelegt werden. Nach einfachem Klick mit der linken Maustaste auf die Schaltfläche, erscheint ein Standarddateidialog, in dem Laufwerk, Verzeichnis und Dateiname festgelegt werden können.

Weiterhin verfügt das Terminalfenster über 10 frei belegbare Schaltflächen. Die Belegung kann in vier Ebenen erfolgen, so dass jede Schaltfläche vierfach belegt werden kann. Rechts neben den Funktionstasten befindet sich ein Umschalter, mit dem die gewünschte Ebene ausgewählt wird.

Um die Tasten zu belegen, klicken Sie auf die Schaltfläche "Funktionstasten...". Daraufhin erscheint ein Konfigurationsdialog.

Mehr zum Thema:

Dialog "Funktionstasten belegen"


Dialog "Funktionstasten belegen"

FKS WinControl - Die Menüs > Das Menü Programmierung > Terminalfenster

Dialog "Funktionstasten belegen"

Mit den Schaltflächen in der Gruppe "Tastenebene" kann die Ebene eingestellt werden, deren Belegung verändert werden soll.

In der Tabelle stehen die Tasten in der Reihenfolge von oben nach unten, wie sie im Terminalfenster von links nach rechts dargestellt werden. In der Spalte "Bezeichnung" wird der Text eingetragen, den die Schaltflächen im Terminalfenster anzeigen sollen. In der Spalte "Befehlszeile" stehen die Kommandos, die bei Betätigung der Schaltfläche über die Schnittstelle an die angeschlossenen Geräte geschickt werden sollen.

Wenn in der Bezeichnung einer Schaltfläche vor einen Buchstaben oder eine Zahl das Zeichen "&" geschrieben wird, dann wird dieses Zeichen in Schaltfläche unterstrichen dargestellt und mit der Tastenkombination <ALT> + [Zeichen] wird die Schaltfläche betätigt, so als wäre sie mit der Maus angeklickt worden.

Achtung!

Es muss darauf geachtet werden, dass pro Tastenebene jedes Zeichen nur einmal als Tastenkürzel ausgewählt werden darf. Ansonsten ist die Funktionalität nicht gewährleistet. Außerdem sollte & nur einmal pro Schaltfläche vergeben werden. Die Zeichen "B", "L", "S", "F" und "H" sollten ebenfalls nicht verwendet werden, da diese bereits anderen Schaltflächen im Terminalfenster zugeordnet sind.

Gut zu wissen!

Wenn einer Schaltfläche nur eine Bezeichnung, aber keine Befehlszeile zugewiesen wird, dann zeigt die Schaltfläche die Bezeichnung an, ist aber deaktiviert. Wird hingegen nur eine Befehlszeile eingetragen, aber keine Bezeichnung, bleibt die Schaltfläche leer, ein Tastendruck auf dieselbe löst jedoch die Übertragung der Befehlszeile zu den Geräten aus.


Das Einstellungen-Menü

Mehr zum Thema:

Verbindung hinzufügen

Verbindungen verwalten...

Messzyklus

Die Symbolleiste

Statuszeile

Alarm

e-Mail

Kennwortschutz

Größe des Messwertpuffers

Sonstige


Verbindung hinzufügen

Über die Schaltflächen Eigenschaften und Hinzufügen aus dem Fenster "Verbindungen verwalten" und über das Menü Einstellungen/Verbindung hinzufügen wird der Dialog Verbindungseinstellungen geöffnet. In diesem Dialog kann eine neue Verbindung definiert werden oder die Eigenschaften einer bestehenden Verbindung können eingesehen und/oder verändert werden.

Dazu gehören die optionale Vergabe einer Bezeichnung für die Verbindung, das gewünschte Protokoll, der Typ der zu verwendenden Schnittstelle (seriell, Netzwerk oder Modem) und deren spezifische Einstellungen.

Eine ausführliche Beschreibung des Dialogs finden Sie unter Verbindungseinstellungen.


Verbindungen verwalten...

Ein Doppelklick auf die Liste der vorhandenen Verbindungen im Fenster "Messstellen, Anlagen und Verbindungen" oder der Aufruf des Menüs Einstellungen/Verbindungen verwalten… öffnet das Fenster "Verbindungen verwalten". Nach der Auswahl einer Verbindung aus der erscheinenden Liste kann diese aktiviert oder deaktiviert werden, es können Verbindungen entfernt oder hinzugefügt und der jeweilige Eigenschaftsdialog aufgerufen werden.

Es können beliebig viele Verbindungen angelegt werden, von denen eine beliebige Anzahl aktiv sein kann (abhängig von der erworbenen Programmversion). Um jedoch Messwerte zu erfassen, muss mindestens eine Verbindung aktiv sein und über diese Verbindung muss die Anlage mit mindestens einer Messstelle erreichbar sein.

Eine ausführliche Beschreibung des Dialogs finden Sie unter Verbindungen verwalten.


Messzyklus

Mit dem Befehl Einstellungen/Messzyklus wird der Dialog "Messzyklus" geöffnet und die gewünschte Abtastrate bzw. der Messzyklus kann definiert werden. Weiterhin kann für jede Verbindung festgelegt werden, ob und wie viele Messzyklen übersprungen werden sollen.

Mehr zum Thema:

Dialog "Messzyklus"


Dialog "Messzyklus"

Im Dialog "Messzyklus" stehen die beiden Registerkarten "Messzyklus" und "Messzyklus überspringen" zur Verfügung.

Registerkarte "Messzyklus"

Hier kann der Messzyklus definiert werden, womit grundsätzlich festgelegt wird, alle wie viele Sekunden von den Messgeräten neue Messwerte abgefragt werden sollen. Weiterhin werden am Ende eines jeden Messzyklus die Werte der virtuellen Messstellen (Rechenkanäle) neu berechnet.

Die Angabe erfolgt entweder in der traditionellen Form MM:SS (Minuten:Sekunden) oder nur durch die Angabe von Sekunden, wobei als Nachkommastelle die Millisekunden akzeptiert werden.

Alle Verbindungen werden grundsätzlich in diesem Messzyklus abgefragt.

Achtung!

Die Angabe des Messzyklus ist ein Zielwert, der - besonders bei kurzen Messzyklen und/oder vielen Messstellen - nicht in jedem Fall erreicht werden kann, da die Hardware (Messgerät, Schnittstelle, aktive Leitungselemente, ...) die maximale Datenübertragung bestimmen.

In einem solchen Fall wird das Programm sobald von der Hardware ein Zyklus abgearbeitet wurde den Nächsten starten.

Registerkarte "Messzyklen überspringen"

Nicht in jedem Fall wird von jeder Messstelle in jedem Messzyklus ein Wert erwartet. Deswegen kann für jede Verbindung festgelegt werden, ob und wie viele Messzyklen übersprungen werden sollen. Diese Einstellungen erfolgen auf der Registerkarte "Messzyklen überspringen".

Folgende Angaben sind erlaubt:

· 0 = keine Messzyklen überspringen = Messwerte in jedem Zyklus erfassen

· 1 = 1 Messzyklus überspringen = Messwerte in jedem zweiten Zyklus erfassen

· 2 = 2 Messzyklen überspringen = Messwerte in jedem dritten Zyklus erfassen

· …

· 99 = 99 Messzyklen überspringen = Messwerte in jedem 100. Zyklus erfassen

Mit dieser Vorgehensweise ist es beispielsweise möglich, von einer neuen Feutron-Anlage 20, 30 oder noch mehr Daten pro Sekunde zu erfassen, während andere Anlagen (u.U. auch noch über Netzwerk angebunden), die weniger als 10 Messwerte/Sekunde liefern können, nur noch in jedem zweiten oder dritten Zyklus abgefragt werden und die schnelle Erfassung auf der neuen Anlage nicht beeinflussen.

Normalerweise sollte mindestens eine Verbindung Daten in jedem Messzyklus abfragen. Es ist jedoch auch möglich, jeder Verbindung eine Anzahl von zu überspringenden Messzyklen zuzuweisen. Die Software gibt dann einen Warnhinweis aus, setzt aber nach Bestätigung die Eingaben um. Damit kann z.B. die Erfassung von Messwerten unterschiedlicher Anlagen in einem gewünschten Verhältnis (z.B. 2:3 oder 5:7 oder …) realisiert werden.

Die Werte von Rechenkanälen werden immer in allen Messzyklen ermittelt.


Die Symbolleiste

Über den Befehl Einstellungen/Symbolleiste kann die Symbolleiste aus- oder eingeblendet und die Größe der Symbole festgelegt werden. Weiterhin kann definiert werden, ob die Symbolhinweise angezeigt werden.

Mehr:

Symbolleiste

Symbol Hinweise


Symbolleiste

Die Symbolleiste ist ein unterhalb der Menüs platzierte Zeile mit Schaltsymbolen, für eine schnelle Ausführung von FKS WinControl -Befehlen. Durch einen einfachen Klick mit der linken Maustaste über dem entsprechenden Symbol wird die gewünschte Aktion ausgelöst. Die Symbole haben folgende Bedeutung:

Start/Stopp der Messstellenabfrage

Öffnen eines neuen Liniendiagrammes (siehe auch: Neues Liniendiagramm)

Öffnen eines neuen Balkendiagrammes (siehe auch: Neues Balkendiagramm)

Öffnen einer neuen Messwertanzeige (siehe auch: Neue Messwertanzeige)

Öffnen einer neuen Analoganzeige (siehe auch: Neue Analoganzeige)

Öffnen einer neuen Tabelle (siehe auch: Neue Tabelle)

Öffnen eines neuen XY-Diagrammes (siehe auch: Neues XY-Diagramm)

Öffnen eines neuen Projektbildes (siehe auch: Neues Projektbild)

Öffnen einer neuen Excelverbindung (siehe auch: Neue Excelverbindung)

Öffnen einer neuen OPC Export (siehe auch: Neuer OPC Export)

Öffnen des Dialoges zum Auslesen von Aufzeichnungen der Anlagen (siehe auch: Datenaufzeichnung auslesen)

Öffnen einer Messwertdatei

Speichern einer Messwertdatei

Automatisches Speichern der Messwerte auf die Festplatte (siehe auch: Automatisches Speichern)

Funktion: Vorlage anwenden

Kopieren eines Liniendiagrammes oder der Messstellenliste in die Zwischenablage

Exportieren der Messdaten (siehe auch: Exportieren)

Aktivierung oder Deaktivierung der Alarmfunktion von FKS WinControl (siehe auch: Registerkarte "Alarm Ein/Aus")

Öffnen des Eigenschaftsdialogs für das gerade aktive Fenster

Öffnen des Dialoges Messzyklus (siehe auch: Messzyklus)

Öffnen des Schnittstellendialoges (siehe auch: Verbindungen verwalten)

Darstellung der Seitenansicht für den Ausdruck des aktuellen Fensters

Druck des Inhaltes des aktuellen Fenster

Druck des Inhaltes des aktuellen Bildschirms

Umwandlung des Mauszeigers in den Hilfecursor


Symbol Hinweise

Wurde die Funktion Symbolhinweise angewählt, erscheint ein Info-Text zu jeder Schaltfläche der Symbolleiste, wenn sich der Mauszeiger über der jeweiligen Schaltfläche befindet.


Statuszeile

Die Statuszeile enthält je nach Programmzustand fünf oder sechs Felder, die über den aktuellen Zustand des Programms informieren bzw. für die Bedienung nützliche Informationen anzeigen. Von links nach rechts haben diese Felder folgenden Inhalt:

· Kurzer Hilfetext zu dem gerade angewählten, aber noch nicht ausgeführten Menübefehl oder Button; Wenn nichts ausgewählt wird, erscheint der Hinweis "F1 für Hilfe" für den Start des Hilfesystems.

· Wird mit der Funktion Messwerte/Automatisches Speichern eine Messwertdatei erzeugt, erscheint im nächsten Feld das Verzeichnis und der Name dieser Datei. Dieses Feld ist nicht sichtbar, wenn keine Datei aufgezeichnet wird.

· Im folgenden Feld wird der ausgewählte COM-Port und die Übertragungsrate angezeigt.

· Wurde ein Messvorgang gestartet, erscheint im folgenden Feld die bis zum nächsten Messzyklus verbleibende Zeit. Falls keine Messung läuft, enthält dieses Feld die Bezeichnung "dt:mm:ss" (wobwi mm:ss der eingestellte Messzyklus ist.

· Die beiden nächsten Felder enthalten das aktuelle Datum und die Uhrzeit. Ganz rechts informieren eine rote und eine grüne "LED" über die Kommunikation mit den Anlagen . Wenn die rote LED blinkt, bedeutet das, FKS WinControl sendet einen Befehl, wenn die grüne LED blinkt bedeutet das, dass die Anlage antwortet.


Alarm

Die Reaktion des Programms auf einen Störfall kann individuell konfiguriert werden. Nach Aufruf über die Menüfunktion Einstellungen/Alarm erscheint der entsprechende Dialog "Alarm Einstellungen".

Mögliche Störfälle sind:

· Grenzwertüber- oder -unterschreitung

· Fühlerbruch

· Wegfall von Messstellen (z.B. Ausfall eines Gerätes)

Mehr zum Thema:

Dialog "Alarm Einstellungen"

Registerkarte "Alarm Ein/Aus"

Registerkarte "Alarm Reaktionen"

Registerkarte "Messstellen"

Registerkarte "Verzögerung"

Registerkarte "Erinnerung"

Registerkarte "E-Mail"

Registerkarte "Voralarm"

Registerkarte "Voralarm Verzögerung"

Dialog "Alarm"

Dialog "Voralarm"


Dialog "Alarm Einstellungen"

Im Dialog "Alarm Einstellungen" kann neben den programminternen Alarmreaktionen zusätzlich festgelegt werden, dass in einem Alarmfall auch externe Applikationen gestartet werden können. Für die verschiedenen Einstellmöglichkeiten stehen acht Registerkarten zur Verfügung.


Registerkarte "Alarm Ein/Aus"

Auf dieser Registerkarte können Sie festlegen, ob überhaupt ein Alarm ausgelöst werden soll. Aktivieren oder deaktivieren Sie die Alarmreaktionen des Programms durch einfachen Klick mit der linken Maustaste in das Kontrollkästchen links neben dem Text "Alarm auslösen".


Registerkarte "Alarm Reaktionen"

Auf dieser Registerkarte können die gewünschten programminternen Alarmfunktionen anhand der folgenden Optionen ausgewählt werden:

Eintrag in Ereignisliste:

Wählen Sie diese Option aus, wenn auf dem Erfassungsrechner eine Ereignisliste mit den Einträgen für alle aufgetretenen Alarme geführt werden soll.

Öffnen eines Liniendiagramms:

Ist diese Funktion ausgewählt, wird im Alarmfall für die entsprechende Messstelle ein Liniendiagramm geöffnet, in dem alle weiteren Messwerte dieser Messstelle aufgezeichnet werden.

Vorgeschichte aufzeichnen:

Sollen im Alarmfall im Liniendiagramm die Messdaten nicht erst ab Eintreten der Störung dargestellt werden, sondern auch der Verlauf davor, so ist diese Option anzuwählen. Im dazugehörigen Eingabefeld ist die gewünschte Zeit, für die die Vorgeschichte aufgezeichnet werden soll einzutragen.

Automatisch abspeichern:

Wählen Sie diese Option aus, wenn im Alarmfall die Messwerte des Liniendiagramms auch auf Festplatte gesichert werden sollen. Wird diese Option nicht gewählt, so werden die Daten im Hauptspeicher des Rechners verwaltet.

Abspielen eines Klanges:

Für die akustische Signalisierung eines Alarmes ist in diesem Eingabefeld Pfad und Dateinamen einer .wav-Datei anzugeben. Diese .wav-Dateien werden unter Windows standardmäßig für verschiedene akustische Signale verwendet und befinden sich bei Standardkonfiguration im Windows-Verzeichnis. Über die Schaltfläche "Suchen" wird ein Dateidialog geöffnet, über den Sie die gewünschte Datei schnell finden und in das Eingabefeld übernehmen können. Selbstverständlich können auch andere Dateien als die Windows-Systemklänge verwendet werden. Legen Sie durch Anklicken des entsprechenden Optionsfeldes fest, ob das akustische Signal wiederholt werden soll.

Starten eines Programmes:

Soll im Alarmfall ein anderes Programm ausgeführt werden, so ist in diesem Eingabefeld Pfad und Dateinamen dieser Applikation anzugeben. Über die Schaltfläche Suchen wird ein Dateidialog geöffnet, über den Sie die gewünschte Datei schnell finden und in das Eingabefeld übernehmen können.

Im zugehörigen Feld "Aufrufparameter" können Aufrufparameter für das bei Alarm aufzurufende Programm eingetragen werden. Beispielsweise bewirkt der Aufrufparameter C:\Alarm.txt für das Programm C:\Windows\notepad.exe, dass die Datei C:\Alarm.txt von Notepad bei Alarm geöffnet und angezeigt wird.

Zusätzlich können in den Aufrufparametern Makros eingetragen werden. Diese werden bei Alarm folgendermaßen expandiert:

Makro | Expansion zu | Beispiel
%1 | Messstelle | 0.2
%2 | Kommentar | Innentemperatur
%3 | Ereignis | Grenzwertüberschreitung
%4 | Zeitpunkt des Alarmes | 24.9.1999, 14:32:00

Die Aufrufparameter "%1 %2 %3 %4" würden im Alarmfall (z.B. Grenzwertüberschreitung der Messstelle 0.2) als "0.2 Innentemperatur Grenzwertüberschreitung 24.9.1999, 14:32:00" an das aufzurufende Programm übergeben.

Messzyklus:

Hier kann festgelegt werden, dass im Alarmfall mit einem anderen Messzyklus gemessen werden soll als es unter Einstellungen/Messzyklus definiert wurde. Aktivieren Sie dazu diese Funktion durch Klick mit der linken Maustaste in das Kontrollkästchen im Abschnitt "Messzyklus" und tragen Sie den gewünschten Wert in das Eingabefeld ein. Im Alarmfall (bis zur Bestätigung eines Alarms) wird dann mit diesem Zyklus gemessen, ansonsten mit dem über Einstellungen/Messzyklus festgelegten.


Registerkarte "Messstellen"

Die Alarmbehandlung kann für alle Messstellen global ein- und ausgeschaltet werden. Zusätzlich gibt es die Möglichkeit, im Alarmdialog ("Einstellungen/Alarm") auf der Seite "Messstellen", in einen Modus zu wechseln, in dem die Alarmbehandlung nur für die dort ausgewählten Messstellen durchgeführt wird.

In der Messstellenliste wird für alle Messstellen, die momentan in die Alarmbehandlung einbezogen sind, das Symbol [image] angezeigt.

Achtung!

Das Ein- und Ausschließen von Messstellen in die Alarmbehandlung sollte nur dann ausgeführt werden, wenn keine Messung läuft, damit die durchgängige Protokollierung des Alarmzustandes ermöglicht wird.


Registerkarte "Verzögerung"

Für jede vorhandene Messstelle kann eine separate Alarmverzögerung eingestellt werden. Das heißt, ein Alarm wird erst dann ausgelöst, wenn eine Alarmsituation die mit der Verzögerung definierte Zeit anhält. Die Verzögerung wirkt auf alle auf der Registerkarte "Alarm Reaktionen" definierten Reaktionen.

Um die Verzögerungszeiten einzustellen, führen sie die Menüfunktion Einstellungen/Alarm aus. Im erscheinenden Dialog "Alarm Einstellungen" steht die Registerkarte "Verzögerung" zur Verfügung. Um die Alarmverzögerung generell zu aktivieren oder zu deaktivieren, klicken sie mit der linken Maustaste in das Optionsfeld links neben dem Text "Alarmverzögerung aktivieren". In der dargestellten Tabelle sind alle im System vorhandenen Messstellen (inklusive der globalen Rechenkanäle) aufgelistet. In der Spalte "Verzögerung" kann für jede Messstelle eine eigene Verzögerungszeit festgelegt werden. Die Angabe erfolgt in Sekunden.


Registerkarte "Erinnerung"

Mit der Erinnerung kann verhindert werden, dass das Quittieren eines Alarmes jede optische und akustische Siganlisierung unabhängig davon beendet, ob die Situation, aus welcher der Alarm heraus entstand, noch vorliegt oder nicht.

Wenn dieser Eintrag nicht vorliegt oder die Zeit mit Null Sekunden eingetragen wird, dann wird der Alarm sofort nach einer Alarmquittung wieder ausgelöst, falls die Alarmsituation nicht behoben ist.

Wird auf der Registerkarte "Erinnerung" eine Zeit ungleich Null eingestellt, löst jeder Alarm nach dieser Zeit wieder aus, wenn seine Ursache nicht behoben ist.


Registerkarte "E-Mail"

Soll FKS WinControl im Alarmfall automatisch E-Mails versenden, muss diese Option auf dieser Registerkarte aktiviert werden.

Das Generieren von Mails erfolgt anhand von Regeln, die zuerst definiert werden müssen. Auf der Registerkarte wird eine Liste aller definierten Regeln angezeigt.

Über die Schaltflächen Neue Regel und Regel Bearbeiten wird der Dialog "E-Mail Regel bearbeiten" geöffnet, in dem eine neue Regel definiert bzw. eine vorhandene geändert werden kann.

Mit Regel Entfernen kann die aktuell in der Liste ausgewählte Regel endgültig entfernt werden. Es sind beliebig viele Regeln definierbar.

Achtung!

Bei der Verwendung von MS Outlook Express als MAPI kompatibles E-Mail Programm kann aufgrund eines Fehlers von MS Outlook Express das Programm FKS WinControl abstürzen, wenn eine Datei als E-Mail versendet werden soll und gleichzeitig Alarmmails versendet werden. Um diesem Fehler vorzubeugen, sollte MailAutoLogOff (siehe auch: Besondere Einstellungen für den Versand von Alarmmeldungen per e-Mail) in der Initialisierungsdatei wcFKS.ini nicht geändert werden und Messwertdateien sollten nur bei angehaltener Messung und abgeschalteter Alarmbehandlung versandt werden.

Empfehlung: MS Outlook 2000 oder ein anderes thread-sicheres MAPI kompatibles E-Mail Programm (z.B. Eudora) verwenden.

Dialog "E-Mail Regel bearbeiten"

Im Feld "Regelname" muss ein eindeutiger Name für die Regel festgelegt werden. FKS WinControl trägt hier automatisch einen Vorschlag ein, der jedoch geändert werden kann, solange der Name eindeutig ist. Es sind alle Zeichen erlaubt.

In der Liste "Ereignisse" kann ausgewählt werden, bei welchem Ereignis eine Mail generiert werden soll, es muss mindestens ein Ereignis gewählt werden.

Aus der Liste "Messstellen" müssen die Messstellen ausgewählt werden, die auf das gewählte Ereignis überprüft und beim Auslösen desselben die Mail generieren sollen. Für Alarm E-Mails muss mindestens eine Messstelle selektiert werden.

In das Feld "Betreff" kann ein beliebiger Text, der jedoch maximal 255 Zeichen umfassen darf, eingetragen werden. Dieser Text wird als Betreff in die E-Mail übernommen. Wenn kein Text angegeben wird, warnt FKS WinControl , um sicherzustellen, dass dieses Feld nicht versehentlich leer gelassen wurde.

Der eigentliche Text der Mail wird im Feld "Text" eingetragen. Es sind maximal 3000 Zeichen erlaubt.

Das Feld "Empfänger" nimmt alle gewünschten Empfänger der Mail auf. Es kann die komplette E-Mail Adresse oder der Kurzname, der im FKS WinControl internen Adressbuch hinterlegt ist, eingetragen werden. Die Empfänger werden durch Semikolon (';') getrennt. Die Schaltfläche "V" am Ende der Zeile schlägt die Liste der Empfänger, die im Adressbuch gespeichert sind, auf und fügt diese durch einen Mausklick auf den Eintrag automatisch in die Empfängerliste ein. Es muss mindestens ein Empfänger angegeben werden.

Um bei sich ständig wiederholenden Ereignissen nicht ständig neue E-Mails zu versenden, kann im Feld "Unterdrückungsintervall" eine Zeitspanne in der Form "Stunde:Minute:Sekunde" angegeben werden, die mindestens zwischen zwei Mails, die aufgrund der ausgewählten Regel generiert wurde, verstreichen muss.

Außerdem kann mit der Option "Alle Nachricht sammeln und..." in der letzen Zeile des Dialoges der Sammelversand aktiviert werden. Dazu kann in dem entsprechenden Feld in dieser Zeile eine Uhrzeit angegeben werden. Sobald diese Option aktiviert ist, werden die Mails die aufgrund der ausgewählten Regel generiert wurden, gesammelt und zur gewünschten Uhrzeit in einer Mail zusammengefasst, die dann verschickt wird.

Damit die Informationen über den ausgelösten Alarm in die Mail übernommen werden können, ist es möglich, in den Feldern "Betreff" und "Text" Platzhalter zu verwenden. Diese werden beim Generieren der E-Mail durch die richtigen Angaben ersetzt. Erlaubte Platzhalter sind:

%1 Wird durch die Messstellennummer ersetzt.

%2 Wird durch den Messstellenkommentar ersetzt.

%3 Wird durch das auslösende Ereignis ersetzt.

%4 Wird durch Datum und Uhrzeit des Alarms ersetzt.

Der Text einer Alarm E-Mail Regel

Am %4 trat an der Messstelle %1 %2 der Störfall "%3" auf. Bitte setzen Sie sich umgehend mit dem Servicetechniker in Verbindung. (Tel.: 0172/0815 0815)

würde also zu

Am 26.03.2009 16:56:35 trat an der Messstelle 0.1 Test der Störfall "Grenzwertverletzung" auf. Bitte setzen Sie sich umgehend mit dem Servicetechniker in Verbindung. (Tel.: 0172/0815 0815)

umgewandelt werden, wenn die Messstelle 0.1 Test am 28.01.2002 um 16:56:35 Uhr eine Grenzwertüberschreitung ausgelöst hatte.

Die Regel wird durch einen Klick auf OK in die Liste der Regeln übernommen, mit Abbrechen wird die Bearbeitung/Erstellung der Regel abgebrochen und alle Änderungen werden verworfen. Ein Klick auf die Schaltfläche Adressbuch... öffnet das Adressbuch und erlaubt das Einsehen, Bearbeiten und Löschen von Einträgen.

Gut zu wissen!

Wenn der Cursor im Feld "Text" steht, wird ein Druck auf die Taste <ENTER> nicht als Befehl zum Schließen des Dialogs interpretiert, sondern es wird ein Zeilenumbruch im Mailtext durchgeführt.


Registerkarte "Voralarm"

Für bestimmte Anwendungen kann es interessant sein, bereits dann eine Meldung zu erhalten, wenn sich die Messwerte den Grenzwerten nähern. Zu diesem Zweck wurden Voralarme eingeführt: Für jede Messstelle kann ein Differenz zu den Grenzwerten angegeben werden, deren Überschreitung einen Voralarm auslöst.

Achtung!

Die Funktion "Voralarm" ist optional und nicht in jeder Programmversion verfügbar. Die Registerkarten "Voralarm" und "Voralarm Verzögerung" werden nur angezeigt, wenn die Option mit der Software freigeschaltet wurde.

Um den Voralarm generell zu aktivieren oder zu deaktivieren, klicken sie mit der linken Maustaste in das Optionsfeld links neben dem Text "Voralarm aktivieren". In der dargestellten Tabelle sind alle im System vorhandenen Messstellen (inklusive der globalen Rechenkanäle) aufgelistet. In der Spalte "Abstand GW" kann für jede Messstelle eine eigene Differenz zu den Grenzwerten festgelegt werden. Die Angabe erfolgt in der Einheit der jeweiligen Messstelle.

Das Auslösen eines Voralarmes kann mit einem Klang oder dem Starten eines Programms zusätzlich signalisiert werden. Die notwendigen Eingaben erfolgen analog zu den Festlegungen für einen Alarm (siehe auch: Registerkarte "Alarm Reaktionen").


Registerkarte "Voralarm Verzögerung"

Für jeden Voralarm kann eine separate Verzögerung eingestellt werden. Das heißt, ein Voralarm wird erst dann ausgelöst, wenn eine Voralarmsituation die mit der Verzögerung definierte Zeit anhält. Die Verzögerung wirkt auf die Meldung des Voralarms und alle auf der Registerkarte "Voralarm" definierten Reaktionen.

Um die Verzögerungszeiten einzustellen, führen sie die Menüfunktion Einstellungen/Alarm aus. Im erscheinenden Dialog "Alarm Einstellungen" steht die Registerkarte "Voralarm Verzögerung" zur Verfügung. Um die Verzögerung für die Voralarme generell zu aktivieren oder zu deaktivieren, klicken sie mit der linken Maustaste in das Optionsfeld links neben dem Text "Voralarmverzögerung aktivieren". In der dargestellten Tabelle sind alle im System vorhandenen Messstellen (inklusive der globalen Rechenkanäle) aufgelistet. In der Spalte "Verzögerung" kann für jede Messstelle eine eigene Verzögerungszeit festgelegt werden. Die Angabe erfolgt in Sekunden.

Achtung!

Die Funktion "Voralarm" ist optional und nicht in jeder Programmversion verfügbar. Die Registerkarten "Voralarm" und "Voralarm Verzögerung" werden nur angezeigt, wenn die Option mit der Software freigeschaltet wurde.


Dialog "Alarm"

Tritt bei laufender Messung und aktivem Alarm eine Alarmsituation auf, so erscheint auf jeden Fall eine Meldung auf dem Bildschirm.

Diese Meldung enthält den Zeitpunkt des Alarms, die auslösende Messstelle und das Ereignis.

Achtung!

Wird ein Alarm quittiert, wenn die auslösende Situation noch ansteht, so erscheint die Alarmmeldung sofort nach Quittierung wieder.

Achtung!

Wurde für die auslösende Alarmursache die Alarmverzögerung aktiviert so wird der Alarm bei noch anstehender Alarmsituation erst dann wieder signalisiert, wenn die eingestellte Verzögerungszeit vergangen ist.


Dialog "Voralarm"

Tritt bei laufender Messung und aktivem Voralarm eine Voralarmsituation auf, so erscheint auf jeden Fall eine Meldung auf dem Bildschirm.

Diese Meldung enthält den Zeitpunkt des Voralarms, die auslösende Messstelle und das Ereignis.

Achtung!

Wird ein Voralarm quittiert, wenn die auslösende Situation noch ansteht, so erscheint die Voralarmmeldung sofort nach Quittierung wieder.

Achtung!

Wurde für die auslösende Voralarmursache die Verzögerung aktiviert so wird der Voralarm bei noch anstehender Alarmsituation erst dann wieder signalisiert, wenn die eingestellte Verzögerungszeit vergangen ist.

Achtung!

Die Funktion "Voralarm" ist optional und nicht in jeder Programmversion verfügbar. Die Registerkarten "Voralarm" und "Voralarm Verzögerung" werden nur angezeigt, wenn die Option mit der Software freigeschaltet wurde.


e-Mail

Die meisten MAPI kompatiblen e-Mail Programme benötigen keine explizite Absenderangabe, sondern verwenden beim Aufruf aus FKS WinControl heraus automatisch den im e-Mail Programm festgelegten Absender. Trotzdem kann in FKS WinControl ein Absender für die e-Mails vereinbart werden, der immer dann verwendet wird, wenn das e-Mail Programm über keine Standardeinstellungen verfügt oder diese nicht anwenden kann.

Über die Funktion Einstellungen/e-Mail können die für den automatischen Versand der Alarmmeldungen notwendigen Angaben zum Absender eingetragen werden.

Mehr zum Thema:

Dialog "Allgemeine Einstellungen zum e-Mailversand"

Dialog "e-Mail Adressbuch"


Dialog "Allgemeine Einstellungen zum e-Mailversand"

FKS WinControl - Die Menüs > Das Einstellungen-Menü > e-Mail

Dialog "Allgemeine Einstellungen zum e-Mailversand"

Absender:

Der Absender muss einen gültigen Namen und eine gültige e-Mailadresse enthalten. Geben Sie diese in die entsprechenden Eingabefelder ein. Gültige Namen bestehen aus beliebigen Zeichen außer "@". Gültige Adressen müssen genau ein "@" enthalten, welches nicht an erster oder letzter Stelle stehen darf, Leerzeichen sind nicht erlaubt. Wenn Sonderzeichen im Namen oder der Adresse vereinbart werden, ist es vom e-Mail Programm abhängig, ob diese korrekt umgesetzt werden. Daher wird empfohlen keine Sonderzeichen zu verwenden.

Adressbuch:

Es kann ein Adressbuch mit Einträgen für häufig benutzte Empfänger angelegt werden. Klicken Sie dazu auf die Schaltfläche Adressbuch verwalten um den Dialog "e-Mail Adressbuch" zu öffnen.


Dialog "e-Mail Adressbuch"

FKS WinControl - Die Menüs > Das Einstellungen-Menü > e-Mail

Dialog "e-Mail Adressbuch"

FKS WinControl verwendet ein eigenes Adressbuch für e-Mail Empfänger, um vom installierten e-Mail Programm unabhängig zu sein. Im Adressbuch wird (häufig benutzten) Empfängeradressen je ein eindeutiger Name zugeordnet. Dieser Name kann innerhalb von FKS WinControl immer dann verwendet werden, wenn die Empfängeradresse eingegeben werden muss.

In der Liste werden alle vorhandenen Einträge mit Namen und e-Mailadresse angezeigt. Durch Klick mit der linken Maustaste auf einen Eintrag erscheint dieser im Abschnitt "Aktueller Eintrag" und kann dort bearbeitet werden.

Aktueller Eintrag:

In den Eingabefeldern "Name" und "e-Mail" können die aktuellen Angaben verändert werden. Angezeigt werden der Name und die Adresse des aktuell ausgewählten Listeneintrags. Um einen Eintrag zu bearbeiten, muss dieser in der Liste im oberen Teil des Dialogs mit der Maus ausgewählt werden.

Um einen neuen Eintrag in die Liste aufzunehmen klicken Sie auf die Schaltfläche Neu und geben dann den Namen und die e-Mailadresse in die Eingabefelder ein. Durch Klick auf die Schaltfläche Übernehmen werden Änderungen bzw. neue Einträge der Liste gespeichert. Sollte der Name nicht eindeutig sein, gibt FKS WinControl eine Fehlermeldung aus und ermöglicht eine Korrektur. Über die Schaltfläche Löschen wird der aktuelle Eintrag aus der Liste entfernt.

Achtung!

Damit FKS WinControl im Alarmfall e-Mails versenden kann, muss auf dem PC, auf dem FKS WinControl installiert ist, ein MAPI kompatibles e-Mail Programm (z.B. MS Outlook, MS Outlook Express, Eudora, ...) eingerichtet sein. Der PC muss auf das Internet/Intranet zugreifen können.

Um im Alarmfall e-Mails versenden zu können, müssen Regeln vereinbart werden. Es können beliebig viele Regeln definiert werden, in denen festgelegt wird, wann, wie und an wen eine E-Mail versandt wird. Die dazu notwendigen Einstellungen werden im Dialog "Alarm Einstellungen" auf der Registerkarte "e-Mail" vorgenommen.


Kennwortschutz

FKS WinControl enthält einen Kennwortschutz, der den Zugriff auf Elemente und Funktionen der Software regeln kann. Dabei kann für jeden Benutzer einzeln definiert werden, welche Aktionen in FKS WinControl ausgeführt werden dürfen.

Achtung!

Der Kennwortschutz ist optional und steht nicht in jeder Programmversion zur Verfügung (siehe auch: Der Kennwortschutz).


Größe des Messwertpuffers

Die Funktion eines individuell einstellbaren Messwertpuffers steht für die Darstellungen Liniendiagramm, XY-Diagramm und Tabelle zur Verfügung.

Die Festlegung der Größe des Messwertpuffers erfolgt über die Menüfunktion Einstellungen/Größe des Messwertpuffers. Im erscheinenden Dialog "Maximalgröße des Messwertpuffers", kann der gewünschte Wert im Eingabefeld eingetragen werden. Der voreingestellte Wert beträgt zwei Megabyte.

Der im Eingabefeld eingetragene Wert gilt nach Bestätigung und Beenden des Dialogs für alle Darstellungsarten (Liniendiagramm, XY-Diagramm und Tabelle). Der festgelegte Puffer steht jeweils jedem existierenden Liniendiagramm bzw. XY-Diagramm sowie jeder existierenden Tabelle zur Verfügung. Keinen Einfluss hat diese Begrenzung auf das "Automatische Speichern".

Ist ein Messwertpuffer voll, so wird mit jedem neu eintreffenden Messwert der älteste Wert im Puffer verworfen.

Achtung!

Das Verkleinern einer einmal eingestellten Puffergröße ist nur möglich nach:

· Programmstart

· Stopp der Messung und Freigeben der Messwerte

Eine einmal festgelegte Puffergröße steht automatisch nach jedem Programmstart wieder zur Verfügung und kann je nach Bedarf weiterverwendet oder verändert werden.


Sonstige

Mit dem Befehl Einstellungen/Sonstige können Sie den Programmablauf und die Programmansicht Ihren individuellen Wünschen anpassen. Die gewünschten Einstellungen werden im aufgerufenen Dialog vorgenommen und mit OK sofort wirksam.

Mehr zum Thema:

Dialog "Sonstige Einstellungen"


Dialog "Sonstige Einstellungen"

Im Dialog "Sonstige Einstellungen" stehen für die Anpassung des Programms die folgenden Dialogfeldoptionen zur Verfügung. Aktivieren oder deaktivieren Sie die gewünschte Option durch einfachen Klick mit der linken Maustaste in das Optionsfeld links neben dem jeweiligen Text.

"Bei Start der Messung immer in eine Datei schreiben"

Bei Anwahl dieser Funktion, wird mit Start einer Messung automatisch nach den zu speichernden Messstellen und den Dateinamen gefragt.

"Messwertdatei beim Öffnen als Liniendiagramm darstellen, falls möglich"

Bei Anwahl dieser Funktion, werden alle, als Liniendiagramm gespeicherten Dateien, als Liniendiagramm geöffnet. Alle mit der Funktion Messwerte/Automatisches Speichern angelegten Dateien werden als Dateiübersichtsfenster geöffnet. Wird die Funktion nicht ausgewählt, werden auch alle Liniendiagramme als Dateiübersichtsfenster geöffnet. Als Tabellen gespeicherte Dateien, werden in jedem Fall als Tabellen geöffnet.

"Warnung bei Schließen eines nicht gespeicherten Diagramms"

Bei Anwahl dieser Funktion, wird beim Schließen eines Datensatzes (Liniendiagramm, Tabelle oder Dateiübersicht) gefragt, ob die Änderungen gespeichert werden sollen oder nicht. Wird diese Funktion nicht ausgewählt, werden beim Schließen der Fenster die Änderungen nicht gespeichert.

"Automatisches Weitermessen nach Stromausfall"

Wurde diese Funktion ausgewählt, beginnt das Programm nach Neustart automatisch die Messung mit allen vorherigen Einstellungen fortzusetzen.

Um den automatischen Neustart des Programms beim Start von Windows zu ermöglichen, muss der Start der Applikation in der Programmgruppe "Autostart" vereinbart sein. Kopieren Sie dazu das Programmsymbol von FKS WinControl von der Programmgruppe "FKS Messdatenerfassung" in die Programmgruppe "Autostart" (Anklicken des Symbols mit der linken Maustaste, diese gedrückt halten, die <STRG>-Taste ebenfalls drücken und mit dem Mauszeiger in die Programmgruppe "Autostart" ziehen).

Außerdem muss im Dialog "Einstellungen der Schnittstelle" die Option bei Neustart automatisch aktivieren ausgewählt sein. Klicken Sie dazu mit der linken Maustaste auf das Kontrollkästchen links neben diesem Text.

"Grauer Hintergrund für die Diagramme"

Bei Anwahl dieser Funktion, wird der Hintergrund der Diagramme grau dargestellt, ansonsten wird der Hintergrund für alle Diagramme mit der System-Hintergrundfarbe dargestellt. Das kann besonders für die Arbeit mit LCD-Anzeigen sinnvoll sein.

"Dateiname der Diagramme nicht mit drucken"

Der Ausdruck von Linien- und XY-Diagrammen kann wahlweise auch ohne Dateinamen erfolgen. Aktivieren oder deaktivieren Sie je nach Anforderung diese Option.

"Korrektur der Darstellung vertikaler Label im Ausdruck"

Beim Ausdruck von Linien- oder XY-Diagrammen kann es in Abhängigkeit von den verwendeten Druckertreibern zu Fehlern beim Ausdruck der vertikalen Achsenbeschriftungen kommen. Aktivieren oder deaktivieren Sie diese Option, um einen fehlerhaften Ausdruck zu korrigieren.

"Relative Darstellung der Liniendiagramme mit Tag 0 beginnen"

Um bestimmten DIN-Vorschriften gerecht zu werden, wurde die relative Darstellung der Liniendiagramme so erweitert, dass die Beschriftung der Zeitachse auch mit dem Tag "Null" beginnen kann. Aktivieren Sie dazu die Option "Relative Darstellung im Liniendiagramm mit Tag 0 beginnen".

"Blinkende Starttaste"

Es kann eingestellt werden, ob die Start/Stopp-Taste in der Werkzeugleiste für den Start oder das Beenden einer Messung blinken soll oder nicht. Klicken Sie für das Aktivieren oder Deaktivieren dieser Funktion in das Kontrollkästchen links neben dem Text "Starttaste blinkt während Messung".


Das Fenster-Menü

Mit den Befehlen Fenster/Nebeneinander und Fenster/Überlappend werden alle offenen Fenster entsprechend am Bildschirm angezeigt. Verwenden Sie diese Befehle, um Fenster einzusehen, die vorher verborgen waren, oder um die Fenster am Bildschirm neu zu organisieren.

Der Befehl Fenster/Symbole anordnen richtet alle zum Symbol verkleinerten Fenster am unteren Rand des Hauptfensters aus.

Im unteren Teil des Menüs Fenster wird eine alphabetisch geordnete Liste sämtlicher offenen Fenster angezeigt. Das von Ihnen gewählte Fenster wird zum aktiven Dokument.


Das Hilfe-Menü

Mehr zum Thema:

Index

Hilfe benutzen

Erste Schritte

Info


Index

Der Befehl Hilfe/Index zeigt den Inhalt des FKS WinControl -Hilfesystems an, bietet Verfahren zum Verwenden von FKS WinControl , liefert Referenzinformationen und Beispiele zu FKS WinControl -Funktionen sowie Informationen zur technischen Unterstützung.

Sie können jederzeit zum Bildschirm "Inhalt der FKS WinControl -Hilfe" zurückkehren, indem Sie im Hilfefenster die Schaltfläche "Inhalt" wählen.


Hilfe benutzen

Über Hilfe/Hilfe benutzen erhalten Sie die Windows-Standardhilfe für die Benutzung eines Hilfesystems.


Erste Schritte

Der Erste-Schritte-Assistent kann über die Funktion Hilfe/Erste Schritte aufgerufen werden. Der Assistent erläutert online die ersten Schritte für die Arbeit mit FKS WinControl . Der Aufruf kann auch über die Funktionstaste <F2> gestartet werden.


Info

Im Informationsdialog der Funktion Hilfe/Info werden detaillierte Angaben zur Programmversion angezeigt und verschiedene Kontaktmöglichkeiten zu den Programmentwicklern aufgeführt. Weiterhin werden das Betriebssystem und die Versionen verschiedener DLL’s angezeigt. Über die Schaltfläche Lizenzdetails erhalten Sie eine genaue Anzeige, welche Funktionen in Ihrer aktuellen Version freigeschaltet sind.

Weiterhin steht Ihnen die Schaltfläche Upgrade zur Verfügung. Über diese Schaltfläche gelangen Sie in den Dialog " FKS WinControl Lizenz Informationen", über den die Freischaltung weiterer Funktionen möglich ist.


Serverbetrieb

Mehr zum Thema:

Funktionsweise

Anzeige der verbundenen Clients im Server

Logfile der Verbindungen

Protokoll

Messwerthistorie


Funktionsweise

In der Serverbetriebsart von FKS WinControl ist es möglich, die erfassten Daten an bis zu 200 Clients weiterzugeben. Der Zugriff auf einen FKS WinControl Server kann beliebig über das Netzwerk (Firmennetzwerk oder Internet) erfolgen.

Damit wird der gleichzeitige Zugriff mehrerer Anwender bzw. Applikationen auf die Messwerte eines Messsystems ermöglicht. Die Daten können so online den verschiedenen Anwendungen bereitgestellt werden, ohne dass diese sich gegenseitig beeinflussen.

Die Schnittstelle, über die auf den Server zugegriffen werden kann, wird unter "Server Schnittstelle" beschrieben.


Anzeige der verbundenen Clients im Server

Wenn sich der erste Client mit dem FKS WinControl Server verbunden hat, erscheint links in der Statuszeile eine kleine Grafik mit einer Zahl daneben:

Die Zahl ist die Anzahl der zurzeit verbundenen Clients. Ein Doppelklick mit der linken Maustaste auf das Bildchen oder auf die Zahl schlägt einen Dialog auf, in dem die zurzeit verbundenen Clients aufgelistet sind.


Logfile der Verbindungen

Wenn in der Initialisierungsdatei wcFKS.ini der Eintrag ServerLog=1 im Abschnitt [Settings] vorhanden ist, so schreibt der Server eine ASCII-Datei Server.log, in der der Auf- und Abbau aller Client-Verbindungen mit Zeitstempel notiert wird.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


Protokoll

Das Protokoll, mit dem der Client mit dem Server kommuniziert, ist ein ASCII-Protokoll. Die Syntax wird unter Befehle beschrieben.


Messwerthistorie

Der FKS WinControl Server verfügt über eine dateibasierende Messwertpufferung (Ringpuffer). Dazu wird im Temp-Verzeichnis des Betriebssystems für jede Messstelle eine temporäre Datei angelegt, von denen jede per Voreinstellung 3600 Messwerte aufnehmen kann.

Diese Voreinstellung kann in der Initialisierungsdatei wcFKS.ini angepasst werden, indem im Abschnitt [Settings] der Eintrag SampleDiskBufferSize = Anzahl der zu puffernden Werte vorgenommen wird.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Beispiel:

[Settings]

SampleDiskBufferSize = 7200

Damit können, bei einem Messzyklus von einer Sekunde, zwei Stunden lang die Daten gepuffert werden.

Der Puffer bleibt erhalten, wenn das Programm nicht ordnungsgemäß beendet wurde, beispielsweise nach einem Rechnerabsturz oder einem Stromausfall. Beim normalen Beenden des Programms werden die temporären Dateien des Messwertpuffers gelöscht.

Achtung!

Die Messwertpufferung ist nur dann aktiviert, wenn das Programm als Messwertserver arbeiten kann (mindestens ein Client ist freigeschaltet).

Mehr:

Aktualisierung der Historie

Löschung der Historie

Globale Nutzung

Lokale Nutzung


Aktualisierung der Historie

Der temporären Dateien der Messwerthistorie werden von FKS WinControl regelmäßig aktualisiert. Per Voreinstellung erfolgt eine Aktualisierung der Historie nach jeweils 360 Messzyklen der Software.

Diese Voreinstellung kann in der Initialisierungsdatei wcFKS.ini angepasst werden, indem im Abschnitt [Settings] der Eintrag SampleDiskBufferFlushCount = Anzahl der Messzyklen vorgenommen wird.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Achtung!

Wird die Anzahl der Messzyklen zu klein gewählt, so hat dies eine große Anzahl von Schreibaktivität auf der Festplatte des Computers zur Folge. Wenn der eingestellte Messzyklus der Software zusätzlich sehr klein (< 1 Sekunde) gewählt ist, kann es bei leistungsärmeren Computern möglicherweise zur Verlangsamung des Systems kommen.


Löschung der Historie

Per Voreinstellung wird die Messwerthistorie beim regulären Beenden von FKS WinControl automatisch gelöscht. Wird die Software unvorhergesehen - zum Beispiel durch einen Stromausfall - beendet, so bleibt die Historie erhalten und kann beim nächsten Start geladen werden.

In der Initialisierungsdatei wcFKS.ini kann die Löschung der Historie angepasst werden, indem im Abschnitt [Settings] der Eintrag DeleteSampleDiskBufferOnExit = 0 / 1 gesetzt wird. Mit dem Wert 0 wird die Historie bei Programmende nicht mehr gelöscht.


Globale Nutzung

Arbeitet FKS WinControl als Server, dann kann die Messwerthistorie jederzeit für beliebige Messstellen mit GetSampleHistory(Messstelle[,Messstelle][,..]) abgefragt werden. Im Unterschied zu z.B. NotifySamples wird die Historie aber nicht abonniert, sondern nur einmal übertragen. Für spätere Zugriffe muss GetSampleHistory erneut aufgerufen werden.


Lokale Nutzung

Die gepufferten Daten können in neue Linien- oder XY-Diagramme sowie Tabellen eingefügt werden. Dazu haben alle Eigenschaftsdialoge der genannten Anzeigetypen eine zusätzliche Registerkarte "Historie", die beim Anlegen eines neues Diagramms bzw. einer neuen Tabelle zur Verfügung steht.


Server Schnittstelle

Mehr zum Thema:

Funktion

Einstellungen

Befehle


Funktion

Über einen TCP-Port empfängt der FKS WinControl Server Anweisungen, welche er in der Reihenfolge des Empfangs interpretiert und ausführt. Mit Hilfe der zurzeit verfügbaren Befehle kann ein anderes Programm:

· herausfinden, welche Messkanäle vorhanden sind

· über Änderungen an den vorhandenen Messkanälen informiert werden

· über hinzugekommene oder entfernte Messkanäle informiert werden

· Messwerte empfangen

Mehr:

Anweisungen

Whitespace

Groß- / Klein-schreibung

Antworten des Servers

Kanallisten

Zeichenketten


Anweisungen

Eine Anweisung besteht aus einem Befehl, einer geöffneten Klammer "(", einer optionalen Liste von Parametern sowie einer geschlossenen Klammer ")". Einzelne Anweisungen werden durch Semikola ";" getrennt.


Whitespace

Als Whitespace werden Leerzeichen, Tabulatoren und Zeilenenden bezeichnet. Whitespace darf zwischen den einzelnen syntaktischen Elementen auftreten und wird ignoriert.


Groß- / Klein-schreibung

Die Groß- und Kleinschreibung muss beachtet werden.


Antworten des Servers

Der Server beantwortet jede Anweisung zuerst mit einem CR/LF Paar. Danach folgt der Name des bearbeiteten Befehls gefolgt von einem Doppelpunkt ":" und einem Leerzeichen. Dann folgt optional eine Liste von Parametern. Das Ganze wird abgeschlossen von einem Semikolon und einem weiteren CR/LF Paar.


Kanallisten

Ein Messkanal wird eindeutig durch die Geräte- und die Kanalnummer identifiziert, wobei die beiden Zahlen in WinControl durch einen Dezimalpunkt verbunden werden, z.B. "1.15" für den Messkanal 15 des Geräts 1. Kanallisten sind Listen von 0 oder mehr Messkanälen, die durch Kommas getrennt sind, z.B. "1.15", "1.0,1.1,1.2" oder "" für die leere Kanalliste.


Zeichenketten

Zeichenketten sind eine Folge von Zeichen, die durch Anführungsstriche eingeklammert sind. Ein umgekehrter Schrägstrich "\" leitet ein Sonderzeichen ein. Folgende Sonderzeichen sind definiert:

Zeichenfolge | Bedeutung
\\ | \
\; | ;
\" | "


Einstellungen

In der Initialisierungsdatei wcFKS.ini kann im Abschnitt [Settings] der Eintrag TcpPort= gewünschte Portnummer erfolgen. Ist der Eintrag nicht vorhanden, wird die Portnummer 10013 verwendet. Wenn im Netzwerk Firewalls verwendet werden, muss ggf. in Absprache mit dem zuständigen Administrator ein TcpPort freigegeben werden.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


Befehle

Um beliebigen Clients den Zugriff auf den FKS Messwertserver zu ermöglichen, stehen folgende Befehle zur Verfügung:

GetChannelList | Die im Server vorhandenen Messkanäle werden an den Client gesandt
NotifyChannelList | Wenn im Server Messstellen hinzugefügt oder entfernt werden, wird die komplette Messkanalliste an den Client geschickt
NotifyChannels | Änderungen an den übergebenen Messkanälen werden zum Client übertragen
NotifySamples | Die Messwerte der übergebenen Messkanäle werden zum Client übertragen
GetSampleHistory | Die Messwerthistorie kann jederzeit für beliebige Messstellen abgefragt werden.

Die Groß- und Kleinschreibung muss bei allen Befehlen berücksichtigt werden. Jeder Befehl schließt mit einem Semikolon ab. Die Antwort auf alle Befehle besteht aus:

· der Wiederholung des Befehls

· Doppelpunkt

· Leerzeichen

· einer öffnenden Klammer

· eventuelle Antworten

· einer schließenden Klammer

· einem Semikolon

Mehr:

GetChannelList

NotifyChannelList

NotifyChannels

NotifySamples

GetSampleHistory


GetChannelList

FKS WinControl - Der Datenserver > Server Schnittstelle > Befehle

GetChannelList

Syntax: GetChannelList()

Parameter: keine

Antwort: GetChannelList(Messstellenliste);

Die Messstellenliste ist aus durch Komma getrennten Messstelleninformationen aufgebaut. Eine Messstelleninformation besteht aus:

· öffnender Klammer

· Gerätenummer

· Punkt

· Kanalnummer

· Komma

· Anführungszeichen

· Kommentar der Messstelle

· Anführungszeichen

· Komma

· Anführungszeichen

· Einheit der Messstelle

· Anführungszeichen

· Schließende Klammer

Beispiel für eine Messstelleninformation: (0.0,"Problem 01","°C")

Beispiel einer kompletten Antwort: GetChannelList: ((0.0,"Problem 01","°C"),(0.1,"Vorlauf","°C"));

Beschreibung: Es werden für alle Messstellen die im Serversystem vorhanden sind, einschließlich der globalen Rechenkanäle die Messstellennummer, der Kommentar und die Einheit geliefert.

Anwendung: Die Auswertung der Antwort kann z.B. dazu genutzt werden, um bei weiteren Befehlen (z.B. Messwertabfrage) die erforderlichen Parameter (Messstellennummern) korrekt einsetzen zu können.


NotifyChannelList

FKS WinControl - Der Datenserver > Server Schnittstelle > Befehle

NotifyChannelList

Syntax: NotifyChannelList(true | false)

Parameter: true | false

Antwort: NotifyChannelList(Messstellenliste); (Beschr. à GetChannelList)

Beschreibung: Wenn als Parameter true eingetragen wird, wird in der Antwort die komplette Messstellenliste (wie bei GetChannels();) übertragen. Außerdem abonniert der Client die Messstellenliste, was bedeutet, dass bei jeder Änderung an der Messstellenliste die Antwort mit den aktualisierten Daten zum Client geschickt wird.

Wenn als Parameter false eingegeben wird, beendet der Client das Abonnement der Messstellenliste, d.h. künftige Änderungen werden nicht mehr übertragen. In diesem Fall wird keine Antwort versandt!

Anwendung: z.B. Erfassen verschwundener und/oder neuer Messstellen u.ä.


NotifyChannels

FKS WinControl - Der Datenserver > Server Schnittstelle > Befehle

NotifyChannels

Syntax: NotifyChannels([Messstelle][, Messstelle][,..]]])

Parameter: beliebig viele (oder keine) Messstellen, durch Komma getrennt.

Antwort: NotifyChannels(Messstellenliste);

Eine Messstelle besteht aus:

· Gerätenummer

· Punkt

· Kanalnummer

Beschreibung: Es wird eine Messstellenliste (à GetChannelList) generiert, welche die aktuellen Informationen der als Parameter übergebenen Messstellen enthält. Für nicht existierende Messstellen sind Kommentar und Einheit leer (""). Zusätzlich abonniert der Client für die übergebenen Messstellen eine Benachrichtigung über jede Änderung an Kommentar oder Einheit. Bei jeder Änderung werden die Messstellendaten aller abonnierter Messstellen übertragen!

Mit jedem NotifyChannels werden alle vorherigen Abonnements gelöscht. Wenn NotifyChannels ohne Parameter gesendet wird, dann werden alle Abonnements gelöscht. In diesem Fall wird keine Antwort vom Server gesendet.

Das Entfernen und Hinzufügen von Messstellen wird nicht berücksichtigt, jedoch können für (noch) nicht existierende Messstellen Abonnements erfolgen, die dann, wenn die Messstelle am Server vorhanden ist, bei Änderungen den Client benachrichtigt.

Anwendungsmöglichkeiten: Aktualisieren von Informationen über Messstellen.


NotifySamples

FKS WinControl - Der Datenserver > Server Schnittstelle > Befehle

NotifySamples

Syntax: NotifySamples([Messstelle][, Messstelle][,..]]])

Parameter: beliebig viele (oder keine) Messstellen, durch Komma getrennt.

Antwort: NotifyChannels(Messwertliste);

Eine Messwertliste besteht aus:

· Datum

· Leerzeichen

· Uhrzeit

· Komma

· Messwerte, durch Komma getrennt (innerhalb der Messwerte wird der Dezimalpunkt verwendet)

Das Datum wird in folgendem Format dargestellt:

· Tag 2-stellig

· Punkt

· Monat 2-stellig

· Punkt

· Jahr 4-stellig

Die Uhrzeit wird in folgendem Format (im 24-Stunden-System) dargestellt:

· Stunde 2-stellig

· Doppelpunkt

· Minute 2-stellig

· Doppelpunkt

· Sekunde 2-stellig

· Punkt

· Millisekunden 3-stellig

Die Messwerte werden in der Reihenfolge ausgegeben, in der die zugehörigen Messstellen als Parameter übergeben wurden, d.h. wenn als Parameter 0.0, 0.1, 80.0 übergeben wurde, ist der erste Wert in der Antwort der der Messstelle 0.0, der zweite der der Messstelle 0.1 und der letzte gehört zu 80.0 und wenn als Parameter 0.1, 80.0, 0.0 übergeben wird, dann ist der erste Wert der der Messstelle 0.1, der zweite gehört zu 80.0 und der letzte zu 0.0.

Beschreibung: Es werden für die übergebenen Messstellen die Messwerte abonniert. Die Antwort erfolgt immer dann, wenn ein Messzyklus auf dem Server beendet wurde. Die Werte des beendeten Messzyklus werden dann in der Antwort versandt. Jeder neue Aufruf von NotifySamples löscht alle vorherigen Abonnements.

Wenn für eine Messstelle kein Wert vorliegt, wird für diese Messstelle nichts übertragen, doch das trennende Komma wird gesetzt, so dass die Zuordnung erhalten bleibt.

Beispiel:

Befehl: NotifySamples(0.0, 0.1, 80.0);

Antwort: NotifySamples(19.12.2001 15:00:56.023,12.2,,8);

Bedeutung: Am 19.12.2001 um 15:00:56 und 23 Millisekunden wurde an der Messstelle 0.0 der Wert 12.2 gemessen, an der Messstelle 0.1 konnte kein Wert erfasst werden und für die Messstelle 80.0 (Rechenkanal) wurde der Wert 8 errechnet.

Anwendung: Messwertefassung


GetSampleHistory

FKS WinControl - Der Datenserver > Server Schnittstelle > Befehle

GetSampleHistory

Syntax: GetSampleHistory (Liste)

Parameter: Kanalliste

Antwort: GetChannelList: ([(Werteliste)][,(Werteliste)][,...]);

Es wird immer das Befehlsecho und ein Doppelpunkt, gefolgt von einer öffnenden Klammer als Antwort gesendet. Falls keine Daten verfügbar sind, wird die Antwort mit einer schließenden Klammer und einem Semikolon beendet. Andernfalls folgt eine variable Anzahl von Wertelisten, die jeweils in Klammern eingeschlossen und voneinander durch Komma getrennt sind, den Abschluss bilden eine schließende Klammer und ein Semikolon.

Beschreibung: Die Messwerthistorie kann jederzeit für beliebige Messstellen abgefragt werden. Im Unterschied zu z.B. NotifySamples wird die Historie aber nicht abonniert, sondern nur einmal übertragen. Für spätere Zugriffe muss der Aufruf erneut erfolgen.

Funktion: Zu den in der übergebenen Kanalliste aufgeführten Messstellen werden die gepufferten Daten folgendermaßen zurückgegeben: Zu jedem verfügbaren Zeitstempel im Puffer wird eine Werteliste der übergebenen Messstellen erstellt und zum Client übertragen.


Anwendungsbeispiele

Mehr zum Thema:

Mehrfachzugriff auf eine Anlage

Integration in andere Anwendungen

Fernzugriff

Erweiterter Datenexport

Getrennte Aufnahme und Auswertung

Externe Online Auswertung


Mehrfachzugriff auf eine Anlage

FKS WinControl - Der Datenserver > Anwendungsbeispiele

Mehrfachzugriff auf eine Anlage

An zentraler Stelle befindet sich ein Forschungslabor. FKS WinControl wird benutzt, um die aktuellen Messwerte auszulesen und zu archivieren. Auf einem firmeninternen Webserver wird mit Hilfe des WinControl Client OCX eine Webseite erstellt, auf die alle Mitarbeiter der Firma zugreifen können und auf der die aktuellen Daten dargestellt werden.


Integration in andere Anwendungen

Ein bestehendes kundenspezifisches Erfassungssystem wird um eine Anlage erweitert: FKS WinControl wird zur Aufnahme und Archivierung der Konzentrationsdaten verwendet. Das Erfassungssystem wird so erweitert, dass es die Konzentrationswerte direkt vom FKS WinControl Server übernimmt.


Fernzugriff

Ein Produktionsprozess wird mit Hilfe von FKS WinControl überwacht. Bei Grenzwertüberschreitungen sendet FKS WinControl automatisch eine E-Mail zum Werksleiter, dem mit REMOTE WinControl umgehend ein Überblick über die aktuellen Messwerte zur Verfügung steht.


Erweiterter Datenexport

Mit Hilfe von Microsoft Access und dem WinControl Client OCX ist es ein leichtes, alle eintreffenden Messwerte online in eine beliebige, von Access unterstützte Datenbank zu schreiben.


Getrennte Aufnahme und Auswertung

Ein komplexes Messsystem ist über das gesamte Firmengelände verteilt. FKS WinControl und com2ips werden benutzt, um alle Messwerte in einem einzigen System zu konzentrieren und zu archivieren. Auf drei weiteren Arbeitsplätzen wird REMOTE WinControl eingesetzt, um jeweils einen Teil der Gesamtdaten anwendungsabhängig auszuwerten.


Externe Online Auswertung

Für eine komplexe Sonderauswertung wird eine eigene Auswertesoftware entwickelt. Die Messwerte werden mit FKS WinControl aufgezeichnet und über die Server-Schnittstelle von WinControl online an die Auswertesoftware weitergereicht.


Funktionsumfang

In die Software FKS WinControl wurde ein Webserver integriert, der es erlaubt, Programmfenster per Hypertext-Transfer-Protokoll (http) über das Internet zu übertragen und in beliebigen Browsern anzuzeigen. Natürlich unterstützt FKS WinControl auch alle Funktionen, die normale Webserver bieten, so dass auch HTML-Seiten, statische Bilder, Java-Applets, Scripte usw., kurz alle Elemente üblicher Internetseiten verwaltet werden können.


Voraussetzungen

Mehr zum Thema:

Betriebssystem

Hardware

Sonstiges


Betriebssystem

Um die Software als Webserver zu betreiben muss als Betriebssystem Windows 2000 oder neuer installiert sein.


Hardware

Es ist ein PC mit mindestens 64 MByte RAM und einer CPU der Pentium Klasse mit mindestens 133 MHz erforderlich, um den Webserver zu betreiben. Wenn mehrere Nutzer zur gleichen Zeit auf die Daten zugreifen sollen, ist mindestens ein Pentium II mit 400 MHz und 128 MByte RAM erforderlich. Für einen optimalen Betrieb ist ein Pentium III ab 600 MHz mit 256 MByte RAM (oder mehr) empfehlenswert.


Sonstiges

Auf dem PC muss weiterhin das TCP-Protokoll installiert sein, ein Netzwerkzugang (per Modem/ISDN oder Netzwerkkarte) ist empfehlenswert, um den Webserver richtig nutzen zu können.


Funktionsweise des Webservers

Mehr:

Grundlagen

Start des Webservers

Erste Schritte

Unterstützte Fenstertypen

Namensgebung

Übertragen des virtuellen Bildverzeichnisses

Gezieltes Übertragen einzelner Bilder


Grundlagen

Ein Webserver stellt einem Client (Browser) auf Abruf HTML-Dateien zur Verfügung, die Texte und eingebettete Objekte (Bilder, Klänge, Videos, …) enthalten können. Der FKS WinControl Webserver geht noch einen Schritt weiter und stellt zusätzlich ein virtuelles Bildverzeichnis zur Verfügung, über das auf dynamisch generierte Bilddaten zugegriffen werden kann, die aus den aktuellen Inhalten der Programmfenster von FKS WinControl erzeugt werden.

Diese Bilder können sowohl einzeln im Browser angezeigt (à Kapitel Übertragen des virtuellen Bildverzeichnisses) als auch in HTML-Seiten einzeln oder gemischt mit anderen Elementen eingebettet werden (à Kapitel Gezieltes Übertragen einzelner Bilder).


Start des Webservers

Im Lizenzdialog, der beim Start oder über den Infodialog aufgerufen werden kann, muss ein Freischaltcode für den Webserver eingetragen werden. Wurde der Lizenzdialog nicht beim Start geöffnet, ist danach ein Neustart von FKS WinControl erforderlich. Bei jedem weiteren Start von FKS WinControl wird automatisch auch der Webserver gestartet.

Solange das Programm aktiv ist, kann über den TCP Port 80 (Standard http-Port) auf die Bild- und Textdaten zugegriffen werden. Weitere Einstellungen sind nicht nötig, doch können versierte Anwender solche vornehmen (à Erweiterte Einstellungen).

Die Adresse des Webservers ist die IP-Adresse des Rechners, auf dem FKS WinControl läuft, z.B.:

http://156.127.001.003

oder

http://localhost

oder

http://mywebserver

usw.

Hinweis: FKS WinControl kann auf einem Rechner mehrfach gestartet werden (mehrere Instanzen). Der Webserver kann z. Z. nur in der ersten Instanz gestartet werden, bei allen folgenden Instanzen wird ein Hinweis ausgegeben, dass der Start des Webservers nicht möglich ist.


Erste Schritte

Nach dem Start von FKS WinControl mit freigeschaltetem Webserver steht ein kleines Web zur Verfügung, über das mit jedem Browser zugegriffen werden kann. Ein lokaler Test erfolgt, indem auf dem gleichen Rechner wie FKS WinControl ein Browser gestartet und als Adresse http://localhost eingegeben wird. Im Browser werden die zu FKS WinControl mitgelieferten HTML-Seiten angezeigt, die einen ersten Eindruck von den Möglichkeiten des Webservers bieten sollen. Natürlich lassen sich diese Seiten anpassen und verändern und es ist selbstverständlich auch möglich, dass Sie Ihre bereits vorhandenen Webseiten über den FKS WinControl Webserver publizieren. Details dazu finden Sie im Kapitel Verzeichnisse.

Um von anderen PCs im Netzwerk auf die vom FKS WinControl Webserver bereitgestellten Daten zugreifen zu können, muss auf diesen PCs das Internetprotokoll TCP/IP und ein beliebiger Browser installiert sein. In diesem Browser muss als Adresse http:// gefolgt von entweder der IP Adresse oder dem symbolischen Namen des Rechners, auf dem der FKS WinControl Webserver läuft, eingegeben werden. Weitere Informationen zu Adressen und Namen und den Möglichkeiten, diese anzupassen, befinden sich im Kapitel Verzeichnisse.


Unterstützte Fenstertypen

Die dynamischen Bilddaten werden aus den aktuell in der Software angezeigten Fenstern zusammengestellt. Dabei werden folgende Fenstertypen unterstützt:

· Liniendiagramm

· XY-Diagramm

· Messwertanzeige (digital)

· Messwertanzeige (analog)

· Balkendiagramm

· Projektbild


Namensgebung

Um Bilddaten aus Fenstern zu generieren und zu übertragen, muss ein eindeutiger Name für das Bild vereinbart werden, damit die Software das richtige Bild an den Browser schicken kann. In FKS WinControl wird der Fenstertitel als Bildname verwendet.

Der Fenstertitel wiederum kann im Eigenschaftsdialog jedes Fenstertyps eingestellt werden, wobei folgende Regeln gelten:

· neue Fenster erhalten automatisch einen Titel, der dem Fenstertyp und einer fortlaufenden Nummer (z.B. Liniendiagramm3) entspricht

· Einfache Momentananzeigen, ohne eigene Datenpufferung (analoge und digitale Messwertanzeigen sowie Balkendiagramme) verwenden als Fenstertitel die Messstellennummer und den Messstellenkommentar, wenn nur eine Messstelle im Fenster angezeigt wird. Bei diesen Fenstern wird der Titel im Eigenschaftsdialog unter "Fenstertitel" vereinbart

· Fenstertypen, die über eine eigene Datenpufferung verfügen und auch als Datei abgespeichert werden können, verwenden als Fenstertitel den Kommentar, sofern einer eingestellt ist. Ist kein Kommentar vereinbart, wird der Dateiname als Titel verwendet. Ist die Datei noch nicht gespeichert worden, wird wie beschrieben ein automatisch generierter Name aus Fenstertyp und Nummer verwendet. Der Kommentar wird im Eigenschaftsdialog eingestellt, bei Linien- und XY-Diagrammen befindet sich diese Einstellmöglichkeit auf der Registerkarte "Layout"

Es ist empfehlenswert, den Fenstertitel über die beschriebenen Funktionen selbst eindeutig festzulegen, damit die vergebenen Namen in der aktuellen Konfiguration abgespeichert und nach einem Neustart wieder zur Verfügung stehen.

Die Namen dürfen Buchstaben, Ziffern, Leerzeichen sowie Bindestrich "-" und Unterstrich "_" und diverse Klammern "(){}[]<>" enthalten. Andere Sonderzeichen sollten nicht benutzt werden.


Übertragen des virtuellen Bildverzeichnisses

Im einfachsten Fall kann es ausreichend sein, den Inhalt der Programmfenster als Bild auf Abruf zu übertragen und entsprechend manuell zu aktualisieren, abzuspeichern, auszudrucken oder weiterzuverarbeiten.

Dazu muss in der Adressleiste des Browsers auf einem beliebigen Rechner im Netzwerk nur die Adresse des Webservers (à Start des Webservers) gefolgt von dem virtuellen Unterverzeichnis /diagrams/ eingegeben werden (z.B.: http://mywebserver/diagrams/). Im Browser wird daraufhin eine Liste aller verfügbaren Fenster als Liste von Links (Verweisen) angezeigt und wenn einer dieser Links ausgewählt wird (i.A. durch Klick mit der linken Maustaste), erscheint das zugehörige Bild im Browser. Durch Anwahl der Browserfunktion "Aktualisieren" kann manuell jederzeit eine aktuellere Version des Bildes übertragen werden.

"/diagrams/" stellt ein virtuelles Verzeichnis dar, auf das im Kapitel "Virtuelle Verzeichnisse" noch näher eingegangen wird.

Virtuelles Verzeichnis bedeutet, dass diesem Verzeichnis kein physisches Verzeichnis auf einem Datenträger gegenüber steht, sondern die Daten je nach der aktuellen Anforderung des Browsers dynamisch in FKS WinControl generiert und bereitgestellt werden.


Gezieltes Übertragen einzelner Bilder

Mehr:

Datenformat

Zusätzliche Optionen


Datenformat

Natürlich besteht auch die Möglichkeit, die Bilder direkt in eine HTML-Seite einzubetten.

Die URL für die Bilder besteht grundsätzlich aus der Adresse des Webservers, gefolgt vom Verzeichnisnamen /diagrams/ und dem Bildnamen. Außerdem kann an den Bildnamen noch eine Extension angehängt werden, die den Datentyp des Bildes bestimmt, z.B.:

http://mywebserver/diagrams/liniendiagramm1

http://mywebserver/diagrams/liniendiagramm2.png

http://mywebserver/diagrams/liniendiagramm2.jpg

Ohne Extension oder mit .png wird das Bild im PNG Format (Portable Network Graphic) übertragen, ein Datentyp, der Transparenz und eine verlustfreie Kompression unterstützt. Alle modernen Browser können Bilder dieses Formats anzeigen.

Der zweite unterstützte Typ ist JPEG, der mit der Endung .jpg erzwungen wird. Hier wird eine verlustbehaftete Kompression durchgeführt und Transparenz ist nicht möglich. Durch die verwendeten Kompressionsalgorithmen können Schlieren und unscharfe Kanten entstehen. Der Einsatz dieses Datenformats ist nur dann empfehlenswert, wenn die Seiten auch mit Browsern angezeigt werden müssen, die das PNG Format noch nicht unterstützen, was nur noch in Ausnahmefällen vorkommt.

Die Einbettung von Bildern in HTML-Seiten erfolgt mit dem Tag IMG:

<IMG src="/diagrams/liniendiagramm">

<IMG src="/diagrams/liniendiagramm.png">

<IMG src="http://mywebserver/xydiagramm1.jpg">


Zusätzliche Optionen

Die Bilder werden standardmäßig in der Größe dargestellt, in der sie in FKS WinControl als Fenster in der Normalposition angezeigt werden und zwar auch dann, wenn die zugehörigen Fenster momentan minimiert, maximiert oder verdeckt sind.

Einzige Ausnahme ist dabei das Projektbild, von dem standardmäßig die gesamte Zeichenfläche dargestellt wird. Dadurch ist die Standard-Darstellung abhängig von den aktuellen Einstellungen in FKS WinControl : Ändert ein Anwender die Fenstergröße, hat das direkte Auswirkungen auf die Webseite.

Es mag Anwendungsfälle geben, in denen das erwünscht ist, doch häufiger wird der Webdesigner eine Seite entwerfen, in der die Bilder einen fest definierten Platz beanspruchen. Um dies zu erreichen gibt es verschiedene Möglichkeiten:

In HTML kann im IMG-Tag das Bild zwar skaliert werden (<IMG src="/diagrams/bild.jpg" width="100" height="100">) doch dabei gehen beim Verkleinern Details verloren, beim Vergrößern entstehen unschöne Treppeneffekte.

Der FKS WinControl Webserver unterstützt die Angabe von Optionen, mit denen sich das Aussehen der Bilder bei der Seitengestaltung definieren lässt, weitestgehend unabhängig davon, wie die FKS WinControl Fenster, aus denen der Webserver die Bilder generiert, momentan angezeigt werden. Die Optionen werden durch ein Fragezeichen ("?") vom Bildnamen getrennt, folgen mehrere Optionen aufeinander, werden diese durch ein "&" voneinander getrennt. Folgende Optionen werden unterstützt:

Breite und Höhe:

Mit den Optionen Width und Height, die immer zusammen verwendet werden müssen, wird die Bildgröße in Pixel angegeben, z.B fordert:
<IMG src="/diagrams/diagramm.png?Width=200&Height=100">
ein Bild vom Webserver an, dessen Abmessungen 200 x 100 Pixel betragen.

Im Unterschied zu der HTML-Skalierung im Browser wird das Bild in der passenden Größe direkt in FKS WinControl erzeugt, dadurch bleiben auch bei kleinen Bildern alle Details erhalten, während große Bilder so gestochen scharf wie in FKS WinControl selbst erscheinen.

Es gibt nur eine Einschränkung hinsichtlich der minimalen Größe: Sind die Abmessungen zu klein, wird nur noch ein Ausschnitt des Bildes dargestellt. Die Mindestabmessungen sind von den Fenstertypen und den enthaltenen Messstellen/Datenmengen abhängig und müssen von Fall zu Fall abgeschätzt werden.
Im Allgemeinen sind folgende Mindestgrößen gültig (Breite x Höhe):

· Bogen- und Zeigerinstrument ca. 150 x 120

· Windrose ca. 120 x 120

· Messwertanzeige: ca. 50 x 20 pro Messstelle, wobei zu beachten ist, dass die Software die Anordnung in Zeilen und Spalten bei mehrfachen Anzeigen optimiert

· Balkendiagramm: 50 Pixel Breite / Messstelle, 70 Pixel Höhe

· Linien- und XY-Diagramm: 150 x 150 Pixel

Projektbilder können nicht skaliert werden, der Webserver generiert ein Bild aus dem gewünschten Projektbildfenster, das einem rechteckigen Ausschnitt aus dem Fenster entspricht, der in der linken oberen Fensterecke beginnt und Höhe sowie Breite aus den übergebenen Abmessungen bezieht. Sind die Abmessungen kleiner als das Programmfenster, enthält das Bild nur einen Ausschnitt aus dem Projektbild, sind sie größer, wird die restliche Fläche mit der Hintergrundfarbe ausgefüllt.

Für die Breiten- und Höhenangaben sind ganze Zahlen von 0 bis zu 1500 für die Breite und 1200 für die Höhe möglich. Werte, die kleiner sind, werden ignoriert, größere Werte werden auf den maximalen zulässigen Wert gesetzt.

Transparenz:

Die Option Transparency weist den Webserver an, die Hintergrundfarbe des Bildes als transparent (Transparency=1) oder nicht transparent (Transparency=0) zu definieren. Der Webserver bezieht die Information, was die "Hintergrundfarbe" ist, aus den Einstellungen der Software. In FKS WinControl ist standardmäßig ein grauer Hintergrund für Diagramme eingestellt (Menü Einstellungen/Sonstige). Wird diese Option deaktiviert, bezieht FKS WinControl die Hintergrundfarbinformation aus den Betriebssystemeinstellungen.

Transparenzeffekte können nur mit Bildern, die im Format .png angefordert wurden, angewendet werden, JPEG unterstützt diese Eigenschaft nicht. Als übergebene Werte sind 0 und 1 zulässig.

Beispiele:
Transparenz aktivieren:

<IMG src="/diagrams/ldiagramm2?Transparency=1">

<IMG src"=/diagrams/ldiagramm2.png?Transparency=1">

Transparenz deaktivieren (Standard):

<IMG src"=/diagrams/ldiagramm2Transparency=0">

<IMG src"=/diagrams/ldiagramm2.png?Transparency=0">

Transparenz bei JPEG ist nicht möglich:

<IMG src"=/diagrams/ldiagramm3.jpg?Transparency=1">

Kombination verschiedener Optionen:

<IMG src"=/diagrams/ldiagramm2?Transparency=1&Width=100&Height=100">

Automatische Aktualisierung:

Wird die HTML-Seite, in welche die Bilder eingebettet werden, mit JavaScript-Funktionen versehen, lassen sich damit leicht automatische Aktualisierungen der Bilder durchführen.

Der Nachteil besteht darin, dass viele Anwender aus Sicherheitsgründen JavaScript abschalten. Um die Bilder dann in regelmäßigen Abständen zu aktualisieren, muss die gesamte Seite neu geladen werden.

Der FKS WinControl Webserver geht hier einen Schritt weiter: Wenn ein Bild an ein aktualisierbares HTML-Element (FRAME oder IFRAME) gebunden wird, kann bei den meisten Browsern mit der Option Refresh ein automatisches Aktualisieren nur dieses Elements angestoßen werden, z.B.:

<IFRAME src="/diagrams/balkendiagramm?Refresh=10">

Damit wird ein IFRAME auf der HTML-Seite platziert, welches nur das gewünschte Bild (hier ein Balkendiagramm) enthält, das alle 10 Sekunden aktualisiert wird.

Als Wert darf eine ganze Zahl von 0 bis 65535 übergeben werden, welche als Zeitspanne in Sekunden interpretiert wird, die zwischen zwei automatischen Aktualisierungen verstreicht.


Erweiterte Einstellungen

Der in FKS WinControl integrierte Webserver ist individuell konfigurierbar. Dazu befindet sich im Programmverzeichnis die Datei webserver.ini, in der versierte Benutzer die Einstellungen anpassen können.

Mehr:

Allgemeine Einstellungen

Verzeichnisse

Virtuelle Verzeichnisse


Allgemeine Einstellungen

Im Abschnitt [General] werden die Grundeinstellungen vorgenommen. Falls der FKS WinControl Webserver im Intranet läuft und ein anderer Port als der Standard HTTP Port 80 verwendet werden soll, muss der Eintrag

Port = gewünschte Portnummer (z.B. 85)

angepasst werden.

Da das Komprimieren der von FKS WinControl erzeugten Bilder sehr rechenintensiv ist, werden diese zwischengespeichert und nur dann neu berechnet, wenn sie sich zwischen zwei Anfragen geändert haben. Die maximale Größe dieses Zwischenspeichers ist mit dem Eintrag

MaxCacheSize = Größe in KB

einstellbar.

Mit dem Eintrag

Directories = Anzahl Verzeichnisangaben

wird dem Webserver mitgeteilt, wie viele Abschnitte mit Verzeichnisangaben existieren (s.u.).

Das Anlegen eines Log-Files wird über den Eintrag Logfile=1 aktiviert und über Logfile=0 deaktiviert. Die Logfiles werden im Unterverzeichnis Weblogs gespeichert, welches im FKS WinControl Programmverzeichnis angelegt wird.

Der Abschnitt [Mime] enthält die Zuordnungen Dateiextension (à Datenformat), über das der Webserver dem Browser das Format der übertragenen Daten mitteilen kann. Erweiterungen können notwendig werden, wenn der FKS WinControl Webserver nicht nur die Bilder, sondern alle HTML-Seiten verwaltet und dort Datentypen verwendet werden, die über die üblichen Standards hinausgehen.


Verzeichnisse

In den Abschnitten [Dir0] bis [DirN] werden Zuordnungen von den Verzeichnissen, die der Browser anfordert, zu den zugehörigen physikalischen oder virtuellen Verzeichnissen auf dem lokalen Rechner vorgenommen. Für jede Verzeichnisangabe existiert ein eigener Abschnitt. Die Anzahl der Abschnitte wird im Abschnitt [General], Eintrag Directories= angegeben (s.o.).

Der wichtigste Eintrag ist der für das Root-Verzeichnis, der standardmäßig im Abschnitt [Dir0] definiert ist. Mit den beiden Einträgen Alias=/ und Path=web wird festgelegt, dass der Webserver standardmäßig Dateien aus dem Unterverzeichnis web

liefert. Fordert der Browser an Stelle einer Datei ein Verzeichnis an, so bestimmt die Einstellung DirectoryListing=0, dass der Webserver kein Inhaltsverzeichnis des Verzeichnisses liefert. Mit der Einstellung DirectoryListing=1 würde er das tun. Mit DefaultFile=index.htm schließlich wird der Webserver so konfiguriert, dass er anstelle des Verzeichnisses den Inhalt einer bestimmten Datei (nämlich index.htm) liefert.

Genau wie das Root-Verzeichnis können auch andere Verzeichnisse lokalen Verzeichnissen des Servers zugeordnet werden.

Mit den Einträgen Username=NAME und Password=PASSWORD kann der Zugriff auf die einzelnen Verzeichnisse einem eingeschränkten Personenkreis verfügbar gemacht werden. Jedes Verzeichnis kann einen anderen (oder keinen) Passwortschutz besitzen.

Achtung!

Passwort und Benutzername stehen im Klartext in der webserver.ini. Der Zugang zu dieser Datei muss geschützt werden, damit der Passwortschutz zuverlässig funktioniert.

Vor dem Zugriff auf geschützte Bereiche öffnet sich im Browserfenster des Anwenders ein Dialog, in dem Name und Passwort eingegeben werden müssen. Nur wenn diese Eingaben mit den Einträgen in der webserver.ini übereinstimmen, wird der Zugang gewährt.


Virtuelle Verzeichnisse

Wie im Kapitel "Übertragen des virtuellen Bildverzeichnisses" beschrieben, können auf die aus FKS WinControl Fenstern generierten Bilder über die Angabe "http://mywebserver/diagrams/" zugegriffen werden. "diagrams" stellt ein virtuelles Verzeichnis dar, das im Abschnitt [Dir1] definiert wird. Virtuelles Verzeichnis bedeutet, dass diesem Verzeichnis kein physisches Verzeichnis auf einem Datenträger gegenüber steht, sondern die Daten je nach der aktuellen Anforderung des Browsers dynamisch in FKS WinControl generiert und bereitgestellt werden.

Das einzige zurzeit unterstützte virtuelle Verzeichnis hat den Namen ~Views. Über dieses Verzeichnis kann auf die Inhalte der in FKS WinControl dargestellten Diagramme zugegriffen werden. Die beiden Einträge Alias=/diagrams und Path=~Views in der Standard-Definition von [Dir1] bedeuten, dass aus dem Browser über das Verzeichnis diagrams auf das virtuelle Verzeichnis des WebServers zugegriffen wird. Auch für das virtuelle Verzeichnis kann festgelegt werden, ob der Browser Zugriff auf die Verzeichnisübersicht hat (DirectoryListing=1) oder nicht.


die Eigenschaften des aktuellen Fensters ändern

Zu jedem der Programmfenster in FKS WinControl gibt es einen Dialog, mit dem Sie die Eigenschaften definieren können. Mit Ausnahme des Fensters Messstellen erscheint der entsprechende Dialog, wenn Sie ein neues Fenster öffnen wollen. Im weiteren Verlauf der Arbeit können Sie die Eigenschaften jederzeit variieren.

Aufruf

· automatisch beim Öffnen des Fensters (außer Messstellenfenster)

· Menü Messwerte/Eigenschaften

· über die Schaltfläche "Eigenschaften" in der Werkzeugleiste

· Doppelklick mit der linken Maustaste in das aktuelle Fenster

· Klick mit der rechten Maustaste in das aktuelle Fenster und Auswahl der Funktion Eigenschaften aus dem kontextsensitiven Menü

· mit <ENTER>


die Verbindung zur Anlage herstellen

Im Dialog Verbindungseinstellungen können Sie festlegen, dass Sie Online – also mit Anlage - arbeiten wollen. Wählen Sie die Schnittstelle aus, an der die Anlage am Rechner angeschlossen ist, und legen Sie die Baudrate fest, mit der der Datentransfer erfolgen soll. Mit OK werden diese Einstellungen übernommen und FKS WinControl baut die Verbindung zur Anlage auf (siehe auch: Verbindungen verwalten oder Verbindung hinzufügen).

Aufruf

· automatisch bei Programmstart

· Menü Einstellungen/Schnittstelle

· über die Schnittstellenschaltfläche in der Werkzeugleiste


eine Modemverbindung herstellen

· Wählen Sie die Funktion Einstellungen/Verbindung hinzufügen und im erscheinenden Dialog Verbindungseinstellungen als Verbindung "Modem" (siehe auch: Verbindungseinstellungen/Modem).

· Legen Sie anschließend die Rufnummer, COMPort und Baudrate für das im System installierte Modem fest.

· In jedem Fall wird vorausgesetzt, dass geräteseitig ein speziell konfiguriertes Modem zur Verfügung steht.


die Abtastrate festlegen

Die gewünschte Abtastrate bzw. den Messzyklus können Sie mit dem Dialog "Messzyklus" festlegen.

Aufruf

· Menü Einstellungen/Messzyklus

· Tastenkombination <STRG+Z>

Achtung!

Es ist möglich einen kürzeren Messzyklus einzustellen, als ihn die Hardware realisieren kann. In einem solchen Fall wird das Programm sobald von der Hardware ein Zyklus abgearbeitet wurde den nächsten starten.


eine neue Messwertanzeige erstellen

· durch Menübefehl Messwerte/Neue Messwertanzeige

· Funktionstaste <F5>

· Einfachklick mit der linken Maustaste auf das Symbol "Neue Messwertanzeige" in der Werkzeugleiste


ein neues Balkendiagramm erstellen

· durch Menübefehl Messwerte/Neues Balkendiagramm

· Funktionstaste <F6>

· Einfachklick mit der linken Maustaste auf das Symbol "Neues Balkendiagramm" in der Werkzeugleiste


ein Balkendiagramm drucken

· dass zu druckende Balkendiagramm aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


eine neue Tabelle erstellen

· durch Menübefehl Messwerte/Neue Tabelle

· Funktionstaste <F10>

· Einfachklick mit der linken Maustaste auf das Symbol "Neue Tabelle" in der Werkzeugleiste


eine Tabelle drucken

· die zu druckende Tabelle aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


Klimaprofile erstellen

Um ein neues Klimaprofil zu erstellen, kann die Funktion Programmierung/Neues Klimaprofil… aufgerufen werden.

Bestätigen Sie den erscheinenden Dialog "Neues Klimaprofil anlegen" über die Schaltfläche OK und es wird ein neues Fenster mit einem zu dieser Anlage passenden Klimaprofil geöffnet, welches bereits eine leere Zeile enthält.

Falls ein Profil erstellt werden soll, welches zu einem anderen als dem angeschlossenen Anlagentyp passt oder falls kein Gerät angeschlossen ist, klicken Sie zunächst in dem erscheinenden Dialog "Neues Klimaprofil anlegen" die Schaltfläche Manuell an, um den Dialog "Klimaprofil manuell anlegen" anzuzeigen.

In diesem Dialog kann der gewünschte Anlagentyp und ggf. die Anzahl der Ausgänge festgelegt werden. FKS WinControl erzeugt nach dem Bestätigen mit OK ein neues Fenster für das Klimaprofil, welches bereits eine leere Zeile enthält (siehe auch: Neue Profile erzeugen und Klimaprofile editieren).

Die Menüfunktion Programmierung/Klimaprofil aus Anlage lesen... steht zur Verfügung, um ein Programm aus einer Anlage in die Software eingelesen werden soll.

Im erscheinenden Dialog "Klimaprofil lesen" kann die Anlage, aus der das Klimaprofil gelesen werden soll und die gewünschte Programmnummer ausgewählt werden.

Durch Anwahl Schaltfläche Auslesen werden die gewünschten Daten zur Software übertragen und als Klimaprofil in einem neuen Fenster dargestellt.

Dieser Dialog kann auch über das Kontextmenü des Klimaprofils oder seine Werkzeigleiste aufgerufen werden (siehe auch: Klimaprofile auslesen und senden).


ein Projektbild erstellen

Um ein Projektbild zu erstellen, führen Sie die Menüfunktion Messwerte/Neues Projektbild aus.

Um die Eigenschaften des Projektbildes zu definieren rufen Sie über das Menü Ansicht/Diagrammeigenschaften, den Menüpunkt Diagrammeigenschaften im Kontextmenü oder über <Enter> den dazugehörigen Eigenschaftendialog auf.

Im Dialog "Projektbild Eigenschaften" wird zunächst die Größe des Bildes festgelegt und es kann entschieden werden, ob mit einem Gitter als Zeichenhilfe gearbeitet werden soll. Dieser Dialog kann jederzeit wieder aufgerufen und die Eigenschaften des Projektbildes verändert werden.

Um die gewünschten Objekte in ein Projektbild einzufügen, steht die Funktion Bearbeiten/Objekt einfügen zur Verfügung. Über Bearbeiten/Zeichnen, können Zeichnungsobjekte (Linien, Polygone etc.) eingefügt werden.

Über die Funktion Objekteinfügen/Messwertfeld aus dem Menü Bearbeiten oder dem Kontextmenü können Sie ein neues Messwertfeld in ein Projektbild einfügen. Zunächst kann über den Mauszeiger die Position im Projektbild festgelegt werden. Nach einfachem Klick mit der linken Maustaste wird dann der Dialog "Eigenschaften: Messwertanzeige" geöffnet. In diesem Dialog stehen die verschiedenen Elemente (Registerkarten) für die Auswahl der gewünschten Messstelle, den Link zum Aufruf einer Datei und die Gestaltung (z. B. Schrift, Farbe) des Messwertfeldes zur Verfügung.

Äquivalent erfolgt die Definition eines Textfeldes über die Funktion Neues Textfeld. Anstatt der Auswahl einer Messstelle erfolgt hier im Dialog "Eigenschaften des Textfeldes" die Eingabe des gewünschten Textes.

Über die Funktion Objekt einfügen/Bitmap und Objekt einfügen/Enhanced Metafile aus dem Menü Bearbeiten oder dem Kontextmenü können Sie eine neue Grafik in ein Projektbild einfügen. Nach Ausführen der Funktion erscheint ein Standarddateidialog, in dem die gewünschte Grafik als bmp- oder emf- Datei ausgewählt und nach Bestätigung mit OK geladen werden kann. Die Größe des Bildes lässt sich durch Ziehen mit dem Mauszeiger bei gedrückter linker Maustaste verändern.

Die Positionierung aller drei Objekttypen erfolgt z.B. durch Auswahl des gewünschten Objektes durch einfachen Mausklick mit der linken Maustaste auf dieses und durch bewegen des Mauszeigers bei gedrückter Maustaste.


ein neues Liniendiagramm erstellen

· durch Menübefehl Messwerte/Neues Liniendiagramm

· Funktionstaste <F7>

· Einfachklick mit der linken Maustaste auf das Symbol "Neues Liniendiagramm" in der Werkzeugleiste


ein Liniendiagramm drucken

· dass zu druckende Liniendiagramm aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste

oder:

· dass zu druckende Liniendiagramm aktivieren

· Menübefehl Bearbeiten/kopieren ausführen

· in einem Textprogramm Menübefehl Bearbeiten/Einfügen ausführen

· Textdokument drucken


Liniendiagramme über mehrere Seiten drucken

Wählen Sie dazu im dargestellten Liniendiagramm den Zeitbereich aus, der auf jeder Seite dargestellt werden soll (Eigenschaften des Liniendiagramms). Nach Aufruf der Funktion Datei/Drucken erscheint der Druckdialog, in dem im Abschnitt "Druckbereich" die Option "Alle" oder "Seiten von bis" auszuwählen ist. Nach Bestätigen mit OK wird je nach Auswahl entweder die gesamte Messwertdatei über mehrere Seiten oder nur die ausgewählten Seiten ausgedruckt. Die Größe des Zeitbereiches auf jeder Seite entspricht der Größe des Zeitbereiches des Liniendiagramms, das zum Zeitpunkt des Aufrufs ausgewählt war.


die Messstellenliste drucken

· Messstellenfenster aktivieren

· Menübefehl Datei/Drucken ausführen

· oder Einfachklick mit der linken Maustaste auf das Druckersymbol in der Werkzeugleiste


globale Rechenkanäle vereinbaren

· Wählen Sie die Funktion Programmieren/Rechenkanäle.

· Auf der Registerkarte "Rechenkanäle" des erscheinenden Dialogs wählen Sie zunächst die Schaltfläche Hinzufügen und definieren über die Kanalnummer einen neuen Rechenkanal.

· Danach legen Sie alle notwendigen Eigenschaften und die mathematische Formel fest (siehe auch: Eigenschaften der Rechenkanäle).

· Mit Übernehmen wird der neue Rechenkanal im System freigegeben.


lokale Rechenkanäle vereinbaren

· Aktivieren Sie den gewünschten Datensatz (Linien- oder XY-Diagramm oder Tabelle).

· Wählen Sie die Funktion Bearbeiten/Rechenkanal hinzufügen.

· Im erscheinendem Dialog "Rechenkanal Hinzufügen" können Sie alle notwendigen Eigenschaften und die mathematische Formel festlegen (siehe auch: Rechenkanal hinzufügen).


Zähler, Summen oder Mittelwerte über die gesamte Messung definieren

Führen Sie die notwendigen Schritte zur Vereinbarung eines globalen oder auch lokalen Rechenkanals aus.

Wenn nun in der Formel auf den Wert dieses Rechenkanals zugegriffen wird, so wird der Wert zurückgeliefert, den der Rechenkanal zuletzt hatte.

Somit ist es möglich, die mit jedem Zyklus eintreffenden Messwerte einer Messstelle aufzuaddieren.

Wichtig ist, dass ein Startwert angegeben wird. Dazu steht im Dialog "Eigenschaften des Rechenkanals" ein entsprechendes Eingabefeld zur Verfügung. Beim Start der Messung wird der Wert des Rechenkanals auf diesen Startwert gesetzt, um einen definierten Zustand zu erreichen.

Für den Test bietet sich zum Beispiel folgende Einstellung an:

m(80,0) +1 | Vereinbarung des Rechenkanals 80.0 als einfacher Zähler (mit jedem Zyklus wird 1 addiert).
m(80,1)+m(80,0) | Vereinbarung für den Rechenkanal 80.1 als Summe des vorherigen Wertes und des neuen Wertes von Kanal 80.0
max(m(1, 0), m(80, 0)) | Maximum aller Messwerte von Messstelle 1.0 über die gesamte Messdauer (es wird die Formel des Rechenkanals 80.0 definiert).


Tages- oder Stundenmittelwerte für definierbare Zeitbereiche bilden

Für die Auswertung und Reduktion bereits gespeicherter Daten (z.B. aus den Gerätespeichern ausgelesene Werte) steht die Funktion Datei/Datenreduktion zur Verfügung.

Nach Aufruf erscheint der Dialog "Datenreduktion", in dem eine Zyklusdauer eingegeben werden kann, über der dann jeweils zyklische Mittelwerte gebildet werden. Dabei wird eine neue Datei erzeugt, die alle Messstellen der Ausgangsdatei enthält und deren Daten die berechneten zyklischen Mittelwerten sind.

Diese Funktion steht nur dann zur Verfügung, wenn ein Datensatz auf den sie angewendet werden kann im aktiven Fenster dargestellt wird (siehe: Datenreduktion).


einen Kurvenverlauf analysieren

· Öffnen Sie bitte eine Messwertdatei und wechseln Sie gegebenenfalls in die Ansicht "Liniendiagramm".

· Im Menü Ansicht und über das kontextsensitive Menü steht die Funktion "Cursoren" zur Verfügung, über die zwei Messcursoren aktiviert und auch wieder deaktiviert werden können.

· Bei aktivierten Cursoren, erscheinen diese als zwei senkrechte Linien im Diagramm und im unteren Teil des Liniendiagrammfensters eine Tabelle mit den unter den Cursoren befindlichen Messwerten aller Linien.

· Weiterhin werden für jede im Liniendiagramm enthaltene Messkurve über die integrierte Statistikfunktion folgende Werte berechnet: Differenz der beiden, unter den Cursoren liegenden Messwerte; Minimum, Maximum und Mittelwert des durch die Cursoren begrenzten Bereiches. Diese Werte werden ebenfalls in der Tabelle ausgegeben.

Das Größenverhältnis zwischen Liniendiagramm und Statistiktabelle kann individuell bestimmt werden. Wird der Mauszeiger über die Trennlinie zwischen Diagramm und Tabelle bewegt, ändert sich sein Aussehen und bei gedrückter linker Maustaste kann diese Trennlinie verschoben werden.

Für den Ausdruck stehen folgende Möglichkeiten zur Verfügung:

· direkter Ausdruck von Diagramm und Statistiktabelle

· direkter Ausdruck der Statistiktabelle

· Kopieren des Diagramms oder der Statistiktabelle über die Zwischenablage z.B. in Textdokumente oder Tabellenkalkulationen


Kennlinien überlappend darstellen

Ausgewählt wird diese Darstellungsart im Dialog "Eigenschaften des Liniendiagramms" im Bereich "Darstellung" durch die Option "überlappend".

In diesem Modus werden Messdaten, die aus dem Zusammenführen von Dateien entstanden sind, jeweils mit gleichem zeitlichem Ursprung dargestellt. Diese Funktion wurde aufgenommen, um den direkten Vergleich zweier, zu unterschiedlichen Zeitpunkten aufgenommenen Kennlinien in einem Diagramm zu ermöglichen.


Darstellungseigenschaften speichern und anwenden

Die Darstellungseigenschaften von FKS WinControl Messwertdateien können in einem eigenen Dateiformat abgespeichert werden. Diese Dateien werden "Formatvorlagen” genannt.

Führen Sie dazu bei aktivierter Messwertdatei die Menüfunktion Datei/Als Vorlage speichern aus. Es erscheint daraufhin ein Standarddateidialog. Nach Festlegung des Verzeichnisses und Eingabe des Dateinamens werden die Darstellungseigenschaften der ausgewählten Messwertdatei in einer Datei mit der Extension "amv" als Vorlage gespeichert (siehe auch: Als Vorlage speichern).

Ferner können die in einer solchen Formatvorlage gespeicherten Darstellungseigenschaften auf eine bestehende FKS WinControl Messwertdatei angewendet werden. Dabei wird die bestehende Messwertdatei mit den Eigenschaften aus der Vorlage dargestellt.

Führen Sie dazu bei aktivierter Messwertdatei die Menüfunktion Datei/Vorlage anwenden aus. Es erscheint daraufhin ein Standarddateidialog, in dem die gewünschte Vorlagendatei ausgewählt werden kann. Nach Bestätigung mit OK werden die Darstellungseigenschaften aus der ausgewählten Vorlagendatei in die bestehende Messwertdatei eingetragen, und die Messwerte entsprechend dieser Eigenschaften dargestellt (siehe auch: Vorlage anwenden).


ein neues Liniendiagramm mit den Eigenschaften einer Vorlage erstellen

In der Werkzeugleiste steht eine geteilte Schaltfläche zum Anlegen neuer Liniendiagramme zur Verfügung.

Über den linken Teil mit dem stilisierten Diagramm wird (wie gewohnt) ein Dialog zum Anlegen neuer Liniendiagramme geöffnet.

Über den rechten Teil der Schaltfläche (Dreieck) wird ein Menü geöffnet, in dem alle Vorlagen, die im Programmverzeichnis oder in einem definierten Verzeichnis (siehe unten) aufgelistet werden. Wird ein solcher Eintrag mit der Maus ausgewählt, dann legt das Programm ein neues Liniendiagramm an, welches alle Eigenschaften, auch die eingestellten Messstellen, aus der Vorlage übernimmt. Der Eigenschaftsdialog für Liniendiagramme wird bei dieser Vorgehensweise nur dann angezeigt, wenn im entsprechenden Verzeichnis keine Vorlage gefunden werden konnte.

Um ein anderes als das Programmverzeichnis als Quelle für die aufzulistenden Vorlagen einzustellen, muss in der Datei wcFKS.ini im Abschnitt [Settings] der Eintrag TemplatePath = Zielverzeichnis angelegt werden. Das Zielverzeichnis muss als absoluter Pfad inkl. Laufwerksangabe notiert werden.

Beispiel:

[Settings]

TemplatePath = C:\WinControl Daten\Vorlagen\

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


Dateien beim Öffnen automatisch mit einer Standardvorlage verbinden

Das Öffnen von Dateien mit einer bestimmten Vorlage kann dann optimiert werden, wenn für alle (viele) Dateien die gleiche Vorlage genutzt werden soll. Für einzelne Dateien kann der Anwender die Datei öffnen, dann den Punkt "Vorlage anwenden...” aus dem Menü wählen und im sich nun öffnenden Dialog die Vorlage heraussuchen. Um diese sich wiederholenden Schritte zu umgehen, steht im Menü "Datei” der Punkt "Mit Standardvorlage öffnen...” zur Verfügung. Über diese Funktion wird eine vorher vereinbarte Vorlage (Standardvorlage) sofort nach dem Öffnen der Messwertdatei auf diese anwendet.

Damit der Menüpunkt aktiviert ist, muss die Standardvorlage in der Initialisierungsdatei wcFKS.ini wie folgt definiert sein:

[Settings]

StandardTemplate= Dateipfad

Beispiel:

[Settings]

StandardTemplate = C:\Eigene Dateien\stdtemplate.amv

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


im Nachhinein Kommentare für Messstellen vergeben bzw. ändern

· Aktivieren Sie den gewünschten Datensatz

· Wählen Sie die Funktion "Messstellenkommentare" im Menü "Ansicht" oder über das kontextsensitiven Menü

· Der erscheinende Dialog Messstellenkommentare enthält eine Tabelle mit allen im Diagramm enthaltenen Messstellen und deren Kommentar (gegebenenfalls kein Eintrag)

· In dieser Tabelle können die gewünschten Änderungen vorgenommen werden, und bei Abschluss mit OK werden diese übernommen

Achtung!

Da im Onlinebetrieb diese Änderung sofort mit den im Gerät eingetragenen Kommentar überschrieben würde, steht diese Funktion nur Offline bzw. für die aus dem Anlagen speicher ausgelesenen Dateien zur Verfügung.


für eine Messwertdatei Anmerkungen eintragen

Um Anmerkungen für eine Messwertdatei einzutragen, führen Sie die Menüfunktion Ansicht/Anmerkungen aus. Über sie wird ein Dialog geöffnet, in dem die gewünschten Anmerkungen eingetragen werden können. Dieser Dialog kann ebenfalls über das kontextsensitive Menü der jeweiligen Ansicht der Messwertdatei aufgerufen werden.


ein WinControl-Objekt in einem Textdokument einbetten

Am Beispiel von MS-Word wird kurz beschrieben, wie ein Dokument mit FKS WinControl -Diagramm erstellt werden kann. Vorausgesetzt wird, dass mit FKS WinControl ein Liniendiagramm in die Zwischenablage kopiert wurde.

Die im Textprogramm notwendigen Arbeitsschritte sind:

· Neue oder schon mit Protokolltext versehene Datei öffnen, Cursor positionieren

· Menü-Befehl Bearbeiten/Inhalte einfügen ausführen.

· Aus der Liste der zur Verfügung stehenden Objekte FKS WinControl -Liniendiagramm auswählen.

· Im Textdokument erscheint ein Liniendiagramm mit den in FKS WinControl festgelegten Eigenschaften.

Soll dieses Diagramm andere Eigenschaften zugewiesen bekommen, so ist das folgendermaßen möglich:

· Durch Maus-Doppelklick auf das Diagramm Verbindung zu FKS WinControl aktivieren.

· Das Diagramm verhält sich so, als würde FKS WinControl und nicht das Textprogramm im Vordergrund laufen und kann entsprechend bearbeitet werden.

· Es stehen die notwendigen FKS WinControl -Menüpunkte und Elemente der Werkzeugleiste zur Verfügung.

Durch Mausklick in die Textfläche wird die Verbindung wieder aufgehoben und der aktuelle Zustand des Diagramms im Text "eingefroren".


eine Messwertdatei erstellen

Rufen Sie vor dem Start einer Messung den Befehl Messwerte/Automatisches Speichern auf. Im erscheinenden Dialog sind alle Messstellen für die Speicherung ausgewählt. Falls Sie Messwerte nur für einzelne Messstellen speichern wollen, können die anderen abgewählt werden. Mit Starten wird diese Auswahl übernommen, im Dateidialog sind Verzeichnis und Name der Datei anzugeben und mit OK zu bestätigen. Bei nochmaligem Ausführen des Befehls Messwerte/Automatisches Speichern erscheint im Dialog die Schaltfläche Beenden. Für den gesamten Zeitraum bis zum Beenden werden die erfassten Daten in die genannte Datei geschrieben. Aufgrund des Speicherverfahrens, sind auch im Falle eines Rechnerabsturzes fast alle Daten gesichert (siehe auch: Automatisches Speichern).

Außerdem kann aus jedem Liniendiagramm und aus jeder Tabelle mit dem Befehl Date/Speichern eine Messwertdatei erzeugt werden (siehe auch: Datei/Speichern).


einen Bereich eines Datensatzes speichern

Mit der Menüfunktion Datei/Bereich Speichern besteht die Möglichkeit, einen gewünschten Zeitbereich eines Datensatzes in einer neuen Datei zu speichern. Mit Start dieser Funktion wird der Dialog "Bereich Speichern" geöffnet.

Die für das Speichern gewünschten Messstellen können aus der Liste ausgewählt werden, der gewünschte Zeitbereich kann durch die entsprechenden Eintragungen für Datum und Uhrzeit für Beginn und Ende festgelegt werden (siehe auch: Bereich speichern).


Messwerte aus einer Datei laden

Mit dem Befehl Datei/Öffnen können Sie eine bestehende Messwertdatei in einem neuen Fenster öffnen. Je nachdem, ob diese Datei als Liniendiagramm oder als Tabelle gespeichert wurde, oder mit der Funktion Messwerte/Automatisches Speichern bzw. Messwerte/Messgerätespeicher auslesen, wird das Fenster als Liniendiagramm, als Tabelle oder als Dateiübersicht geöffnet (siehe auch: Datei/Öffnen).


Messwertdateien miteinander verbinden

· Öffnen Sie eine der Dateien, die miteinander verbunden werden sollen. Es spielt dabei keine Rolle, in welcher Ansicht Sie diese Datei öffnen.

· Wählen Sie danach den Befehl Datei/Verbinden oder aus dem Kontextmenü (Klick mit rechter Maustaste in das aktuelle Fenster) die Funktion Verbinden.

· Es erscheint ein Standarddateidialog, in dem Sie die bzw. eine der gewünschten Dateien auswählen können und beenden Sie mit OK.


automatisch Tagesdateien erzeugen

· Starten Sie den Befehl Messwerte/Automatisch Speichern (<F12>).

· Wählen Sie "zeitgesteuert" aus; die vorher grau dargestellten Eingabefelder Datum, Uhrzeit, Tage und Zeit (hh:mm) erscheinen schwarz und sind damit gültig.

· Geben Sie unter Startdatum das Datum ein, an dem die Messung gestartet werden soll. Wird kein Startdatum angegeben, so wird nur die Uhrzeit ausgewertet. Das hat zur Folge, dass die Aufzeichnung der Daten immer dann neu beginnt, wenn die Startzeit wieder erreicht wird (vorausgesetzt, dass die Aufzeichnung vorher entweder durch den Bediener oder durch Ablauf der Dauer beendet wurde).

· Beim Erreichen der unter Startuhrzeit eingegebenen Uhrzeit, wird die Aufzeichnung der Messdaten automatisch begonnen. Je nachdem ob ein Startdatum eingegeben wurde oder nicht, beginnt das automatische Speichern beim Erreichen der Startzeit oder nur am Tag des Startdatums.

· Stellen Sie unter Dauer ein, wie lange die Speicherung der Messdaten in einer Datei erfolgen soll. Die Anzahl der Tage wird in ganzen Zahlen angegeben. Die Kombination von Tagen und der Angabe von Stunden und Minuten ist möglich. Es können auch mehr als vierundzwanzig Stunden angegeben werden.


pro Tag automatisch mehrere Dateien auf der Festplatte speichern

Um pro Tag automatisch mehrere Dateien auf der Festplatte zu speichern, sind nach Aufruf der Funktion Messwerte/Automatisches speichern im Dialog "Automatisches Speichern" folgende Schritte abzuarbeiten:

· Auswahl der Startoption "zeitgesteuert"

· Festlegen der Startzeit (Datum frei lassen!)

· Festlegen der Dauer

· Aktivieren der Option "Nach Ablauf neu starten"

Nach Start der Messung werden nun automatisch Messwertdateien mit der festgelegten Dauer erzeugt. Die Namen der Dateien werden automatisch vergeben. Sie werden entsprechend dem Datum und der Uhrzeit des Anlegens der jeweiligen Datei nach folgendem Prinzip gebildet: jjmmdd-hhmmxx. Die Angabe "xx" ist als Zähler für den (eher theoretischen) Fall vorgesehen, dass mehrere Dateien zu ein und demselben Zeitpunkt erstellt werden (siehe auch: Automatisches Speichern).


eine Ereignisliste automatisch speichern

Falls die Funktion "Automatisches Speichern" aktiviert ist, kann auch die Ereignisliste automatisch mit abgespeichert werden. Dazu muss im Dialog "Automatisches Speichern" die Option "Ereignisliste automatisch abspeichern" aktiviert werden. Klicken Sie dazu mit der linken Maustaste in das Optionsfeld links neben dem Text, so dass darin ein kleines Kreuz erscheint (siehe auch: Automatisches Speichern).

Die Ereignisliste wird dann im gleichen Verzeichnis und mit dem gleichen Namen (jedoch mit der Extension.ev.txt), wie die Messwertdatei gespeichert.


eine Ereignisliste exportieren

Um eine im Alarmfall erzeugte Ereignisliste vom Benutzer in Form einer ASCII-Datei zu exportieren, starten Sie bei aktivierter Ereignisliste die Menüfunktion Datei/Exportieren. Nach Aufruf erscheint ein Standarddateidialog, in dem der gewünschte Namen und das Verzeichnis, in dem die Datei gespeichert werden soll eingegeben werden können.


Automatisch nach Stromausfall weiter messen

· Wählen Sie im Dialog "Sonstige Einstellungen" die Option Automatisches Weitermessen nach Stromausfall. Klicken Sie dazu mit der linken Maustaste auf das Kontrollkästchen links neben diesem Text.

· Wählen Sie im Dialog "Einstellungen der Schnittstelle" die Option bei Neustart automatisch aktivieren aus. Klicken Sie dazu mit der linken Maustaste auf das Kontrollkästchen links neben diesem Text.

· Kopieren Sie das Programm-Symbol von FKS WinControl von der Programmgruppe "FKS Messdatenerfassung" in die Programmgruppe "Autostart" (Anklicken des Symbols mit der linken Maustaste, diese gedrückt halten, die <STRG>-Taste ebenfalls drücken und mit dem Mauszeiger in die Programmgruppe "Autostart" ziehen).

· Vereinbaren Sie über Messwerte/Automatisches Speichern eine Messwertdatei, in der die gewünschten Messwerte gespeichert werden sollen.

· Nach erneutem Programmstart werden die Daten in dieser Datei automatisch weiter aufgezeichnet.


Messwerte in einer Tabellenkalkulation darstellen

Wenn die Messwerte eines Liniendiagramms oder einer gespeicherten Datei (aktuelles Fenster: Dateiübersichtsfenster) als Tabelle dargestellt werden sollen, starten Sie den Befehl Datei/Exportieren. Im erscheinenden Dialog wählen Sie die Registerkarte DDE. Die Messdaten können nun direkt an ein Tabellenkalkulationsprogramm weitergegeben und dort bearbeitet werden (Siehe auch: Datei/Exportieren).


online Daten nach Excel übertragen

Für die online Datenübertragung nach Excel steht die Funktion Messwerte/Neue Excelverbindung zur Verfügung. Mit Aufruf dieser Funktion wird man (wie gewohnt) zuerst nach den Eigenschaften des Objektes "Neue Excelverbindung" gefragt und nach entsprechender Eingabe wird ein Fenster geöffnet, welches über den Status der Verbindung zu Excel informiert (siehe auch: Neue Excelverbindung).


DDE mit Excel ausführen

· Starten Sie MS-EXCEL parallel zu WinControl

· aktivieren Sie in WinControl den gewünschten Datensatz (Liniendiagramm, Tabelle oder Dateiübersichtsfenster einer Messwertdatei)

· Führen Sie den Menübefehl Datei/Exportieren aus und wählen Sie die Registerkarte "DDE".

· Wählen Sie zunächst die Messstellen aus der Liste aus, deren Daten Sie exportieren wollen.

· Tragen Sie im Eingabefeld "Service":Excel

· im Eingabefeld "Thema": Tab1 (für Excel 4.0)

· oder für Excel 5.0: [Mappe1]Tabelle1

· im Eingabefeld "Element": z1s1:z100s3 (für 100 Messwerte und eine Messstelle, 1. und 2. Spalte für Datum und Uhrzeit) ein.

· Klicken Sie danach auf die Schaltfläche "Senden".

· Wechseln Sie nun in die Tabellenkalkulation (z.B. mit der Tastenkombination <ALT+TAB>


Informationen über angeschlossene Geräte erhalten

Neben der bekannten Messstellenliste, steht sofort nach aktivierter Verbindung eine Liste der Anlagen zur Verfügung. Diese Liste ist Bestandteil des Fensters "Messstellen, Anlagen und Verbindungen". Über die Registerkarte " Anlagen " wird die entsprechende Tabelle in den Vordergrund geholt. Wie auch die Eintragungen für die Messstellen, werden auch die Eintragungen für die Anlagen durch das Programm automatisch aktualisiert.

Zusätzlich steht im Menü "Ansicht" ein Untermenü "Anlagenstatus" zur Verfügung, welches für jede angeschlossene Anlage einen Eintrag enthält, der sich aus Anlagenadresse und Anlagenname zusammensetzt. Wird ein Eintrag ausgewählt, öffnet sich ein Statusfenster für diese Anlage, falls noch keins existiert. In diesem Fenster werden alle für den Anlagenstatus relevanten Meldungen angezeigt (siehe auch: Das Statusfenster).


den Messwertspeicher der Anlage auslesen

Stellen Sie über den Dialog Verbindungseinstellungen die Verbindung zur Anlage her, und wählen Sie den Befehl Messwerte/Datenaufzeichnungen auslesen. Im darauf erscheinenden Dialog kann ein Kommentar zu den Messwerten eingegeben werden, welcher auch für eine zu erzeugende Messwertdatei mit zur Verfügung steht. Mit OK werden die Messwerte eingelesen und danach wird ein Dateiübersichtsfenster mit den Angaben Kommentar, Beginn und Ende der Messung sowie die vorhandenen Messstellen angezeigt (siehe auch: Datenaufzeichnung auslesen).


die Konfigurationsdatei wcFKS.ini finden

FKS WinControl speichert alle Einstellungen, die Sie im Programm vornehmen, in einer Datei ab. Diese Konfigurationsdatei heißt wcFKS.ini und wird im "AppData" Verzeichnis des verwendeten Windows Benutzers gespeichert. Sie ist unter folgender Adresse zu finden (geben Sie diese in die Adresszeile des Windows Explorers ein):

%AppData%\akrobit\

Jeder Windows Benutzer, der FKS WinControl startet, erhält somit seine eigene Konfigurationsdatei.

Gut zu wissen!

Wird FKS WinControl mehrfach parallel auf einem Rechner gestartet, so werden auch mehrere Konfigurationsdateien angelegt (siehe auch: mit mehreren Instanzen von WinControl arbeiten).

Gut zu wissen!

Wenn Sie WinControl unabhängig von dem verwendeten Windows Benutzer immer mit der gleichen Konfigurationsdatei starten möchten, dann kopieren Sie bitte diese Datei in ein lokales Verzeichnis, auf welches alle verwendeten Windwos Benutzer Zugriffsrechte haben. Anschließend ändern Sie die Start-Verknüpfung von FKS WinControl für alle Windows Benutzer (siehe auch: bei Programmstart automatisch eine bestimmte Konfiguration laden).

Mehr:

Kompatibilität zu früheren Versionen


Kompatibilität zu früheren Versionen

Bei FKS WinControl vor Version 6.7.5.0 wurde die Konfigurationsdatei immer im Windows-Verzeichnis (Adresse: %WinDir%) gespeichert. Wenn das neue FKS WinControl bei Programmstart keine Konfigurationsdatei im Verzeichnis %AppData%\akrobit\ findet, so übernimmt es aus Kompatibilitätsgründen die Einstellungen aus der entsprechenden Datei im Windows-Verzeichnis (falls vorhanden).

Hinweise zur Konfiguration

Bei FKS WinControl vor Version 6.7.5.0 wurde die Konfigurationsdatei wcFKS.ini immer im Windows-Verzeichnis (Adresse: %WinDir%) gespeichert.

Achtung!

Wenn Sie auf Ihrem Computer die Software unter einem Windows Benutzer ausführen, der nur über eingeschränkte Rechte verfügt, kann dies zu folgenden Effekten führen:

· FKS WinControl kann die Konfigurationsdatei wcFKS.ini nicht anlegen oder ändern.

· FKS WinControl stellt bei jedem Neustart des Computers oder des Programms Ihren letzten Einstellungen nicht wieder her.

· Änderungen an den Einstellungen des Kennwortschutzes von FKS WinControl sind nach einem Neustart nicht mehr vorhanden.

Diese Effekte sind häufig darauf zurückzuführen, dass Ihr Windows Benutzer (und damit auch FKS WinControl ) keine Schreibrechte im lokalen Windows Verzeichnis hat. Um diese Effekte zu umgehen, können Sie folgende Änderugnen vornehmen:

· Setzen Sie sich mit Ihrem Systemadministrator in Verbindung und lassen Sie sich Schreibrechte auf das lokale Windows-Verzeichnis des Computers erteilen.

· Kopieren Sie die Datei wcFKS.ini in ein Verzeichnis, in welchem Ihr Windows Benutzer Schreibrecht hat und ändern Sie die Start-Verknüpfung von FKS WinControl (siehe auch: bei Programmstart automatisch eine bestimmte Konfiguration laden).

Achtung!

Bei neueren Betriebssystemen, wie "MS Windows Server 2008" und "MS Windows Vista", können manche Dateien automatisch in andere Verzeichnisse umgeleitet werden, um wichtige System-Verzeichnisse vor Veränderungen und/oder Beschädigungen zu schützen.

Durch diese Funktion kann die Konfigurationsdatei wcFKS.ini nur im Windows Verzeichnis gespeichert werden, wenn die Software auf dem lokalen Administrator Konto ausgeführt wird. Andernfalls wird die Datei wcFKS.ini in ein Verzeichnis innerhalb Ihres Benutzerverzeichnisses umgeleitet.

Das Zielverzeichnis der Umleitung kann je nach Einstellung Ihres Betriebssystems unterschiedlich sein. Bei "MS Windows Server 2008" und "MS Windows Vista" befindet sich die wcFKS.ini bei Standard-Konfiguration des Betriebssystems im Verzeichnis:

%LocalAppData%\VirtualStore\Windows\

Gut zu wissen!

Ab dem Betriebsystem "MS Windows Vista" werden Programme per Voreinstellung immer mit eingeschränkten Benutzerrechten gestartet, auch wenn Sie als Benutzer mit lokalen Administratorrechten angemeldet sind. Um dies zu vermeiden, lassen Sie Ihren Systemadministrator die so genannte "Benutzerkontensteuerung" deaktivieren.

Gut zu wissen!

Die Umleitung von bestimmten Verzeichnissen ist auch bei vielen älteren Betriebssystem möglich, jedoch nicht per Voreinstellung aktiv. Bitte informieren Sie sich bei Ihrem Systemadministrator über die Eigenschaften Ihres Systems.


mehrere Programmkonfigurationen verwalten

Wurde für eine bestimmte Messaufgabe eine spezielle Oberfläche konfiguriert, wird sie automatisch bei Beenden des Programms gespeichert. Bei Programmstart steht sie dann wieder zur Verfügung. Wird dann diese Oberfläche geändert, geht die Einstellung der vorhergehenden verloren.

Soll jedoch eine erstellte Oberflächenkonfiguration zu einem späteren Zeitpunkt wieder verwendet werden, so kann diese in einer separaten Initialisierungsdatei gespeichert werden.

Führen Sie dazu die Funktion Datei/Konfiguration speichern aus. Im erscheinenden Standarddateidialog wird für die zu speichernde Datei der Name, der Dateityp, das Laufwerk und das Verzeichnis ausgewählt.

Über die Funktion Datei/Konfiguration laden können gespeicherte Oberflächenkonfigurationen jederzeit wieder hergestellt werden.


bei Programmstart automatisch eine bestimmte Konfiguration laden

Empfehlenswert ist, sich für unterschiedliche Konfigurationen jeweils ein eigenes Symbol in der Programmgruppe zu schaffen. Für jedes Symbol kann der Programmaufruf mit einer bestimmten Initialisierungsdatei verbunden werden.

Das Installationsprogramm hat bereits zwei Programmsymbole mit jeweils eigener Initialisierungsdatei erzeugt, so dass sofort drei unterschiedliche Konfigurationen zur Verfügung stehen, und entsprechend angepasst werden können.

Um sich weitere Symbole zu schaffen, gehen Sie folgendermaßen vor:

· Kopieren Sie das vorhandene Programmsymbol in der Programmgruppe. Klicken Sie dazu mit der linken Maustaste auf das vorhandene Programmsymbol und halten Sie die Maustaste gedrückt, drücken Sie gleichzeitig die <STRG>-Taste und ziehen Sie den Mauszeiger auf eine freie Fläche in der Programmgruppe.

· Ändern Sie den Aufruf in der Befehlszeile des Programmsymbols, so dass der Name der Initialisierungsdatei beim Aufruf mit angegeben wird. Aktivieren Sie dazu das Programmsymbol und führen Sie die Menüfunktion Datei/Eigenschaften aus. Im erscheinenden Dialog tragen Sie in der Befehlszeile nach wcFKS.exe -Ini= name.ini ein und beenden mit OK.

Beim Aufruf wird nun das Programm mit der Initialisierungsdatei name.ini gestartet. Sollte diese Datei noch nicht existieren, wird sie automatisch angelegt. Bei Beenden des Programms wird die Oberflächenkonfiguration in dieser Datei gespeichert.

Es ist außerdem möglich das Programm gleichzeitig, mit unterschiedlichen Initialisierungsdateien zu starten.


mit mehreren Instanzen von FKS WinControl arbeiten

Um mehrere (voneinander unabhängige) Messsysteme mit einem PC zu verwalten, ist es möglich, FKS WinControl auf einem PC mehrfach zu starten. Um die Arbeit mit mehreren Instanzen von FKS WinControl übersichtlich zu gestalten, stehen folgende Funktionen zur Verfügung:

Mehr:

Automatische Programmnummerierung

Automatische Verwaltung der Initialisierungsdateien

Benutzerdefinierter Hauptfenstertitel


Automatische Programmnummerierung

Die erste Instanz von FKS WinControl arbeitet wie immer, bei der zweiten wird automatisch " FKS WinControl (2)" als Titel verwendet, bei der dritten " FKS WinControl (3)" usw. Die Zählung wird solange fortgesetzt, bis die letzte Instanz von FKS WinControl wieder beendet wurde.


Automatische Verwaltung der Initialisierungsdateien

Analog zur automatischen Titelgenerierung wird die Initialisierungsdatei automatisch bestimmt, sofern beim Programmstart nichts anderes vereinbart wurde. Die zweite Instanz benutzt die Datei wcFKS_2.ini, die dritte die Datei wcFKS_3.ini usw.


Benutzerdefinierter Hauptfenstertitel

In der jeweiligen Initialisierungsdatei wcFKS.ini bzw. wcFKS_n.ini kann festgelegt werden, welcher Titel im Hauptfenster von FKS WinControl und damit auch in der Taskleiste angezeigt werden soll. Dazu muss im Abschnitt [Settings] der Eintrag MainTitle="Wunschname" eingetragen werden. Leere Namen sind nicht erlaubt. Die Länge sollte 256 Zeichen nicht überschreiten.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


Aufrufparameter an ein bei Alarm zu startendes Programm übergeben

FKS WinControl bietet die Möglichkeit, für den Alarmfall automatisch ein Programm aufzurufen. Der Pfad zur gewünschten Programmdatei wird im Dialog "Alarm Einstellungen", Registerkarte "Alarm Reaktionen" im Feld "Starten eines Programms" eingetragen.

Im zugehörigen Feld "Aufrufparameter" können Aufrufparameter für das bei Alarm aufzurufende Programm eingetragen werden. Beispielsweise bewirkt der Aufrufparameter C:\Alarm.txt für das Programm "C:\Windows\notepad.exe", dass die Datei C:\Alarm.txt von Notepad bei Alarm geöffnet und angezeigt wird.

Zusätzlich können in den Aufrufparametern Makros eingetragen werden. Diese werden bei Alarm folgendermaßen expandiert:

Makro | Expansion zu | Beispiel
%1 | Messstelle | 0.2
%2 | Kommentar | Innentemperatur
%3 | Ereignis | Grenzwertüberschreitung
%4 | Zeitpunkt des Alarmes | 24.9.1999, 14:32:00

Die Aufrufparameter "%1 %2 %3 %4" würden im Alarmfall (z.B. Grenzwertüberschreitung der Messstelle 0.2) als "0.2 Innentemperatur Grenzwertüberschreitung 24.9.1999, 14:32:00" an das aufzurufende Programm übergeben.

Beispiel:

Die Datenbanksoftware DatBank nimmt über den Kommandozeilenaufruf

C:\DatBank\DatBank.exe append <Messstelle> <Kommentar> <Ereignis> Zeitpunkt>

neue Alarm-Einträge in ihre Datenbank auf. Um diese Einträge über FKS WinControl veranlassen zu können, müssen folgende Einstellungen vorgenommen werden:

Im Feld "Programm": c:\Datbank\Datbank.exe

Im Feld "Aufrufparameter": append %1 %2 %3 %4


im Alarmfall automatisch eine Email versenden

· Im Alarmfall können e-Mails an beliebig viele Empfänger versendet werden. Dazu muss auf dem PC ein MAPI Client eingerichtet sein (Outlook, Outlook Express, Eudora, ...) und der PC muss mit dem Internet verbunden werden können.

· Unter Einstellungen/e-Mail kann ein Absender vereinbart werden. Der Absender muss einen gültigen Namen und eine gültige E-Mailadresse enthalten.

· Um im Alarmfall e-Mails zu versenden, müssen Regeln vereinbart werden. Es können beliebig viele Regeln definiert werden, in denen festgelegt wird, wann, wie und an wen eine E-Mail versandt wird. Für Alarmsituationen werden die Regeln unter Einstellungen/Alarm/e-Mail getroffen (siehe auch: Registerkarte "e-Mail").

· Festgelegt werden müssen: ein eindeutiger Name für die Regel, mindestens ein Absender, mindestens ein Auslöser durch Anwählen der entsprechenden Ereignisse und mindestens eine Messstelle.


ein Default Verzeichnis für Messwertdateien definieren

Sollen die Daten immer an der gleichen Stelle im Verzeichnisbaum der Datenträger abgelegt werden, dann kann in der Initialisierungsdatei wcFKS.ini bzw. einer anderen Konfigurationsdatei im Abschnitt [Settings] der Eintrag DefaultSavePath=Zielverzeichnis vorgenommen werden.

Das Zielverzeichnis muss existieren und es muss der komplette Pfad angegeben werden.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Beispiel:

[Settings]

DefaultSavePath = C:\Eigene Dateien\mydatafiles

Wird nun die Menüfunktion Datei/Speichern unter... oder, bei noch nicht gespeicherten Dateien, auch Datei/Speichern aufgerufen, erscheint wie gewohnt ein Standarddateidialog, in dem jedoch Zielverzeichnis als Speicherort schon voreingestellt ist, so dass der Anwender nur noch den Dateinamen angeben muss.


die Registrierung des OLE-Servers unter Windows 2000 handhaben

Unter Windows 2000 und XP wurden stärkere Restriktionen für Anwender mit einfachen Benutzerrechten eingeführt. Als eine Folge davon kann beim Start von FKS WinControl eine Fehlermeldung ausgegeben werden, wenn die Registrierung des FKS WinControl internen OLE Servers aktualisiert wird.

Um diese Meldung zu unterdrücken kann der Registrierungsvorgang unterbunden werden. Dazu ist in der Initialisierungsdatei wcFKS.ini im Abschnitt [Settings] der Eintrag RegisterOLEServer=0 einzufügen. Durch das Ändern auf RegisterOLEServer=1 oder Löschen dieses Eintrags wird die Registrierung wieder vorgenommen werden.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


die Software auf mehreren Prozessoren starten

FKS WinControl kann ohne Einschränkungen auf Computern mit mehreren Prozessoren bzw. Mehrkern-Prozessoren verwendet werden.

Gut zu wissen!

Wenn FKS WinControl nur auf einem Prozessor / Kern ausgeführt wird, dann immer auf dem Ersten. Dieser heißt im Normalfall "CPU0".

Es kann erwünscht sein, dass FKS WinControl auf einem oder allen verfügbaren Prozessoren / Kernen ausgeführt wird. Hierfür muss im Abschnitt [Settings] der Konfigurationsdatei wcFKS.ini , der Eintrag:

RunOnSingleCore=1 / 0

hinzugefügt werden. Der Wert 1 bewirkt die Beschränkung auf einen Prozessor / Kern. Standard-Wert ist: 0. Anschließend ist FKS WinControl neu zu starten, damit die Änderung wirksam wird.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


die Größe der Messwerthistorie ändern

Als Datenquelle für die Online Berechnung wird die eingestellte Messwerthistorie benutzt, deren Größe auf 100 Messwerte pro Messstelle eingestellt ist. Diese Begrenzung muss bei Berechnungen und Rechenkanalfunktionen beachtet werden, die Messdaten aus der Historie benötigen (z.B.: Integrale, Standardabweichungen, Mittelwerte).

Um größere Bereiche nutzen zu können, muss vor dem Start der Software in der Datei wcFKS.ini im Abschnitt [Settings] mit dem Eintrag HistorySize=Anzahl_der_Messwerte die Historie angepasst werden.

Beispiel:

HistorySize=500

setzt die Größe der Messwerthistorie auf 500 Messwerte pro Messstelle.


Vereinbarungen für die Formeleingabe

Mehr zum Thema:

Numerische Werte

Operatoren

Funktionen

Werte anderer Messstellen

Externe Funktionen

Funktionen zur Auswertung des Anlagenstatus

Beispiele

Maximale Anzahl von Rechenkanälen

Dezimaltrenner und Messstellenbezeichnung


Numerische Werte

Zugelassen sind ganze Zahlen und Fließkommazahlen. Fließkommazahlen enthalten einen Dezimalpunkt (kein Dezimalkomma). Als numerische Konstante ist außerdem die Zahl Pi verfügbar.

Beispiele:

1 1.5 -0.567 4.578e-3


Operatoren

Neben den Operatoren für die vier Grundrechenarten (+ - * /) steht die Exponentierung mit dem Operator ^ zur Verfügung.

Beispiele:

3 * 9 -5 2 ^ 16 17.5 / (12.5 - 7)


Funktionen

Alle Funktionsnamen müssen klein geschrieben werden. Folgende Funktionen sind implementiert:

abs(x)

Absolutwert

sqrt(x)

Quadratwurzel

sin(x)

Sinus

cos(x)

Cosinus

tan(x)

Tangens

cot(x)

Cotangens

arcsin(x)

Arcus Sinus

arccos(x)

Arcus Cosinus

arctan(x)

Arcus Tangens

arccot(x)

Arcus Cotangens

exp(x)

Exponentialfunktion

ln(x)

Logarithmus zur Basis e

lg(x)

Logarithmus zur Basis 10

sinh(x)

Sinus Hyperbolicus

cosh(x)

Cosinus Hyperbolicus

tanh(x)

Tangens Hyperbolicus

int(x)

Ganzzahliger Anteil von x

bin(x)

1 falls x > 0, 0 sonst

rad(x)

Umrechnung vom Winkelmaß (Grad) in’s Bogenmaß (Rad)

min(x, y)

Minimum von x und y. Ist einer der beiden Funktionsparameter undefiniert, so wird der andere als Funktionsergebnis zurückgegeben.

max(x, y)

Maximum von x und y. Ist einer der beiden Funktionsparameter undefiniert, so wird der andere als Funktionsergebnis zurückgegeben.

if(Bedingung; dann; sonst)

Wenn die Bedingung erfüllt (wahr) ist, wird der "dann"-Wert zurückgeliefert, ansonsten der "sonst"-Wert (siehe auch: "Bedingte Werte").

Bedingung1 and Bedingung2

Liefert die Bedingung "wahr", wenn Bedingung1 und Bedinung2 "wahr" sind, ansonsten "falsch".

Bedingung1 or Bedingung2

Liefert die Bedingung "wahr", wenn entweder Bedingung1 oder Bedingung2 oder beide "wahr" sind, ansonsten "falsch".

not Bedingung1

Liefert die Umkehrung der Bedingung1: falls Bedingung1 "wahr" ist, wird "falsch" zurückgeliefert und umgekehrt.

m(a, b)

m("Kommentar")

Der Messwert der Messstelle mit der Gerätenummer a (bzw. 0) und der Messstellennummer b. Alternativ kann auch der Messstellenkommentar in doppelten Anführungszeichen angegeben werden, wobei Groß- und Kleinschribung zu beachten ist (siehe auch: Werte anderer Messstellen).

h(a, b, n)

Historie, n-letzter Wert der Messstelle a.b. n=0 liefert den letzten, n=1 den vorletzten Wert etc.

(Bitte beachten: die Größe der Messwerthistorie ändern)

const("Konstante")

Liefert den Wert einer Konstanten, die im Menü "Programmierung/Konstanten definieren" angegeben wurde (siehe auch: Konstanten definieren). Groß- und Kleinschreibung ist beim Namen der Konstante zu beachten.

valid( Ausdruck )

Liefert "falsch", wenn der Ausdruck einen ungültigen Wert hat, ansonsten liefert die Funktion "wahr". Der Ausdruck kann dabei ein beliebiger Teil einer gültigen Rechenkanalformel sein.

Beispiel:

valid(m(0,2)) liefert "wahr", wenn die Messstelle 0.2 angeschlossen ist und einen gültigen Messwert liefert.

dt(a, b)

Numerische Ableitung (∆x/∆t) der beiden letzten Messwerte von Messstelle a.b

mean_n(a, b, n)

Liefert den gleitenden Mittelwert der Messstelle a.b über die letzten n Werte.

(Bitte beachten: die Größe der Messwerthistorie ändern)

mean_t(a, b, t)

Liefert den gleitenden Mittelwert über die letzten t Sekunden für die Messstelle a.b.

(Bitte beachten: die Größe der Messwerthistorie ändern)

s(a, b, t)

Liefert das Integral über die letzten t Sekunden der Messstelle a.b

(Bitte beachten: die Größe der Messwerthistorie ändern)

extnear("Dateiname", x)

Aus der Datei "Dateiname" wird eine externe Funktion (s.u.) gelesen, welche aus Wertepaaren (a, b) besteht, für die gilt: b = f(a). Aus diesen Wertepaaren wird dasjenige herausgesucht, für das der Abstand |a-x| minimal ist und der zugehörige Wert f(a) zurückgeliefert.

extinter("Dateiname", x)

Aus der Datei "Dateiname" wird eine externe Funktion (s.u.) gelesen, welche aus Wertepaaren (a, b) besteht, für die gilt: b = f(a). Es wird der Wert y = f'(x) zurückgeliefert, wobei f' sich aus f durch lineare Interpolation zwischen den Wertepaaren ergibt.

sec(hh:mm:ss)

Rechnet die Zeitangabe von Stunden, Minuten, Sekunden in Sekunden um.

time()

liefert einen Zahlenwert, welcher der Anzahl der Sekunden, die seit Mitternacht verstrichen sind, entspricht. Bei der Berechnung wird die aktuelle Uhrzeit am PC als Basis verwendet, so dass jede Sekunde ein neuer Wert zurückgegeben wird. Manipulationen an der Zeiteinstellung wirken sich direkt auf den von time() ermittelten Wert aus.

date()

liefert einen Zahlenwert, welcher der Anzahl der Tage, die seit dem 01.01.2000 verstrichen sind, entspricht. Ausgangswert für die Berechnung ist das am PC eingestellte Datum. Jede Änderung an den Datumseinstellungen am PC wirkt sich auf das Ergebnis von date() aus.

days(JJJJ/MM/DD)

liefert die Anzahl der Tage, die zwischen dem 01.01.2000 und dem durch JJJJ/MM/DD definierten Datum liegen.

JJJJ = Jahreszahl, 4-stellig,

im Bereich 2000 <= JJJJ < 2037

MM = Monat, ein- oder zweistellig,

im Bereich 1 <= MM <= 12

DD = Tag, ein- oder zweistellig,

im Bereich 1 <= DD <= 31

Liegen die Angaben für Jahr, Monat oder Tag außerhalb der angegebenen Wertebereiche, wird der Rechenkanal, in dem die Funktion verwendet wird, als ungültig markiert ("Fühlerbruch").

alarmactive()

liefert den Wert WAHR, wenn eine Alarmsituation vorliegt und die eingestellte Verzögerungszeit abgelaufen ist, unabhängig davon, ob ein Anwender den Alarm bestätigt hat. Es wird FALSCH zurückgegeben, wenn keine Alarmsituation vorliegt oder die Verzögerungszeit des Alarms noch nicht abgelaufen ist.

Ist die Alarmfunktion nicht frei geschaltet, wird immer ein ungültiger Wert erzeugt (à Fühlerbruch), um dem Anwender zu signalisieren, dass diese Funktion kein sinnvolles Ergebnis liefern kann.

alarmsuppressed()

Hat der Anwender einen Alarm bestätigt, aber die Alarmursache besteht nach wie vor, dann ist der Alarm zwar nach wie vor aktiv, aber momentan unterdrückt und zwar so lange, bis die Alarmursache behoben ist. Diese Alarmunterdrückung kann mit dieser Funktion in Rechenkanälen abgefragt werden. Es wird WAHR zurückgeliefert, falls gerade ein Alarm unterdrückt wird, andernfalls FALSCH.

Ist die Alarmfunktion nicht freigeschaltet, wird immer ein ungültiger Wert erzeugt (à Fühlerbruch), um dem Anwender zu signalisieren, dass diese Funktion kein sinnvolles Ergebnis liefern kann.

alarmpending()

liefert den Wert WAHR, wenn eine Alarmsituation vorliegt, unabhängig davon, ob ein Anwender den Alarm bestätigt hat oder die eingestellte Verzögerungszeit abgelaufen ist. Es wird FALSCH zurückgegeben, wenn keine Alarmsituation vorliegt.

Ist die Alarmfunktion nicht frei geschaltet, wird immer ein ungültiger Wert erzeugt (à Fühlerbruch), um dem Anwender zu signalisieren, dass diese Funktion kein sinnvolles Ergebnis liefern kann.

stddeviation_n()

Berechnet die Standardabweichung der letzten n Messwerte. Die Berechung der Standardabweichung erfolgt gleitend. Sobald mindestens zwei Messwerte im angegebenen Bereich vorliegen, wird die Standardabweichung ermittelt.

(Bitte beachten: die Größe der Messwerthistorie ändern)

Syntax für Feutron-Anlagen:

stddeviation_n(Anlagennummer, Kanalnummer, Anzahl Messwerte)

stddeviation_t()

Berechnet die Standardabweichung der Messwerte der letzten t Sekunden. Die Berechung der Standardabweichung erfolgt gleitend. Sobald mindestens zwei Messwerte im angegebenen Bereich vorliegen, wird die Standardabweichung ermittelt.

(Bitte beachten: die Größe der Messwerthistorie ändern)

Syntax für Feutron-Anlagen:

stddeviation_t(Anlagennummer, Kanalnummer, Zeit in Sekunden)

devstatus(Gerätenummer)

Das Ergebnis ist der aktuelle Anlagenstatus und kann folgende Werte annehmen:

-1 à Status undefiniert (Geräteabfrage noch nicht vollständig beendet)

0 à Aus

2 à Startverzögerung

4 à Aktiv

6 à Stopp

88 à Übergangszustand (Auftreten unwahrscheinlich)

99 à Störung

Das Ergebnis ist der aktuelle Störungszustand in der Form eines Bitmusters. Jedes gesetzte Bit entspricht einer Störung. Die Zuordnung lautet:

0 à Wicklungsschutz Motor Ventilator

1 à Störung Kältemaschine 1

2 à Wicklungsschutz Verdichter 1

3 à Störung Klimakälte

4 à Störung Soledruck

5 à Störung Kältemaschine 2

6 à Wicklungsschutz Verdichter 2

9 à Wicklungsschutz Pumpen

10 à Wasserniveau

11 à Störung Hauptschütz

12 à Störung Grenzwert

13 à Störung Sensor

14 à Netzausfall

15 à Systemfehler (Steuerung)

Die Bits 7 und 8 sind ungenutzt. Wenn keine Störung anliegt, wird als Ergebnis 0 geliefert.

devprogram(Gerätenummer)

Das Ergebnis ist die Nummer des aktiven Programms oder 0.

devstep(Gerätenummer)

Das Ergebnis ist die Nummer des aktuellen Schrittes des aktiven Programms oder 0.

devremainingtime( Gerätenummer)

Die Restlaufzeit des aktuellen Programmschrittes in Sekunden.

Für alle diese Funktionen gilt: Wenn das angegebene Gerät nicht existiert, wird als Ergebnis "ungültig" geliefert.


Werte anderer Messstellen

Auf Werte von anderen Messstellen kann mit der Pseudofunktion m(y) bzw. m(x, y) zugegriffen werden. Dabei ist x die Nummer der Anlage und y die Nummer der Messstelle. Wird die Nummer der Anlage nicht angegeben, so wird sie auf 0 gesetzt. Die Anlagen - und die Messstellennummer können dabei beliebige Ausdrücke sein, deren ganzzahliger Wert benutzt wird: m(4/3) ist z.B. gleichbedeutend mit m(1) bzw. m(0,1).

Alternativ zur Angabe der Anlagen - und Messstellennummer, kann auch der Messstellenkommentar verwendet werden, sofern dieser eindeutig ist. Dabei ist Groß- und Kleinschreibung des Kommentars zu beachten. Weiterhin muss der Messstellenkommentar in doppelten Anfrühungszeichen geschrieben werden. Wenn die Messstelle 1 am Gerät 0 den Kommentar Kanal hat, so kann der Wert dieser Messstelle über m(1), m(0,1) und m("Kanal") referenziert werden.

Rechenkanäle können auch ihrerseits wieder auf Daten von Rechenkanälen zugreifen. Das funktioniert aber nur in Richtung niedrigerer Messstellennummern. Ein Rechenkanal, der als Messstelle 110 eingetragen wurde, kann also auf die Daten des Rechenkanals mit der Nummer 100 zugreifen, aber nicht umgekehrt.

Rekursionen sind möglich: Wenn in der Formel eines Rechenkanals auf den Wert dieses Rechenkanals zugegriffen wird, so wird der Wert zurückgeliefert, den der Rechenkanal zuletzt hatte. Damit lassen sich z.B. Zähler, Summen oder Mittelwerte über die gesamte Messung definieren. Wichtig ist, dass bei rekursiven Formeln ein Startwert angegeben wird. Beim Start der Messung wird der Wert des Rechenkanals auf diesen Startwert gesetzt, um einen definierten Zustand zu erreichen.

Beim Referenzieren nicht vorhandener Messstellen erscheint keine Fehlermeldung, es kann aber natürlich auch kein Wert berechnet werden.


Externe Funktionen

Externe Funktionen sind Funktionen der Form y = f(x), die in ASCII-Dateien in Form von Wertepaaren abgelegt sind. Für das Dateiformat gilt:

· Jede Zeile enthält ein Wertepaar.

· Die Regeln zur Darstellung der Zahlen in der Datei sind die gleichen, wie sie innerhalb der Rechenkanäle selbst gelten. Zur Erhöhung der Übersichtlichkeit sind leere Zeilen und Kommentarzeilen erlaubt. Kommentarzeilen beginnen mit einem Semikolon (;) und dürfen maximal 200 Zeichen enthalten.

· Außerhalb des Definitionsbereiches der Funktion wird der Wert "ungültig" zurückgeliefert.

Aus Performance Gründen wird jede Datei pro Messung nur einmal in den Speicher geladen. Das bedeutet, dass Änderungen in den ASCII-Dateien erst dann wirksam werden, wenn die Messung gestoppt und dann wieder fortgesetzt wird.


Funktionen zur Auswertung des Anlagenstatus

Die im Statusfenster angezeigten Parameter können über spezielle Funktionen in Rechenkanälen verwendet werden. Alle Funktionen erwarten als Parameter die Gerätenummer und liefern einen ganzzahligen Wert zurück:

devstatus(Gerätenummer)

Das Ergebnis ist der aktuelle Anlagenstatus und kann folgende Werte annehmen:

-1 à Status undefiniert (Geräteabfrage noch nicht vollständig beendet)

0 à Aus

2 à Startverzögerung

4 à Aktiv

6 à Stopp

88 à Übergangszustand (Auftreten unwahrscheinlich)

99 à Störung

devfailures(Gerätenummer)

Das Ergebnis ist der aktuelle Störungszustand in der Form eines Bitmusters. Jedes gesetzte Bit entspricht einer Störung. Die Zuordnung lautet:

0 à Wicklungsschutz Motor, Ventilator

1 à Störung Kältemaschine 1

2 à Wicklungsschutz Verdichter 1

3 à Störung Klimakälte

4 à Störung Soledruck

5 à Störung Kältemaschine 2

6 à Wicklungsschutz Verdichter 2

9 à Wicklungsschutz Pumpen

10 à Wasserniveau

11 à Störung Hauptschütz

12 à Störung Grenzwert

13 à Störung Sensor

14 à Netzausfall

15 à Systemfehler (Steuerung)

Die Bits 7 und 8 sind ungenutzt. Wenn keine Störung anliegt, wird als Ergebnis 0 geliefert.

devprogram(Gerätenummer)

Das Ergebnis ist die Nummer des aktiven Programms oder 0.

devstep(Gerätenummer)

Das Ergebnis ist die Nummer des aktuellen Schrittes des aktiven Programms oder 0.

devremainingtime(Gerätenummer)

Die Restlaufzeit des aktuellen Programmschrittes in Sekunden.

Für alle diese Funktionen gilt: Wenn das angegebene Gerät nicht existiert, wird als Ergebnis "ungültig" geliefert.


Beispiele

Mehr:

Arbeiten mit einer und zwei Messstellen

Bedingung1

Bedingung2

Ableitung

Integral

Mittelwert über eine Minute (Glättung)

Externe Funktionen

Datum und Uhrzeit

Standardabweichung


Arbeiten mit einer und zwei Messstellen

Mittelwert der Messstellen 1 und 2:

(m(1) + m(2)) / 2

Skalierung eines Messwertes:

(m(2,6) - 30.5) * 19.7

Minimum zweier Messstellen:

min( m(0, 10), m(1, 10) )

Zähler:

m(80, 0) + 1

... Erhöhung eines Wertes mit jedem Zyklus um 1 (es wird die Formel des Rechenkanals 80.0 definiert).

Summierung:

m(80,1)+m(80,0)

... Vereinbarung für den Rechenkanal 80.1 als Summe des vorherigen Wertes und des neuen Wertes von Kanal 80.0

Maximum aller Messwerte einer Messstelle:

max(m(1, 0), m(80, 0))

... Maximum aller Messwerte von Messstelle 1.0 über die gesamte Messdauer (es wird die Formel des Rechenkanals 80.0 definiert; es muss ein Startwert festgelegt werden).


Bedingung1

if (valid(m(0,0)); m(0,0); 12)

... Liefert den Wert der Messstelle 0.0, solange diese einen gültigen Wert hat, ansonsten den Wert 12.

if (valid(m(0,1)) and valid(m(0,2)); if (m(0,2) > 0 or m(0,2) < 0; m(0,1) / m(0,2); 0); -1)

... Wenn die Messstellen m(0,1) und m(0,2) gültige Werte liefern, dann wird getestet, ob der Wert von m(0,2) ungleich 0 ist. Ist dem so, wird als Ergebnis m(0,1)/m(0,2) zurückgeliefert, ansonsten 0. Sollte auch nur eine der beiden Messstellen ungültig sein, wird als Ergebnis -1 geliefert. Dieses Beispiel soll zeigen, dass mit der if-Funktion dafür gesorgt werden kann, dass immer ein gültiger Wert enthalten ist (hier: Vermeidung der Division durch 0) und dass dieser Wert bestimmte Zustände signalisieren kann: -1 bei Zugriff auf ungültige Messstellen, 0 bei vermiedener Division durch 0.


Bedingung2

if (valid(m(0,1)); if (m(0,1) >= 0; sqrt(m(0,1)); -1); -2)

... Wenn m(0,1) einen ungültigen Wert liefert, dann wird -2 zurückgegeben, wenn m(0,1) negativ ist, wird -1 zurückgeliefert und wenn m(0,1) gültig und positiv ist, wird die Quadratwurzel geliefert. Die Formel kann auch andersherum gebildet werden: sqrt(if(valid(m(0,1)); if(m(0,1) >= 0; m(0,1);0);0)

Damit wird ebenfalls vermieden, die Quadratwurzel aus eine negativen Zahl bzw. von einer ungültigen Messstelle zu bilden, jedoch ist die Rückgabe eines Status nicht möglich: falls keine positive gültige Zahl hinter m(0,1) steckt, wird 0 genommen.


Ableitung

Die Formel dt(1, 0) liefert einen numerischen Näherungswert für die erste Ableitung des Wertes der Messstelle 1.0 nach der Zeit.

Beispiel:

Messwert der Messstelle 1.0 zum Zeitpunkt t0 = 10:00:00 ist 3,0

Messwert der Messstelle 1.0 zum Zeitpunkt t1 = 10:00:01 ist 6,0

Der Rechenkanal mit der Formel dt(1.0) liefert zum Zeitpunkt t1 den Wert:


Integral

Gebildet wird der numerische Näherungswert für das Integral über die letzten 3 Sekunden der Messstelle 1.0:

S(1,0,3)

Wenn der letzte Messwert der Messstelle 1.0 zum Zeitpunkt t0 den Wert 20 und der Messwert 3 Sekunden davor den Wert 10 hat, so liefert der Rechenkanal mit der Formel S(1,0,3) zum Zeitpunkt t0 den Wert [image] .

Achtung!

Für die Berechnung können jeweils nur die tatsächlich in dem Zeitintervall vorhandenen Messwerte einbezogen werden. Das heißt, dass auch ein nur knapp außerhalb des Zeitintervalls liegender Messwert und damit die Fläche unter der Kurve zwischen diesem Wert und dem letzten verwendeten Wert bei der Berechnung nicht mit berücksichtigt werden!

Achtung!

Bitte beachten Sie das Kapitel: die Größe der Messwerthistorie ändern.


Mittelwert über eine Minute (Glättung)

mean_t(1, 1, 60) oder mean_t(1, 1, sec(00:01:00))

... Dabei werden, ausgehend vom Zeitpunkt des aktuellen Messwertes, alle innerhalb der letzten 60 Sekunden eingetroffenen Messwerte der Messstelle 1.1 gemittelt.

Umrechnen von großen Zeitangaben in Sekunden:

Diese Funktion ist als Hilfsfunktion für solche Funktionen gedacht, die eine Zeitangabe in Sekunden erwarten. Um nicht immer "per Hand" eine Umrechnung durchführen zu müssen, ist die Funktion sec(...) verwendbar.

Stunden in Sekunden: sec(01:00:00) liefert 3600

Minuten in Sekunden: sec(00:10:00) liefert 600

Kombinationen sind natürlich möglich:

sec(01:10:10) liefert 4210

sec(00:01:10) liefert 70 usw.

Mittelwert über 7 Werte (Glättung):

mean_n(1, 1, 7)

... Dabei werden, ausgehend vom aktuellen Messwert, die letzten sieben eingetroffenen Messwerte der Messstelle 1.1 gemittelt.

Bereitstellen von Messwerten vorangegangener Messzyklen:

Diese Funktion ist als Hilfsfunktion für solche Formeln gedacht, in denen auf Messwerte vorangegangener Messzyklen zugegriffen werden soll.

h(2,1,4)

… Für die Messstelle 2.1 mit den Werten 1, 2, 3, 4, 5, 6 liefert diese Funktion den Wert 2.

Achtung!

Bitte beachten Sie das Kapitel: die Größe der Messwerthistorie ändern.


Externe Funktionen

Dateiformat:

Eine Datei mit Wertepaaren externer Funktionen sieht folgendermaßen aus:

; Hier steht ein maximal 200 Zeichen langer Kommentar

; in den nächsten Zeilen folgen die eigentlichen Werte

0.1, 2.3

2.0000, 79098.8888

2.0001, -34.9

5, 5

7, 7

;Ende der Datei

Rechenkanalfunktion:

extnear("F:\Daten\extern.dat", 2)

... liefert für obige Beispieldatei den Wert 79098.8888. Anstelle der Konstanten 2 kann ein beliebiger Ausdruck stehen, der einen Wert liefert, also z.B. auch: extnear("F:\Daten\extern.dat", m(1))

extinter("F:\Daten\extern.dat", 6)

... liefert für obige Beispieldatei den Wert 6.0. Auch hier gilt, dass anstelle der Konstanten 6 beliebige Ausdrücke stehen können, die einen Wert zurückgeben, z.B.: extinter("F:\Daten\extern.dat", m(1,2) * m(2,4) / m(3,1))


Datum und Uhrzeit

Aufgabe: Während einer Langzeitmessung ist es erforderlich, ein Relais zu einem bestimmten Datum (31.07.2002) einzuschalten, eine automatische Abschaltung ist nicht vorgesehen.

Lösung: Es wird ein Rechenkanal (hier: 80.7) mit folgender Formel angelegt:

if(date() >= days(2002/7/31); 1; -1)

d.h.: wenn das aktuelle Datum größer oder gleich dem 31.07.2002 ist, liefert der Rechenkanal 80.0 den Wert 1, ansonsten (also alle Tage vor dem 31.07.2002) den Wert –1.

Aufgabe: Ein Ausgangsrelais soll täglich zu einer bestimmten Uhrzeit (9:00:00) eingeschaltet und nach einer definierten Zeitspanne (2 Stunden) abgeschaltet werden.

Lösung:
Es wird ein Rechenkanal (hier 80.8) mit folgender Formel definiert:

if(time() >= sec(9:00:00) and time() < sec(11:00:00); 1; -1)

d.h.: solange die aktuelle Zeit größer als 9:00:00 und kleiner als 11:00:00 (= 9:00 Uhr + 2 Stunden) ist, wird das Relais eingeschaltet, vor und nach dieser Zeitspanne wird das Relais abgeschaltet.

Achtung!

Bei der Angabe eines ungültigen Datums (z.B. 31.02.2001) wird als Berechnungsgrundlage das Datum verwendet, welches gemessen an der Anzahl der Tage im angegebenen Jahr vorliegen würde.

à 31.02.2001 = 03.03.2001 à 31.04.2002 = 01.05.2002

Gut zu wissen!

Die Datums- und Zeitfunktionen können beliebig miteinander und mit anderen Funktionen kombiniert werden, z.B. date() + 1, um einen Zahlenwert für "übermorgen" zu erhalten, auch beispielsweise sin(time()) ist möglich, wenn vermutlich auch unnötig.

Es ist jedoch nicht möglich, für die Zahlenangaben in den Funktionen days und sec durch Funktionsaufrufe zu ersetzen. Beispielsweise führt sec(m(80,0):m(80,1):m(80,2)) zu einem Syntaxfehler bereits während der Eingabe.


Standardabweichung

Anhang > Vereinbarungen für die Formeleingabe > Beispiele

Standardabweichung

Die Standardabweichung der letzten n Messwerte kann mit der Funktion stddeviation_n ermittelt werden. Für die Berechung der Standardabweichung der Messwerte der letzten t Sekunden steht die Funktion stddeviation_t zur Verfügung.

Syntax für Feutron-Anlagen:

stddeviation_n(Anlagennummer, Kanalnummer, Anzahl der Messwerte)

oder

stddeviation_t(Anlagennummer, Kanalnummer, Zeit in Sekunden)

Die Berechung der Standardabweichung erfolgt gleitend. Sobald mindestens zwei Messwerte im angegebenen Bereich vorliegen, wird die Standardabweichung ermittelt.

Achtung!

Bitte beachten Sie das Kapitel: die Größe der Messwerthistorie ändern.

Beispiele:

· Ermittlung der Standardabweichung über die letzten 25 Messwerte der Messstelle 0.0: stddeviation_n(0, 0, 25)

· Ermittlung der Standardabweichung aller Messwerte der letzten 5 Minuten der Messstelle 0.1: stddeviation_t(0, 1, 5 * 60)


Maximale Anzahl von Rechenkanälen

Um mehr als 100 Rechenkanäle zu definieren, können für das Hinzufügen eines Rechenkanals die Gerätenummern 80 bis 85 vergeben werden. Hierdurch sind bis zu 500 Rechenkanäle möglich.


Dezimaltrenner und Messstellenbezeichnung

Beachten Sie bitte, dass die Trennung von Gerätenummer und Messstellennummer in den Formeln durch Komma erfolgt. Dezimaltrenner werden in den Formeln als Punkt angegeben.


Unterstützung der Exponentialdarstellung von Messwerten

Anhang

Unterstützung der Exponentialdarstellung von Messwerten

Die Eingabe von Zahlen in FKS WinControl ist auch in exponentieller Schreibweise (Basis Zehn), in der Form "Faktor e Exponent" (z.B. "23e-5") möglich. Die Darstellung der Zahlen in exponentieller Schreibweise erfolgt durch FKS WinControl automatisch dann, wenn der zur Darstellung benötigte Platz nicht ausreichen würde.


Anschluss eines Modems an das Gerät

Nachdem der Rechner mit einem Modem verbunden ist, muss die Anlage ebenfalls mit einem Modem verbunden werden. Zur Verbindung zwischen Anlage und Modem wird ein so genanntes Nullmodem Kabel benötigt, bei dem bestimmte Signale gegenüber einem 1:1 Kabel vertauscht sind.

Da die Anlage nicht in der Lage ist, das Modem zu konfigurieren, muss diese Konfiguration zuvor mit einem Rechner durchgeführt und dann dauerhaft im Modem abgespeichert werden.


Datenformate der Exportfunktion

Mehr zum Thema:

Text

Famos

Lotus WK1 (Excel)

Binär

QS-STAT

DIAdem Format


Text

Die Struktur der zu exportierenden ASCII-Datei kann individuell konfiguriert werden. Über die Schaltfläche Text-Format wird der Dialog "Textformat" geöffnet, in dem die konkreten Einstellungen (Anordnung der Messwerte, Feldtrenner, Dezimalzeichen, Kommentar, Datum/Uhrzeit, verschiedene Messstelleninformationen) für die ASCII-Datei festgelegt werden.


Famos

Bei Auswahl des Formates "Famos" werden die Daten im Famos Format Version 3 exportiert.

Das Famos-Format Version 2 kann wahlweise eingeschaltet werden. Dazu ist in der Datei wcFKS.ini im Abschnitt [Settings] der Eintrag FamosFormat=0 vorzunehmen. Nach Programmstart steht dann das alte Format für den Export zur Verfügung.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.


Lotus WK1 (Excel)

Für den Export der Daten in ein Tabellenkalkulationsprogramm steht das Format WK1 zur Verfügung. Dieses Format kann von allen uns bekannten Tabellenkalkulationen (z.B. Excel, Quattro Pro, Lotus 123) gelesen werden.


Binär

Wählen Sie dieses Format, um die Messwerte als reine Binärdaten zu exportieren.


QS-STAT

Bei Auswahl des Formates "QS-STAT" werden die Daten in einem von der, in der Automobilbranche häufig eingesetzten Software QS-STAT der Firma Q-DAS GmbH lesbaren Format exportiert.


DIAdem Format

Bei Auswahl des Formates "DIAdem" werden die Daten in einem von der Software DIAdem der Firma GfS Aachen lesbaren Format exportiert.


Besondere Einstellungen für den Versand von Alarmmeldungen per e-Mail

Folgende Einträge können in der Initialisierungsdatei wcFKS.ini im Abschnitt [MAIL] vorgenommen werden. Diese Einträge sind nur für den Versand von Alarmmeldungen per e-Mail relevant.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

MailAutoLogoff

· = 1 (Standard): nach jeder versendeten Alarmmail wird die Mailsession geschlossen

· = 0: es wird mit der ersten Alarmmail eine Mailsession erzeugt, die bis zum Programmende erhalten bleibt (nicht empfohlen bei Outlook Express)

MailUserName

Wenn auf einem PC mehrere Profile für den Mailversand angelegt wurden, kann durch den Eintrag MailUserName="Profilname" das zu verwendende Profil festgelegt werden.

MailPassWord

Wenn das verwendete Profil ein Passwort erfordert, kann dieses im Klartext durch den Eintrag MailPassWord="Passwort" eingegeben werden.


Der Kennwortschutz

FKS WinControl kann mit einem Zugriffsschutz auf Basis von verschiedenen Benutzern betrieben werden, der es ermöglicht Benutzer mit unterschiedlichen Rechten zu definieren und die Software vor unbefugter Nutzung bzw. Veränderung zu schützen.

Der Start der Applikation erfolgt bei aktiviertem Kennwortschutz grundsätzlich so, dass kein Benutzer angemeldet ist und somit keine Aktionen Unbefugter möglich sind. Unabhängig davon werden vorgegebene Messaufgaben ausgeführt, wenn die entsprechenden Einstellungen (z.B. "Automatischer Start der Messung", "Weitermessen nach Stromausfall", "Schnittstelleneinstellungen nach Neustart automatisch aktivieren" usw.) vorgenommen wurden.

Achtung!

Diese Funktionen stehen nicht in jeder Programmversion zur Verfügung. Mit dem Erwerb des Kennwortschutzes wird auch eine ausführliche Beschreibung bereitgestellt. Bei entsprechendem Interesse kann diese auch gesondert angefordert werden.

Beim ersten Start von FKS WinControl ist nur der vordefinierte Systemoperator als Benutzer eingetragen. Durch die Eingabe des Benutzernamens "SysOp" und des Kennwortes "SysOp" kann die Verriegelung aufgehoben werden.

Hinweis: Wenn FKS WinControl bereits einmal auf einem System installiert war und die Kennworteinstellungen angepasst wurden gelten diese Anpassungen weiterhin, d.h. das Kennwort des Systemoperators kann anders lauten!

Achtung!

Sowohl für den Namen als auch für das Kennwort wird zwischen Groß- und Kleinschreibung unterschieden!

Mehr zum Thema:

Anmelden eines Benutzers

Dialog "Kennwortschutz / Benutzerverwaltung"

Dialog "Benutzer hinzufügen"

Dialog "Benutzerkennwort und Zugriffsrechte ändern"

Dialog "Zugriffsrechte"


Anmelden eines Benutzers

Bei Start der Software mit aktiviertem Kennwortschutz oder wenn ein FKS WinControl -Benutzer abgemeldet wurde, wird ein Dialog zur Eingabe eines Benutzernamens und eines Passwortes angezeigt.

FKS WinControl arbeitet in diesem Zustand unverändert weiter. Allerdings können keine Veränderungen vorgenommen werden, solange sich kein Benutzer angemeldet hat. Auch ein Beenden von FKS WinControl ist nicht ohne vorheriges anmelden eines Benutzers mit entsprechender Berechtigung möglich.


Dialog "Kennwortschutz / Benutzerverwaltung"

Anhang > Der Kennwortschutz

Dialog "Kennwortschutz / Benutzerverwaltung"

Über das Menü "Einstellungen/Kennwortschutz" kann ein Dialog aufgeschlagen werden:

In diesem Dialog ist es möglich Benutzer anzulegen, zu editieren und zu löschen. Hier werden auch die Einstellungen für das automatische Abmelden verwaltet.

Beim ersten Start ist nur der Benutzer SysOp eingetragen. Dieser kann nicht gelöscht werden und nur wenn ein Anwender als SysOp in FKS WinControl eingeloggt ist, kann er dessen Kennwort ändern.

Über die Schaltfläche Hinzufügen… können beliebig viele neue Benutzer für FKS WinControl angelegt werden. Mit der Schaltfläche Ändern… öffnet sich ein Dialog für den in der Liste ausgewählten FKS WinControl Benutzer.

Tipp:

Als erstes sollte nach der Installation hier für den Systemoperator SysOp ein neues Kennwort eingetragen werden.

Über die Schaltfläche Entfernen wird der ausgewählte Benutzer ohne Rückfrage gelöscht. Alle vorgenommenen Änderungen, einschließlich Hinzufügen und Löschen von Benutzern werden erst wirksam, wenn dieser Dialog mit OK bestätigt wird.

Über die Option "Kennwortschutz aktivieren" kann der Kennwortschutz ein- und ausgeschaltet werden. Beim Einschalten des Kennwortschutzes wird nach dem Verlassen dieses Dialoges automatisch der aktuelle Anwender abgemeldet. Zum Weiterarbeiten muss sich der Benutzer mit Name und Passwort anmelden.

Mit der Auswahl "Automatisches Abmelden" kann festgelegt werden, ob nach einer gewissen Zeit ohne Benutzeraktivität automatisch der aktuelle Benutzer abgemeldet und somit das Programm verriegelt wird. Ist diese Option aktiviert, muss eine Zeitspanne von 1 bis 60 Minuten eingestellt werden, die vergehen muss, ehe das automatische Abmelden erfolgt. Unabhängig vom Automatischen Abmelden kann sich jeder Anwender abmelden (und damit das Programm verriegeln), indem der Menüpunkt Datei/Benutzer Abmelden ausgewählt wird.


Dialog "Benutzer hinzufügen"

Über die Schaltfläche Hinzufügen… können beliebig viele neue Benutzer für FKS WinControl angelegt werden:

Der Benutzername ist hierbei frei wählbar, er darf aus Buchstaben und Zahlen bestehen und muss mindestens 2 Zeichen lang sein. Das Kennwort muss mindestens 4 Zeichen lang sein, es kann Buchstaben, Zahlen und Sonderzeichen enthalten. Zwischen Groß- und Kleinbuchstaben wird sowohl beim Namen als auch beim Kennwort unterschieden.

Administratoren können für Benutzer mit eingeschränkten Rechten definieren, welche Funktionen erlaubt sind. Diese Vergabe der Rechte ist individuell für jeden Benutzer einstellbar.


Dialog "Benutzerkennwort und Zugriffsrechte ändern"

Anhang > Der Kennwortschutz

Dialog "Benutzerkennwort und Zugriffsrechte ändern"

Mit der Schaltfläche Ändern… öffnet sich ein Dialog für den in der Liste ausgewählten FKS WinControl Benutzer:

Hier kann das Kennwort und die Zugriffsrechte eines eingerichteten Benutzers geändert werden. Zur detaillierten Anpassung der Zugriffsrechte wählen Sie eingeschränkte Benutzerrechte und klicken Sie auf die Schaltfläche Rechte.


Dialog "Zugriffsrechte"

Anhang > Der Kennwortschutz

Dialog "Zugriffsrechte"

Um die Rechte anzupassen, muss in dem Dialog der beim Anlegen neuer Benutzer oder dem Dialog zum Ändern der Einstellungen eines Benutzers angezeigt wird, auf die Schaltfläche Rechte geklickt werden.

Der erste Zweig des Baumes ("Gemeinsame Einträge") enthält die Einträge, die in allen Fenstertypen vorhanden sind und dort auch die gleichen Funktionen aufrufen. Alle anderen Zweige sind jeweils einem Fenstertyp zugeordnet und enthalten die Funktionen, die sich nur auf Fenster des entsprechenden Typs auswirken. Damit kann beispielsweise festgelegt werden, dass nur Liniendiagramme gedruckt werden oder nur Messwertanzeigen geschlossen werden dürfen. Jeder Zweig enthält für jedes Menü einen Unterzweig, in dem die einzelnen Menüeinträge enthalten sind, wobei Untermenüs wieder durch einen Unterzweig repräsentiert werden. Das Auswahlfeld vor dem Namen von Zweigen und Einträge kann aktiviert werden, um den Zugriff zu erlauben und deaktiviert werden, um den Zugriff zu verbieten. Wenn das Feld eines Zweiges aktiviert wird, dann werden alle enthaltenen Einträge und Unterzweige automatisch mit ausgewählt, gleiches gilt für das Deaktivieren dieses Feldes.

Sind innerhalb eines Zweiges nur einige Einträge aktiviert, wird dies durch einen Schrägstrich (/) statt eines Häkchens im Auswahlfeld des Zweiges signalisiert. Die Zweige sind durch ein vorangestelltes Feld [+] bzw. [-] von einfachen Einträgen zu unterscheiden. Ein Klick auf [+] erweitert die Darstellung des Zweiges um die erste enthaltene Ebene von Einträgen und Unterzweigen, mit [-] werden alle enthaltenen Einträge und Unterzweige wieder ausgeblendet. Mit der Schaltfläche OK werden die Einstellungen übernommen und es erfolgt die Rückkehr zum Hauptdialog. Dort ist der neue Benutzer in der Benutzerliste sichtbar.

Hinweise zur Vergabe der Rechte:

· Der Menüpunkt "Benutzer abmelden" wird der Vollständigkeit halber im Dialog mit angezeigt, doch FKS WinControl ignoriert diese Einstellung. Auch wenn einem Benutzer dieses Recht entzogen wird, kann er sich immer abmelden!

· Im Zweig "Gemeinsame Einträge" kann unter "Fenster" festgelegt werden, ob ein Benutzer die Fenster ändern (verschieben, Größe anpassen, Wechsel zwischen Fenstern, usw.) darf. Das beeinflusst jedoch nicht die Möglichkeit, durch Anklicken mit der linken Maustaste ein Fenster zu aktivieren und dieses damit evtl. vor andere Fenster zu legen!

· Jedem Benutzer kann das Recht für den Zugriff auf "Einstellungen/Kennwortschutz" gewährt werden. Damit kann dieser Benutzer prinzipiell nicht nur die eigenen Rechte beliebig erweitern, sondern auch die Einstellungen für die Rechte anderer Benutzer und Administratoren (außer SysOp!) ändern. Deswegen wird empfohlen, dieses Recht nicht zu vergeben!

· Wenn einem Benutzer das Recht erteilt wird, Fenster zu schließen, die für Messwertdateien stehen (Tabelle, Übersicht, Linien- und XY-Diagramm), er aber nicht das Recht hat, die Daten zu speichern, dann werden diese Fenster ohne Rückfrage geschlossen, ohne die enthaltenen Daten zu speichern. Deswegen wird empfohlen, das Schließen von Fenstern der genannten Typen nur dann zu erlauben, wenn der Benutzer auch das Recht hat, diese Daten zu speichern.

Hinweis: Das Schließen von Fenster ohne die enthaltenen Daten zu speichern hat keinen Einfluss auf die durch das automatische Speichern erzeugten Dateien.

Der Kennwortschutz in FKS WinControl nutzt die Fähigkeit von Windows NT basierenden Systemen aus, einzelnen Dateien oder Verzeichnissen anwenderabhängige Schreibrechte zu erteilen. Alle Kennwortschutzeinstellungen werden in der Datei fks32.access.ini im Windows-Verzeichnis abgelegt, für sensible Angaben (z.B. Kennwörter) erfolgt eine zusätzliche Verschlüsselung. Diese Datei wird von FKS WinControl angelegt bzw. geändert, wenn die Kennwortschutzeinstellungen im Programm vorgenommen werden.

Achtung!

Nach der Installation von FKS WinControl durch einen Administrator sollte dieser folgende Schritte vornehmen, um die Wirksamkeit des Kennwortschutzes zu gewährleisten:

· Ändern des Kennwortes für den Systemoperator

· Anlegen von FKS WinControl Nutzern

· Beenden von FKS WinControl

· Schreib- und Löschrechte der Datei fks32.access.ini für alle Anwender außer Administrator entfernen

Hinweis: Alle beschriebenen Einstellungen können nur dann vorgenommen werden, wenn der Anwender auch das Recht hat, die o.g. Datei fks32.access.ini zu verändern, andernfalls wird ein Hinweis ausgegeben und der Hauptdialog für die Kennwortschutzeinstellungen wird nicht geöffnet.

FKS WinControl sollte bei Messanwendungen immer unter einem reinen Benutzer- oder Hauptbenutzerkonto des Betriebssystems betrieben werden und nur für kennwortschutzspezifische Einstellungen unter einem Administratorkonto.

Achtung!

Bei neueren Betriebssystemen, wie "MS Windows Server 2008" und "MS Windows Vista", können manche Dateien automatisch in andere Verzeichnisse umgeleitet werden, um wichtige System-Verzeichnisse vor Veränderungen und/oder Beschädigungen zu schützen.

Durch diese Funktion kann die Konfigurationsdatei fks32.access.ini nur im Windows Verzeichnis gespeichert werden, wenn die Software auf dem lokalen Administrator Konto ausgeführt wird. Andernfalls wird die Datei fks32.access.ini in ein Verzeichnis innerhalb Ihres Benutzerverzeichnisses umgeleitet.

Das Zielverzeichnis der Umleitung kann je nach Einstellung Ihres Betriebssystems unterschiedlich sein. Bei "MS Windows Server 2008" und "MS Windows Vista" befindet sich die fks32.access.ini bei Standard-Konfiguration des Betriebssystems im Verzeichnis: %LocalAppData%\VirtualStore\Windows\

Gut zu wissen!

Ab dem Betriebsystem "MS Windows Vista" werden Programme per Voreinstellung immer mit eingeschränkten Benutzerrechten gestartet, auch wenn Sie als Benutzer mit lokalen Administratorrechten angemeldet sind. Um dies zu vermeiden, lassen Sie Ihren Systemadministrator die so genannte "Benutzerkontensteuerung" deaktivieren.

Gut zu wissen!

Die Umleitung von bestimmten Verzeichnissen ist auch bei vielen älteren Betriebssystem möglich, jedoch nicht per Voreinstellung aktiv. Bitte informieren Sie sich bei Ihrem Systemadministrator über die Eigenschaften Ihres Systems.


Der Prüfplatzmanager

FKS WinControl bietet die Möglichkeit mehrere, von einander unabhängige, automatische Speicheraktionen zu verwalten und auszuführen.

Für den gleichzeitigen Betrieb mehrerer Autosavemanager (Automatische Speicheraktionen) steht eine komfortable grafische Oberfläche zur Verfügung, mit der die aktuellen Zustände aller Autosavemanager auf einen Blick sichtbar sind.

Das Ändern der Eigenschaften sowie das Hinzufügen neuer Autosavemanager sind mit wenigen Mausklicks möglich. Außerdem können die einzelnen Manager unabhängig voneinander gestartet und angehalten werden. Jeder Autosavemanager hat dabei die gleichen Einstellungsmöglichkeiten wie bereits unter Automatisches Speichern beschrieben, wobei zusätzliche Eigenschaften für den Prüfplatzmanager zur Verfügung stehen.

Achtung!

Diese Funktionen stehen nicht in jeder Programmversion zur Verfügung. Mit dem Erwerb des Prüfplatzmanagers wird auch eine ausführliche Beschreibung bereitgestellt. Bei entsprechendem Interesse kann diese auch gesondert angefordert werden.

Mehr zum Thema:

Fenster: Automatisches Speichern (Prüfplatzmanager)


Fenster: Automatisches Speichern (Prüfplatzmanager)

Wenn der Optionale Prüfplatzmanager durch die Software-Freischaltung aktiviert wurde, kann über die Werkzeugleiste, die Taste F8 oder das Menü Messwerte/Automatisches Speichern das Fenster des Prüfplatzmanagers geöffnet werden, in dem eine Liste der eingestellten automatischen Speicheraktionen zu sehen ist.

Mit der Schaltfläche Eigenschaften oder einen Doppelklick auf eine Zeile im Fenster wird für den ausgewählten Autosavemanager der Eigenschaftsdialog aufgeschlagen. Mit den Schaltflächen Hinzufügen und Entfernen werden neue Autosavemanager angelegt bzw. nicht mehr benötigte wieder gelöscht. Die Schaltflächen Starten und Anhalten erlauben die gezielte Kontrolle der Laufzeit der konfigurierten Autosavemanager. Mit der Schaltfläche Anzeigen können die bis dahin aufgezeichneten Messdaten geöffnet werden.

In der Tabelle "Speicheraktionen" werden alle Autosavemanager mit deren aktuellem Status, der Bezeichnung, Minimum, aktuellem Wert, Maximum und Dateinamen angezeigt.

Der Status zeigt an ob ein Autosavemanager aktiv ist oder nicht. Dabei gibt es folgende Zustände:

· nicht aktiv

· aktiv, es wird gespeichert ( [image] )

· aktiv, warten auf Startzeitpunkt ( [image] )

· aktiv, warten auf Startereignis ( [image] )

Der Dateiname wird nur bei den Autosavemanagern angezeigt, welche gerade aktiv sind und Daten in eine Datei speichern.

Die Bezeichnung und die Messwertanzeige kann für jeden Autosavemanager in dessen Eigenschaften definiert werden. Hierfür stehen zwei zusätzliche Registerkarten bei den Eigenschaften des Autosavemanagers zur Verfügung.

Mehr:

Registerkarte: "Bezeichnung"

Registerkarte: "Messwertanzeige"


Registerkarte: "Bezeichnung"

Werden die Eigenschaften eines Autosavemanagers aus der Übersicht des Prüfplatzmanagers heraus aufgerufen, so erscheint der Dialog "Automatisches Speichern" mit der Registerkarte "Bezeichnung".

In dieser Registerkarte kann eine Bezeichnung eingetragen werden, die ausschließlich zur besseren Identifikation eines Autosavemanagers in der Übersichtstabelle dient.


Registerkarte: "Messwertanzeige"

Anhang > Der Prüfplatzmanager > Fenster: Automatisches Speichern (Prüfplatzmanager)

Registerkarte: "Messwertanzeige"

Auf der Registerkarte "Messwertanzeige" kann die Anzeige eines Minimums, Maximums und jeweils aktuellen Wertes einer verfügbaren Messstelle eingestellt werden.

Wird die Checkbox auf dieser Registerkarte aktiviert, so kann mit einem Klick auf das Dreieck am rechten Rand der Auswahlbox eine Messstelle eingestellt werden. Wird dieser Autosavemanager aktiviert, erscheint in der Übersicht in den Spalten Min, Max und Wert jeweils der aktuell erfasste Wert dieser Messstelle, sowie das bisherige Minimum und Maximum.

Achtung!

Ist der Prüfplatzmanager aktiviert, so gibt es in den Einstellungen der Prüfplatzmanager keine Registerkarte "Einstellungen beibehalten", da die Einstellungen der Autosavemanager im Rahmen der Prüfplatzverwaltung automatisch beibehalten werden.


Der OPC Export

FKS WinControl kann als OPC Client arbeiten und Messdaten an einen OPC Server übertragen.

Die OPC Kommunikation findet über das bestehende Netzwerk statt. FKS WinControl kann dabei auch an mehrere OPC Server parallel Daten übermitteln. Von einem OPC Server ausgehend können diese Daten in nahezu jedes kompatible System übermittelt werden.

Achtung!

Diese Funktion steht nicht in jeder Programmversion von FKS WinControl zur Verfügung. Mit dem Erwerb dieser Funktion wird auch eine ausführliche Beschreibung bereitgestellt. Bei entsprechendem Interesse kann diese auch gesondert angefordert werden.

Mehr:

Voraussetzungen

Funktionsweise

Einstellungen


Voraussetzungen

Auf dem PC, auf dem FKS WinControl läuft oder im Netzwerk ist ein OPC Server verfügbar, der Variablen nach den Standards "OPC Data Access Server 2" oder "OPC Data Access Server 3" zur Verfügung stellt.


Funktionsweise

Die Datenübertragung an OPC Server erfolgt ähnlich wie die Datenübertragung an MS Excel: In FKS WinControl können beliebig viele Fenster geöffnet werden, von denen jedes die Übertragung zu einem Server repräsentiert. Für jedes dieser Fenster kann eingestellt werden, welche Messstelle zu welcher Variablen des Servers übertragen werden soll.

Im Fenster selbst wird der Status der Übertragung angezeigt. Die vorgenommenen Einstellungen können als Datei gespeichert und wieder geladen werden. Wenn beim Speichern einer Konfiguration Fenster mit Datenübertragungen zu OPC Servern offen sind und diese bereits separat als Datei gespeichert wurden, dann werden diese Dateinamen ebenfalls in der Konfiguration hinterlegt und beim Laden der Konfiguration werden die Fenster mit Datenübertragungen zu OPC Servern wieder hergestellt.


Einstellungen

Mit der Menüfunktion Messwerte/Neuer OPC Export kann ein neuer OPC Export angelegt werden. Es erscheint das Fenster "WinControl OPC Export", welches verschiedene Informationen über den Export anzeigt. Neben dem Kommentar, Computername und OPC Server, zu welchem der Export stattfinden soll, zeigt das Fenster die zu exportierenden Messstellen und Rechenkanäle tabellarisch an.

Mit Start und Stopp kann die Übertragung zu Excel begonnen oder unterbrochen werden. Über Eigenschaften kann der Eigenschaftsdialog zu dieser Verbindung geöffnet werden. Es ist zu beachten dass der Eigenschaftsdialog nur bei angehaltener Übertragung geöffnet werden kann. Hilfe zeigt diesen Text an.

Mehr:

Dialog "Eigenschaften des OPC Exports"

Dialog "OPC Export hinzufügen"


Dialog "Eigenschaften des OPC Exports"

Anhang > Der OPC Export > Einstellungen

Dialog "Eigenschaften des OPC Exports"

Mit einem Klick auf die Schaltfläche Eigenschaften wird der Dialog "Eigenschaften des OPC Exports" aufgeschlagen, mit dem die Einstellungen vorgenommen werden können.

Kommentar

Definiert eine Bezeichnung für diesen OPC Export.

Computername

Der Name oder die IP-Adresse des Rechners, auf welchem der gewünschte OPC Server aktiv ist. Alternativ kann über die Schaltfläche Suchen der Dialog "Computer suchen" aufgeschlagen werden. Hier kann der Computer aus der Liste der im Netzwerk verfügbaren Rechner ausgewählt werden.

Achtung!

Im Dialog "Computer suchen" werden alle erreichbaren Rechner im Netzwerk angezeigt. Es wird dabei nicht geprüft ob auf diesen Rechnern OPC Server aktiv sind.

OPC Server

Mit einem einfachen Klick der linken Maustaste auf den Pfeil am rechten Rand des Eingabefeldes werden alle auf dem eingestellten Computer verfügbaren OPC Server in einer Tabelle angezeigt. Durch einen weiteren Klick auf den entsprechenden Eintrag der Tabelle kann ein OPC Server ausgewählt werden.

Hinweis: Läuft der OPC Server im Netzwerk, kann das Füllen der Liste einige Sekunden dauern!

Exportierte Werte

In der hier dargestellten Tabelle werden alle OPC Variablen des ausgewählten OPC Servers angezeigt, welche von FKS WinControl mit Messwerten beschrieben werden sollen. Durch Klicken der Schaltfläche Entfernen kann der jeweils ausgewählte Eintrag gelöscht werden.


Dialog "OPC Export hinzufügen"

Durch Klicken der Schaltfläche Hinzufügen können die Variablen ausgewählt werden, zu denen die Messwerte übertragen werden sollen.

Unter "Verfügbare OPC-Werte" werden alle Variablen aufgelistet, die der Server bereitstellt. Die gewünschte Variable ist anzuklicken, worauf sie ins Feld "OPC Wert" übernommen wird. Aus der Liste "Messstelle" ist nun noch die Messstelle auszuwählen, deren Wert zu der Variablen exportiert werden soll.

Optional kann die Aktualisierung eingestellt werden: Normalerweise wird der Wert in jedem Messzyklus exportiert. Um die Belastung des Servers und ggf. des Netzwerks möglichst gering zu halten, kann der Export so eingestellt werden, dass nur dann ein Wert übertragen wird, wenn die Änderung zum letzten übertragenen Wert einen frei definierten Betrag überschreitet.

Mit einem Klick auf Hinzufügen wird die Kombination "Variable - Messstelle" in den Eigenschaftsdialog übernommen. Jetzt kann die nächste Messstelle einer weiteren Variablen zugeordnet werden.

Hinweis: Wählt man eine Variable zum wiederholten Male aus, wird damit die bereits vorgenommene Zuordnung überschrieben!

Sobald alle gewünschten Einstellungen vorgenommen wurden, kann der Dialog mit Schließen verlassen und anschließend der Eigenschaftsdialog mit OK geschlossen werden. Die Einstellungen werden nun im Fenster "WinControl OPC Export" angezeigt.

Mit einem Klick auf die Schaltfläche Start wird die Übertragung zum Server gestartet, mit Stopp kann die Übertragung dann wieder angehalten werden. Während der Übertragung werden die Spalten "Aktueller Messwert", "Übertragener Wert", "Zeitpunkt Übertragung", "Zustand" und ggf. "Letzter Fehler" fortwährend aktualisiert.


Liniendiagramm - Protokoll drucken

Mehr:

Funktionsbeschreibung

Protokollvorlagen erstellen

Einstellungen und Hinweise


Funktionsbeschreibung

FKS WinControl kann Liniendiagramme per Mausklick in benutzerdefinierte Protokollvorlagen einbinden und die so erstellten Protokolle automatisch ausdrucken. Die Protokollvorlagen müssen als RTF-Dokumente vorliegen. Sie können mehrere Seiten umfassen, beliebige Texte und Grafiken enthalten und mit Platzhaltern für Diagramme und Texte versehen werden.

Der Ausdruck der Protokolle erfolgt mit der auf dem PC für RTF-Dokumente festgelegten Applikation.

Um den Protokolldruck zu starten, muss in FKS WinControl ein Liniendiagramm geöffnet und im Menü "Datei" oder im Kontextmenü das Untermenü "Protokoll drucken" gewählt und dort die gewünschte Vorlage angeklickt werden.


Protokollvorlagen erstellen

Mehr:

Werkzeuge

Platzhalter für Liniendiagramme

Platzhalter für Texte

Platzhalter für Messstellen


Werkzeuge

Die Protokolle können im RTF-Format mit jedem beliebigen Programm erstellt werden, dass Grafiken als Enhanced Metafile einbinden kann.

Erfolgreich getestet wurde das Erstellen mit Wordpad und Microsoft Word. Mit OpenOffice 1.1 konnte kein Protokoll erstellt werden, da Grafiken nicht eingebettet, sondern extern gespeichert und als Verknüpfung eingebunden werden.


Platzhalter für Liniendiagramme

Anhang > Liniendiagramm - Protokoll drucken > Protokollvorlagen erstellen

Platzhalter für Liniendiagramme

Enthält das Protokoll ein spezielles Enhanced Metafile, dann wird dieses Metafile als Platzhalter für ein Diagramm interpretiert und durch ein Metafile mit dem aktuellen Liniendiagramm ersetzt. Das Liniendiagramm wird dabei auf die Größe des Platzhalters skaliert.

Um diese Funktionalität nutzen zu können, muss die Datei protocol.rtf im Verzeichnis ReportTpl editiert werden. In dieser Datei sind der Platzhalter sowie Beispieltext enthalten. Um eigene Protokollvorlagen zu erstellen, wird empfohlen, die Texte an die eigenen Bedürfnisse anzupassen und ggf. den Platzhalter zu verschieben und/oder zu skalieren. Anschließend muss die Datei unter einem anderen Namen gespeichert werden. Alternativ kann der Platzhalter über die Zwischenablage in eigene Protokollvorlagen eingefügt werden, wobei darauf zu achten ist, dass das Format der Platzhaltergrafik nicht verändert wird.


Platzhalter für Texte

Platzhalter vom Typ <par:name> werden durch den Inhalt des Prüfparameters name ersetzt, der im Liniendiagramm enthalten ist. Es wird zwischen Groß- und Kleinschreibung unterschieden! Ist der Prüfparameter name nicht im Liniendiagramm enthalten, bleibt der Platzhalter im Protokoll stehen.


Platzhalter für Messstellen

Um in Protokollen die Anzeige der letzten Messwerte enthaltener Messstellen sowie deren Datum und Uhrzeit zu ermöglichen, wurden folgende Platzhalter geschaffen:

<lastval:x.y> | Letzter Messwert der Messstelle x.y.
<lastvaldate:x.y> | Datum des letzten Messwertes der Messstelle x.y.
<lastvaltime:x.y> | Uhrzeit des letzten Messwertes der Messstelle x.y.
<lastvaltimeh:x.y> | Uhrzeit mit Millisekunden des letzten Messwertes der Messstelle x.y.


Einstellungen und Hinweise

Das Verzeichnis, in dem die Vorlagen gesucht werden, ist per Voreinstellung das Verzeichnis ReportTpl im Programmverzeichnis von FKS WinControl . In der Initialisierungsdatei wcFKS.ini kann ein anderer Speicherort definiert werden. Dazu ist im Abschnitt [Settings] der Eintrag ProtocolTemplateDir=Zielpfad einzufügen. Zielpfad muss durch eine komplette Pfadangabe ersetzt werden.

Gut zu wissen!

Wie Sie die Konfigurationsdatei wcFKS.ini finden können und was hierbei zu beachten ist, können Sie im Kapitel die Konfigurationsdatei finden nachlesen.

Beispiel:

[Settings]

ProtocolTemplateDir=C:\Eigene Dateien\WinControl Protokolle

Wird der automatische Protokollausdruck aufgerufen, dann startet FKS WinControl die auf dem PC für RTF-Dokumente eingestellte Applikation und stößt dort den Druckauftrag an. Nach dem Abschluss des Ausdrucks wird die Applikation automatisch wieder geschlossen. Falls das Protokoll vor dem Ausdruck noch begutachtet werden soll oder manuelle Ergänzungen gewünscht sind, dann kann in der Initialisierungsdatei wcFKS.ini die auszuführende Operation eingestellt werden. Dazu ist im Abschnitt [Settings] der Eintrag ProtocolOperation vorzunehmen. Als Optionen sind print und open zulässig, wobei print die Voreinstellung ist, die auch dann verwendet wird, wenn keine explizite Operation angegeben wurde.

Wird open als Operation angegeben, dann startet FKS WinControl die auf dem PC für RTF-Dokumente eingestellte Applikation und zeigt das Protokoll an, der Druck muss dann manuell angestoßen werden und die Applikation wird nicht automatisch geschlossen.

Die erzeugten Protokolle, deren Name sich aus dem der Protokollvorlage sowie Datum und Uhrzeit zusammensetzt, werden im temporären Verzeichnis des Betriebssystems abgelegt und nach einer Stunde bzw. beim Beenden von FKS WinControl gelöscht. Falls zu diesem Zeitpunkt die Protokolle noch von anderen Applikationen verwendet werden, ist das Löschen nicht möglich und muss ggf. manuell oder über die entsprechenden Funktionen des Betriebssystems durchgeführt werden.


Hardlock Server - Unterstützung eines Netzwerkdongles

FKS WinControl kann in einem Netzwerk über ein zentrales Dongle an einem Server betrieben werden. Das Schutzmodul (Dongle) am Server enthält alle Lizenzierungsdaten sowie die Anzahl der möglichen Lizenzen.

Wird an einem beliebigen Arbeitsplatz im Netzwerk FKS WinControl gestartet, nimmt das Programm eine Verbindung zum Server auf und belegt dort eine Lizenz. Es können so lange Instanzen von FKS WinControl gestartet werden, bis alle Lizenzeinträge am Server belegt sind. Danach muss ein FKS WinControl beendet werden, bevor an anderer Stelle ein neues gestartet werden kann.


Die optionalen Zusatz-Protokolle

Mit FKS WinControl können verschiedene Verbindungen gleichzeitig verwendet werden.

FKS WinControl unterstützt aber neben dem primären Protokoll auch noch weitere optionale Protokolle, so dass auch Messgeräte ausgewählter Anbieter in dieses System eingebunden werden können.

Jede Verbindung kann dabei über unterschiedliche Medien und Protokolle mit den angeschlossenen Geräten kommunizieren.

In den Verbindungseinstellungen kann das gewünschte Protokoll ausgewählt werden (siehe auch: Verbindungseinstellungen).

Die Eigenschaften der externen Messstellen, die über andere Protokolle erfasst wurden, können über den Dialog "Programmierung/Messstellenprogrammierung“ à Registerkarte "Extern" festgelegt werden. Hier lassen sich der Kommentar, die Einheit sowie die Grenzwerte definieren.

Die auf diese Weise vorgenommenen Einstellungen werden in der aktuellen Konfiguration gespeichert. Beim nächsten Programmstart stehen diese Definitionen automatisch wieder zur Verfügung.

Die Behandlung der externen Messwerte im System erfolgt unabhängig von ihrer Herkunft, so dass alle Daten gemeinsam visualisiert, gespeichert, exportiert und verarbeitet werden können.

Mehr:

Das SimpleASCII Protokoll

Das Taupunktspiegel 373 Protokoll

Das ALMEMO Protokoll


Das SimpleASCII Protokoll

Zusätzlich zum Feutron -Protokoll können mit Erwerb dieses Zusatzmoduls auf einer weiteren (oder auch mehreren) Verbindung(en) Messdaten, basieren auf einem einfachen ASCII-Protokoll empfangen werden. Dabei gelten folgende Festlegungen.

Mehr:

Protokolldefinition / Datenformat

Darstellung / Repräsentation

Messstelleneigenschaften


Protokolldefinition / Datenformat

Anhang > Die optionalen Zusatz-Protokolle > Das SimpleASCII Protokoll

Protokolldefinition / Datenformat

Das Simple-ASCII Protokoll ist ein textbasiertes Protokoll, bei dem Daten zyklisch von einem Server an einen Client (in diesem Fall FKS WinControl ) übertragen werden. Die Verbindung kann per COM-Port, Modem oder TCP/IP erfolgen.

Das Datenformat lautet:

ETX Daten STX

wobei ETX = 0x02 und STX = 0x03 sind. Als "Daten" werden durch Komma getrennte Fließkommazahlen (mit Dezimalpunkt) erwartet, z.B.:

ETX 1.2,, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

ETX 1.2, 2.0, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

ETX 1.2, 2.0, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

Zwei aufeinander folgende Kommata geben an, dass für die an dieser Position erwartete Messstelle legen keine Daten vorliegen. Leerzeichen werden ignoriert, wenn sie nicht innerhalb eine Fließkommazahl auftreten, das führt zu einem Fehler.


Darstellung / Repräsentation

Anhang > Die optionalen Zusatz-Protokolle > Das SimpleASCII Protokoll

Darstellung / Repräsentation

Die Daten werden in FKS WinControl wie folgt verarbeitet: die Gerätenummer wird manuell im Eigenschaftsdialog vergeben. Die Kanalnummer ergibt sich aus der Position der erfolgreich ausgewerteten Fließkommazahl im Datenstrom: die erste Zahl wird der Messstelle 0 zugeordnet, die zweite der Messstelle 1 usw.

Wenn zu den Daten in obigem Beispiel die Geräteadresse 70 vergeben worden wäre, würden sich folgende Messdaten in FKS WinControl ergeben:

70.0 | 70.1 | 70.2 | 70.3 | 70.4 | 70.5 | 70.6 | 70.7 | 70.8
1.2 |  | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567
1.2 | 2.0 | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567
1.2 | 2.0 | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567


Messstelleneigenschaften

Anhang > Die optionalen Zusatz-Protokolle > Das SimpleASCII Protokoll

Messstelleneigenschaften

Die Eigenschaften der externen Messstellen, die über das Simple ASCII-Protokoll erfasst wurden, können über Programmierung/Messstellenprogrammierung à Registerkarte "Extern" festgelegt werden. Hier lassen sich der Kommentar, die Einheit sowie die Grenzwerte definieren:

Die auf diese Weise vorgenommenen Einstellungen werden in der aktuellen Konfiguration gespeichert. Beim nächsten Programmstart stehen diese Definitionen automatisch wieder zur Verfügung.

Hinweis: Das Ändern bzw. Festlegen dieser Werte hat keinen Einfluss auf das Protokoll. Auch die Gültigkeitsdauer kann über den entsprechenden Dialog - wie oben beschrieben - jederzeit geändert werden. Wenn jedoch die Geräteadresse umgestellt wird, dann bewirkt das ein Rücksetzen des Protokolls, bei dem auch die Verbindung zum Server kurzzeitig getrennt wird!


Das Taupunktspiegel 373 Protokoll

Anhang > Die optionalen Zusatz-Protokolle

Das Taupunktspiegel 373 Protokoll

Zusätzlich zum Feutron Protokoll können mit Erwerb dieses Zusatzmoduls auf einer weiteren (oder auch mehreren) Verbindung(en) Messdaten von Messgeräten des Typs Taupunktspiegel 373 empfangen werden.

Der Taupunktspiegel 373 muss an eine serielle Schnittstelle des PCs angeschlossen werden. In FKS WinControl wird über das Menü Einstellungen/Verbindung hinzufügen der Dialog zum Anlegen neuer Verbindungen aufgeschlagen. Im Feld Protokoll ist "Taupunktspiegel 373 Protokoll" auszuwählen.

Gut zu wissen!

Alternativ zum Anschluss an eine serielle Schnittstelle kann der Zugriff auch über ein Modem oder - unter Einsatz eines Schnittstellenwandlers - auch über das Netzwerk erfolgen. Die Vorgehensweise ist prinzipiell die gleiche, nur die schnittstellenspezifischen Einstellungen sind zu berücksichtigen.

Die Verbindung kann über die serielle Schnittstelle (COM Port), das Netzwerk oder Modem erfolgen. Bei Verbindung über die serielle Schnittstelle oder Modem ist zu beachten, dass das Gerät grundsätzlich mit 9600 Baud, 8 Datenbit, einem Stoppbit und ohne Parität und Handshake arbeitet (siehe auch: Registerkarte "COM Port").

Die Gerätenummer kann beliebig im Bereich 0…99 vergeben werden, es ist nur darauf zu achten, dass diese Gerätenummer eindeutig ist und in keiner anderen Verbindung verwendet wird. Ebenso sollten die für Rechenkanäle vorgesehenen Gerätebereiche (80…85 sowie 90) nicht benutzt werden.

Mit einem Klick auf die Schaltfläche Erweitert… wird der Dialog "Erweiterte Einstellungen" geöffnet, der die protokollspezifische Registerkarte "Taupunktspiegel 373 Protokoll" enthält.

Mehr:

Registerkarte "Taupunktspiegel 373 Protokoll"

Messstelleneigenschaften

Erweiterte Anpassung


Registerkarte "Taupunktspiegel 373 Protokoll"

Anhang > Die optionalen Zusatz-Protokolle > Das Taupunktspiegel 373 Protokoll

Registerkarte "Taupunktspiegel 373 Protokoll"

Auf der Registerkarte "Taupunktspiegel 373 Protokoll" kann die Zeitspanne eingestellt werden, die auf eine Antwort vom Gerät gewartet wird.


Messstelleneigenschaften

Anhang > Die optionalen Zusatz-Protokolle > Das Taupunktspiegel 373 Protokoll

Messstelleneigenschaften

Die Gerätenummer der Messstelle entspricht der in der Verbindung vorgenommenen Einstellung; Sensor, Kanalnummer und Einheit werden aus einer externen Datei gelesen.

Per Voreinstellung stehen 19 Messstellen zur Verfügung:

Kanalnummer | Messstelle | Einheit
0 | Taupunkt | °C
1 | Frostpunkt | °C
2 | Relative Feuchte | %
3 | Relative Feuchte (WMO) | %
4 | Volumenverhältnis |
5 | Gewichtsverhältnis |
6 | Absolute Feuchte | g/m³
7 | Spezifische Feuchte | g/kg
8 | Dampfdruck | Pa
9 | Dampfhöhe | Pa
10 | Luftdruck | Pa
11 | Durchfluss | l/min
12 | Externe Temperatur | °C
13 | Temperatur Vorkühler | °C
14 | Spiegeltemperatur | °C
15 | Head Temperatur | °C
16 | Spiegelwiderstand | Ohm
17 | Externer Widerstand | Ohm
18 | Systemstabilität |

Diese Vorgaben können durch Modifikation der Datei "DPMSensors.dat" angepasst werden. Ein Doppelklick auf eine Zeile oder der Aufruf "Messstellenprogrammierung" im Menü Programmierung schlägt einen Dialog auf, in dem über die Registerkarte "Messstellen" die Eigenschaften der Messstelle angepasst werden können.

Der Kommentar und die Einheit können hier beliebig festgelegt werden. Allerdings ist bei der Änderung der Einheit zu beachten, dass die Skalierung des Messwertes dadurch nicht beeinflusst wird!

Achtung!

Die Messwerte werden immer mit einer definierten Skalierung und in einer definierten Einheit vom Gerät ausgegeben, und zwar unabhängig davon, was im Gerätedisplay eingestellt wurde! Die Vorgaben können der Bedienungsanleitung des Gerätes entnommen werden!

Für jede Messstelle kann individuell ein unterer und/oder ein oberer Grenzwert eingestellt werden. Grenzwertverletzungen werden in Messwertanzeigen und Messwerttabellen farbig hervorgehoben. Bei aktivierter Alarmoption sind darüber hinaus weitere Signalisierungs- und Verarbeitungsfunktionen (Ereignisliste, Start externer Programme, Versand von Mails, …) verfügbar.


Erweiterte Anpassung

In der Datei "DPMSensors.dat", die sich im Programmverzeichnis befindet, wird festgelegt:

· welche Daten vom Messgerät abgefragt werden

· wie die Zuordnung der Messwerte zu den Kanalnummern aussieht

· welche Einheit und welche Bezeichnung die entsprechende Messstelle grundsätzlich haben soll (diese Einstellung gilt systemweit für alle Verbindungen in allen Instanzen von FKS WinControl ).

Der Aufbau der Datei ist folgender:

In jeder Zeile wird eine Messstelle definiert. Zeilen, die mit einem Semikolon beginnen, werden als Kommentarzeilen behandelt und ebenso wie Leerzeilen ignoriert.

Eine Zeile kann drei oder vier Einträge beinhalten:

Als erstes wird der Name des Befehls zum Abfragen eines Wertes laut Gerätedokumentation angegeben. Der Name muss in Anführungszeichen eingeschlossen sein, das abschließende Fragezeichen darf nicht mit angegeben werden. Die zweite Angabe ist die Einheit, die ebenfalls in Anführungszeichen zu setzen ist. Falls einer Messstelle keine Einheit zugeordnet werden soll, müssen zwei direkt aufeinander folgende Anführungszeichen notiert werden. Die dritte Angabe ist die Kanalnummer. Hierbei muss es sich um eine natürliche Zahl im Bereich 0…99 handeln. Die Kanalnummer muss für jede Messstelle eindeutig sein!

Nach der Kanalnummer kann eine Bezeichnung für die Messstelle angegeben werden. Die Bezeichnung muss in Anführungszeichen stehen und darf maximal 20 Zeichen enthalten, wobei folgende Zeichen zulässig sind:

Zahlen und Buchstaben (auch Umlaute) sowie Leerzeichen, Minus, Plus, Unterstrich, Klammern, Stern (*), Gleichheitszeichen (=) und Raute (#).

Gut zu wissen!

Wenn andere Sonderzeichen benötigt werden, muss das messstellenspezifisch über die Programmoberfläche erfolgen.

Alle Angaben in der Zeile werden durch Komma voneinander getrennt. Die bei der Installation generierte DPMSensors.dat hat beispielsweise folgenden Aufbau:

; Sensorliste für FKS WinControl / MBW Taupunktspiegel 373

;Name , Einheit, Kanalnummer, Beschreibung

"DP" , "°C", 0, "Taupunkt"

"FP" , "°C", 1, "Frostpunkt"

"RH" , "%", 2, "Relative Feuchte"

"RHW" , "%", 3, "Relative Feuchte (WMO)"

"PPMV" , "", 4, "Volumenverhältnis"

"PPMW" , "", 5, "Gewichtsverhältnis"

"AH" , "g/m³", 6, "Absolute Feuchte"

"SH" , "g/kg", 7, "Spezifische Feuchte"

"VP" , "Pa", 8, "Dampfdruck"

"P" , "Pa", 9, "Druckhöhe"

"PA" , "Pa", 10, "Luftdruck"

"FLOW" , "l/min", 11, "Durchfluss"

"TX" , "°C", 12, "Externe Temperatur"

"TP" , "°C", 13, "Vorkühler Temperatur"

"TM" , "°C", 14, "Spiegeltemperatur"

"TH" , "°C", 15, "Head Temperature"

"OM" , "Ohm", 16, "Spiegelwiderstand"

"OX" , "Ohm", 17, "Externer Widerstand"

"STABLE", "", 18, "Systemstabilität"

Eine gültige Erweiterung sind beispielsweise die folgenden Zeilen:

"AMC.on", "", 19, "Auto. Mirrorcheck"

"AMC.temp", "°C", 20, "Temp. bei Mirrorchek"

"ForceFrost.On", "", 21

Die folgenden Zeilen hingegen führen zu einem Fehler:

"AMC.on?", "", 19, "Auto. Mirrorcheck"

(Fragezeichen im Sensorname!)

"AMC.temp ", "", 0, "Temp. bei Mirrorchek"

(Kanalnummer 0 doppelt belegt!)

ForceFrost.On, , 21

(Fehlende Anführungszeichen bei Name und Einheit)

"WaterValve.armed", "", 22, "Ventil Modus, 0/1"

(Ungültige Zeichen in der Bezeichnung)

"WaterValve.armed" "" 22; "Ventil Modus";

(Fehlende / Falsche Trennzeichen)

Tipp: Um eine Zeile schnell zu deaktivieren, reicht es aus, wenn als erstes Zeichen ein Semikolon eingefügt wird, so dass die Zeile zur Kommentarzeile wird, z.B:

;"PPMV" , "", 4, "Volumenverhältnis"

;"PPMW" , "", 5, "Gewichtsverhältnis"

Anschließend muss die Verbindung deaktiviert und wieder aktiviert werden, damit die Änderung wirksam wird!

Es wird empfohlen, vor allen Änderungen eine Sicherheitskopie der Datei anzulegen!

Wenn die Datei nach Änderungen einen Fehler enthält, wird das im Verbindungsfenster angezeigt und es ist keine bzw. nur eine eingeschränkte Kommunikation mit den Taupunktspiegel 373 - Geräten möglich!

Achtung!

Protokollbedingt werden die einzelnen Werte einzeln abgefragt, deswegen steigt mit jeder zusätzlichen Messstelle die Zeitspanne, die für die vollständige Abfrage aller Werte benötigt wird. Wenn sehr viele Werte angefragt werden, kann das dazu führen, dass der in FKS WinControl eingestellte Messzyklus u.U. nicht eingehalten werden kann.


Das ALMEMO Protokoll

Mit dem ALMEMO Protokoll können die Messgeräte und Datenlogger der Firma Ahlborn gemeinsam mit den anderen angeschlossenen Geräten in einem Erfassungssystem betrieben werden. Dazu muss im Eigenschaftsdialog der Verbindung das ALMEMO Protokoll zugewiesen werden. Anschließend stehen folgende Registerkarten unter den erweiterten Einstellungen zur Verfügung:

Registerkarte: "ALMEMO 1"

Diese Registerkarte steht für alle Verbindungen zur Verfügung, über die auf ALMEMO Geräte zugegriffen wird. Hier werden alle algemeinen Einstellungen vorgenommen, die sich speziell auf die ALMEMO Geräte auswirken.

Im Einzelnen bewirken die Einstellungen Folgendes:

CRC Protokoll: ist diese Option aktiviert und sind in der Verbindung ausschließlich ALMEMO Geräte mit der Firmware V6 enthalten, dann wird die Kommunikation mit dem Gerät durch die Verwendung von Prüfsummen abgesichert. Außerdem kann für die Übertragung ein höherer Datendurchsatz erreicht werden.

Sichere Initialisierung: Mit dem Aktivieren dieser Option wird das Programm veranlasst, die geräteinterne Befehlsabarbeitung ggf. zugunsten einer reibungslosen Kommunikation zwischen Gerät und Software zu unterbrechen.

Achtung!

Wenn das Gerät als autarker Datenlogger betrieben werden soll, darf diese Option nicht aktiviert werden, da ansonsten die Gefahr besteht, dass auch das geräteinterne Speichern angehalten wird!

Geräteinformation im Leerlauf: die Angabe einer Zeitspanne in Sekunden veranlasst die Software, dass außerhalb der Messung die aktuelle Gerätekonfiguration frühestens nach Ablauf dieser Zeitspanne abgefragt wird. Besonders bei Netzwerkverbindungen oder Verbindungen, die nach übertragenen Daten abgerechnet werden, kann hierdurch das anfallende Datenvolumen deutlich verringert werden.

Geräteinformation bei Messung: Mit dem Aktivieren dieser Option wird das Programm veranlasst, die aktuelle Gerätekonfiguration auch während einer laufenden Messung abzufragen.

Registerkarte: "ALMEMO 2"

Diese Registerkarte steht für alle Verbindungen zur Verfügung, über die auf ALMEMO Geräte zugegriffen wird. Hier werden alle Einstellungen bezüglich Verzögerungen und Timeouts vorgenommen, die sich speziell auf die ALMEMO Geräte auswirken.

Im Einzelnen bewirken die Einstellungen Folgendes:

Standard Wartezeit: Angabe einer Zeitspanne in Millisekunden, die FKS WinControl wartet, bis eine Antwort auf den gesendeten Befehl vom Gerät eingetroffen ist. Erst nach Ablauf dieser Zeitspanne wird der Befehl ggf. wiederholt oder mit dem nächsten Befehl fortgefahren.

Messwert Wartezeit: Angabe einer Zeitspanne in Millisekunden, die FKS WinControl wartet, bis eine Antwort auf den gesendeten Befehl zur Messwerterfassung vom Gerät eingetroffen ist. Erst nach Ablauf dieser Zeitspanne wird der Befehl ggf. wiederholt oder mit dem nächsten Befehl fortgefahren.

Wartezeit Speicher auslesen: Angabe einer Zeitspanne in Millisekunden, die FKS WinControl wartet, bis eine Antwort beim Auslesen des Messgerätespeichers vom Gerät eingetroffen ist. Erst nach Ablauf dieser Zeitspanne wird der Befehl ggf. wiederholt oder mit dem nächsten Befehl fortgefahren.

Umschaltverzögerung: Sind mehrere Geräte in dieser Verbindung vorhanden, dann kann hier eine Zeitspanne eingestellt werden, die die Software wartet, bevor sie vom aktuellen Gerät auf das nächste umschaltet.

Gut zu wissen!

Die Wartezeiten geben nur ein Worst-Case-Szenario vor. Trifft die Antwort schneller ein als über die Wartezeit vorgegeben, dann sendet die Software nach Verarbeitung der Antwort sofort den nächsten Befehl, d.h. es kommt zu keiner Verzögerung im normalen Betrieb, wenn die Wartezeit zu hoch eingestellt wurde. Die Umschaltvorzögerung hingegen kommt auch dann zum Tragen, wenn eigentlich alles ordnungsgemäß funktioniert und kann somit eine zügige Messung verhindern, wenn der Wert zu hoch eingestellt wurde. Im Allgemeinen sollte hier keine Änderung der Standardwerte (1800, 4500, 0) vorgenommen werden. Nur falls im Netzwerk- oder Modembetrieb gehäuft Störungen auftreten, kann versucht werden, hier Abhilfe zu schaffen. Dabei sollte als Faustregel gelten, dass Wartezeiten ab 20000 Millisekunden nicht mehr sinnvoll sind. Die Umschaltverzögerung kann in 50 ms Schritten bis auf maximal 500 ms erhöht werden!


Glossar

Seriennummer

Maximale Probedauer

Restliche Probedauer

Eingabefeld "Freischaltcode"

Rechenkanal

Kontextsensitive Menü

DDE - Dynamic Data Exchange

Eigenschaftsdialog

Messstellenfenster

Standarddateidialog

Werkzeugleiste


Anhang

Mehr zum Thema:

Vereinbarungen für die Formeleingabe

Unterstützung der Exponentialdarstellung von Messwerten

Anschluss eines Modems an das Gerät

Datenformate der Exportfunktion

Besondere Einstellungen für den Versand von Alarmmeldungen per e-Mail

Der Kennwortschutz

Der Prüfplatzmanager

Der OPC Export

Liniendiagramm - Protokoll drucken

Hardlock Server - Unterstützung eines Netzwerkdongles

Die optionalen Zusatz-Protokolle


FKS WinControl - Der Datenserver

Mehr:

Serverbetrieb

Server Schnittstelle

Anwendungsbeispiele


FKS WinControl - Der Webserver

Mehr:

Funktionsumfang

Voraussetzungen

Funktionsweise des Webservers

Erweiterte Einstellungen


FKS WinControl - Die Menüs

Mehr:

Das Datei-Menü

Das Bearbeiten-Menü

Das Ansicht-Menü

Das Messwerte-Menü

Das Menü Programmierung

Das Einstellungen-Menü

Das Fenster-Menü

Das Hilfe-Menü


FKS WinControl - Die Programmfenster

Mehr:

Das Hauptfenster

Das Fenster "Messstellen, Anlagen und Verbindungen"

Das Klimaprofil

Die Messwertanzeige

Das Balkendiagramm

Die Analoganzeige

Das Liniendiagramm

Das XY-Diagramm

Die Tabelle

Das Dateiübersichtsfenster

Die Projektbilder

Die Ereignisliste

Das Statusfenster


FKS WinControl - eine Übersicht

Mehr:

Installation und Programmstart

FKS WinControl in Stichpunkten

Integration und Vernetzung

Schnelleinstieg


DDE - Dynamic Data Exchange

Dynamischer Datenaustausch: Daten einer Windows-Applikation können ohne Zwischenspeicherung an eine andere Windows-Applikation übergeben werden.


Eigenschaftsdialog

Jedes in FKS WinControl verwendete Fenster verfügt über einen dazugehörigen Eigenschaftendialog. Über diesen Dialog legen Sie alle für das jeweilige, aktive Fenster relevanten Einstellungen und Aktivitäten fest.


Eingabefeld "Freischaltcode"

Im Dialog " FKS WinControl Lizenzinformationen" wird in diesem Feld der Freischaltcode eingetragen. Registrieren Sie Ihre Software, um den Freischaltcode zu erhalten.


Kontextsensitive Menü

Alle, für ein Programmfenster zur Verfügung stehenden Funktionen können über die kontextsensitiven Menüs aufgerufen werden. Geöffnet werden diese durch Klick mit der rechten Maustaste in das jeweilige Fenster.


Maximale Probedauer

Im Dialog " FKS WinControl Lizenzinformationen" wird in diesem Feld angezeigt, wie viele Tage die Software maximal ohne Registrierung lauffähig ist.


Messstellenfenster

Liste aller im System vorhandenen Messstellen. Die angezeigte Liste enthält folgende Elemente: Kommentar, Gerät, Messstelle, Messgröße, Sensor, Grenzwerte und Korrekturwerte sowie Symbole für Grenzwertverletzungen, Fühlerbruch und Automatisches Speichern.


Rechenkanal

Über einen Formeleditor können selbstdefinierte Rechenkanäle festgelegt werden. Die erfassten Daten können sowohl online als auch offline berechnet und dargestellt werden. Je nach Definition steht ein Rechenkanal als virtuelle Messstelle im gesamten Programm zur Verfügung (globaler Rechenkanal) oder nur in einem Datensatz (lokaler Rechenkanal).


Restliche Probedauer

Im Dialog " FKS WinControl Lizenzinformationen" wird in diesem Feld angezeigt, wie viele Tage die Software noch ohne Registrierung lauffähig ist.


Seriennummer

Im Dialog " FKS WinControl Lizenzinformationen" wird in diesem Feld die Seriennummer der Software angezeigt. Bitte geben Sie diese Nummer an, um die Software zu registrieren.


Standarddateidialog

In einem Standarddateidialog wird eine gewünschte Datei anhand, des Dateinamens, des Dateityps, des Laufwerks und des Verzeichnisses ausgewählt oder festgelegt.


Werkzeugleiste

Die Symbolleiste ist ein unterhalb der Menüs platzierte Zeile mit Schaltsymbolen, für eine schnelle Ausführung von FKS WinControl -Befehlen.


Wie kann man...

Mehr zum Thema:

die Eigenschaften des aktuellen Fensters ändern

die Verbindung zur Anlage herstellen

eine Modemverbindung herstellen

die Abtastrate festlegen

eine neue Messwertanzeige erstellen

ein neues Balkendiagramm erstellen

ein Balkendiagramm drucken

eine neue Tabelle erstellen

eine Tabelle drucken

Klimaprofile erstellen

ein Projektbild erstellen

ein neues Liniendiagramm erstellen

ein Liniendiagramm drucken

Liniendiagramme über mehrere Seiten drucken

die Messstellenliste drucken

globale Rechenkanäle vereinbaren

lokale Rechenkanäle vereinbaren

Zähler, Summen oder Mittelwerte über die gesamte Messung definieren

Tages- oder Stundenmittelwerte für definierbare Zeitbereiche bilden

einen Kurvenverlauf analysieren

Kennlinien überlappend darstellen

Darstellungseigenschaften speichern und anwenden

ein neues Liniendiagramm mit den Eigenschaften einer Vorlage erstellen

Dateien beim Öffnen automatisch mit einer Standardvorlage verbinden

im Nachhinein Kommentare für Messstellen vergeben bzw. ändern

für eine Messwertdatei Anmerkungen eintragen

ein WinControl-Objekt in einem Textdokument einbetten

eine Messwertdatei erstellen

einen Bereich eines Datensatzes speichern

Messwerte aus einer Datei laden

Messwertdateien miteinander verbinden

automatisch Tagesdateien erzeugen

pro Tag automatisch mehrere Dateien auf der Festplatte speichern

eine Ereignisliste automatisch speichern

eine Ereignisliste exportieren

Automatisch nach Stromausfall weiter messen

Messwerte in einer Tabellenkalkulation darstellen

online Daten nach Excel übertragen

DDE mit Excel ausführen

Informationen über angeschlossene Geräte erhalten

den Messwertspeicher der Anlage auslesen

die Konfigurationsdatei wcFKS.ini finden

mehrere Programmkonfigurationen verwalten

bei Programmstart automatisch eine bestimmte Konfiguration laden

mit mehreren Instanzen von FKS WinControl arbeiten

Aufrufparameter an ein bei Alarm zu startendes Programm übergeben

im Alarmfall automatisch eine Email versenden

ein Default Verzeichnis für Messwertdateien definieren

die Registrierung des OLE-Servers unter Windows 2000 handhaben

die Software auf mehreren Prozessoren starten

die Größe der Messwerthistorie ändern